
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    double d2 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.midpoint(100.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.0d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.718281828459045d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    double d0 = org.apache.commons.math3.util.Precision.EPSILON;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 1.1102230246251565E-16d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    org.apache.commons.math3.ode.FirstOrderDifferentialEquations firstOrderDifferentialEquations0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.ode.ExpandableStatefulODE expandableStatefulODE1 = new org.apache.commons.math3.ode.ExpandableStatefulODE(firstOrderDifferentialEquations0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 100.0d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0f, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.4E-45f));

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(100.0d, 1.1102230246251565E-16d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    float f3 = org.apache.commons.math3.util.Precision.round(100.0f, (-1), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 110.0f);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.0d, 10.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(10.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.0d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)0, (short)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)0);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-1.4E-45f), (-1.0f), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(10.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-10.0f));

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 100.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(10.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.4987562112089d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 57.29577951308232d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(0L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)(-1), (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)1);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000000000002d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.0d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.0d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(100.0d, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5533448061434307d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(100.0d, 0.0d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-10.0f), 110.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    float f2 = org.apache.commons.math3.util.Precision.round(110.0f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 110.0f);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    float f2 = org.apache.commons.math3.util.Precision.round(0.0f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval((-1.0d), 100.4987562112089d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.0f, (-1.4E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.4E-45f));

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign((-1), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence(0.0d, 57.29577951308232d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(100.0f, (-1.4E-45f), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(100.0d, 1.0d, 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1074790400));

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    double d2 = org.apache.commons.math3.util.Precision.round(1.0000000000000002d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(1L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(100.0f, 110.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(10.0f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(0L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.0f, 1.0f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    double d0 = org.apache.commons.math3.util.Precision.SAFE_MIN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.2250738585072014E-308d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 100L);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.0f, 110.0f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.0000000000000002d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0000000000000002d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1023));

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, (-10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.0d, 1.0000000000000002d, 10, univariateSolver4);
    double[] d_array7 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      eventState5.stepAccepted((-1.0d), d_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(2.718281828459045d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.7182818284590455d);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    double d0 = org.apache.commons.math3.util.FastMath.E;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.718281828459045d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(1.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.0d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d1 = bracketingNthOrderBrentSolver0.getAbsoluteAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = bracketingNthOrderBrentSolver0.solve(0, univariateFunction3, 100.0d, 2.718281828459045d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(1.0E-6d, 2.7182818284590455d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2250738585072014E-308d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-1.4E-45f), (-10.0f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(1.0E-6d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.718281828459045d);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution7 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ABOVE_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(0, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver2, 1.5533448061434307d, 100.4987562112089d, 2.7182818284590455d, allowedSolution7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution7);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(2.718281828459045d, 2.2250738585072014E-308d, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.5533448061434307d, 1.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 2.2250738585072014E-308d, 1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, 100.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution5 = org.apache.commons.math3.analysis.solvers.AllowedSolution.RIGHT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = bracketingNthOrderBrentSolver0.solve(0, univariateFunction2, 2.7182818284590455d, 100.0d, allowedSolution5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution5);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    int i3 = incrementor1.getCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 2.718281828459045d, 100.4987562112089d, (-1.0d), (-1074790400));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.5533448061434307d, 2.7182818284590455d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)10, (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)10);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.5533448061434307d, (-1.0d), (-1074790400));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 89.0001015205856d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    java.lang.Object obj0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathUtils.checkNotNull(obj0, localizable1, obj_array2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.741297982545108d);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs((-1.4E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.0E-6d, 1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)1, (byte)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)1);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(2.7182818284590455d, 89.0001015205856d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 89.04160334794895d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(0.0d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)0, obj_array9);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array9);
    double d13 = noBracketingException12.getLo();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError14 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)noBracketingException12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.5533448061434307d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(Double.NaN, 89.04160334794895d, 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(100.4987562112089d, 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 56.516459060951796d);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(4.741297982545108d, 100.0d, 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isBracketing(univariateFunction0, 1.0E-6d, 2.7182818284590455d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    org.apache.commons.math3.ode.FirstOrderDifferentialEquations firstOrderDifferentialEquations10 = null;
    double[] d_array12 = null;
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[] d_array22 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator23 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array17, d_array22);
    // The following exception was thrown during execution in test generation
    try {
      double d24 = dormandPrince853Integrator9.integrate(firstOrderDifferentialEquations10, (-1.0d), d_array12, 1.1102230246251565E-16d, d_array22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(2.2250738585072014E-308d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.0d), (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.0d));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(4.741297982545108d, 1.0E-6d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.0f, (-1.4E-45f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 57.29577951308232d, 57.29577951308232d, 0, univariateSolver4);
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator6 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState5.reinitializeBegin(stepInterpolator6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    org.apache.commons.math3.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math3.exception.NullArgumentException();

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(4.741297982545108d, 0.0d, 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(1, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 2.718281828459045d, 89.04160334794895d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator7 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState5.reinitializeBegin(stepInterpolator7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(2.7182818284590455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.04744296790374204d);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver bracketedUnivariateSolver2 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution6 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ABOVE_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(3, univariateFunction1, bracketedUnivariateSolver2, 2.718281828459045d, 1.0d, 100.0d, allowedSolution6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution6);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0d, 2.7182818284590455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 100.0d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.0E-6d, 4.741297982545108d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(56.516459060951796d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7528966507168187E24d);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 100.4987562112089d, 0.0d, 1.0E-6d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double[] d_array14 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array14);
    double[] d_array16 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator9.computeDerivatives(89.04160334794895d, d_array14, d_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)(-1), (short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)1);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 0.0d, (-1074790400));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.298292365610485d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 2.7182818284590455d, 57.29577951308232d, 1.0E-6d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-1), (java.lang.Number)(byte)10, true);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable10, obj_array12);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math3.exception.MathArithmeticException(localizable9, obj_array12);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable7, (java.lang.Number)(short)100, obj_array12);
    java.lang.Throwable[] throwable_array16 = notFiniteNumberException15.getSuppressed();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException4, localizable6, (java.lang.Object[])throwable_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (byte)10+ "'", number5.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 2.7182818284590455d, 0.0d, 89.0001015205856d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    float f2 = org.apache.commons.math3.util.FastMath.min((-1.0f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(Double.NEGATIVE_INFINITY, 2.718281828459045d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.7182818284590455d, 0.04744296790374204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(2.7182818284590455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2182829050172777d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.5533448061434307d, 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.1649370223156144d));

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9377047211159066E-18d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(1.9377047211159066E-18d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-15.954589770191003d));

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(4.741297982545108d, 1.0E-6d, 2.7182818284590455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.19126786962680778d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(0, (-1074790400));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.0f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2676506E30f);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor(0, maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    org.apache.commons.math3.util.MathUtils.checkFinite((-0.0d));

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(2.7182818284590455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6487212707001282d);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 100.0d, (-1.0d), 10.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-1.0d), 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException4 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, obj_array3);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array3);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = mathArithmeticException5.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = mathArithmeticException5.getContext();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError8 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)mathArithmeticException5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(Double.NaN, 89.0001015205856d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(1.0d, 0.2d, 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.7528966507168187E24d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7236266338880267d));

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(10.0d, 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.7168146928204138d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(6, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.9377047211159066E-18d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    float f2 = org.apache.commons.math3.util.Precision.round(0.0f, (-1074790400));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)2.7182818284590455d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError3 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)notStrictlyPositiveException2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d4 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d5 = bracketingNthOrderBrentSolver2.getMax();
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution9 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ABOVE_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(100, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver2, 0.0d, 1.9377047211159066E-18d, 100.4987562112089d, allowedSolution9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution9);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.9377047211159066E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.8518598887744717E-34d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(100.4987562112089d, Double.NaN, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    double d0 = org.apache.commons.math3.util.MathUtils.TWO_PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 6.283185307179586d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.0d, 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 10, 1);
    java.lang.Number number4 = dimensionMismatchException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 10+ "'", number4.equals(10));

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(3.7168146928204138d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.7168146928204138d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9855683087099187d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(3.8518598887744717E-34d, 89.04160334794895d);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator6 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState5.reinitializeBegin(stepInterpolator6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(1.0E-15d, 0.0d, 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(100.0d, 89.0001015205856d, 1.5533448061434307d, 100);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = bracketingNthOrderBrentSolver4.solve(3, univariateFunction6, 100.4987562112089d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-1), 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(1.4E-45f, (-10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(3.7168146928204138d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9988186212247272d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.7528966507168187E24d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3239700339195063E12d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifySequence(5.298292365610485d, 1.2182829050172777d, 57.29577951308232d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(6.283185307179586d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.283185307179586d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i1 = bracketingNthOrderBrentSolver0.getEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction3 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution7 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ABOVE_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = bracketingNthOrderBrentSolver0.solve(1, univariateFunction3, (-15.954589770191003d), 1.0E-6d, 100.4987562112089d, allowedSolution7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution7);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(short)10, (java.lang.Number)2.7182818284590455d, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 2.7182818284590455d+ "'", number5.equals(2.7182818284590455d));

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d17 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d18 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction21 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d24 = bracketingNthOrderBrentSolver16.solve(3, univariateFunction21, 1.6487212707001282d, 3.8518598887744717E-34d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.6487212707001282d, (-1.0d), (-1074790400));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyBracketing(univariateFunction0, 1.5533448061434307d, 1.0E-6d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    double[] d_array18 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array18);
    double[] d_array24 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    double[] d_array29 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array24, d_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array32);
    double[] d_array35 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array35);
    double[] d_array38 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array38);
    // The following exception was thrown during execution in test generation
    try {
      double d40 = dormandPrince853Integrator9.initializeStep(false, 0, d_array18, 1.5533448061434307d, d_array29, d_array32, d_array35, d_array38);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(100.0d, 89.0001015205856d, 1.5533448061434307d, 100);
    int i5 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution10 = org.apache.commons.math3.analysis.solvers.AllowedSolution.RIGHT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = bracketingNthOrderBrentSolver4.solve((-1), univariateFunction7, 3.7168146928204138d, 56.516459060951796d, allowedSolution10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution10);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)10.0f);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = notStrictlyPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(100.0d, 89.0001015205856d, 1.5533448061434307d, 100);
    int i7 = bracketingNthOrderBrentSolver6.getMaxEvaluations();
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution11 = org.apache.commons.math3.analysis.solvers.AllowedSolution.BELOW_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(0, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver6, 3.8518598887744717E-34d, 0.04744296790374204d, 4.741297982545108d, allowedSolution11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution11);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    float f2 = org.apache.commons.math3.util.Precision.round(10.0f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 57.0d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d7 = bracketingNthOrderBrentSolver4.getStartValue();
    double d8 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution14 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d15 = bracketingNthOrderBrentSolver4.solve(100, univariateFunction10, 4.741297982545108d, 100.0d, 0.04744296790374204d, allowedSolution14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution14);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0f, 0.0f, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-1L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.105427357601002E-15d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(100.0d, 89.0001015205856d, 1.5533448061434307d, 100);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution10 = org.apache.commons.math3.analysis.solvers.AllowedSolution.LEFT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = bracketingNthOrderBrentSolver4.solve(0, univariateFunction6, (-15.954589770191003d), 0.0d, 2.2250738585072014E-308d, allowedSolution10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution10);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-127));

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(short)10, (java.lang.Number)2.718281828459045d, true);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)2.718281828459045d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.741297982545108d, (-0.7236266338880267d), 1.9855683087099187d, 10);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution9 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = bracketingNthOrderBrentSolver4.solve((-127), univariateFunction6, 0.0d, 1.5533448061434307d, allowedSolution9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution9);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    double[] d_array0 = null;
    int i1 = org.apache.commons.math3.util.MathUtils.hash(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i3 = bracketingNthOrderBrentSolver2.getEvaluations();
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution7 = org.apache.commons.math3.analysis.solvers.AllowedSolution.LEFT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(1, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver2, 1.0d, 1.0d, 0.19126786962680778d, allowedSolution7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution7);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 100.0d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(100.0d, 89.0001015205856d, 1.5533448061434307d, 100);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = bracketingNthOrderBrentSolver4.solve(100, univariateFunction6, 0.0d, 10.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.19126786962680778d, (-1023));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.3239700339195063E12d, 1.6487212707001282d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.6738278795654E19d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.741297982545108d, (-0.7236266338880267d), 1.9855683087099187d, 10);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = bracketingNthOrderBrentSolver4.solve(100, univariateFunction6, 100.0d, Double.NaN);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    double d0 = org.apache.commons.math3.util.FastMath.PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 3.141592653589793d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(1.5533448061434307d, 1, (-1023));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.19126786962680778d, 1.9377047211159066E-18d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2626272556789118d);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.9d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    double d2 = org.apache.commons.math3.util.Precision.round(0.9d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9d);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, obj_array5);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException7 = new org.apache.commons.math3.exception.MathArithmeticException(localizable2, obj_array5);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException8 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)(short)100, obj_array5);
    java.lang.Number number9 = notFiniteNumberException8.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (short)100+ "'", number9.equals((short)100));

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i1 = bracketingNthOrderBrentSolver0.getEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = bracketingNthOrderBrentSolver0.solve((-127), univariateFunction3, 0.0d, 1.2182829050172777d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-15.954589770191003d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-15.954589770191003d));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isBracketing(univariateFunction0, 1.1102230246251565E-16d, 3.141592653589793d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(4.9E-324d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 0.0d, 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.0d, (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1048576);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifySequence((-15.954589770191003d), 1.3239700339195063E12d, 0.19126786962680778d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-1.1649370223156144d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(10, (-127));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator6 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b7 = eventState5.evaluateStep(stepInterpolator6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.19126786962680778d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0033382540782630537d);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(1.0d, 1.9377047211159066E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)(-1), (byte)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)1);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(56.516459060951796d, 1.5533448061434307d, (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = bracketingNthOrderBrentSolver4.solve((-1), univariateFunction8, 1.2182829050172777d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d17 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d18 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction21 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d25 = bracketingNthOrderBrentSolver16.solve(6, univariateFunction21, 9.6738278795654E19d, 100.0d, 3.141592653589793d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(1.2182829050172777d, 1.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test234() {}
// Defects4J: flaky method
//   @Test
//   public void test234() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }
// 
// 
//     double d0 = org.apache.commons.math3.util.FastMath.random();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d0 == 0.6020638221877662d);
// 
//   }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(4.741297982545108d, 0.0d, 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.FirstOrderDifferentialEquations firstOrderDifferentialEquations13 = null;
    double[] d_array15 = new double[] {  };
    double[] d_array17 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d18 = dormandPrince853Integrator9.integrate(firstOrderDifferentialEquations13, 1.2626272556789118d, d_array15, 3.141592653589793d, d_array17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.0d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs((-10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.0f);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(2L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isBracketing(univariateFunction0, 57.29577951308232d, 10.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9117339147869651d));

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)0, (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)0);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.2182829050172777d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 69.80246871042735d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(57.0d, 3.141592653589793d, 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0f, (-1.4E-45f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    double d3 = org.apache.commons.math3.util.Precision.round(1.3239700339195063E12d, (-1023), 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(5.298292365610485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)(-10.0f), false);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4330863854487743d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    float f2 = org.apache.commons.math3.util.FastMath.min((-10.0f), 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-10.0f));

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.0000000000000002d, 3.8518598887744717E-34d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i1 = bracketingNthOrderBrentSolver0.getEvaluations();
    int i2 = bracketingNthOrderBrentSolver0.getMaxEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = bracketingNthOrderBrentSolver0.solve(1048576, univariateFunction4, 1.9855683087099187d, 1.6487212707001282d, 57.29577951308232d, allowedSolution8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    java.lang.String str13 = dormandPrince853Integrator9.getName();
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str13.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0033382540782630537d, (-0.9117339147869651d), 2.7182818284590455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(100.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)2147483647);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d7 = eventState6.getEventTime();
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator8 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b9 = eventState6.evaluateStep(stepInterpolator8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(Float.NaN, 1.4E-45f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(110.0f, (-1.4E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    float f3 = org.apache.commons.math3.util.Precision.round(100.0f, 6, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 100.0f);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution6 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = bracketingNthOrderBrentSolver0.solve((-1023), univariateFunction2, Double.NaN, 1.2626272556789118d, 4.9E-324d, allowedSolution6);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution6);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = bracketingNthOrderBrentSolver4.solve(1048576, univariateFunction8, 1.5533448061434307d, 57.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(10L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.7528966507168187E24d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 55.82331188039185d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    boolean b7 = eventState5.stop();
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    boolean b12 = eventState5.reset(0.0d, d_array10);
    double d13 = eventState5.getMaxCheckInterval();
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator14 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState5.reinitializeBegin(stepInterpolator14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.1102230246251565E-16d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.9988186212247272d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.1102230246251565E-16d, 1.5707963267948966d, 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign((-1023), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1023);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(1.5533448061434307d, 0.6020638221877662d, (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(10.0d, 1.0000000000000002d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(3.7168146928204138d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(57.0d, 10, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(55.82331188039185d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.022191557777585d);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.741297982545108d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.3239700339195063E12d, 69.80246871042735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3239700339195063E12d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(3.7168146928204138d, 89.04160334794895d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 89.04160334794895d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.19126786962680778d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7183579793493745d));

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.0d, 1.0000000000000002d, 10, univariateSolver4);
    double d6 = eventState5.getEventTime();
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator7 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b8 = eventState5.evaluateStep(stepInterpolator7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(Float.NaN, (-10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 10, 1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError4 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)dimensionMismatchException3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array4);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException6 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)(byte)0, obj_array4);
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable15, obj_array17);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable13, (java.lang.Number)(byte)0, obj_array17);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException20 = new org.apache.commons.math3.exception.NoBracketingException(localizable8, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array17);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException6, localizable7, obj_array17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(3.7168146928204138d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.307972410734653d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 0.0033382540782630537d, 1.0d, 1.0E-15d, 2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(0.19126786962680778d, 0.0033382540782630537d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 3.141592653589793d, 0.0d, 1.307972410734653d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount(1048576);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i7 = bracketingNthOrderBrentSolver6.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState8 = new org.apache.commons.math3.ode.events.EventState(eventHandler2, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver6);
    int i9 = bracketingNthOrderBrentSolver6.getMaxEvaluations();
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution13 = org.apache.commons.math3.analysis.solvers.AllowedSolution.BELOW_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(10, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver6, 55.82331188039185d, 57.0d, 1.7528966507168187E24d, allowedSolution13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution13);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    double d10 = dormandPrince853Integrator9.getMinStep();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver16 = null;
    org.apache.commons.math3.ode.events.EventState eventState17 = new org.apache.commons.math3.ode.events.EventState(eventHandler12, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver16);
    int i18 = eventState17.getMaxIterationCount();
    boolean b19 = eventState17.stop();
    double[] d_array22 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array22);
    boolean b24 = eventState17.reset(0.0d, d_array22);
    double[] d_array29 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b30 = eventState17.reset(56.516459060951796d, d_array29);
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[] d_array39 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator40 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array34, d_array39);
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator9.computeDerivatives(3.8518598887744717E-34d, d_array29, d_array39);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(2147483647, 1048576);
    org.apache.commons.math3.ode.events.EventHandler eventHandler3 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver7 = null;
    org.apache.commons.math3.ode.events.EventState eventState8 = new org.apache.commons.math3.ode.events.EventState(eventHandler3, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver7);
    int i9 = eventState8.getMaxIterationCount();
    boolean b10 = eventState8.stop();
    double[] d_array13 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array13);
    boolean b15 = eventState8.reset(0.0d, d_array13);
    int i16 = org.apache.commons.math3.util.MathUtils.hash(d_array13);
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver21 = null;
    org.apache.commons.math3.ode.events.EventState eventState22 = new org.apache.commons.math3.ode.events.EventState(eventHandler17, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver21);
    int i23 = eventState22.getMaxIterationCount();
    boolean b24 = eventState22.stop();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    boolean b29 = eventState22.reset(0.0d, d_array27);
    double[] d_array34 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b35 = eventState22.reset(56.516459060951796d, d_array34);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.insertEquationData(d_array13, d_array34);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0f, Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-0.7183579793493745d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6229407956575255d));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 1.7528966507168187E24d, 1.0E-15d, (-0.7183579793493745d), 1072693279);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7453292519943298E-17d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(69.80246871042735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-437672695));

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    double d2 = org.apache.commons.math3.util.Precision.round(Double.NEGATIVE_INFINITY, 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.ode.events.EventState eventState11 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    double[] d_array16 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array16);
    double[] d_array21 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator22 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array16, d_array21);
    // The following exception was thrown during execution in test generation
    try {
      eventState11.stepAccepted(1.9377047211159066E-18d, d_array21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.2676506E30f, 0.0f, 110.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.729577951308233E-14d);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor((-127), maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.4330863854487743d, 4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.433086385448774d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 57.29577951308233d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(1.307972410734653d, 1.0E-15d, Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setMaxEvaluations(0);
    org.apache.commons.math3.ode.FirstOrderDifferentialEquations firstOrderDifferentialEquations14 = null;
    double[] d_array17 = new double[] { 1.0d };
    double[] d_array22 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array22);
    double[] d_array27 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array22, d_array27);
    // The following exception was thrown during execution in test generation
    try {
      double d29 = dormandPrince853Integrator9.integrate(firstOrderDifferentialEquations14, 1.4330863854487743d, d_array17, (-0.7236266338880267d), d_array27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(1.9855683087099187d, 69.80246871042735d, 0.19126786962680778d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1.7453292519943298E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7453292519943298E-17d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(110.0f, 100.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)(-1), (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)1);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(7.105427357601002E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.105427357600977E-15d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.19126786962680778d, 1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5650761913479965d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(56.516459060951796d, 7.105427357600977E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 56.516459060951796d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifySequence(0.19126786962680778d, 1.7453292519943298E-17d, 10.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    float f2 = org.apache.commons.math3.util.Precision.round(1.2676506E30f, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2676506E30f);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    float f3 = org.apache.commons.math3.util.Precision.round(10.0f, 1, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 10.1f);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver bracketedUnivariateSolver2 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution6 = org.apache.commons.math3.analysis.solvers.AllowedSolution.RIGHT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(6, univariateFunction1, bracketedUnivariateSolver2, 0.2d, (-0.7183579793493745d), 57.29577951308233d, allowedSolution6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution6);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(110.0f, 4.022191557777585d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 109.99999f);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor(1023, maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(89.04160334794895d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.680335587901077E38d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 2.718281828459045d, 4.680335587901077E38d, 2.2250738585072014E-308d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor(3, maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(2.2250738585072014E-308d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.450147717014403E-308d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)10, (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)10);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    boolean b7 = eventState5.stop();
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    boolean b12 = eventState5.reset(0.0d, d_array10);
    double[] d_array17 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b18 = eventState5.reset(56.516459060951796d, d_array17);
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator19 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState5.reinitializeBegin(stepInterpolator19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.0033382540782630537d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.003338266478753038d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyBracketing(univariateFunction0, 57.29577951308233d, 1.3239700339195063E12d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.433086385448774d, 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 100.4987562112089d, 1.7453292519943298E-17d, (-15.954589770191003d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(10.1f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 1.0000000000000002d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)(short)(-1));

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.04744296790374204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    java.lang.String str13 = dormandPrince853Integrator9.getName();
    double d14 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.ExpandableStatefulODE expandableStatefulODE15 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator9.integrate(expandableStatefulODE15, 1.0000000000000002d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str13.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(56.516459060951796d, 0.0d, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    float f2 = org.apache.commons.math3.util.Precision.round(110.0f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(2147483647, 1048576);
    int i3 = equationsMapper2.getFirstIndex();
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver8 = null;
    org.apache.commons.math3.ode.events.EventState eventState9 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver8);
    int i10 = eventState9.getMaxIterationCount();
    boolean b11 = eventState9.stop();
    double[] d_array14 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array14);
    boolean b16 = eventState9.reset(0.0d, d_array14);
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver21 = null;
    org.apache.commons.math3.ode.events.EventState eventState22 = new org.apache.commons.math3.ode.events.EventState(eventHandler17, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver21);
    int i23 = eventState22.getMaxIterationCount();
    boolean b24 = eventState22.stop();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    boolean b29 = eventState22.reset(0.0d, d_array27);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array14, d_array27);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.433086385448774d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifySequence(1.433086385448774d, 100.4987562112089d, 1.5707963267948966d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(100.0d, 89.0001015205856d, 1.5533448061434307d, 100);
    int i5 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = bracketingNthOrderBrentSolver4.solve(2147483647, univariateFunction7, 1.0000000000000002d, 2.718281828459045d, 2.7182818284590455d, allowedSolution11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(1.4330863854487743d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(100.4987562112089d, 5.298292365610485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0d, 0.0d, (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 3L);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    boolean b7 = eventState5.stop();
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    boolean b12 = eventState5.reset(0.0d, d_array10);
    org.apache.commons.math3.ode.events.EventHandler eventHandler13 = eventState5.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler13);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d7 = bracketingNthOrderBrentSolver4.getStartValue();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution12 = org.apache.commons.math3.analysis.solvers.AllowedSolution.RIGHT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = bracketingNthOrderBrentSolver4.solve((-1023), univariateFunction9, (-0.7236266338880267d), 1.3239700339195063E12d, allowedSolution12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution12);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.0d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.141592653589793d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.4330863854487743d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9905329613228776d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp((-10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-9.999999f));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.0d), 2.7182818284590455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, obj_array7);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)(byte)0, obj_array7);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable1, (java.lang.Number)1.0d, obj_array7);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(0.0d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.9905329613228776d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.004131068149194686d));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(56.516459060951796d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-0.6229407956575255d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6229407956575254d));

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-1), 1023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1023);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(57.29577951308232d, 1.7528966507168187E24d, 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver17 = null;
    org.apache.commons.math3.ode.events.EventState eventState18 = new org.apache.commons.math3.ode.events.EventState(eventHandler13, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver17);
    int i19 = eventState18.getMaxIterationCount();
    boolean b20 = eventState18.stop();
    double[] d_array23 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array23);
    boolean b25 = eventState18.reset(0.0d, d_array23);
    double[] d_array30 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b31 = eventState18.reset(56.516459060951796d, d_array30);
    org.apache.commons.math3.ode.events.EventHandler eventHandler32 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver36 = null;
    org.apache.commons.math3.ode.events.EventState eventState37 = new org.apache.commons.math3.ode.events.EventState(eventHandler32, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver36);
    int i38 = eventState37.getMaxIterationCount();
    boolean b39 = eventState37.stop();
    double[] d_array42 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array42);
    boolean b44 = eventState37.reset(0.0d, d_array42);
    dormandPrince853Integrator9.setStepSizeControl(5.298292365610485d, 2.718281828459045d, d_array30, d_array42);
    org.apache.commons.math3.ode.events.EventHandler eventHandler46 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver50 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d51 = bracketingNthOrderBrentSolver50.getAbsoluteAccuracy();
    double d52 = bracketingNthOrderBrentSolver50.getFunctionValueAccuracy();
    double d53 = bracketingNthOrderBrentSolver50.getMax();
    dormandPrince853Integrator9.addEventHandler(eventHandler46, 0.0d, 1.6487212707001282d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver50);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction56 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution60 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d61 = bracketingNthOrderBrentSolver50.solve(10, univariateFunction56, 1.9377047211159066E-18d, 1.0000000000000002d, 3.8518598887744717E-34d, allowedSolution60);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution60);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(1.0E-6d, 100.0d, 1.0d, 1.0E-6d);
    double d5 = noBracketingException4.getFHi();
    java.lang.String str6 = noBracketingException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math3.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [0, 100], values: [1, 0]"+ "'", str6.equals("org.apache.commons.math3.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [0, 100], values: [1, 0]"));

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(89.0001015205856d, 1.7453292519943298E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 89.0001015205856d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5574077246549023d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.ode.events.EventState eventState11 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction13 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d16 = bracketingNthOrderBrentSolver8.solve(0, univariateFunction13, 7.105427357600977E-15d, (-0.0d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    double d3 = org.apache.commons.math3.util.Precision.round(1.7453292519943298E-17d, (-1023), 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(1.5650761913479965d, 0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    java.lang.Object obj0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathUtils.checkNotNull(obj0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    boolean b7 = eventState5.stop();
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    boolean b12 = eventState5.reset(0.0d, d_array10);
    double d13 = eventState5.getMaxCheckInterval();
    org.apache.commons.math3.ode.events.EventHandler eventHandler15 = null;
    double[] d_array22 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array22);
    double[] d_array27 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array22, d_array27);
    int i29 = dormandPrince853Integrator28.getEvaluations();
    dormandPrince853Integrator28.clearStepHandlers();
    double d31 = dormandPrince853Integrator28.getSafety();
    double d32 = dormandPrince853Integrator28.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler33 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler37 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler41 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver45 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i46 = bracketingNthOrderBrentSolver45.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState47 = new org.apache.commons.math3.ode.events.EventState(eventHandler41, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver45);
    org.apache.commons.math3.ode.events.EventState eventState48 = new org.apache.commons.math3.ode.events.EventState(eventHandler37, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver45);
    dormandPrince853Integrator28.addEventHandler(eventHandler33, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver45);
    int i50 = bracketingNthOrderBrentSolver45.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState51 = new org.apache.commons.math3.ode.events.EventState(eventHandler15, Double.NaN, 0.0d, 1072693279, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver45);
    double[] d_array56 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array56);
    double[] d_array61 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator62 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array56, d_array61);
    int i63 = dormandPrince853Integrator62.getEvaluations();
    double d64 = dormandPrince853Integrator62.getMinReduction();
    dormandPrince853Integrator62.setSafety(0.0d);
    java.util.Collection collection67 = dormandPrince853Integrator62.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable68 = null;
    org.apache.commons.math3.exception.util.Localizable localizable69 = null;
    java.lang.Object[] obj_array71 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException72 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable69, obj_array71);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator62, localizable68, obj_array71);
    double d74 = dormandPrince853Integrator62.getMaxGrowth();
    double[] d_array80 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array80);
    double[] d_array85 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator86 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array80, d_array85);
    double[] d_array88 = new double[] { (-1.0d) };
    dormandPrince853Integrator62.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array85, d_array88);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array88);
    boolean b91 = eventState51.reset(0.6020638221877662d, d_array88);
    // The following exception was thrown during execution in test generation
    try {
      eventState5.stepAccepted(2.7182818284590455d, d_array88);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == false);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException5 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable1, (java.lang.Number)(-1), (java.lang.Number)(byte)10, true);
    java.lang.Throwable[] throwable_array6 = numberIsTooSmallException5.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-0.7183579793493745d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7183579793493745d);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)4.741297982545108d, false);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(109.99999f, (-10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 109.99999f);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 0, (-1023));
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable12, obj_array14);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable10, (java.lang.Number)(byte)0, obj_array14);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable8, (java.lang.Number)1.0d, obj_array14);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { obj_array14 };
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable6, (java.lang.Number)56.516459060951796d, obj_array18);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException20 = new org.apache.commons.math3.exception.NullArgumentException(localizable5, obj_array18);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)dimensionMismatchException3, localizable4, obj_array18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp((-1.4E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable4, obj_array6);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException(localizable3, obj_array6);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException9 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable1, (java.lang.Number)(short)100, obj_array6);
    java.lang.Throwable[] throwable_array10 = notFiniteNumberException9.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.003338266478753038d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(4.680335587901077E38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.6816347589161262E40d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator7 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b8 = eventState6.evaluateStep(stepInterpolator7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setInitialStepSize(0.0d);
    double d14 = dormandPrince853Integrator9.getMaxStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 57.29577951308232d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.7183579793493745d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7693572253635211d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyBracketing(univariateFunction0, 2.718281828459045d, 0.9d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.0d, 0.19126786962680778d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999999999999d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d5 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution9 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ABOVE_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(0, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver2, 55.82331188039185d, 0.0d, 0.0d, allowedSolution9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution9);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(55.82331188039185d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.715258503850705d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 0.0033382540782630537d, 1.0000000000000002d, 1.433086385448774d, 5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(0.0d, Double.NaN, 0.04744296790374204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign((-1L), 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.4E-45f, Float.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 0.0d, (-15.954589770191003d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(3.8518598887744717E-34d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 4.680335587901077E38d, 0.0d, 1.9377047211159066E-18d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.5650761913479965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 174.81912842960364d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 267.74489404101644d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-0.6229407956575254d), 57.29577951308233d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.010871939557916386d));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution12 = org.apache.commons.math3.analysis.solvers.AllowedSolution.LEFT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = bracketingNthOrderBrentSolver4.solve(3, univariateFunction8, 0.0d, 1.0E-15d, 0.003338266478753038d, allowedSolution12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution12);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.0d, (-0.9117339147869651d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9117339147869651d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2250738585072014E-308d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(6, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(4.680335587901077E38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)5.729577951308233E-14d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.2182829050172777d, 5.729577951308233E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2182829050172777d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(1.5707963267948966d, 57.29577951308233d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 57.29577951308233d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction32 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution35 = org.apache.commons.math3.analysis.solvers.AllowedSolution.LEFT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d36 = bracketingNthOrderBrentSolver26.solve(0, univariateFunction32, 0.0d, 4.9E-324d, allowedSolution35);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution35);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 10.0d, 57.29577951308233d, 0);
    double[] d_array21 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array21);
    double[] d_array26 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator27 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array21, d_array26);
    int i28 = dormandPrince853Integrator27.getEvaluations();
    double d29 = dormandPrince853Integrator27.getMinReduction();
    dormandPrince853Integrator27.setSafety(0.0d);
    java.util.Collection collection32 = dormandPrince853Integrator27.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    org.apache.commons.math3.exception.util.Localizable localizable34 = null;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException37 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable34, obj_array36);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator27, localizable33, obj_array36);
    double d39 = dormandPrince853Integrator27.getMaxGrowth();
    double[] d_array45 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array45);
    double[] d_array50 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator51 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array45, d_array50);
    double[] d_array53 = new double[] { (-1.0d) };
    dormandPrince853Integrator27.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array50, d_array53);
    double[] d_array58 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array58);
    double[] d_array63 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator64 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array58, d_array63);
    int i65 = dormandPrince853Integrator64.getEvaluations();
    double d66 = dormandPrince853Integrator64.getMinReduction();
    dormandPrince853Integrator64.setSafety(0.0d);
    java.util.Collection collection69 = dormandPrince853Integrator64.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable70 = null;
    org.apache.commons.math3.exception.util.Localizable localizable71 = null;
    java.lang.Object[] obj_array73 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException74 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable71, obj_array73);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator64, localizable70, obj_array73);
    double d76 = dormandPrince853Integrator64.getMaxGrowth();
    double[] d_array82 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array82);
    double[] d_array87 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator88 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array82, d_array87);
    double[] d_array90 = new double[] { (-1.0d) };
    dormandPrince853Integrator64.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array87, d_array90);
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator9.computeDerivatives(0.04744296790374204d, d_array50, d_array87);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    double d3 = org.apache.commons.math3.util.Precision.round(267.74489404101644d, 0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 268.0d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(267.74489404101644d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-0.6229407956575254d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(short)10, (java.lang.Number)2.7182818284590455d, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = numberIsTooLargeException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 2.7182818284590455d+ "'", number5.equals(2.7182818284590455d));

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(3, 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.6020638221877662d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.307972410734653d, (-1008700321));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    java.lang.String str13 = dormandPrince853Integrator9.getName();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler14, 1.9855683087099187d, 0.9988186212247272d, (-1));
    org.apache.commons.math3.ode.ExpandableStatefulODE expandableStatefulODE19 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator9.integrate(expandableStatefulODE19, 0.9d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str13.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(5.729577951308233E-14d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.0d, 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0L, number1, true);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.7183579793493745d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7183579793493745d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(1048576, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1048576));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, (-1074790400));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 0.6020638221877662d, 0.9905329613228776d, 1.9377047211159066E-18d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(6.283185307179586d, 1.7528966507168187E24d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.283185307179587d);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.ode.events.EventState eventState11 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator12 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState11.reinitializeBegin(stepInterpolator12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.5346958487132123d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7853981633974483d));

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(3.7168146928204138d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 20.55442608508861d);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(268.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.284137641783304d);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    double d3 = org.apache.commons.math3.util.Precision.round(3.7168146928204138d, 5, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 3.71681d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.9999999999999999d, Double.NEGATIVE_INFINITY, 1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-0.7853981633974483d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f1, Float.NaN, 0);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, Float.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(1.0d, (-1.1649370223156144d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    double d2 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.midpoint(1.7528966507168187E24d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.764483253584093E23d);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(0.0f, (-1), (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000000001666E-6d);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    org.apache.commons.math3.ode.FirstOrderDifferentialEquations firstOrderDifferentialEquations12 = null;
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[] d_array22 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator23 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array17, d_array22);
    int i24 = dormandPrince853Integrator23.getEvaluations();
    double d25 = dormandPrince853Integrator23.getMinReduction();
    dormandPrince853Integrator23.setSafety(0.0d);
    double d28 = dormandPrince853Integrator23.getMinReduction();
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[] d_array39 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator40 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array34, d_array39);
    int i41 = dormandPrince853Integrator40.getEvaluations();
    double d42 = dormandPrince853Integrator40.getMinReduction();
    dormandPrince853Integrator40.setSafety(0.0d);
    java.util.Collection collection45 = dormandPrince853Integrator40.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable46 = null;
    org.apache.commons.math3.exception.util.Localizable localizable47 = null;
    java.lang.Object[] obj_array49 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException50 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable47, obj_array49);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator40, localizable46, obj_array49);
    double d52 = dormandPrince853Integrator40.getMaxGrowth();
    double[] d_array58 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array58);
    double[] d_array63 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator64 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array58, d_array63);
    double[] d_array66 = new double[] { (-1.0d) };
    dormandPrince853Integrator40.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array63, d_array66);
    org.apache.commons.math3.ode.events.EventHandler eventHandler68 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver72 = null;
    org.apache.commons.math3.ode.events.EventState eventState73 = new org.apache.commons.math3.ode.events.EventState(eventHandler68, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver72);
    int i74 = eventState73.getMaxIterationCount();
    boolean b75 = eventState73.stop();
    double[] d_array78 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array78);
    boolean b80 = eventState73.reset(0.0d, d_array78);
    int i81 = org.apache.commons.math3.util.MathUtils.hash(d_array78);
    dormandPrince853Integrator23.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array63, d_array78);
    double[] d_array87 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array87);
    double[] d_array92 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator93 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array87, d_array92);
    // The following exception was thrown during execution in test generation
    try {
      double d94 = dormandPrince853Integrator9.integrate(firstOrderDifferentialEquations12, 1.5707963267948966d, d_array63, 2.6816347589161262E40d, d_array87);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i81 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    int i14 = dormandPrince853Integrator13.getEvaluations();
    dormandPrince853Integrator13.clearStepHandlers();
    double d16 = dormandPrince853Integrator13.getSafety();
    double d17 = dormandPrince853Integrator13.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i31 = bracketingNthOrderBrentSolver30.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState32 = new org.apache.commons.math3.ode.events.EventState(eventHandler26, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    org.apache.commons.math3.ode.events.EventState eventState33 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    dormandPrince853Integrator13.addEventHandler(eventHandler18, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    int i35 = bracketingNthOrderBrentSolver30.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState36 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, Double.NaN, 0.0d, 1072693279, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    double d37 = eventState36.getEventTime();
    double[] d_array42 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array42);
    double[] d_array47 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator48 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array42, d_array47);
    int i49 = dormandPrince853Integrator48.getEvaluations();
    double d50 = dormandPrince853Integrator48.getMinReduction();
    dormandPrince853Integrator48.setSafety(0.0d);
    java.util.Collection collection53 = dormandPrince853Integrator48.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable54 = null;
    org.apache.commons.math3.exception.util.Localizable localizable55 = null;
    java.lang.Object[] obj_array57 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException58 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable55, obj_array57);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator48, localizable54, obj_array57);
    double d60 = dormandPrince853Integrator48.getMaxGrowth();
    double[] d_array66 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array66);
    double[] d_array71 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator72 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array66, d_array71);
    double[] d_array74 = new double[] { (-1.0d) };
    dormandPrince853Integrator48.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array71, d_array74);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array74);
    // The following exception was thrown during execution in test generation
    try {
      eventState36.stepAccepted(0.0d, d_array74);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d7 = bracketingNthOrderBrentSolver4.getStartValue();
    double d8 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    double d9 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d15 = bracketingNthOrderBrentSolver4.solve(1072693279, univariateFunction11, 1.5650761913479965d, 57.29577951308233d, (-0.7853981633974483d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(1.0f, Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(6.284137641783304d, 4.715258503850705d, 1.6487212707001282d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 4.635416371083176d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i7 = bracketingNthOrderBrentSolver6.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState8 = new org.apache.commons.math3.ode.events.EventState(eventHandler2, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver6);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution12 = org.apache.commons.math3.analysis.solvers.AllowedSolution.LEFT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(0, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver6, 0.9d, 2.6816347589161262E40d, 8.764483253584093E23d, allowedSolution12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution12);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.9d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(0.0d, 1.0000000000001666E-6d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-1), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.19126786962680778d, (java.lang.Number)10.0f, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = numberIsTooLargeException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.1102230246251565E-16d, (-0.010871939557916386d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.010871939557916386d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, (-1.1649370223156144d), 7.105427357600977E-15d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(55.82331188039185d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7528966507168155E24d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 56.516459060951796d, 0.0d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.5650761913479965d, (java.lang.Number)5, false);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)0, (short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)0);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(2, (-1048576));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2));

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver5 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 89.04160334794895d, 10);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution9 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ABOVE_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(1048576, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver5, 1.7453292519943298E-17d, 7.105427357600977E-15d, 1.5707963267948966d, allowedSolution9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution9);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)100, (byte)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)100);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(5.729577951308233E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.729577951308233E-14d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 89.04160334794895d, 10);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = bracketingNthOrderBrentSolver3.solve(10, univariateFunction5, 1.2182829050172777d, 0.0033382540782630537d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)0, (byte)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)0);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.9999999999999999d, 1.9855683087099187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.9855683087099188d));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 128);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(10.0f, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 40.0f);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(0.010871939557916386d, 8, 1072693279);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    incrementor0.resetCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(1.0d, 174.81912842960364d);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver bracketedUnivariateSolver2 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution6 = org.apache.commons.math3.analysis.solvers.AllowedSolution.RIGHT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(2, univariateFunction1, bracketedUnivariateSolver2, 0.0d, 4.741297982545108d, 0.19126786962680778d, allowedSolution6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution6);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 0.9117339147869651d, 89.04160334794895d, 1.0000000000001666E-6d, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence(1.307972410734653d, 10.0d, 57.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(number0);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isBracketing(univariateFunction0, Double.NaN, 0.0033382540782630537d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(4.022191557777585d, 89.04160334794895d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.0d), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8414709848078965d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2578581451356334d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4404105453714162d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 4.450147717014403E-308d, 0.8414709848078965d, 1.9855683087099187d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(5.298292365610485d, 3.5346958487132123d, 2.7182818284590455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(0, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler3 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver7 = null;
    org.apache.commons.math3.ode.events.EventState eventState8 = new org.apache.commons.math3.ode.events.EventState(eventHandler3, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver7);
    int i9 = eventState8.getMaxIterationCount();
    boolean b10 = eventState8.stop();
    double[] d_array13 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array13);
    boolean b15 = eventState8.reset(0.0d, d_array13);
    int i16 = org.apache.commons.math3.util.MathUtils.hash(d_array13);
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    dormandPrince853Integrator26.setSafety(0.0d);
    java.util.Collection collection31 = dormandPrince853Integrator26.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable33, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator26, localizable32, obj_array35);
    double d38 = dormandPrince853Integrator26.getMaxGrowth();
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    double[] d_array49 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array44, d_array49);
    double[] d_array52 = new double[] { (-1.0d) };
    dormandPrince853Integrator26.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array49, d_array52);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array13, d_array49);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.19126786962680778d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

}
