
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest10 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test001"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.5057060085689367d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1461639057678723d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test002"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta((-9.98995054934546d), 7.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.0d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test003"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor(1079394304, maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test004"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.5111573E23f, 1.4210855E-14f, 5120.001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test005"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-1855157276), (-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1855157276));

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test006"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.4E-45f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test007"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)0, obj_array9);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array9);
    java.lang.Throwable[] throwable_array13 = noBracketingException12.getSuppressed();
    double d14 = noBracketingException12.getFHi();
    double d15 = noBracketingException12.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0000000000000002d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test008"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.6844312379643663d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.774778762203955d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test009"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(1040157601, 1016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1040157601);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test010"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator((-0.17861878967121592d), 0.0d, 1.1222251826365788d, 0.0d);
    int i5 = dormandPrince853Integrator4.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 8);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test011"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.0d, 0.193652852693194d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test012"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 0.0d, 1.3239700339195063E12d, 10);
    org.apache.commons.math3.ode.events.EventState eventState9 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.4544647885143314d, 0.8586917598249741d, 2147483647, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.ode.events.EventHandler eventHandler10 = eventState9.getEventHandler();
    boolean b11 = eventState9.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test013"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(2.381376601119429d, 0.13727509800736173d, 5.021679000434556E25d, 1.9377047211159066E-18d);
    double d5 = noBracketingException4.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.381376601119429d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test014"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(182827.24966984757d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.570790857150728d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test015"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(20.55432951299603d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.533688290233023d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test016"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(10.100001f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test017"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(1.3239700339195051E12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test018"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval((-0.9696671954212148d), 4.74129798254511d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test019"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.9440892412430648d, 0.03706181006776965d, (-0.3193333932016795d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test020"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0d, 1.0667023102587845d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test021"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.ode.events.EventState eventState11 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction13 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d16 = bracketingNthOrderBrentSolver8.solve((-156150945), univariateFunction13, (-20.55442608508861d), 2.301298902307259d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test022"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.230709399416602d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8578713573100938d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test023"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals((-5.041071440620198E7d), 0.6118795358040479d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test024"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 10.0d, 57.29577951308233d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler17, 0.0d, 1.1102230246251565E-16d, (-2));
    dormandPrince853Integrator9.setMaxGrowth((-0.8390740820605876d));
    org.apache.commons.math3.ode.events.EventHandler eventHandler24 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver28 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler24, 9.869604401089358d, 0.04746076762388862d, 7, univariateSolver28);
    double d30 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler31 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.2d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test025"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler16, 3.141592653589793d, 4.741297982545108d, 100);
    java.util.Collection collection21 = dormandPrince853Integrator9.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test026"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum((-109.99999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test027"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0d, 0.8906073261959583d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test028"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(6.557536516019443d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test029"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-1280.0001f), 1.2207037E-4f, 9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test030"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver17 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d18 = bracketingNthOrderBrentSolver17.getAbsoluteAccuracy();
    int i19 = bracketingNthOrderBrentSolver17.getMaxEvaluations();
    double d20 = bracketingNthOrderBrentSolver17.getAbsoluteAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler13, 0.0d, 1.5650761913479965d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver17);
    double d22 = dormandPrince853Integrator9.getSafety();
    org.apache.commons.math3.ode.events.EventHandler eventHandler23 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler23, 2.4741354375614093d, 0.011336341985590748d, 20);
    int i28 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.setMinReduction(30681.411826042317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test031"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(2.8479019237863192d, 0.0474785873874307d, 1.4544647885143316d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test032"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.4E-45f, (-8));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test033"); }


    double[] d_array4 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[] d_array9 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator10 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array4, d_array9);
    int i11 = dormandPrince853Integrator10.getEvaluations();
    dormandPrince853Integrator10.clearStepHandlers();
    double d13 = dormandPrince853Integrator10.getSafety();
    java.lang.String str14 = dormandPrince853Integrator10.getName();
    java.util.Collection collection15 = dormandPrince853Integrator10.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    org.apache.commons.math3.exception.util.Localizable localizable17 = null;
    double[] d_array21 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array21);
    double[] d_array26 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator27 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array21, d_array26);
    int i28 = dormandPrince853Integrator27.getEvaluations();
    double d29 = dormandPrince853Integrator27.getMinReduction();
    dormandPrince853Integrator27.setSafety(0.0d);
    java.util.Collection collection32 = dormandPrince853Integrator27.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    org.apache.commons.math3.exception.util.Localizable localizable34 = null;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException37 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable34, obj_array36);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator27, localizable33, obj_array36);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException39 = new org.apache.commons.math3.exception.MathArithmeticException(localizable17, obj_array36);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)collection15, localizable16, obj_array36);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException41 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)40.0f, obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str14.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test034"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.0d, 1.0000000000000002d, 10, univariateSolver4);
    double d6 = eventState5.getConvergence();
    org.apache.commons.math3.ode.events.EventHandler eventHandler7 = eventState5.getEventHandler();
    org.apache.commons.math3.ode.events.EventHandler eventHandler9 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver13 = null;
    org.apache.commons.math3.ode.events.EventState eventState14 = new org.apache.commons.math3.ode.events.EventState(eventHandler9, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver13);
    int i15 = eventState14.getMaxIterationCount();
    boolean b16 = eventState14.stop();
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    boolean b21 = eventState14.reset(0.0d, d_array19);
    int i22 = org.apache.commons.math3.util.MathUtils.hash(d_array19);
    int i23 = org.apache.commons.math3.util.MathUtils.hash(d_array19);
    // The following exception was thrown during execution in test generation
    try {
      eventState5.stepAccepted(0.11969494830008531d, d_array19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1072693279);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test035"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.49691023646911164d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.49691023646911164d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test036"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(8.764483253584077E23d, 4.022191557777585d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.764483253584077E23d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test037"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, (-0.9999902065507035d), Double.POSITIVE_INFINITY, (-0.6045536610756909d), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test038"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.6487212707001282d, 89.04160334794895d, 1.5337260269320758d, 0.0d);
    double d13 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    java.lang.String str14 = dormandPrince853Integrator12.getName();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler15 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler15);
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver25 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 0.0d, 1.3239700339195063E12d, 10);
    dormandPrince853Integrator12.addEventHandler(eventHandler17, 3.141592653589794d, 0.8586917598249741d, (-1008700321), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver25);
    int i27 = bracketingNthOrderBrentSolver25.getMaximalOrder();
    double d28 = bracketingNthOrderBrentSolver25.getFunctionValueAccuracy();
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 1.1538644161394662d, 0.755894649162675d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver25);
    org.apache.commons.math3.ode.events.EventState eventState30 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.0E-6d, (-0.5869211956997074d), (-64), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver25);
    int i31 = eventState30.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 12.11630246473763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str14.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.3239700339195063E12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == (-64));

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test039"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.3587424110426044d, 0.0d, 0.0d, 128);
    double d5 = bracketingNthOrderBrentSolver4.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = null;
    org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver bracketedUnivariateSolver12 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction17 = null;
    double[] d_array21 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array21);
    double[] d_array26 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator27 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array21, d_array26);
    int i28 = dormandPrince853Integrator27.getEvaluations();
    double d29 = dormandPrince853Integrator27.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler30 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver34 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d35 = bracketingNthOrderBrentSolver34.getAbsoluteAccuracy();
    double d36 = bracketingNthOrderBrentSolver34.getFunctionValueAccuracy();
    dormandPrince853Integrator27.addEventHandler(eventHandler30, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver34);
    java.lang.String str38 = dormandPrince853Integrator27.getName();
    int i39 = dormandPrince853Integrator27.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler40 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler44 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver48 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i49 = bracketingNthOrderBrentSolver48.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState50 = new org.apache.commons.math3.ode.events.EventState(eventHandler44, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver48);
    double d51 = bracketingNthOrderBrentSolver48.getStartValue();
    int i52 = bracketingNthOrderBrentSolver48.getEvaluations();
    int i53 = bracketingNthOrderBrentSolver48.getEvaluations();
    dormandPrince853Integrator27.addEventHandler(eventHandler40, (-0.7853981633974483d), Double.NaN, (-1074790400), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver48);
    double d55 = bracketingNthOrderBrentSolver48.getRelativeAccuracy();
    int i56 = bracketingNthOrderBrentSolver48.getEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction61 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler62 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler66 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver70 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i71 = bracketingNthOrderBrentSolver70.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState72 = new org.apache.commons.math3.ode.events.EventState(eventHandler66, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver70);
    org.apache.commons.math3.ode.events.EventState eventState73 = new org.apache.commons.math3.ode.events.EventState(eventHandler62, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver70);
    double d74 = bracketingNthOrderBrentSolver70.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction79 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver82 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution86 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d87 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction79, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver82, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution86);
    double d88 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction61, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver70, 3.5346958487132123d, 3116.2421492954973d, 1.0365374526472741d, allowedSolution86);
    double d89 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(5, univariateFunction17, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver48, 0.5454487991429904d, 1.5707963267948861d, 0.0010036119355930628d, allowedSolution86);
    double d90 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction11, bracketedUnivariateSolver12, 6.641592653589793d, 4.1777137910516685E-9d, 2.6881171418161356E43d, allowedSolution86);
    // The following exception was thrown during execution in test generation
    try {
      double d91 = bracketingNthOrderBrentSolver4.solve(1548262112, univariateFunction7, 0.004210808696553567d, (-0.9999981294886112d), allowedSolution86);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str38.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 3.5346958487132123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.5454487991429904d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 6.641592653589793d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test040"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(3198.44016918896d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3198.44016918896d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test041"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    dormandPrince853Integrator26.setSafety(0.0d);
    java.util.Collection collection31 = dormandPrince853Integrator26.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable33, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator26, localizable32, obj_array35);
    double d38 = dormandPrince853Integrator26.getMaxGrowth();
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    double[] d_array49 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array44, d_array49);
    double[] d_array52 = new double[] { (-1.0d) };
    dormandPrince853Integrator26.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array49, d_array52);
    org.apache.commons.math3.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver58 = null;
    org.apache.commons.math3.ode.events.EventState eventState59 = new org.apache.commons.math3.ode.events.EventState(eventHandler54, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver58);
    int i60 = eventState59.getMaxIterationCount();
    boolean b61 = eventState59.stop();
    double[] d_array64 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    boolean b66 = eventState59.reset(0.0d, d_array64);
    int i67 = org.apache.commons.math3.util.MathUtils.hash(d_array64);
    dormandPrince853Integrator9.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array49, d_array64);
    double d69 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.setInitialStepSize((-15.954589770191003d));
    java.util.Collection collection72 = dormandPrince853Integrator9.getStepHandlers();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler73 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler73);
    dormandPrince853Integrator9.setInitialStepSize(0.8452266201420958d);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)0.8452266201420958d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection72);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test042"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(1.2299287558360417d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2299287558360419d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test043"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.1274331234873514d, (-0.10491011863382856d), 0.42633911841808364d, 0.5419356349668824d);
    double d5 = dormandPrince853Integrator4.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.1274331234873514d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test044"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(60.56468602599261d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7822194701329988d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test045"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    double d16 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.clearEventHandlers();
    dormandPrince853Integrator9.setSafety(69.80246871042735d);
    int i20 = dormandPrince853Integrator9.getOrder();
    dormandPrince853Integrator9.clearStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 8);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test046"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    java.util.Collection collection15 = dormandPrince853Integrator9.getEventHandlers();
    dormandPrince853Integrator9.setMinReduction(4.022191557777585d);
    java.lang.String str18 = dormandPrince853Integrator9.getName();
    int i19 = dormandPrince853Integrator9.getEvaluations();
    double d20 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)d20, localizable21, obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str18.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 10.0d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test047"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.8453633723701408d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test048"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-0.27579349315557344d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2793030502576908d));

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test049"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(0, 0);
    int i3 = equationsMapper2.getFirstIndex();
    int i4 = equationsMapper2.getDimension();
    int i5 = equationsMapper2.getFirstIndex();
    int i6 = equationsMapper2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test050"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(short)10, (java.lang.Number)2.7182818284590455d, false);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException8 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable5, (-1074790400), 10);
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)dimensionMismatchException8);
    boolean b10 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number11 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 2.7182818284590455d+ "'", number11.equals(2.7182818284590455d));

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test051"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.9092974268256818d, (-14.148409796207115d), 0.5876024008404429d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test052"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.8771301074319142d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 50.25585323970517d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test053"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.80144007E16f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.80144007E16f);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test054"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(5L, 89L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5L);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test055"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(1078755329, (-1040157601));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1040157601));

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test056"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.4551915E-11f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4551915E-11f);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test057"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(3.051758E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.0517585E-5f);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test058"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(16L, 535L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 535L);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test059"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(0.8922742437892242d, 8.764483253584077E23d);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test060"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)Double.NaN);
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    java.lang.Number number4 = notStrictlyPositiveException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)number4, Double.NaN, 0);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test061"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-0.005022564003286406d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-8.766027874949508E-5d));

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test062"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable9, obj_array11);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable7, (java.lang.Number)(byte)0, obj_array11);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)(-15.954589770191003d), obj_array11);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)(-0.3629915385588507d), obj_array11);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable1, (java.lang.Number)1.2601582175503392d, obj_array11);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array11);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str18 = mathArithmeticException17.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test063"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(Double.NEGATIVE_INFINITY, 1.1368683772160957E-13d, 13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test064"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(3.0517585E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test065"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-0.30384150121170883d), 1.0276251499968108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test066"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    int i14 = dormandPrince853Integrator13.getEvaluations();
    dormandPrince853Integrator13.clearStepHandlers();
    double d16 = dormandPrince853Integrator13.getSafety();
    double d17 = dormandPrince853Integrator13.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i31 = bracketingNthOrderBrentSolver30.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState32 = new org.apache.commons.math3.ode.events.EventState(eventHandler26, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    org.apache.commons.math3.ode.events.EventState eventState33 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    dormandPrince853Integrator13.addEventHandler(eventHandler18, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    int i35 = bracketingNthOrderBrentSolver30.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState36 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, Double.NaN, 0.0d, 1072693279, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    double d37 = eventState36.getEventTime();
    boolean b38 = eventState36.stop();
    int i39 = eventState36.getMaxIterationCount();
    double d40 = eventState36.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test067"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-0.0025290483600522618d), (java.lang.Number)(-7), true);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test068"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 0.0d, 1.3239700339195063E12d, 10);
    org.apache.commons.math3.ode.events.EventState eventState9 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1274331234873514d, 0.009712074733389654d, (-10), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    double d10 = bracketingNthOrderBrentSolver8.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction12 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = bracketingNthOrderBrentSolver8.solve(0, univariateFunction12, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test069"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = bracketingNthOrderBrentSolver2.solve(1008700321, univariateFunction4, 0.9790176866124057d, 5.27892534775958E-44d, 1.4544647885143316d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test070"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(0.11531348450050588d, (-0.9226350743220142d), 0.8033372065277675d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.2346113522947526d);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test071"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(3.594966587408988E86d, (-0.911733914786965d), 996147200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test072"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(1.273333978E10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2044217414));

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test073"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 6.283185307179588d, 4.727600808851775d, 4.533688290233023d, (-1074790369));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test074"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(3.051758E-5f, 1.2207034E-4f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test075"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(0.8033372065277675d, 6.101067451441691d, 1.233403117511217d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test076"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException7 = new org.apache.commons.math3.exception.DimensionMismatchException((-1023), (-437672695));
    java.lang.Throwable[] throwable_array8 = dimensionMismatchException7.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable4, (java.lang.Object[])throwable_array8);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)20.55442608508861d, (java.lang.Object[])throwable_array8);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)(-14L), (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test077"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 70.4956158909873d, (-13.931600850511284d), 1.0924195670341623d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test078"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.0337274933484122d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03317119526715738d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test079"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)3.183628823724015d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test080"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(3.5346958487132123d, 1.19431599778939d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.534695848713212d);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test081"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(6.414441062165243d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test082"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isBracketing(univariateFunction0, 0.9143356863224049d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test083"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.0667023102587847d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test084"); }


    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException5 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)2L);
    java.lang.Number number6 = maxCountExceededException5.getMax();
    java.lang.Number number7 = maxCountExceededException5.getMax();
    java.lang.Throwable[] throwable_array8 = maxCountExceededException5.getSuppressed();
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)1.192093E-7f, (java.lang.Object[])throwable_array8);
    org.apache.commons.math3.exception.MathInternalError mathInternalError10 = new org.apache.commons.math3.exception.MathInternalError(localizable1, (java.lang.Object[])throwable_array8);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)102.07082477299332d, (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 2L+ "'", number6.equals(2L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 2L+ "'", number7.equals(2L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test085"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(2.225073858507202E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-708.3964185322641d));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test086"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(60.56468602599261d, 42.70838196966992d, 1.0761628066204758d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test087"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(4.0482269650408105d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.07065488940797952d);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test088"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(3.5346958487132123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 33.284585427494d);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test089"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d17 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d18 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    java.lang.String str20 = dormandPrince853Integrator9.getName();
    int i21 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i31 = bracketingNthOrderBrentSolver30.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState32 = new org.apache.commons.math3.ode.events.EventState(eventHandler26, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    double d33 = bracketingNthOrderBrentSolver30.getStartValue();
    int i34 = bracketingNthOrderBrentSolver30.getEvaluations();
    int i35 = bracketingNthOrderBrentSolver30.getEvaluations();
    dormandPrince853Integrator9.addEventHandler(eventHandler22, (-0.7853981633974483d), Double.NaN, (-1074790400), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    double d37 = bracketingNthOrderBrentSolver30.getRelativeAccuracy();
    int i38 = bracketingNthOrderBrentSolver30.getEvaluations();
    int i39 = bracketingNthOrderBrentSolver30.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str20.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 5);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test090"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    java.util.Collection collection22 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver27 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler23, 0.6118795358040477d, 4.741297982545109d, (-1023), univariateSolver27);
    dormandPrince853Integrator9.setInitialStepSize(1.5650761913479965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection22);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test091"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    incrementor0.resetCount();
    incrementor0.setMaximalCount((-1048576));
    int i4 = incrementor0.getMaximalCount();
    int i5 = incrementor0.getCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1048576));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test092"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    double[] d_array15 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array10, d_array15);
    int i17 = dormandPrince853Integrator16.getEvaluations();
    double d18 = dormandPrince853Integrator16.getMinReduction();
    dormandPrince853Integrator16.setSafety(0.0d);
    java.util.Collection collection21 = dormandPrince853Integrator16.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable22 = null;
    org.apache.commons.math3.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable23, obj_array25);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator16, localizable22, obj_array25);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException28 = new org.apache.commons.math3.exception.MathArithmeticException(localizable6, obj_array25);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException29 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)1.0000010000005d, obj_array25);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException30 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 0.0d, 1.9348040876847974d, 1.0842021724855047E-19d, 1.0379161987262366E-64d, obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test093"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.006431261877544614d, (-0.5834260948432356d), 0.5000121109089047d, (-1074790369));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test094"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-1.159499781258839d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test095"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.741297982545108d, (-0.7236266338880267d), 1.9855683087099187d, 10);
    double d7 = bracketingNthOrderBrentSolver6.getRelativeAccuracy();
    double d8 = bracketingNthOrderBrentSolver6.getRelativeAccuracy();
    double d9 = bracketingNthOrderBrentSolver6.getFunctionValueAccuracy();
    double d10 = bracketingNthOrderBrentSolver6.getFunctionValueAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction15 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver19 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 89.04160334794895d, 10);
    double d20 = bracketingNthOrderBrentSolver19.getStartValue();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction25 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.741297982545108d, (-0.7236266338880267d), 1.9855683087099187d, 10);
    double d31 = bracketingNthOrderBrentSolver30.getRelativeAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction36 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler37 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler41 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver45 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i46 = bracketingNthOrderBrentSolver45.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState47 = new org.apache.commons.math3.ode.events.EventState(eventHandler41, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver45);
    org.apache.commons.math3.ode.events.EventState eventState48 = new org.apache.commons.math3.ode.events.EventState(eventHandler37, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver45);
    double d49 = bracketingNthOrderBrentSolver45.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction54 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver57 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution61 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d62 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction54, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver57, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution61);
    double d63 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction36, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver45, 3.5346958487132123d, 3116.2421492954973d, 1.0365374526472741d, allowedSolution61);
    double d64 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide((-1074790400), univariateFunction25, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver30, 5.0E-7d, 0.0d, 48.196948051694136d, allowedSolution61);
    double d65 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(1023, univariateFunction15, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver19, (-1.4819636064814712d), 0.8771301074319142d, 0.5299153585255104d, allowedSolution61);
    double d66 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(31, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver6, 2.3763644578689498E-212d, 3.0d, 0.0d, allowedSolution61);
    int i67 = bracketingNthOrderBrentSolver6.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.9855683087099187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.9855683087099187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 3.5346958487132123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 5.0E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == (-1.4819636064814712d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 2.3763644578689498E-212d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test096"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.3587424110426044d);
    java.lang.Throwable[] throwable_array3 = notStrictlyPositiveException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test097"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(7.105427357600977E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-48));

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test098"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.017453292519943295d, 0.7219634380306929d, 1793092981);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test099"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    incrementor1.incrementCount();

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test100"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(0.03707029986282079d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-461218840));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test101"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(3.7168099999999953d, 0.6207332270415868d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test102"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.12630021633152d, 0.2232160270316003d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.12630021633152d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test103"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(1.0018259633751618d, (-0.36181331694401336d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test104"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(16.32110335040177d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6125409.503299978d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test105"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1280.0002f, Float.POSITIVE_INFINITY, 13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test106"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(2.381376601119429d, 0.0d, 2147483647);
    double d4 = bracketingNthOrderBrentSolver3.getRelativeAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver14 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.321813991248445d, (-0.17861878967121592d), 1072693248);
    double d15 = bracketingNthOrderBrentSolver14.getMax();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction20 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler21 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver25 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i26 = bracketingNthOrderBrentSolver25.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState27 = new org.apache.commons.math3.ode.events.EventState(eventHandler21, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver25);
    double d28 = bracketingNthOrderBrentSolver25.getStartValue();
    double d29 = bracketingNthOrderBrentSolver25.getFunctionValueAccuracy();
    double d30 = bracketingNthOrderBrentSolver25.getAbsoluteAccuracy();
    double d31 = bracketingNthOrderBrentSolver25.getStartValue();
    double d32 = bracketingNthOrderBrentSolver25.getMax();
    double d33 = bracketingNthOrderBrentSolver25.getFunctionValueAccuracy();
    int i34 = bracketingNthOrderBrentSolver25.getMaxEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction39 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver44 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.741297982545108d, (-0.7236266338880267d), 1.9855683087099187d, 10);
    double d45 = bracketingNthOrderBrentSolver44.getRelativeAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction50 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler51 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler55 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver59 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i60 = bracketingNthOrderBrentSolver59.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState61 = new org.apache.commons.math3.ode.events.EventState(eventHandler55, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver59);
    org.apache.commons.math3.ode.events.EventState eventState62 = new org.apache.commons.math3.ode.events.EventState(eventHandler51, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver59);
    double d63 = bracketingNthOrderBrentSolver59.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction68 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver71 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution75 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d76 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction68, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver71, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution75);
    double d77 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction50, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver59, 3.5346958487132123d, 3116.2421492954973d, 1.0365374526472741d, allowedSolution75);
    double d78 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide((-1074790400), univariateFunction39, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver44, 5.0E-7d, 0.0d, 48.196948051694136d, allowedSolution75);
    double d79 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(1265661023, univariateFunction20, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver25, (-1.538970890562367d), 2.566375307179586d, 134.0055980691689d, allowedSolution75);
    double d80 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide((-10), univariateFunction10, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver14, 0.40219785212387804d, 1.5574077246549018d, 2.5346958487132123d, allowedSolution75);
    // The following exception was thrown during execution in test generation
    try {
      double d81 = bracketingNthOrderBrentSolver3.solve((-48), univariateFunction6, 2.2250738585072014E-308d, (-0.5869211956997074d), allowedSolution75);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 2.381376601119429d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 3.5346958487132123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 5.0E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == (-1.538970890562367d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.40219785212387804d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test107"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, (-0.1439775409401076d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test108"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d17 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d18 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    java.lang.String str20 = dormandPrince853Integrator9.getName();
    int i21 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i31 = bracketingNthOrderBrentSolver30.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState32 = new org.apache.commons.math3.ode.events.EventState(eventHandler26, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    double d33 = bracketingNthOrderBrentSolver30.getStartValue();
    int i34 = bracketingNthOrderBrentSolver30.getEvaluations();
    int i35 = bracketingNthOrderBrentSolver30.getEvaluations();
    dormandPrince853Integrator9.addEventHandler(eventHandler22, (-0.7853981633974483d), Double.NaN, (-1074790400), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    double d37 = bracketingNthOrderBrentSolver30.getRelativeAccuracy();
    double d38 = bracketingNthOrderBrentSolver30.getMax();
    int i39 = bracketingNthOrderBrentSolver30.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str20.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 5);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test109"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(30681.411826042317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test110"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)1.0000000000000002d);
    java.lang.Number number3 = notStrictlyPositiveException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 1.0000000000000002d+ "'", number3.equals(1.0000000000000002d));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test111"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.0d, 0.6660887502479989d, 0.675897250849075d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test112"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.9173172759781081d, 3.0872729449916623d, 2.7755575615628914E-17d, (-0.5834260948432356d));

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test113"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.0d, 7.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test114"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence(0.0d, 0.5629110812034289d, 565.4866776461628d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test115"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setMaxGrowth(2.718281828459045d);
    int i35 = dormandPrince853Integrator9.getOrder();
    dormandPrince853Integrator9.setMinReduction(0.0d);
    int i38 = dormandPrince853Integrator9.getOrder();
    int i39 = dormandPrince853Integrator9.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test116"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.5734790533018241E41d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5734790533018241E41d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test117"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(0L, 9223372036854775807L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test118"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-0.001338651132267835d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9986622444614853d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test119"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(-48));

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test120"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.6487212707001282d, 89.04160334794895d, 1.5337260269320758d, 0.0d);
    double d5 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    java.lang.String str6 = dormandPrince853Integrator4.getName();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler7 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler7);
    dormandPrince853Integrator4.setMinReduction(1.4210854715202007E-14d);
    java.util.Collection collection11 = dormandPrince853Integrator4.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 12.11630246473763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str6.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection11);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test121"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.036537452647274d, (java.lang.Number)(-1048576), true);
    java.lang.Number number5 = numberIsTooSmallException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.036537452647274d+ "'", number5.equals(1.036537452647274d));

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test122"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence(0.0d, 0.4976340580358172d, 100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test123"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.009554040326227501d), 1016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test124"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, obj_array7);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)(byte)0, obj_array7);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable1, (java.lang.Number)1.0d, obj_array7);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array7);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str12 = mathArithmeticException11.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test125"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1017118720);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test126"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver10 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.6020638221877662d, 2);
    double d11 = bracketingNthOrderBrentSolver10.getMin();
    double d12 = bracketingNthOrderBrentSolver10.getRelativeAccuracy();
    org.apache.commons.math3.ode.events.EventState eventState13 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 0.97469525101799d, 0.0d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver10);
    int i14 = bracketingNthOrderBrentSolver10.getMaximalOrder();
    org.apache.commons.math3.ode.events.EventState eventState15 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.9942048014840732d, 0.13727509800736173d, (-855035260), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver10);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction17 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d20 = bracketingNthOrderBrentSolver10.solve(20, univariateFunction17, 0.6844312379643663d, 0.11531348450050588d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 2);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test127"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    dormandPrince853Integrator26.setSafety(0.0d);
    java.util.Collection collection31 = dormandPrince853Integrator26.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable33, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator26, localizable32, obj_array35);
    double d38 = dormandPrince853Integrator26.getMaxGrowth();
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    double[] d_array49 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array44, d_array49);
    double[] d_array52 = new double[] { (-1.0d) };
    dormandPrince853Integrator26.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array49, d_array52);
    org.apache.commons.math3.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver58 = null;
    org.apache.commons.math3.ode.events.EventState eventState59 = new org.apache.commons.math3.ode.events.EventState(eventHandler54, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver58);
    int i60 = eventState59.getMaxIterationCount();
    boolean b61 = eventState59.stop();
    double[] d_array64 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    boolean b66 = eventState59.reset(0.0d, d_array64);
    int i67 = org.apache.commons.math3.util.MathUtils.hash(d_array64);
    dormandPrince853Integrator9.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array49, d_array64);
    double d69 = dormandPrince853Integrator9.getMinStep();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection72 = dormandPrince853Integrator9.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection72);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test128"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.02638641867806169d, (java.lang.Number)0.11305628061900531d, true);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test129"); }


    double[] d_array0 = new double[] {  };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array0);
    int i2 = org.apache.commons.math3.util.MathUtils.hash(d_array0);
    int i3 = org.apache.commons.math3.util.MathUtils.hash(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test130"); }


    double d2 = org.apache.commons.math3.util.Precision.round(1.1694485830762587d, 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1694485830762587d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test131"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d7 = bracketingNthOrderBrentSolver4.getStartValue();
    double d8 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    double d9 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    double d10 = bracketingNthOrderBrentSolver4.getStartValue();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction12 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d17 = bracketingNthOrderBrentSolver4.solve((-977748753), univariateFunction12, 0.6880576931818059d, (-0.7219067166708869d), 38612.410354850355d, allowedSolution16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test132"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.144537821260711d, 1.2057356551304476E8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 137.83441299114685d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test133"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign((-1.4E-45f), 109.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test134"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    double d16 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.clearEventHandlers();
    double d18 = dormandPrince853Integrator9.getCurrentStepStart();
    org.apache.commons.math3.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver27 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i28 = bracketingNthOrderBrentSolver27.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler23, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver27);
    double d30 = bracketingNthOrderBrentSolver27.getStartValue();
    double d31 = bracketingNthOrderBrentSolver27.getFunctionValueAccuracy();
    double d32 = bracketingNthOrderBrentSolver27.getAbsoluteAccuracy();
    double d33 = bracketingNthOrderBrentSolver27.getStartValue();
    double d34 = bracketingNthOrderBrentSolver27.getMax();
    dormandPrince853Integrator9.addEventHandler(eventHandler19, (-0.9696671954212148d), 0.0d, (-1074790369), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver27);
    int i36 = bracketingNthOrderBrentSolver27.getMaxEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction38 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction42 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler43 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler47 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver51 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i52 = bracketingNthOrderBrentSolver51.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState53 = new org.apache.commons.math3.ode.events.EventState(eventHandler47, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver51);
    org.apache.commons.math3.ode.events.EventState eventState54 = new org.apache.commons.math3.ode.events.EventState(eventHandler43, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver51);
    double d55 = bracketingNthOrderBrentSolver51.getRelativeAccuracy();
    double d56 = bracketingNthOrderBrentSolver51.getStartValue();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction61 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver62 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d63 = bracketingNthOrderBrentSolver62.getAbsoluteAccuracy();
    int i64 = bracketingNthOrderBrentSolver62.getMaxEvaluations();
    int i65 = bracketingNthOrderBrentSolver62.getMaximalOrder();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction70 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver73 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution77 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d78 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction70, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver73, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution77);
    double d79 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(31, univariateFunction61, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver62, 89.0d, 0.8906073261959583d, (-1.0434034937813492d), allowedSolution77);
    double d80 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(337914027, univariateFunction42, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver51, Double.NaN, 3.7156312158776212d, 7.54983443527075d, allowedSolution77);
    // The following exception was thrown during execution in test generation
    try {
      double d81 = bracketingNthOrderBrentSolver27.solve((-1023), univariateFunction38, (-5.623423983065731E-4d), (-0.6880576931818059d), allowedSolution77);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 89.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d80, Double.NaN, 0);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test135"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.9988186212247272d, 0.6724923111152249d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9782239144810114d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test136"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    incrementor1.incrementCount((-1008700321));
    incrementor1.setMaximalCount((-1008700321));
    int i11 = incrementor1.getMaximalCount();
    boolean b12 = incrementor1.canIncrement();
    incrementor1.incrementCount((-23));
    incrementor1.setMaximalCount(1793092981);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test137"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(0.0033438322538038596d, 3.398343619656164d, 95.55242511858037d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test138"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.ode.events.EventState eventState11 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    double d12 = bracketingNthOrderBrentSolver8.getRelativeAccuracy();
    double d13 = bracketingNthOrderBrentSolver8.getMax();
    double d14 = bracketingNthOrderBrentSolver8.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0E-14d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test139"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.ode.events.EventState eventState11 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    double d12 = bracketingNthOrderBrentSolver8.getStartValue();
    int i13 = bracketingNthOrderBrentSolver8.getMaximalOrder();
    double d14 = bracketingNthOrderBrentSolver8.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test140"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)15.954589770191003d);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test141"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable8, obj_array10);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable6, (java.lang.Number)(byte)0, obj_array10);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException13 = new org.apache.commons.math3.exception.NoBracketingException(localizable1, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array10);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array10);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext15 = mathArithmeticException14.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext15);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test142"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver5 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(2.381376601119429d, 0.0d, 2147483647);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver13 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution17 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d18 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction10, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver13, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution17);
    double d19 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(2147483647, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver5, 7.0d, 1.5533448061434305d, 2578.3100780887044d, allowedSolution17);
    double d20 = bracketingNthOrderBrentSolver5.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 7.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test143"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-9.999997f), 0.9385078997951388d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-9.999996f));

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test144"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.004526773799885914d, 2.3401677939505383E38d, 4.499809670330266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test145"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d7 = bracketingNthOrderBrentSolver4.getStartValue();
    int i8 = bracketingNthOrderBrentSolver4.getEvaluations();
    double d9 = bracketingNthOrderBrentSolver4.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution15 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d16 = bracketingNthOrderBrentSolver4.solve(0, univariateFunction11, 1.4330863854487743d, 2.381376601119429d, 0.0d, allowedSolution15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test146"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(1.9289917163116679d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.9289917163116679d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test147"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(7.034677413160338E13d, 1.904022106819604d, 1072693248);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test148"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    dormandPrince853Integrator9.setInitialStepSize(6.557536516019444d);
    dormandPrince853Integrator9.setStepSizeControl(697503.3640289888d, 1.1436662147386594d, 1.040281461259271d, 9.445076139061749E305d);
    dormandPrince853Integrator9.clearEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test149"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(1.0434034937813492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-480929055));

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test150"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence(0.9385078997951389d, 0.0d, 5.298292365610485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test151"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.8889466E22f, 100.00001f, (-1.0490417E-4f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test152"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-8.249305440540187d), (-0.002529042968062785d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.249305828212716d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test153"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-9.8E-45f), (-0.9117339147869651d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.1E-44f));

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test154"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(6.432490598706548E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.632297250233367E-6d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test155"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setMaxEvaluations(0);
    dormandPrince853Integrator9.setStepSizeControl(69.80246871042735d, 1.0337274933484122d, (-0.5430277083304146d), 0.9262160379374196d);
    double d19 = dormandPrince853Integrator9.getSafety();
    org.apache.commons.math3.ode.FirstOrderDifferentialEquations firstOrderDifferentialEquations20 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler24 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver28 = null;
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler24, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver28);
    int i30 = eventState29.getMaxIterationCount();
    boolean b31 = eventState29.stop();
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    boolean b36 = eventState29.reset(0.0d, d_array34);
    int i37 = org.apache.commons.math3.util.MathUtils.hash(d_array34);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[] d_array42 = new double[] { 0.0d };
    int i43 = org.apache.commons.math3.util.MathUtils.hash(d_array42);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array42);
    double[] d_array48 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array48);
    double[] d_array53 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator54 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array48, d_array53);
    int i55 = dormandPrince853Integrator54.getEvaluations();
    double d56 = dormandPrince853Integrator54.getMinReduction();
    dormandPrince853Integrator54.setSafety(0.0d);
    java.util.Collection collection59 = dormandPrince853Integrator54.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable60 = null;
    org.apache.commons.math3.exception.util.Localizable localizable61 = null;
    java.lang.Object[] obj_array63 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException64 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable61, obj_array63);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator54, localizable60, obj_array63);
    double d66 = dormandPrince853Integrator54.getMaxGrowth();
    double[] d_array72 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array72);
    double[] d_array77 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator78 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array72, d_array77);
    double[] d_array80 = new double[] { (-1.0d) };
    dormandPrince853Integrator54.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array77, d_array80);
    int i82 = org.apache.commons.math3.util.MathUtils.hash(d_array80);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator83 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.011336584797708547d, 0.22140275816016985d, d_array42, d_array80);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array42);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator85 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(69.80246871042735d, 534.4916555247651d, d_array34, d_array42);
    double[] d_array87 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d88 = dormandPrince853Integrator9.integrate(firstOrderDifferentialEquations20, 0.0d, d_array34, 0.9386020910291328d, d_array87);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i82 == (-1074790369));

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test156"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(0.011336341985590748d, 0.6145705250139665d, 1824.0058904672267d, 2.5856373942571658d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test157"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    java.util.Collection collection12 = dormandPrince853Integrator9.getStepHandlers();
    dormandPrince853Integrator9.setInitialStepSize(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection12);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test158"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-5L), 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test159"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(0.9440892412430648d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test160"); }


    float f2 = org.apache.commons.math3.util.Precision.round(1.4551915E-11f, 337914027);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test161"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)9.860468815863099d, (java.lang.Number)9.445076139061749E305d, false);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test162"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException2 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array1);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = mathArithmeticException2.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = mathArithmeticException2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test163"); }


    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Throwable throwable2 = null;
    org.apache.commons.math3.exception.MathInternalError mathInternalError3 = new org.apache.commons.math3.exception.MathInternalError(throwable2);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = mathInternalError3.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = mathInternalError3.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException9 = new org.apache.commons.math3.exception.DimensionMismatchException((-1), (-1));
    java.lang.Number number10 = dimensionMismatchException9.getArgument();
    int i11 = dimensionMismatchException9.getDimension();
    int i12 = dimensionMismatchException9.getDimension();
    java.lang.Throwable[] throwable_array13 = dimensionMismatchException9.getSuppressed();
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)exceptionContext5, localizable6, (java.lang.Object[])throwable_array13);
    org.apache.commons.math3.exception.MathInternalError mathInternalError15 = new org.apache.commons.math3.exception.MathInternalError(localizable1, (java.lang.Object[])throwable_array13);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)0.5895488313602779d, (java.lang.Object[])throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (-1)+ "'", number10.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test164"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    java.lang.String str13 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setStepSizeControl(1.2626272556789118d, 0.7693572253635211d, 6.284137641783304d, 268.0d);
    double d19 = dormandPrince853Integrator9.getMinStep();
    dormandPrince853Integrator9.setInitialStepSize(1.0276251499968108d);
    double d22 = dormandPrince853Integrator9.getMaxGrowth();
    double d23 = dormandPrince853Integrator9.getMinReduction();
    java.util.Collection collection24 = dormandPrince853Integrator9.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str13.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection24);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test165"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(20.55432951299603d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test166"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    double[] d_array15 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array10, d_array15);
    int i17 = dormandPrince853Integrator16.getEvaluations();
    double d18 = dormandPrince853Integrator16.getMinReduction();
    dormandPrince853Integrator16.setSafety(0.0d);
    java.util.Collection collection21 = dormandPrince853Integrator16.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable22 = null;
    org.apache.commons.math3.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable23, obj_array25);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator16, localizable22, obj_array25);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException28 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable6, obj_array25);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException29 = new org.apache.commons.math3.exception.MathArithmeticException(localizable5, obj_array25);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException30 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable3, (java.lang.Number)20, obj_array25);
    java.lang.Throwable[] throwable_array31 = notFiniteNumberException30.getSuppressed();
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException32 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)50.25585323970516d, (java.lang.Object[])throwable_array31);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException33 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)0.8644028155091492d, (java.lang.Object[])throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test167"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1280.0f, 1280.0001f, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test168"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-1.3219323883977487d), 6.283185307179588d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test169"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-0.004131068149194686d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.004131056399259866d));

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test170"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(1.2207037E-4f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test171"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(0.0033382540782630537d, (-0.10536051565782628d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test172"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler16, 3.141592653589793d, 4.741297982545108d, 100);
    int i21 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler22, 3.71681d, 1.5337260269320758d, 128);
    dormandPrince853Integrator9.setStepSizeControl(6.123233995736766E-17d, 3.141592653589793d, 2.718281828459045d, 0.011336341985590748d);
    int i32 = dormandPrince853Integrator9.getEvaluations();
    int i33 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler34 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler34);
    dormandPrince853Integrator9.setMinReduction((-1.4819636064814712d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 8);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test173"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-1040157601), (-23));
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-23));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test174"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.6569865987187891d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8693316744780483d);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test175"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver15 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d16 = bracketingNthOrderBrentSolver15.getAbsoluteAccuracy();
    double d17 = bracketingNthOrderBrentSolver15.getFunctionValueAccuracy();
    double d18 = bracketingNthOrderBrentSolver15.getMax();
    dormandPrince853Integrator9.addEventHandler(eventHandler11, 0.0d, 15.954589770191003d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver15);
    double d20 = dormandPrince853Integrator9.getMinStep();
    int i21 = dormandPrince853Integrator9.getEvaluations();
    double d22 = dormandPrince853Integrator9.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.2d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test176"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyBracketing(univariateFunction0, 10.0d, 0.009712074733389654d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test177"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(437672695);
    boolean b2 = incrementor1.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test178"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.0d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test179"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.03221984606423133d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.623423983065731E-4d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test180"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.0486237471068587d, 1.74532925199433E-17d, 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test181"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test182"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.022896877039688294d, (-4.5556187874103236d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.966430121523644E7d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test183"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.5533432697486211d, 3.14159264591047d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4591933566761031d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test184"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-1048576), 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1048576));

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test185"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    int i6 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    int i7 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    org.apache.commons.math3.ode.events.EventState eventState8 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 267.7458277623821d, 1.1274331234873511d, 31, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    int i9 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = bracketingNthOrderBrentSolver4.solve(1024458752, univariateFunction11, 1.7047134862451474d, 22.485633678809247d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 5);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test186"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.6020638221877662d, 2);
    double d7 = bracketingNthOrderBrentSolver6.getMin();
    double d8 = bracketingNthOrderBrentSolver6.getRelativeAccuracy();
    org.apache.commons.math3.ode.events.EventState eventState9 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.97469525101799d, 0.0d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver6);
    double d10 = eventState9.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.97469525101799d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test187"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(9.23565653113353d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7763568394002505E-15d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test188"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.clearEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test189"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException2 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(-1.159499781258839d), obj_array1);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test190"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle((-2.255105958983515d), 1.2176832312106403d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.028079348196071d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test191"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    double[] d_array35 = new double[] { (-1.0d) };
    dormandPrince853Integrator9.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array32, d_array35);
    int i37 = dormandPrince853Integrator9.getMaxEvaluations();
    java.util.Collection collection38 = dormandPrince853Integrator9.getStepHandlers();
    dormandPrince853Integrator9.clearEventHandlers();
    double d40 = dormandPrince853Integrator9.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test192"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-0.15712673470128538d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.14540425498219306d));

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test193"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d17 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d18 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    java.lang.String str20 = dormandPrince853Integrator9.getName();
    int i21 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i31 = bracketingNthOrderBrentSolver30.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState32 = new org.apache.commons.math3.ode.events.EventState(eventHandler26, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    double d33 = bracketingNthOrderBrentSolver30.getStartValue();
    int i34 = bracketingNthOrderBrentSolver30.getEvaluations();
    int i35 = bracketingNthOrderBrentSolver30.getEvaluations();
    dormandPrince853Integrator9.addEventHandler(eventHandler22, (-0.7853981633974483d), Double.NaN, (-1074790400), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    double d37 = dormandPrince853Integrator9.getSafety();
    double d38 = dormandPrince853Integrator9.getMinStep();
    org.apache.commons.math3.exception.util.Localizable localizable39 = null;
    java.lang.Object[] obj_array40 = null;
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)d38, localizable39, obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str20.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.5533448061434307d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test194"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    double d10 = dormandPrince853Integrator9.getMinStep();
    java.util.Collection collection11 = dormandPrince853Integrator9.getStepHandlers();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler12 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler12);
    java.lang.String str14 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setMaxEvaluations(1072693248);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str14.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test195"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    boolean b7 = eventState6.stop();
    double d8 = eventState6.getEventTime();
    double d9 = eventState6.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test196"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor(1048576, maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test197"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 1.6799605506781077d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test198"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver15 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d16 = bracketingNthOrderBrentSolver15.getAbsoluteAccuracy();
    double d17 = bracketingNthOrderBrentSolver15.getFunctionValueAccuracy();
    double d18 = bracketingNthOrderBrentSolver15.getMax();
    dormandPrince853Integrator9.addEventHandler(eventHandler11, 0.0d, 15.954589770191003d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver15);
    int i20 = dormandPrince853Integrator9.getOrder();
    java.lang.String str21 = dormandPrince853Integrator9.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str21.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test199"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.1920932E-7f, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.192093E-7f);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test200"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-32.57791748631743d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test201"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(89L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-89L));

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test202"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(5120.001f, (-51), (-1040157601));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test203"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.9988186212247272d, (java.lang.Number)1.7253825588523148d, true);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test204"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-0.6229407956575255d), (-1.5838978964872324E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6229408157937287d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test205"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(1, 6);
    int i3 = equationsMapper2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 6);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test206"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.setSafety(0.0d);
    org.apache.commons.math3.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i22 = bracketingNthOrderBrentSolver21.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState23 = new org.apache.commons.math3.ode.events.EventState(eventHandler17, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver21);
    double d24 = bracketingNthOrderBrentSolver21.getStartValue();
    int i25 = bracketingNthOrderBrentSolver21.getEvaluations();
    double d26 = bracketingNthOrderBrentSolver21.getFunctionValueAccuracy();
    int i27 = bracketingNthOrderBrentSolver21.getMaximalOrder();
    dormandPrince853Integrator9.addEventHandler(eventHandler13, 1.985568308709919d, 0.9905329613228776d, 110, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver21);
    double d29 = bracketingNthOrderBrentSolver21.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0E-6d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test207"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.100001f, 109.99999f, (-480929055));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test208"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)1.6799605506781077d);
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    double[] d_array8 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array8);
    double[] d_array13 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array8, d_array13);
    int i15 = dormandPrince853Integrator14.getEvaluations();
    double d16 = dormandPrince853Integrator14.getMinReduction();
    dormandPrince853Integrator14.setSafety(0.0d);
    java.util.Collection collection19 = dormandPrince853Integrator14.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    org.apache.commons.math3.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException24 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable21, obj_array23);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator14, localizable20, obj_array23);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException26 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable3, (java.lang.Number)10, obj_array23);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)1.6799605506781077d, localizable2, obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test209"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(40, 127);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test210"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(7.569397566060481d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.28075827291371236d);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test211"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-0.6229407956575255d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2432927437225927d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test212"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(2147483647);
    int i2 = incrementor1.getCount();
    incrementor1.setMaximalCount(110);
    boolean b5 = incrementor1.canIncrement();
    incrementor1.setMaximalCount((-461218840));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test213"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.19126786962680778d, (java.lang.Number)10.0f, false);
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test214"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d7 = bracketingNthOrderBrentSolver4.getStartValue();
    double d8 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    double d9 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    double d10 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    double d11 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction13 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction18 = null;
    org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver bracketedUnivariateSolver19 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction24 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver25 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d26 = bracketingNthOrderBrentSolver25.getAbsoluteAccuracy();
    int i27 = bracketingNthOrderBrentSolver25.getMaxEvaluations();
    int i28 = bracketingNthOrderBrentSolver25.getMaximalOrder();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction33 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver36 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution40 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d41 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction33, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver36, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution40);
    double d42 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(31, univariateFunction24, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver25, 89.0d, 0.8906073261959583d, (-1.0434034937813492d), allowedSolution40);
    double d43 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(0, univariateFunction18, bracketedUnivariateSolver19, (-0.30384150121170883d), 0.7693572253635211d, 1.5574077246549025d, allowedSolution40);
    // The following exception was thrown during execution in test generation
    try {
      double d44 = bracketingNthOrderBrentSolver4.solve(0, univariateFunction13, 2.356127920920548d, 139.81083765316555d, 912.0441330426065d, allowedSolution40);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 89.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == (-0.30384150121170883d));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test215"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, (-0.2294802171812586d), 0.6880576931818059d, 1.8773599150671552d, (-437672695));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test216"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(5.421011E-20f, 9.999997f, 40.000004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test217"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1008700321, 283985305);
    int i3 = dimensionMismatchException2.getDimension();
    org.apache.commons.math3.exception.MathInternalError mathInternalError4 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)dimensionMismatchException2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 283985305);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test218"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    boolean b7 = eventState6.stop();
    double d8 = eventState6.getConvergence();
    org.apache.commons.math3.ode.events.EventHandler eventHandler9 = eventState6.getEventHandler();
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator10 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState6.reinitializeBegin(stepInterpolator10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler9);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test219"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d17 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d18 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    double d20 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d21 = bracketingNthOrderBrentSolver16.getMax();
    double d22 = bracketingNthOrderBrentSolver16.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test220"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(3.552714E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.5527145E-15f);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test221"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-0.0025290429680627845d), 0.6207332270415868d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0025290429680627845d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test222"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(0.0d, 3.1916161914700245d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test223"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval((-0.9999981294886112d), 0.003338266478753038d);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test224"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(5.7294446964562E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.7294446964562E-14d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test225"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d1 = bracketingNthOrderBrentSolver0.getAbsoluteAccuracy();
    int i2 = bracketingNthOrderBrentSolver0.getMaxEvaluations();
    int i3 = bracketingNthOrderBrentSolver0.getEvaluations();
    double d4 = bracketingNthOrderBrentSolver0.getStartValue();
    double d5 = bracketingNthOrderBrentSolver0.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = bracketingNthOrderBrentSolver0.solve((-2044217414), univariateFunction7, 1.434944042835039d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test226"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    java.util.Collection collection12 = dormandPrince853Integrator9.getStepHandlers();
    dormandPrince853Integrator9.setInitialStepSize(4.741297982545109d);
    dormandPrince853Integrator9.setInitialStepSize(0.9999999999999996d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection12);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test227"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-48.07540360088537d), 42.70838196966992d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 64.30591202879599d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test228"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(1.0567077840910226d, 4, 861268882);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test229"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    int i15 = dormandPrince853Integrator9.getOrder();
    dormandPrince853Integrator9.clearStepHandlers();
    double d17 = dormandPrince853Integrator9.getCurrentSignedStepsize();
    int i18 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler19 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler19, 0.0d, 4.1777137910516685E-9d, 2146959360);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 9.433986512635347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 8);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test230"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(268.00460332072714d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.4712708522857968E116d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test231"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    boolean b7 = incrementor1.canIncrement();
    int i8 = incrementor1.getMaximalCount();
    incrementor1.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 10);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test232"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-20), (-51));

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test233"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    incrementor1.incrementCount((-1008700321));
    incrementor1.incrementCount();
    incrementor1.setMaximalCount(5);
    boolean b12 = incrementor1.canIncrement();
    incrementor1.setMaximalCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test234"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(4.741297982545109d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test235"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.006451942228374938d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.18616448074767566d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test236"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)110);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)maxCountExceededException1);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test237"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    int i31 = bracketingNthOrderBrentSolver26.getEvaluations();
    double d32 = bracketingNthOrderBrentSolver26.getAbsoluteAccuracy();
    double d33 = bracketingNthOrderBrentSolver26.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test238"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(1.4330863854487743d, 8.881784197001252E-16d, 0.0174521709994791d, 11.548739357257757d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test239"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)0, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)(-15.954589770191003d), obj_array9);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable2, obj_array9);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException14 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, obj_array9);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, obj_array9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError16 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)mathIllegalStateException15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test240"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    double[] d_array35 = new double[] { (-1.0d) };
    dormandPrince853Integrator9.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array32, d_array35);
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler37 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler37);
    double d39 = dormandPrince853Integrator9.getCurrentStepStart();
    double d40 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.clearStepHandlers();
    double d42 = dormandPrince853Integrator9.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 9.433986512635347d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test241"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    int i14 = dormandPrince853Integrator13.getEvaluations();
    dormandPrince853Integrator13.clearStepHandlers();
    double d16 = dormandPrince853Integrator13.getSafety();
    double d17 = dormandPrince853Integrator13.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i31 = bracketingNthOrderBrentSolver30.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState32 = new org.apache.commons.math3.ode.events.EventState(eventHandler26, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    org.apache.commons.math3.ode.events.EventState eventState33 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    dormandPrince853Integrator13.addEventHandler(eventHandler18, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    int i35 = bracketingNthOrderBrentSolver30.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState36 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, Double.NaN, 0.0d, 1072693279, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    double d37 = eventState36.getEventTime();
    double d38 = eventState36.getEventTime();
    boolean b39 = eventState36.stop();
    int i40 = eventState36.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1072693279);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test242"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(9.23565653113353d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test243"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-89L), 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-89L));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test244"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isBracketing(univariateFunction0, 1.136137337510491d, 1.5650761913479965d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test245"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(9223372036854775807L, 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 9223372036854775807L);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test246"); }


    double d2 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.midpoint(5.7E-322d, 0.2687413636623772d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1343706818311886d);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test247"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver17 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d18 = bracketingNthOrderBrentSolver17.getAbsoluteAccuracy();
    int i19 = bracketingNthOrderBrentSolver17.getMaxEvaluations();
    double d20 = bracketingNthOrderBrentSolver17.getAbsoluteAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler13, 0.0d, 1.5650761913479965d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver17);
    dormandPrince853Integrator9.clearStepHandlers();
    java.lang.String str23 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setStepSizeControl(1.2176832312106403d, 3.3881317890172014E-21d, 100.4987562112089d, 0.193652852693194d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str23.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test248"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(0.0d, 6.46998787307825E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test249"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    boolean b7 = eventState5.stop();
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    boolean b12 = eventState5.reset(0.0d, d_array10);
    double d13 = eventState5.getMaxCheckInterval();
    double d14 = eventState5.getEventTime();
    int i15 = eventState5.getMaxIterationCount();
    double d16 = eventState5.getConvergence();
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver22 = null;
    org.apache.commons.math3.ode.events.EventState eventState23 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver22);
    int i24 = eventState23.getMaxIterationCount();
    boolean b25 = eventState23.stop();
    double[] d_array28 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array28);
    boolean b30 = eventState23.reset(0.0d, d_array28);
    double[] d_array35 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b36 = eventState23.reset(56.516459060951796d, d_array35);
    int i37 = org.apache.commons.math3.util.MathUtils.hash(d_array35);
    // The following exception was thrown during execution in test generation
    try {
      eventState5.stepAccepted(0.04746076762388862d, d_array35);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == (-1040157601));

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test250"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence(0.8185698458108543d, (-0.1439775409401076d), 1.0000206806359497d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test251"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(8.632297250233367E-6d, 2.171465684534657d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.632297250233367E-6d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test252"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(49.7897309487635d, 535.4916555247651d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.09271291100519401d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test253"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.6229407956575255d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5531722616418154d);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test254"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    incrementor0.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test255"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(40.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test256"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(1.0E-6d, 100.0d, 1.0d, 1.0E-6d);
    double d5 = noBracketingException4.getHi();
    double d6 = noBracketingException4.getFLo();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = noBracketingException4.getContext();
    java.lang.Number number8 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number8, (java.lang.Number)0.13727509800736173d, true);
    noBracketingException4.addSuppressed((java.lang.Throwable)numberIsTooSmallException11);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)numberIsTooSmallException11);
    java.lang.Throwable[] throwable_array14 = numberIsTooSmallException11.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test257"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(2.7182818284590455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9117339147869652d));

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test258"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(2.9865533876338555d, 1.040281461259271d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.986553387633855d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test259"); }


    float f2 = org.apache.commons.math3.util.Precision.round(1.2089258E24f, 1023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test260"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver((-0.7639964551615661d), 50.25585323970516d, 168320186);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test261"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    boolean b7 = incrementor1.canIncrement();
    incrementor1.setMaximalCount(2147483647);
    incrementor1.setMaximalCount(1855157276);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test262"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable13, obj_array15);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable11, (java.lang.Number)(byte)0, obj_array15);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException18 = new org.apache.commons.math3.exception.NoBracketingException(localizable6, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array15);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable4, (java.lang.Number)10.0d, obj_array15);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException20 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable2, (java.lang.Number)0.2d, obj_array15);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math3.exception.MathArithmeticException(localizable1, obj_array15);
    org.apache.commons.math3.exception.MathInternalError mathInternalError22 = new org.apache.commons.math3.exception.MathInternalError(localizable0, obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test263"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.5611125913182899d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test264"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-0.17861878967121925d), (-14.454896511533258d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test265"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp((-1.2676506E30f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.5111573E23f);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test266"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta((-1.3818573967460348E181d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test267"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException3 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)57.29577951308233d, obj_array2);
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException8 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable4, (java.lang.Number)9.433986512635347d, (java.lang.Number)(-1.4E-45f), true);
    boolean b9 = numberIsTooSmallException8.getBoundIsAllowed();
    notFiniteNumberException3.addSuppressed((java.lang.Throwable)numberIsTooSmallException8);
    java.lang.Number number11 = notFiniteNumberException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 57.29577951308233d+ "'", number11.equals(57.29577951308233d));

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test268"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(3200.0002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3200.0005f);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test269"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(110.0f, 100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 110.0f);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test270"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    double d16 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.clearEventHandlers();
    double d18 = dormandPrince853Integrator9.getCurrentStepStart();
    org.apache.commons.math3.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver27 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i28 = bracketingNthOrderBrentSolver27.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler23, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver27);
    double d30 = bracketingNthOrderBrentSolver27.getStartValue();
    double d31 = bracketingNthOrderBrentSolver27.getFunctionValueAccuracy();
    double d32 = bracketingNthOrderBrentSolver27.getAbsoluteAccuracy();
    double d33 = bracketingNthOrderBrentSolver27.getStartValue();
    double d34 = bracketingNthOrderBrentSolver27.getMax();
    dormandPrince853Integrator9.addEventHandler(eventHandler19, (-0.9696671954212148d), 0.0d, (-1074790369), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver27);
    int i36 = dormandPrince853Integrator9.getOrder();
    java.util.Collection collection37 = dormandPrince853Integrator9.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection37);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test271"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval((-0.32386357984292224d), 1.5287693369936315d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test272"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d5 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    int i6 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    int i7 = bracketingNthOrderBrentSolver4.getEvaluations();
    double d8 = bracketingNthOrderBrentSolver4.getStartValue();
    double d9 = bracketingNthOrderBrentSolver4.getMin();
    double d10 = bracketingNthOrderBrentSolver4.getStartValue();
    org.apache.commons.math3.ode.events.EventState eventState11 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.0d, 9.445076139061747E305d, (-11), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d12 = bracketingNthOrderBrentSolver4.getMax();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction14 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d16 = bracketingNthOrderBrentSolver4.solve(337914027, univariateFunction14, 0.031981312287980415d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test273"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    incrementor1.incrementCount((-1008700321));
    incrementor1.setMaximalCount(1265661023);
    incrementor1.incrementCount(1);
    incrementor1.setMaximalCount(110);
    int i15 = incrementor1.getMaximalCount();
    incrementor1.setMaximalCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 110);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test274"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1542874.0d, 0.9654677733781952d, (-1855157276));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test275"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.526523647200146d, 40);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test276"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(3200.0005f, 0.0f, 1.2089258E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test277"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(6125409.503299978d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test278"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    incrementor1.incrementCount((-341));
    int i8 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 10);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test279"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(0.5938865169460396d, 2.283057279171351d, 0.6229408157937287d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test280"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.0d, 3.398343619656164d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test281"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    java.lang.String str13 = dormandPrince853Integrator9.getName();
    int i14 = dormandPrince853Integrator9.getOrder();
    dormandPrince853Integrator9.setInitialStepSize(5.298292365610485d);
    dormandPrince853Integrator9.clearStepHandlers();
    double d18 = dormandPrince853Integrator9.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str13.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 9.433986512635347d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test282"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor((-1023));
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test283"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-1866.5771772914327d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test284"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test285"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(2.9802322387695312E-8d, 1.1436662147386594d, (-0.21517522407240489d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.21517525387472727d);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test286"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.4210854715202007E-14d, 100.499660221073d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.421085471520201E-14d);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test287"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver6 = null;
    org.apache.commons.math3.ode.events.EventState eventState7 = new org.apache.commons.math3.ode.events.EventState(eventHandler2, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver6);
    int i8 = eventState7.getMaxIterationCount();
    boolean b9 = eventState7.stop();
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    boolean b14 = eventState7.reset(0.0d, d_array12);
    int i15 = org.apache.commons.math3.util.MathUtils.hash(d_array12);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[] d_array20 = new double[] { 0.0d };
    int i21 = org.apache.commons.math3.util.MathUtils.hash(d_array20);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array26 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array26);
    double[] d_array31 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator32 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array26, d_array31);
    int i33 = dormandPrince853Integrator32.getEvaluations();
    double d34 = dormandPrince853Integrator32.getMinReduction();
    dormandPrince853Integrator32.setSafety(0.0d);
    java.util.Collection collection37 = dormandPrince853Integrator32.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable38 = null;
    org.apache.commons.math3.exception.util.Localizable localizable39 = null;
    java.lang.Object[] obj_array41 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException42 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable39, obj_array41);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator32, localizable38, obj_array41);
    double d44 = dormandPrince853Integrator32.getMaxGrowth();
    double[] d_array50 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array50);
    double[] d_array55 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator56 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array50, d_array55);
    double[] d_array58 = new double[] { (-1.0d) };
    dormandPrince853Integrator32.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array55, d_array58);
    int i60 = org.apache.commons.math3.util.MathUtils.hash(d_array58);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator61 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.011336584797708547d, 0.22140275816016985d, d_array20, d_array58);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator63 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(69.80246871042735d, 534.4916555247651d, d_array12, d_array20);
    int i64 = dormandPrince853Integrator63.getMaxEvaluations();
    dormandPrince853Integrator63.setSafety(6.36666989294438E9d);
    java.util.Collection collection67 = dormandPrince853Integrator63.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1074790369));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection67);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test288"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    incrementor1.incrementCount((-1008700321));
    incrementor1.setMaximalCount((-1008700321));
    int i11 = incrementor1.getCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test289"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(1.4551914E-11f, (-1.2676505E30f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4551914E-11f);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test290"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    org.apache.commons.math3.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable14, obj_array16);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable12, (java.lang.Number)(byte)0, obj_array16);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException19 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable10, (java.lang.Number)1.0d, obj_array16);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable8, (java.lang.Number)2.6816347589161262E40d, obj_array16);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException21 = new org.apache.commons.math3.exception.NoBracketingException(localizable3, 95.55242511858037d, 0.0d, 1.321813991248445d, (-0.5869211956997074d), obj_array16);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException22 = new org.apache.commons.math3.exception.MathArithmeticException(localizable2, obj_array16);
    java.lang.Throwable[] throwable_array23 = mathArithmeticException22.getSuppressed();
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException24 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)(-1.045654296875d), (java.lang.Object[])throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test291"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.6063493919491062d, (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.485709666310279d);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test292"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d7 = bracketingNthOrderBrentSolver4.getStartValue();
    double d8 = bracketingNthOrderBrentSolver4.getMin();
    double d9 = bracketingNthOrderBrentSolver4.getStartValue();
    double d10 = bracketingNthOrderBrentSolver4.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test293"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyBracketing(univariateFunction0, 0.02604728634335241d, (-0.7392602334708254d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test294"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.setSafety(0.0d);
    org.apache.commons.math3.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i22 = bracketingNthOrderBrentSolver21.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState23 = new org.apache.commons.math3.ode.events.EventState(eventHandler17, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver21);
    double d24 = bracketingNthOrderBrentSolver21.getStartValue();
    int i25 = bracketingNthOrderBrentSolver21.getEvaluations();
    double d26 = bracketingNthOrderBrentSolver21.getFunctionValueAccuracy();
    int i27 = bracketingNthOrderBrentSolver21.getMaximalOrder();
    dormandPrince853Integrator9.addEventHandler(eventHandler13, 1.985568308709919d, 0.9905329613228776d, 110, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver21);
    double d29 = bracketingNthOrderBrentSolver21.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test295"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    int i33 = dormandPrince853Integrator9.getEvaluations();
    double d34 = dormandPrince853Integrator9.getMaxGrowth();
    double d35 = dormandPrince853Integrator9.getSafety();
    double d36 = dormandPrince853Integrator9.getSafety();
    int i37 = dormandPrince853Integrator9.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 2147483647);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test296"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder((-0.14540425498219306d), (-0.30384150121170883d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.14540425498219306d));

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test297"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.98984688423722d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4068933439049246d));

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test298"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.16802904214610792d, (-0.004131068149194686d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.16802904214610792d));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test299"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.0d, (-0.15712673470128538d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.15712673470128538d));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test300"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(3.6021502834650283d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.532923948960508d);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test301"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.0011256287117263d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test302"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3862943611198906d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test303"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.2733339779605574E10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test304"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(1548262112);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test305"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)0.6917702781004029d, false);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test306"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    dormandPrince853Integrator26.setSafety(0.0d);
    java.util.Collection collection31 = dormandPrince853Integrator26.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable33, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator26, localizable32, obj_array35);
    double d38 = dormandPrince853Integrator26.getMaxGrowth();
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    double[] d_array49 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array44, d_array49);
    double[] d_array52 = new double[] { (-1.0d) };
    dormandPrince853Integrator26.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array49, d_array52);
    org.apache.commons.math3.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver58 = null;
    org.apache.commons.math3.ode.events.EventState eventState59 = new org.apache.commons.math3.ode.events.EventState(eventHandler54, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver58);
    int i60 = eventState59.getMaxIterationCount();
    boolean b61 = eventState59.stop();
    double[] d_array64 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    boolean b66 = eventState59.reset(0.0d, d_array64);
    int i67 = org.apache.commons.math3.util.MathUtils.hash(d_array64);
    dormandPrince853Integrator9.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array49, d_array64);
    double d69 = dormandPrince853Integrator9.getMinReduction();
    int i70 = dormandPrince853Integrator9.getMaxEvaluations();
    double d71 = dormandPrince853Integrator9.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 10.0d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test307"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    int i16 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    double[] d_array24 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    double[] d_array29 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array24, d_array29);
    int i31 = dormandPrince853Integrator30.getEvaluations();
    java.lang.String str32 = dormandPrince853Integrator30.getName();
    double d33 = dormandPrince853Integrator30.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler34 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver38 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d39 = bracketingNthOrderBrentSolver38.getAbsoluteAccuracy();
    int i40 = bracketingNthOrderBrentSolver38.getMaxEvaluations();
    double d41 = bracketingNthOrderBrentSolver38.getAbsoluteAccuracy();
    dormandPrince853Integrator30.addEventHandler(eventHandler34, 0.0d, 1.5650761913479965d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver38);
    dormandPrince853Integrator9.addEventHandler(eventHandler17, 1.9377047211159066E-18d, 1.2626272556789118d, 2147483647, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver38);
    dormandPrince853Integrator9.setMaxEvaluations((-1));
    dormandPrince853Integrator9.setMinReduction((-0.7392602334708254d));
    org.apache.commons.math3.ode.FirstOrderDifferentialEquations firstOrderDifferentialEquations48 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler50 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver54 = null;
    org.apache.commons.math3.ode.events.EventState eventState55 = new org.apache.commons.math3.ode.events.EventState(eventHandler50, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver54);
    int i56 = eventState55.getMaxIterationCount();
    boolean b57 = eventState55.stop();
    double[] d_array60 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array60);
    boolean b62 = eventState55.reset(0.0d, d_array60);
    int i63 = org.apache.commons.math3.util.MathUtils.hash(d_array60);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array60);
    double[] d_array67 = new double[] { 0.0d };
    int i68 = org.apache.commons.math3.util.MathUtils.hash(d_array67);
    // The following exception was thrown during execution in test generation
    try {
      double d69 = dormandPrince853Integrator9.integrate(firstOrderDifferentialEquations48, 33.284585427494d, d_array60, 0.0d, d_array67);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str32.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 31);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test308"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.03588578600574535d, 110);
    double d3 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-15d);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test309"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp((-1.0490417E-4f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.2759576E-12f);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test310"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(1.0E-6d, 100.0d, 1.0d, 1.0E-6d);
    double d5 = noBracketingException4.getFHi();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = noBracketingException4.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.exception.util.Localizable localizable18 = null;
    org.apache.commons.math3.exception.util.Localizable localizable19 = null;
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    double[] d_array24 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    double[] d_array29 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array24, d_array29);
    int i31 = dormandPrince853Integrator30.getEvaluations();
    double d32 = dormandPrince853Integrator30.getMinReduction();
    dormandPrince853Integrator30.setSafety(0.0d);
    java.util.Collection collection35 = dormandPrince853Integrator30.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable36 = null;
    org.apache.commons.math3.exception.util.Localizable localizable37 = null;
    java.lang.Object[] obj_array39 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException40 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable37, obj_array39);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator30, localizable36, obj_array39);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException42 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable20, obj_array39);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException43 = new org.apache.commons.math3.exception.MathArithmeticException(localizable19, obj_array39);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException44 = new org.apache.commons.math3.exception.NullArgumentException(localizable18, obj_array39);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException45 = new org.apache.commons.math3.exception.NoBracketingException(localizable13, 1.4210854715202004E-14d, 1.5574077246549023d, 1.307972410734653d, 0.4404105453714162d, obj_array39);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException46 = new org.apache.commons.math3.exception.NoBracketingException(localizable8, 0.0d, 22.485633678809247d, 0.010871939557916386d, 0.006431261877544614d, obj_array39);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException47 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)noBracketingException4, localizable7, obj_array39);
    double d48 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 100.0d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test311"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 10.0d, 57.29577951308233d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler17, 0.0d, 1.1102230246251565E-16d, (-2));
    dormandPrince853Integrator9.setMinReduction(55.82331188039185d);
    double d24 = dormandPrince853Integrator9.getSafety();
    org.apache.commons.math3.ode.ExpandableStatefulODE expandableStatefulODE25 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator9.integrate(expandableStatefulODE25, (-0.5615115056347079d));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.9d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test312"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(52.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7160033436347992d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test313"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 100.4987562112089d, (-0.9117339147869651d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test314"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.9999999999999998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test315"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.6020638221877662d, 2);
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    double d4 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    double d5 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    double d6 = bracketingNthOrderBrentSolver2.getStartValue();
    double d7 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    int i8 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = bracketingNthOrderBrentSolver2.solve(1280, univariateFunction10, (-0.7219634380306929d), 0.21517525387472727d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test316"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 1.0618065376928847d, 437672695);
    double d4 = bracketingNthOrderBrentSolver3.getStartValue();
    double d5 = bracketingNthOrderBrentSolver3.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test317"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(4.741297982545108d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5418873246344784d));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test318"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.7863542986405887d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test319"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    incrementor0.incrementCount(0);
    incrementor0.setMaximalCount(10);
    incrementor0.setMaximalCount(20);
    incrementor0.incrementCount(11);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test320"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(0.5255249307795292d, 564.963247169316d, 1.5574077246549025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test321"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    java.util.Collection collection13 = dormandPrince853Integrator9.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test322"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    dormandPrince853Integrator9.clearEventHandlers();
    org.apache.commons.math3.ode.FirstOrderDifferentialEquations firstOrderDifferentialEquations15 = null;
    double[] d_array17 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler19 = null;
    double[] d_array26 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array26);
    double[] d_array31 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator32 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array26, d_array31);
    int i33 = dormandPrince853Integrator32.getEvaluations();
    dormandPrince853Integrator32.clearStepHandlers();
    double d35 = dormandPrince853Integrator32.getSafety();
    double d36 = dormandPrince853Integrator32.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler37 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler41 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler45 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver49 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i50 = bracketingNthOrderBrentSolver49.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState51 = new org.apache.commons.math3.ode.events.EventState(eventHandler45, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver49);
    org.apache.commons.math3.ode.events.EventState eventState52 = new org.apache.commons.math3.ode.events.EventState(eventHandler41, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver49);
    dormandPrince853Integrator32.addEventHandler(eventHandler37, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver49);
    int i54 = bracketingNthOrderBrentSolver49.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState55 = new org.apache.commons.math3.ode.events.EventState(eventHandler19, Double.NaN, 0.0d, 1072693279, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver49);
    double[] d_array60 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array60);
    double[] d_array65 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator66 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array60, d_array65);
    int i67 = dormandPrince853Integrator66.getEvaluations();
    double d68 = dormandPrince853Integrator66.getMinReduction();
    dormandPrince853Integrator66.setSafety(0.0d);
    java.util.Collection collection71 = dormandPrince853Integrator66.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable72 = null;
    org.apache.commons.math3.exception.util.Localizable localizable73 = null;
    java.lang.Object[] obj_array75 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException76 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable73, obj_array75);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator66, localizable72, obj_array75);
    double d78 = dormandPrince853Integrator66.getMaxGrowth();
    double[] d_array84 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array84);
    double[] d_array89 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator90 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array84, d_array89);
    double[] d_array92 = new double[] { (-1.0d) };
    dormandPrince853Integrator66.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array89, d_array92);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array92);
    boolean b95 = eventState55.reset(0.6020638221877662d, d_array92);
    // The following exception was thrown during execution in test generation
    try {
      double d96 = dormandPrince853Integrator9.integrate(firstOrderDifferentialEquations15, (-0.9630879630248869d), d_array17, 0.7832441209980989d, d_array92);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b95 == false);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test323"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 0.006431217544327375d, 0.01329232558537528d, 45.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test324"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.4068933439049246d), (-0.642058408406578d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.4068933439049246d));

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test325"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(9.094949E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-40));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test326"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(820048L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 820048L);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test327"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator((-1.1649370223156144d), 0.8771301074319142d, 0.7832441209980989d, 0.5615115056347079d);
    java.util.Collection collection5 = dormandPrince853Integrator4.getEventHandlers();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler6 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection5);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test328"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.util.Incrementor incrementor4 = new org.apache.commons.math3.util.Incrementor(1793092981);
    int i5 = incrementor4.getCount();
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable11, obj_array13);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math3.exception.MathArithmeticException(localizable10, obj_array13);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable8, (java.lang.Number)(short)100, obj_array13);
    java.lang.Throwable[] throwable_array17 = notFiniteNumberException16.getSuppressed();
    org.apache.commons.math3.exception.MathInternalError mathInternalError18 = new org.apache.commons.math3.exception.MathInternalError(localizable7, (java.lang.Object[])throwable_array17);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)incrementor4, localizable6, (java.lang.Object[])throwable_array17);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable1, number2, (java.lang.Object[])throwable_array17);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test329"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.5574077246549023d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.027181892591221314d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test330"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(3.71681d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3128657735168283d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test331"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.9218705268579582d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9218705268579582d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test332"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.794256384314428d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9177827065266343d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test333"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-3.141592653589793d), (java.lang.Number)1.7047134862451474d, true);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test334"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getSafety();
    org.apache.commons.math3.ode.events.EventHandler eventHandler15 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler15, 0.0d, 3.0593818002189453E22d, (-437672695));
    double d20 = dormandPrince853Integrator9.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 10.0d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test335"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.9999536394411607d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.017452483375548486d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test336"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)2L);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    java.lang.Number number3 = maxCountExceededException1.getMax();
    java.lang.Number number4 = maxCountExceededException1.getMax();
    java.lang.Number number5 = maxCountExceededException1.getMax();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = maxCountExceededException1.getContext();
    java.lang.Number number7 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 2L+ "'", number2.equals(2L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 2L+ "'", number3.equals(2L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 2L+ "'", number4.equals(2L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 2L+ "'", number5.equals(2L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 2L+ "'", number7.equals(2L));

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test337"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta((-1866.5771772914327d), 0.8906073261959583d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8906073261960046d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test338"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.0d, (-0.733685536181919d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.733685536181919d));

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test339"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver((-0.7236266338880267d), 0.2544625511387799d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test340"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    double d16 = dormandPrince853Integrator9.getMaxGrowth();
    int i17 = dormandPrince853Integrator9.getMaxEvaluations();
    double d18 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.setStepSizeControl((-0.911733914786965d), (-4.5556187874103236d), 1.9788585226911208d, 1.214383145469574d);
    org.apache.commons.math3.ode.ExpandableStatefulODE expandableStatefulODE24 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator9.integrate(expandableStatefulODE24, 4.048226965040811d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 10.0d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test341"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifySequence(0.022896877039688294d, 0.0d, 5.6843418860808015E-14d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test342"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(Float.POSITIVE_INFINITY, 0.0f, (-437672695));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test343"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i1 = bracketingNthOrderBrentSolver0.getEvaluations();
    int i2 = bracketingNthOrderBrentSolver0.getMaxEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = bracketingNthOrderBrentSolver0.solve(6, univariateFunction4, 0.7219634380306929d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test344"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d17 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d18 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    java.lang.String str20 = dormandPrince853Integrator9.getName();
    double d21 = dormandPrince853Integrator9.getCurrentStepStart();
    double d22 = dormandPrince853Integrator9.getCurrentSignedStepsize();
    dormandPrince853Integrator9.setMaxGrowth(0.02605317863283929d);
    org.apache.commons.math3.ode.events.EventHandler eventHandler28 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver32 = null;
    org.apache.commons.math3.ode.events.EventState eventState33 = new org.apache.commons.math3.ode.events.EventState(eventHandler28, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver32);
    int i34 = eventState33.getMaxIterationCount();
    boolean b35 = eventState33.stop();
    double[] d_array38 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array38);
    boolean b40 = eventState33.reset(0.0d, d_array38);
    int i41 = org.apache.commons.math3.util.MathUtils.hash(d_array38);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array38);
    double[] d_array46 = new double[] { 0.0d };
    int i47 = org.apache.commons.math3.util.MathUtils.hash(d_array46);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array46);
    double[] d_array52 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array52);
    double[] d_array57 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator58 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array52, d_array57);
    int i59 = dormandPrince853Integrator58.getEvaluations();
    double d60 = dormandPrince853Integrator58.getMinReduction();
    dormandPrince853Integrator58.setSafety(0.0d);
    java.util.Collection collection63 = dormandPrince853Integrator58.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable64 = null;
    org.apache.commons.math3.exception.util.Localizable localizable65 = null;
    java.lang.Object[] obj_array67 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException68 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable65, obj_array67);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator58, localizable64, obj_array67);
    double d70 = dormandPrince853Integrator58.getMaxGrowth();
    double[] d_array76 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array76);
    double[] d_array81 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator82 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array76, d_array81);
    double[] d_array84 = new double[] { (-1.0d) };
    dormandPrince853Integrator58.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array81, d_array84);
    int i86 = org.apache.commons.math3.util.MathUtils.hash(d_array84);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator87 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.011336584797708547d, 0.22140275816016985d, d_array46, d_array84);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array46);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator89 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(69.80246871042735d, 534.4916555247651d, d_array38, d_array46);
    double[] d_array90 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator9.computeDerivatives(2.2463313789128936d, d_array38, d_array90);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str20.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 9.433986512635347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i86 == (-1074790369));

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test345"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.0f);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test346"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.2851731651538846d, 0.30566626714964407d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6814674187337808d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test347"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.0d, (-0.4068933439049246d), 1024458752);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test348"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(1072693248, 861268882);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test349"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(182827.24966984757d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test350"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.6906987016305608d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6450299983490471d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test351"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d7 = eventState6.getEventTime();
    double d8 = eventState6.getConvergence();
    org.apache.commons.math3.ode.events.EventHandler eventHandler10 = null;
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[] d_array22 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator23 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array17, d_array22);
    int i24 = dormandPrince853Integrator23.getEvaluations();
    dormandPrince853Integrator23.clearStepHandlers();
    double d26 = dormandPrince853Integrator23.getSafety();
    double d27 = dormandPrince853Integrator23.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler28 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler32 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler36 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver40 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i41 = bracketingNthOrderBrentSolver40.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState42 = new org.apache.commons.math3.ode.events.EventState(eventHandler36, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver40);
    org.apache.commons.math3.ode.events.EventState eventState43 = new org.apache.commons.math3.ode.events.EventState(eventHandler32, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver40);
    dormandPrince853Integrator23.addEventHandler(eventHandler28, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver40);
    int i45 = bracketingNthOrderBrentSolver40.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState46 = new org.apache.commons.math3.ode.events.EventState(eventHandler10, Double.NaN, 0.0d, 1072693279, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver40);
    double[] d_array51 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array51);
    double[] d_array56 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator57 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array51, d_array56);
    int i58 = dormandPrince853Integrator57.getEvaluations();
    double d59 = dormandPrince853Integrator57.getMinReduction();
    dormandPrince853Integrator57.setSafety(0.0d);
    java.util.Collection collection62 = dormandPrince853Integrator57.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable63 = null;
    org.apache.commons.math3.exception.util.Localizable localizable64 = null;
    java.lang.Object[] obj_array66 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException67 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable64, obj_array66);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator57, localizable63, obj_array66);
    double d69 = dormandPrince853Integrator57.getMaxGrowth();
    double[] d_array75 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array75);
    double[] d_array80 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator81 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array75, d_array80);
    double[] d_array83 = new double[] { (-1.0d) };
    dormandPrince853Integrator57.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array80, d_array83);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array83);
    boolean b86 = eventState46.reset(0.6020638221877662d, d_array83);
    boolean b87 = eventState6.reset((-0.6229407956575254d), d_array83);
    boolean b88 = eventState6.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == false);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test352"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(1.647519344552359d, 267.7458277623821d, 1.0842021724855047E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.647519344552359d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test353"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 57.29577951308232d, 57.29577951308232d, 0, univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    double d7 = eventState5.getMaxCheckInterval();
    double d8 = eventState5.getEventTime();
    int i9 = eventState5.getMaxIterationCount();
    double[] d_array14 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array14);
    double[] d_array19 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator20 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array14, d_array19);
    int i21 = dormandPrince853Integrator20.getEvaluations();
    double d22 = dormandPrince853Integrator20.getMinReduction();
    java.util.Collection collection23 = dormandPrince853Integrator20.getStepHandlers();
    dormandPrince853Integrator20.clearStepHandlers();
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array32);
    double[] d_array37 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator38 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array32, d_array37);
    org.apache.commons.math3.ode.events.EventHandler eventHandler39 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver43 = null;
    org.apache.commons.math3.ode.events.EventState eventState44 = new org.apache.commons.math3.ode.events.EventState(eventHandler39, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver43);
    int i45 = eventState44.getMaxIterationCount();
    boolean b46 = eventState44.stop();
    double[] d_array49 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array49);
    boolean b51 = eventState44.reset(0.0d, d_array49);
    double[] d_array56 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b57 = eventState44.reset(56.516459060951796d, d_array56);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator58 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array37, d_array56);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array37);
    double[] d_array63 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array63);
    double[] d_array68 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator69 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array63, d_array68);
    dormandPrince853Integrator20.setStepSizeControl(2.4497460077641993d, 0.8771301074319141d, d_array37, d_array68);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array37);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array37);
    int i73 = org.apache.commons.math3.util.MathUtils.hash(d_array37);
    // The following exception was thrown during execution in test generation
    try {
      eventState5.stepAccepted(535.4916555247651d, d_array37);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 1265661023);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test354"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test355"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 0.0d, 1.3239700339195063E12d, 10);
    org.apache.commons.math3.ode.events.EventState eventState9 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1274331234873514d, 0.009712074733389654d, (-10), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d15 = bracketingNthOrderBrentSolver8.solve((-2), univariateFunction11, 1.1752011936438014d, 1.1368683772161603E-13d, 6.469987873078251E-4d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test356"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor(1548262112, maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test357"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(40, 1265661023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 40);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test358"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    int i15 = dormandPrince853Integrator9.getOrder();
    dormandPrince853Integrator9.setStepSizeControl(1.0000000000000002d, 100.0d, 0.2d, 100.4987562112089d);
    dormandPrince853Integrator9.setMinReduction(0.0d);
    java.util.Collection collection23 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9);
    java.lang.String str25 = dormandPrince853Integrator9.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str25.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test359"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    dormandPrince853Integrator26.setSafety(0.0d);
    java.util.Collection collection31 = dormandPrince853Integrator26.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable33, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator26, localizable32, obj_array35);
    double d38 = dormandPrince853Integrator26.getMaxGrowth();
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    double[] d_array49 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array44, d_array49);
    double[] d_array52 = new double[] { (-1.0d) };
    dormandPrince853Integrator26.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array49, d_array52);
    org.apache.commons.math3.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver58 = null;
    org.apache.commons.math3.ode.events.EventState eventState59 = new org.apache.commons.math3.ode.events.EventState(eventHandler54, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver58);
    int i60 = eventState59.getMaxIterationCount();
    boolean b61 = eventState59.stop();
    double[] d_array64 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    boolean b66 = eventState59.reset(0.0d, d_array64);
    int i67 = org.apache.commons.math3.util.MathUtils.hash(d_array64);
    dormandPrince853Integrator9.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array49, d_array64);
    dormandPrince853Integrator9.setSafety(1.1274331234873511d);
    org.apache.commons.math3.ode.events.EventHandler eventHandler71 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler71, 1.3591409142295225d, 0.0d, 10);
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler76 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1072693279);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test360"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(2.9346450401770854d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test361"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException5 = new org.apache.commons.math3.exception.DimensionMismatchException((-1023), (-437672695));
    java.lang.Throwable[] throwable_array6 = dimensionMismatchException5.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable2, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test362"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    int i16 = dormandPrince853Integrator9.getOrder();
    double d17 = dormandPrince853Integrator9.getMinStep();
    dormandPrince853Integrator9.clearEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.5533448061434307d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test363"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(-0.911733914786965d));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test364"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(2147483647, 1048576);
    int i3 = equationsMapper2.getFirstIndex();
    int i4 = equationsMapper2.getFirstIndex();
    int i5 = equationsMapper2.getDimension();
    double[] d_array9 = new double[] { 0.0d };
    int i10 = org.apache.commons.math3.util.MathUtils.hash(d_array9);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver16 = null;
    org.apache.commons.math3.ode.events.EventState eventState17 = new org.apache.commons.math3.ode.events.EventState(eventHandler12, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver16);
    int i18 = eventState17.getMaxIterationCount();
    boolean b19 = eventState17.stop();
    double[] d_array22 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array22);
    boolean b24 = eventState17.reset(0.0d, d_array22);
    int i25 = org.apache.commons.math3.util.MathUtils.hash(d_array22);
    int i26 = org.apache.commons.math3.util.MathUtils.hash(d_array22);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator27 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5889086380070654d, 0.7689071520658485d, d_array9, d_array22);
    org.apache.commons.math3.ode.events.EventHandler eventHandler28 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver32 = null;
    org.apache.commons.math3.ode.events.EventState eventState33 = new org.apache.commons.math3.ode.events.EventState(eventHandler28, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver32);
    int i34 = eventState33.getMaxIterationCount();
    boolean b35 = eventState33.stop();
    double[] d_array38 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array38);
    boolean b40 = eventState33.reset(0.0d, d_array38);
    int i41 = org.apache.commons.math3.util.MathUtils.hash(d_array38);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array38);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.insertEquationData(d_array22, d_array38);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1048576);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 1072693279);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test365"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    java.util.Collection collection15 = dormandPrince853Integrator9.getEventHandlers();
    dormandPrince853Integrator9.setMinReduction(4.022191557777585d);
    java.lang.String str18 = dormandPrince853Integrator9.getName();
    int i19 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler20 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler20, 40.428399626241514d, 1.6487212707001282d, (-1855157276));
    double d25 = dormandPrince853Integrator9.getCurrentSignedStepsize();
    org.apache.commons.math3.ode.events.EventHandler eventHandler26 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler26, 0.30566626714964407d, (-0.7219067166708869d), 12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str18.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 9.433986512635347d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test366"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval((-189.0312427910955d), 1.0587911840678754E-22d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test367"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.421085471520201E-14d, 0.004210783809661822d, 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test368"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.2687413636623772d, 8.764483253584093E23d, 0.011336584797708547d, 6.283185307179588d);
    java.lang.String str5 = dormandPrince853Integrator4.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str5.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test369"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)56.516459060951796d, (java.lang.Number)1.7453292519943298E-17d, false);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test370"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setInitialStepSize(1.0d);
    double d35 = dormandPrince853Integrator9.getMinReduction();
    java.util.Collection collection36 = dormandPrince853Integrator9.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection36);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test371"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance((-2.473150756570767E-17d), 5.0d, (-0.5548177590148484d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test372"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 1.0941200093518422d, 1262023.5276316951d, 134.01794674634826d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test373"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(1.5111573E23f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test374"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor((-10));
    incrementor1.resetCount();

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test375"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.8998668269691907d, 1024);
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test376"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.5707963267948823d, 337914027);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test377"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.6002005317221613d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6002005317221614d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test378"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setMaxGrowth(2.718281828459045d);
    int i35 = dormandPrince853Integrator9.getOrder();
    dormandPrince853Integrator9.setMinReduction(89.04160334794895d);
    java.lang.String str38 = dormandPrince853Integrator9.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str38.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test379"); }


    double d2 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.midpoint(0.9363390996725551d, 0.7391334218624054d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8377362607674803d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test380"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1280.0001f, 40.000008f, (-40.000004f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test381"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-0.23150654707920149d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test382"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.02258087175910885d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02258471089737332d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test383"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d13 = dormandPrince853Integrator9.getMaxStep();
    double d14 = dormandPrince853Integrator9.getSafety();
    double d15 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setStepSizeControl(8.764483253584093E23d, 0.9999999999999998d, 6.283185307179587d, 6.432490598706546E-16d);
    double d21 = dormandPrince853Integrator9.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 8.764483253584093E23d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test384"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign((-0.0f), 10.099999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test385"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(109.99999f, 996147200, 1008700321);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test386"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.621347132102578d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test387"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getMaximalCount();
    incrementor1.resetCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount(996147200);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 10);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test388"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.4976340580358172d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5208689689090307d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test389"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable2, (java.lang.Number)(-1), (java.lang.Number)(byte)10, true);
    java.lang.Throwable[] throwable_array7 = numberIsTooSmallException6.getSuppressed();
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException8 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)0.8999999999999997d, (java.lang.Object[])throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test390"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.2676508E30f, 1.80143985E16f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.80143985E16f);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test391"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(14L, 4L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4L);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test392"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(3.5346958487132123d, (-1.3818573967460348E181d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test393"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    boolean b7 = eventState6.stop();
    org.apache.commons.math3.ode.events.EventHandler eventHandler8 = eventState6.getEventHandler();
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[] d_array22 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator23 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array17, d_array22);
    org.apache.commons.math3.ode.events.EventHandler eventHandler24 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver28 = null;
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler24, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver28);
    int i30 = eventState29.getMaxIterationCount();
    boolean b31 = eventState29.stop();
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    boolean b36 = eventState29.reset(0.0d, d_array34);
    double[] d_array41 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b42 = eventState29.reset(56.516459060951796d, d_array41);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array22, d_array41);
    org.apache.commons.math3.ode.events.EventHandler eventHandler44 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver48 = null;
    org.apache.commons.math3.ode.events.EventState eventState49 = new org.apache.commons.math3.ode.events.EventState(eventHandler44, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver48);
    int i50 = eventState49.getMaxIterationCount();
    boolean b51 = eventState49.stop();
    double[] d_array54 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array54);
    boolean b56 = eventState49.reset(0.0d, d_array54);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator57 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator((-0.911733914786965d), 1.7253825588523148d, d_array41, d_array54);
    boolean b58 = eventState6.reset(57.29577951308232d, d_array41);
    double d59 = eventState6.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test394"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(1.9646637747270346d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2008942042);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test395"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.5454487991429904d, 48.196948051694136d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test396"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence(5.551115123125783E-17d, 0.0d, 4.499809670330265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test397"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    java.lang.String str13 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setStepSizeControl(1.2626272556789118d, 0.7693572253635211d, 6.284137641783304d, 268.0d);
    double d19 = dormandPrince853Integrator9.getMinStep();
    double d20 = dormandPrince853Integrator9.getMaxStep();
    java.util.Collection collection21 = dormandPrince853Integrator9.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str13.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.7693572253635211d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test398"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(3.5527145E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test399"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.4210855E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.6940659E-21f);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test400"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 2.840817072128048d, 51.77508491535104d, 0.006431261877544614d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test401"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(0.9654417610908377d, 0.8922742437892242d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test402"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.0d, 1.0000000000000002d, 10, univariateSolver4);
    double d6 = eventState5.getEventTime();
    org.apache.commons.math3.ode.events.EventHandler eventHandler7 = eventState5.getEventHandler();
    double d8 = eventState5.getEventTime();
    org.apache.commons.math3.ode.events.EventHandler eventHandler9 = eventState5.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler9);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test403"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(89.04160334794895d, 1.4330863854487743d, 2);
    double d4 = bracketingNthOrderBrentSolver3.getFunctionValueAccuracy();
    double d5 = bracketingNthOrderBrentSolver3.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution10 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ABOVE_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = bracketingNthOrderBrentSolver3.solve(1078755329, univariateFunction7, (-2.566375307179586d), 4.440892098500626E-16d, allowedSolution10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution10);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test404"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(1.0E-6d, 100.0d, 1.0d, 1.0E-6d);
    double d5 = noBracketingException4.getHi();
    double d6 = noBracketingException4.getLo();
    double d7 = noBracketingException4.getFLo();
    double d8 = noBracketingException4.getFLo();
    double d9 = noBracketingException4.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test405"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor((-480929055), maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test406"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.010872153749896264d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2215330508621685d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test407"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d1 = bracketingNthOrderBrentSolver0.getAbsoluteAccuracy();
    double d2 = bracketingNthOrderBrentSolver0.getAbsoluteAccuracy();
    int i3 = bracketingNthOrderBrentSolver0.getMaxEvaluations();
    double d4 = bracketingNthOrderBrentSolver0.getAbsoluteAccuracy();
    int i5 = bracketingNthOrderBrentSolver0.getMaxEvaluations();
    int i6 = bracketingNthOrderBrentSolver0.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 5);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test408"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-156150945), 2008942042);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-156150945));

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test409"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    java.util.Collection collection15 = dormandPrince853Integrator9.getEventHandlers();
    dormandPrince853Integrator9.setMinReduction(4.022191557777585d);
    java.lang.String str18 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.clearEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str18.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test410"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.00820144742226488d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test411"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.8193408018573807d, Double.NEGATIVE_INFINITY, (-51));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test412"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-0.617724568723111d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5391698868772796d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test413"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(1.4210854715202004E-14d, (-0.6880576931818059d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test414"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(10.0d, 0.0d, (-0.0d), 2.7182818284590455d);
    double d5 = noBracketingException4.getLo();
    double d6 = noBracketingException4.getLo();
    double d7 = noBracketingException4.getHi();
    double d8 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-0.0d));

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test415"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(1.864825035600266E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1062857240);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test416"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-11.254476195955036d), 0.5463182153140286d, 110);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test417"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.0d, 1.0000000000000002d, 10, univariateSolver4);
    double d6 = eventState5.getConvergence();
    double[] d_array8 = null;
    boolean b9 = eventState5.reset(0.7095184858840116d, d_array8);
    double d10 = eventState5.getMaxCheckInterval();
    boolean b11 = eventState5.stop();
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator12 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b13 = eventState5.evaluateStep(stepInterpolator12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test418"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.5313835328739165d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test419"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.0d, 1.0000000000000002d, 10, univariateSolver4);
    double d6 = eventState5.getConvergence();
    double[] d_array8 = null;
    boolean b9 = eventState5.reset(0.7095184858840116d, d_array8);
    double d10 = eventState5.getMaxCheckInterval();
    boolean b11 = eventState5.stop();
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    org.apache.commons.math3.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver31 = null;
    org.apache.commons.math3.ode.events.EventState eventState32 = new org.apache.commons.math3.ode.events.EventState(eventHandler27, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver31);
    int i33 = eventState32.getMaxIterationCount();
    boolean b34 = eventState32.stop();
    double[] d_array37 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array37);
    boolean b39 = eventState32.reset(0.0d, d_array37);
    double[] d_array44 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b45 = eventState32.reset(56.516459060951796d, d_array44);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator46 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array25, d_array44);
    org.apache.commons.math3.ode.events.EventHandler eventHandler47 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver51 = null;
    org.apache.commons.math3.ode.events.EventState eventState52 = new org.apache.commons.math3.ode.events.EventState(eventHandler47, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver51);
    int i53 = eventState52.getMaxIterationCount();
    boolean b54 = eventState52.stop();
    double[] d_array57 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array57);
    boolean b59 = eventState52.reset(0.0d, d_array57);
    int i60 = org.apache.commons.math3.util.MathUtils.hash(d_array57);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array57);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator62 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.5454487991429904d, 0.9666716934357489d, d_array25, d_array57);
    // The following exception was thrown during execution in test generation
    try {
      eventState5.stepAccepted(1.9721522630525295E-31d, d_array57);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 1072693279);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test420"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException5 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable2, 0, 0);
    java.lang.Throwable[] throwable_array6 = dimensionMismatchException5.getSuppressed();
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException7 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(-0.2294802171812586d), (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException8 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test421"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(11, 1040157601);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1040157601);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test422"); }


    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    int i14 = dormandPrince853Integrator13.getEvaluations();
    double d15 = dormandPrince853Integrator13.getMinReduction();
    dormandPrince853Integrator13.setSafety(0.0d);
    java.util.Collection collection18 = dormandPrince853Integrator13.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable19 = null;
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable20, obj_array22);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator13, localizable19, obj_array22);
    double d25 = dormandPrince853Integrator13.getMaxGrowth();
    double[] d_array31 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array31);
    double[] d_array36 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator37 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array31, d_array36);
    double[] d_array39 = new double[] { (-1.0d) };
    dormandPrince853Integrator13.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array36, d_array39);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math3.ode.events.EventHandler eventHandler42 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver46 = null;
    org.apache.commons.math3.ode.events.EventState eventState47 = new org.apache.commons.math3.ode.events.EventState(eventHandler42, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver46);
    int i48 = eventState47.getMaxIterationCount();
    boolean b49 = eventState47.stop();
    double[] d_array52 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array52);
    boolean b54 = eventState47.reset(0.0d, d_array52);
    double[] d_array59 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b60 = eventState47.reset(56.516459060951796d, d_array59);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator61 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(5.298292365610485d, 1.6487212707001282d, d_array39, d_array59);
    org.apache.commons.math3.ode.events.EventHandler eventHandler62 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver66 = null;
    org.apache.commons.math3.ode.events.EventState eventState67 = new org.apache.commons.math3.ode.events.EventState(eventHandler62, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver66);
    int i68 = eventState67.getMaxIterationCount();
    boolean b69 = eventState67.stop();
    double[] d_array72 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array72);
    boolean b74 = eventState67.reset(0.0d, d_array72);
    int i75 = org.apache.commons.math3.util.MathUtils.hash(d_array72);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator76 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(267.74489404101644d, 1.3239700339195063E12d, d_array39, d_array72);
    dormandPrince853Integrator76.setMinReduction((-1.0434034937813492d));
    dormandPrince853Integrator76.setStepSizeControl(1.2182829050172779d, 3.7168146928204138d, 1.001125628711726d, 0.003338266478753038d);
    java.util.Collection collection84 = dormandPrince853Integrator76.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection84);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test423"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(858.0d, 9.999999999999998d, 2.103290292397818d, (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test424"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(45.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test425"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)8.881784197001252E-16d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test426"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(6);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test427"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.7160033436347992d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1446972709985802d));

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test428"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.3796860135999448d, 50.25585323970516d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test429"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable8, obj_array10);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable6, (java.lang.Number)(byte)0, obj_array10);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable4, (java.lang.Number)(-15.954589770191003d), obj_array10);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math3.exception.MathArithmeticException(localizable3, obj_array10);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable1, (java.lang.Number)1.7528966507168155E24d, obj_array10);
    org.apache.commons.math3.exception.MathInternalError mathInternalError16 = new org.apache.commons.math3.exception.MathInternalError(localizable0, obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test430"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.3193333932016795d), (-0.09336728075109066d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.3193333932016795d));

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test431"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(40.000008f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 40);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test432"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifySequence(1.230709399416602d, 27.91165594019668d, 6.70571583409257E140d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test433"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 57.29577951308232d, 57.29577951308232d, 0, univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    double d7 = eventState5.getMaxCheckInterval();
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator8 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState5.reinitializeBegin(stepInterpolator8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 57.29577951308232d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test434"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(1262023.5276316951d, 0.1343706818311886d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.13437068182975054d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test435"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)0, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)(-15.954589770191003d), obj_array9);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array9);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, obj_array9);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException15 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test436"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.6487212707001282d, 89.04160334794895d, 1.5337260269320758d, 0.0d);
    double d13 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    java.lang.String str14 = dormandPrince853Integrator12.getName();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler15 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler15);
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver25 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 0.0d, 1.3239700339195063E12d, 10);
    dormandPrince853Integrator12.addEventHandler(eventHandler17, 3.141592653589794d, 0.8586917598249741d, (-1008700321), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver25);
    int i27 = bracketingNthOrderBrentSolver25.getMaximalOrder();
    double d28 = bracketingNthOrderBrentSolver25.getFunctionValueAccuracy();
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 1.1538644161394662d, 0.755894649162675d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver25);
    org.apache.commons.math3.ode.events.EventState eventState30 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.0E-6d, (-0.5869211956997074d), (-64), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver25);
    int i31 = bracketingNthOrderBrentSolver25.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 12.11630246473763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str14.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.3239700339195063E12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 10);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test437"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 2.4497460077641993d, (-0.617724568723111d), (-0.1667026661342535d), (-44));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test438"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(1.6896776741245407d, 0.0d, 2526.6187266788756d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test439"); }


    double d2 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.midpoint(268.0111961383378d, 0.01745417862959511d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 134.0143251584837d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test440"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 0.9988186212247272d, 0.005463784468559427d, 0.4591933566761031d, 1048576);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test441"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isBracketing(univariateFunction0, 0.0d, 1.3440585709080678E43d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test442"); }


    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)(-0.744024785054631d));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test443"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)4.450147717014403E-308d, number2, false);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test444"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(2.345068411963305d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1677177946415838d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test445"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(10.099999f, (-9.999997f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-9.999997f));

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test446"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.5629110812034289d, 72.34321284858714d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.83106726310034E-19d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test447"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)1, (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)1);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test448"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(2.928991716311668d, 55.82331188039185d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 53.19447417374836d);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test449"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver10 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i11 = bracketingNthOrderBrentSolver10.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState12 = new org.apache.commons.math3.ode.events.EventState(eventHandler6, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver10);
    org.apache.commons.math3.ode.events.EventState eventState13 = new org.apache.commons.math3.ode.events.EventState(eventHandler2, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver10);
    double d14 = bracketingNthOrderBrentSolver10.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction19 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver22 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution26 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d27 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction19, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver22, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution26);
    double d28 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver10, 3.5346958487132123d, 3116.2421492954973d, 1.0365374526472741d, allowedSolution26);
    double d29 = bracketingNthOrderBrentSolver10.getFunctionValueAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction31 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d33 = bracketingNthOrderBrentSolver10.solve((-156150945), univariateFunction31, (-0.36862638458285674d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 3.5346958487132123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0E-15d);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test450"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable6, obj_array8);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math3.exception.MathArithmeticException(localizable5, obj_array8);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable3, (java.lang.Number)(short)100, obj_array8);
    java.lang.Throwable[] throwable_array12 = notFiniteNumberException11.getSuppressed();
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable1, (java.lang.Number)(-0.6229407956575255d), (java.lang.Object[])throwable_array12);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test451"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable10, obj_array12);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable8, (java.lang.Number)(byte)0, obj_array12);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable6, (java.lang.Number)(-15.954589770191003d), obj_array12);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math3.exception.MathArithmeticException(localizable5, obj_array12);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 20.55442608508861d, 57.00000000000001d, 1.74532925199433E-17d, 5.729577951308233E-14d, obj_array12);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str18 = noBracketingException17.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test452"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.005022564003286406d), 1.5287693369936315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test453"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 0.0d, 1.3239700339195063E12d, 10);
    org.apache.commons.math3.ode.events.EventState eventState9 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.4544647885143314d, 0.8586917598249741d, 2147483647, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.ode.events.EventHandler eventHandler10 = eventState9.getEventHandler();
    double[] d_array15 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array15);
    double[] d_array20 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator21 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array15, d_array20);
    int i22 = dormandPrince853Integrator21.getEvaluations();
    double d23 = dormandPrince853Integrator21.getMinReduction();
    java.util.Collection collection24 = dormandPrince853Integrator21.getStepHandlers();
    dormandPrince853Integrator21.clearStepHandlers();
    double[] d_array33 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array33);
    double[] d_array38 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator39 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array33, d_array38);
    org.apache.commons.math3.ode.events.EventHandler eventHandler40 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver44 = null;
    org.apache.commons.math3.ode.events.EventState eventState45 = new org.apache.commons.math3.ode.events.EventState(eventHandler40, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver44);
    int i46 = eventState45.getMaxIterationCount();
    boolean b47 = eventState45.stop();
    double[] d_array50 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array50);
    boolean b52 = eventState45.reset(0.0d, d_array50);
    double[] d_array57 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b58 = eventState45.reset(56.516459060951796d, d_array57);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator59 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array38, d_array57);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array38);
    double[] d_array64 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    double[] d_array69 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator70 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array64, d_array69);
    dormandPrince853Integrator21.setStepSizeControl(2.4497460077641993d, 0.8771301074319141d, d_array38, d_array69);
    boolean b72 = eventState9.reset(2.0d, d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test454"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i13 = bracketingNthOrderBrentSolver12.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState14 = new org.apache.commons.math3.ode.events.EventState(eventHandler8, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math3.ode.events.EventState eventState15 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    int i16 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    org.apache.commons.math3.ode.events.EventState eventState17 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.8586917598249741d, 0.0033382540782630537d, 1265661023, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    double[] d_array22 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array22);
    double[] d_array27 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array22, d_array27);
    int i29 = dormandPrince853Integrator28.getEvaluations();
    double d30 = dormandPrince853Integrator28.getMinReduction();
    dormandPrince853Integrator28.setSafety(0.0d);
    java.util.Collection collection33 = dormandPrince853Integrator28.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable34 = null;
    org.apache.commons.math3.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable35, obj_array37);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator28, localizable34, obj_array37);
    double d40 = dormandPrince853Integrator28.getMaxGrowth();
    double[] d_array46 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array46);
    double[] d_array51 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator52 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array46, d_array51);
    double[] d_array54 = new double[] { (-1.0d) };
    dormandPrince853Integrator28.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array51, d_array54);
    int i56 = org.apache.commons.math3.util.MathUtils.hash(d_array54);
    boolean b57 = eventState17.reset(1.864825035600266E-5d, d_array54);
    double d58 = eventState17.getEventTime();
    int i59 = eventState17.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == (-1074790369));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 1265661023);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test455"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval((-0.7236266338880267d), (-4.680335587901077E38d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test456"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number0, (java.lang.Number)9.999998f, false);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test457"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    dormandPrince853Integrator26.setSafety(0.0d);
    java.util.Collection collection31 = dormandPrince853Integrator26.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable33, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator26, localizable32, obj_array35);
    double d38 = dormandPrince853Integrator26.getMaxGrowth();
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    double[] d_array49 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array44, d_array49);
    double[] d_array52 = new double[] { (-1.0d) };
    dormandPrince853Integrator26.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array49, d_array52);
    org.apache.commons.math3.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver58 = null;
    org.apache.commons.math3.ode.events.EventState eventState59 = new org.apache.commons.math3.ode.events.EventState(eventHandler54, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver58);
    int i60 = eventState59.getMaxIterationCount();
    boolean b61 = eventState59.stop();
    double[] d_array64 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    boolean b66 = eventState59.reset(0.0d, d_array64);
    int i67 = org.apache.commons.math3.util.MathUtils.hash(d_array64);
    dormandPrince853Integrator9.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array49, d_array64);
    dormandPrince853Integrator9.setSafety(1.1274331234873511d);
    org.apache.commons.math3.ode.events.EventHandler eventHandler71 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver75 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler71, 3.0593818002189453E22d, 0.2687413636623772d, (-2), univariateSolver75);
    double d77 = dormandPrince853Integrator9.getSafety();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.1274331234873511d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test458"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 7);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test459"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.03198676433760333d, 1023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test460"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.1641532182693481E-10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.670106611340577E-9d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test461"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-10.0f), 1.2089258E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2089258E24f);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test462"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)1062857240, (java.lang.Number)(-0.6229407956575254d), false);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test463"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.0000000041777137d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5574077389657393d);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test464"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.9999793197917277d);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test465"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-0.5869211956997074d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8326496648487137d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test466"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(4.022191557777585d, 1.0E-323d, 148.14611004213927d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test467"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(2.9802322387695312E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000298023228d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test468"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, (-0.911733914786965d), 0.9173172759781081d, 8, univariateSolver4);
    double d6 = eventState5.getEventTime();
    double d7 = eventState5.getEventTime();
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator8 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState5.reinitializeBegin(stepInterpolator8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test469"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.7853981633974483d, (-0.017453292519943295d), 0.5665501580766811d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test470"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign((-1023), 40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1023);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test471"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(2.4741354375614093d, 9.45115622328848E-7d, 0.0d, 1048576);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(11, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver6, 2526.6187266788756d, 1.067757623796186d, 15.954589770191003d, allowedSolution10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test472"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    incrementor1.incrementCount((-1008700321));
    int i9 = incrementor1.getMaximalCount();
    incrementor1.setMaximalCount(283985305);
    incrementor1.resetCount();
    int i13 = incrementor1.getMaximalCount();
    incrementor1.incrementCount((-40));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 283985305);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test473"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.9950547536867305d, 1.4015265250281166d, 0.9218705268579582d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test474"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(6.34899018236209d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.0d);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test475"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    dormandPrince853Integrator9.setMinReduction(1.4330863854487743d);
    dormandPrince853Integrator9.clearEventHandlers();
    double d17 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.clearEventHandlers();
    dormandPrince853Integrator9.clearStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test476"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    double[] d_array35 = new double[] { (-1.0d) };
    dormandPrince853Integrator9.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array32, d_array35);
    dormandPrince853Integrator9.setInitialStepSize(1.307972410734653d);
    java.util.Collection collection39 = dormandPrince853Integrator9.getStepHandlers();
    dormandPrince853Integrator9.setMaxEvaluations(1040157601);
    double d42 = dormandPrince853Integrator9.getSafety();
    org.apache.commons.math3.ode.ExpandableStatefulODE expandableStatefulODE43 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator9.integrate(expandableStatefulODE43, 1.0924195670341623d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test477"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.5337260269320758d, (java.lang.Number)(short)0, true);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test478"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 5.755496611880011E11d, 55.82331188039185d, 492174979);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver13 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver((-2.473150756570767E-17d), 2);
    int i14 = bracketingNthOrderBrentSolver13.getMaximalOrder();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction19 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver22 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution26 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d27 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction19, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver22, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution26);
    double d28 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide((-127), univariateFunction10, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver13, (-0.7639964551615661d), 1.0E-323d, 1.1368683772161603E-13d, allowedSolution26);
    // The following exception was thrown during execution in test generation
    try {
      double d29 = bracketingNthOrderBrentSolver4.solve(168320186, univariateFunction6, 0.5864808031646639d, 8.249305828212716d, allowedSolution26);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == (-0.7639964551615661d));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test479"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.9363390996725551d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test480"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(0.8033372065277675d, (-4.450147717014403E-308d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test481"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-2.255105958983515d), (-0.14540425498219306d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.2551059589835147d));

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test482"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(1.864825035600266E-5d, 0, (-8));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test483"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.3440585709080678E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test484"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(5.298292365610485d, 0.8377362607674803d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.298292365610485d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test485"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-283985305), (-20));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-20));

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test486"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(47.58806615310076d, 1.3239700339195051E12d, 0.7095184858840116d, 9);
    int i5 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 9);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test487"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.1343706818311886d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.698872959222319d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test488"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.027181892591221314d, 2008942042);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test489"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(9.313226E-10f, 9.094948E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.313226E-10f);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test490"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(100.0d, 89.0001015205856d, 1.5533448061434307d, 100);
    int i5 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    int i6 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    int i7 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    double d8 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = bracketingNthOrderBrentSolver4.solve(0, univariateFunction10, 1.024014189865615d, 268.0111961383378d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.5533448061434307d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test491"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(5.298292365610485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.298292365610486d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test492"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, (-1280.0001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test493"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d7 = bracketingNthOrderBrentSolver4.getStartValue();
    double d8 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    double d9 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    double d10 = bracketingNthOrderBrentSolver4.getStartValue();
    int i11 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    double d12 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-15d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test494"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(2.966430121523644E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 29664301L);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test495"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(5120.001f, 3.8146973E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5120.001f);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test496"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(1.4210855E-14f, 3.8146973E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.8146973E-6f);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test497"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.010507996004318211d, (-0.002529042968062785d), (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test498"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(6.557536516019443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test499"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.003005301661576255d, 2.4741354375614093d, (-1399980709));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test500"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs((-9.999997f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.999997f);

  }

}
