
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest15 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test001"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 4245807.5263283085d, 0.5399235921889824d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test002"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setInitialStepSize(1.0d);
    dormandPrince853Integrator9.setSafety(0.9988186212247272d);
    dormandPrince853Integrator9.setMaxEvaluations(1048576);
    dormandPrince853Integrator9.setMaxGrowth(40.428399626241514d);
    dormandPrince853Integrator9.setStepSizeControl(0.9440892412430648d, 1.526523647200146d, 0.4767117318740754d, (-1.0385948746990148d));
    dormandPrince853Integrator9.setMaxGrowth((-1.5838978832419785E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test003"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    int i14 = dormandPrince853Integrator13.getEvaluations();
    double d15 = dormandPrince853Integrator13.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver20 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d21 = bracketingNthOrderBrentSolver20.getAbsoluteAccuracy();
    double d22 = bracketingNthOrderBrentSolver20.getFunctionValueAccuracy();
    dormandPrince853Integrator13.addEventHandler(eventHandler16, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver20);
    double d24 = bracketingNthOrderBrentSolver20.getMin();
    int i25 = bracketingNthOrderBrentSolver20.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState26 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 8.28248832576111E-108d, 0.0010036119355930628d, 521272152, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver20);
    double[] d_array28 = null;
    boolean b29 = eventState26.reset(4.74129798254511d, d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test004"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.4551915E-11f, 44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 256.0f);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test005"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setInitialStepSize(0.0d);
    double d14 = dormandPrince853Integrator9.getSafety();
    dormandPrince853Integrator9.setSafety(6.123233995736766E-17d);
    java.util.Collection collection17 = dormandPrince853Integrator9.getEventHandlers();
    double d18 = dormandPrince853Integrator9.getMinStep();
    double d19 = dormandPrince853Integrator9.getSafety();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 6.123233995736766E-17d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test006"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.01906631825795704d, 0.5972144969859604d, 1072693248);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test007"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(40.0f, Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 40.0f);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test008"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException3 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)1.7976931348623157E308d, obj_array2);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test009"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.0d, 1.0000000000000002d, 10, univariateSolver4);
    double d6 = eventState5.getMaxCheckInterval();
    org.apache.commons.math3.ode.events.EventHandler eventHandler7 = eventState5.getEventHandler();
    double d8 = eventState5.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test010"); }


    java.lang.Object obj0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable8, obj_array10);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable6, (java.lang.Number)(byte)0, obj_array10);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable4, (java.lang.Number)(-15.954589770191003d), obj_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, obj_array10);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable2, obj_array10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathUtils.checkNotNull(obj0, localizable1, obj_array10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test011"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(1.0f, 1280.0001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1280.0001f);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test012"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(1.797574268147469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 60945384);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test013"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.30566626714964407d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.005334882774041872d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test014"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.5927404559200955d, 1.797574268147469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.8927795692024654d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test015"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.03707029986282079d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.037070299862820795d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test016"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(3.6021502834650283d, 1.1887750855714434d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test017"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable6, obj_array8);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(-3L), obj_array8);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException11 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, (-0.8833850116903931d), 0.9262160379374196d, 0.1935191113165547d, 3.7156312158776212d, obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test018"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver((-0.23150654707920149d), 1.0587911840678754E-22d, 0.0d, 2);
    int i9 = bracketingNthOrderBrentSolver8.getMaxEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, (-0.1667026661342535d), 0.48195290090261633d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test019"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)0, obj_array9);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array9);
    double d13 = noBracketingException12.getFLo();
    double d14 = noBracketingException12.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 57.29577951308232d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test020"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.3552527E-20f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.3552527E-20f);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test021"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    double[] d_array35 = new double[] { (-1.0d) };
    dormandPrince853Integrator9.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array32, d_array35);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test022"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array6);
    double[] d_array11 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array6, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getMinReduction();
    dormandPrince853Integrator12.setSafety(0.0d);
    java.util.Collection collection17 = dormandPrince853Integrator12.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable18 = null;
    org.apache.commons.math3.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException22 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable19, obj_array21);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator12, localizable18, obj_array21);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException24 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array21);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException25 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(-1.4E-45f), obj_array21);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException26 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array21);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext27 = mathArithmeticException26.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext27);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test023"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setMaxEvaluations(0);
    dormandPrince853Integrator9.setStepSizeControl(69.80246871042735d, 1.0337274933484122d, (-0.5430277083304146d), 0.9262160379374196d);
    dormandPrince853Integrator9.clearStepHandlers();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler20 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler20);
    dormandPrince853Integrator9.setMaxGrowth(0.1231307796286365d);
    int i24 = dormandPrince853Integrator9.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test024"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.9044273437475027d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test025"); }


    float f2 = org.apache.commons.math3.util.Precision.round(1.192093E-7f, 168320186);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test026"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable6, obj_array8);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException10 = new org.apache.commons.math3.exception.NoBracketingException(localizable1, 5.298292365610485d, 1.5707963267948966d, 4.9E-324d, 1.1102230246251565E-16d, obj_array8);
    org.apache.commons.math3.exception.MathInternalError mathInternalError11 = new org.apache.commons.math3.exception.MathInternalError(localizable0, obj_array8);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext12 = mathInternalError11.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test027"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(9.999997f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test028"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(109.99999f, 1.04857608E8f, (-2.0971518E7f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test029"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.2626272556789118d, 0.49691023646911164d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.998978788546779d));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test030"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.9143356863224049d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9705886837644969d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test031"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.2182829050172777d, 2.4221817809573358E-5d, 8.764483253584093E23d, (-0.6253149461674672d));
    dormandPrince853Integrator4.setSafety(1.5837820090105428d);
    int i7 = dormandPrince853Integrator4.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 8);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test032"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(858.0d, 8.764483253584093E23d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.764483253584093E23d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test033"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(91414.1248376586d, 1.54474019991694d, 1.0486050610461315d, (-1048576));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test034"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(1.4544647885143314d, 4.0482269650408105d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4544647885143314d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test035"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(1072693248, (-2));
    int i3 = equationsMapper2.getDimension();
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver8 = null;
    org.apache.commons.math3.ode.events.EventState eventState9 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver8);
    double d10 = eventState9.getEventTime();
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[] d_array22 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator23 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array17, d_array22);
    org.apache.commons.math3.ode.events.EventHandler eventHandler24 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver28 = null;
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler24, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver28);
    int i30 = eventState29.getMaxIterationCount();
    boolean b31 = eventState29.stop();
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    boolean b36 = eventState29.reset(0.0d, d_array34);
    double[] d_array41 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b42 = eventState29.reset(56.516459060951796d, d_array41);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array22, d_array41);
    boolean b44 = eventState9.reset((-8.249305440540187d), d_array22);
    int i45 = org.apache.commons.math3.util.MathUtils.hash(d_array22);
    int i46 = org.apache.commons.math3.util.MathUtils.hash(d_array22);
    double[] d_array47 = null;
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.insertEquationData(d_array22, d_array47);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1265661023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 1265661023);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test036"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    dormandPrince853Integrator9.setMinReduction(1.4330863854487743d);
    dormandPrince853Integrator9.clearEventHandlers();
    double d17 = dormandPrince853Integrator9.getMaxGrowth();
    int i18 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler19 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler19, 0.0d, 0.5938865169460396d, (-1399980709));
    dormandPrince853Integrator9.setStepSizeControl(0.0d, 2.5246306599334676d, 0.0d, 55.1301646998319d);
    dormandPrince853Integrator9.setStepSizeControl(0.004210808696553567d, 3.3881317890172014E-21d, 1.5173150470568069d, (-0.32386357984292224d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test037"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyBracketing(univariateFunction0, 270.1769682087222d, (-3.052674070585044E-27d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test038"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(2.549746823947039E-306d, 0.009712074733389652d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.009712074733389652d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test039"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d5 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    int i6 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    int i7 = bracketingNthOrderBrentSolver4.getEvaluations();
    double d8 = bracketingNthOrderBrentSolver4.getStartValue();
    double d9 = bracketingNthOrderBrentSolver4.getMin();
    double d10 = bracketingNthOrderBrentSolver4.getStartValue();
    org.apache.commons.math3.ode.events.EventState eventState11 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.0d, 9.445076139061747E305d, (-11), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d12 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    double d13 = bracketingNthOrderBrentSolver4.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test040"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.ode.events.EventState eventState11 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    double d12 = eventState11.getConvergence();
    double d13 = eventState11.getMaxCheckInterval();
    int i14 = eventState11.getMaxIterationCount();
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator15 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState11.reinitializeBegin(stepInterpolator15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.7183579793493745d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 7.105427357600977E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 2);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test041"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver17 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d18 = bracketingNthOrderBrentSolver17.getAbsoluteAccuracy();
    int i19 = bracketingNthOrderBrentSolver17.getMaxEvaluations();
    double d20 = bracketingNthOrderBrentSolver17.getAbsoluteAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler13, 0.0d, 1.5650761913479965d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver17);
    double d22 = dormandPrince853Integrator9.getMinStep();
    dormandPrince853Integrator9.setMaxEvaluations((-64));
    int i25 = dormandPrince853Integrator9.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test042"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setInitialStepSize(1.0d);
    dormandPrince853Integrator9.setSafety(0.9988186212247272d);
    double d37 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.clearStepHandlers();
    dormandPrince853Integrator9.setStepSizeControl(1.0618065376928847d, 1.0000206806359497d, (-0.9410563833063935d), 7.332696137706458E13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test043"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable15, obj_array17);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable13, (java.lang.Number)(byte)0, obj_array17);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException20 = new org.apache.commons.math3.exception.NoBracketingException(localizable8, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array17);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException21 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable6, (java.lang.Number)10.0d, obj_array17);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException22 = new org.apache.commons.math3.exception.NullArgumentException(localizable5, obj_array17);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 3198.44016918896d, 0.0033382540782630537d, (-0.09336728075109066d), 1.2644172603605637d, obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test044"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Number number4 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable2, (java.lang.Number)1L, number4, true);
    java.lang.Throwable[] throwable_array7 = numberIsTooSmallException6.getSuppressed();
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)67.00446816782384d, (java.lang.Object[])throwable_array7);
    java.lang.Number number9 = maxCountExceededException8.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 67.00446816782384d+ "'", number9.equals(67.00446816782384d));

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test045"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 0.22140275816016985d, 4.74129798254511d, 57.29577951308233d);
    dormandPrince853Integrator4.setMinReduction(303.5697911758657d);
    double d7 = dormandPrince853Integrator4.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test046"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.0d, 1.0000000000000002d, 10, univariateSolver4);
    double d6 = eventState5.getEventTime();
    double[] d_array9 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    boolean b11 = eventState5.reset(0.0d, d_array9);
    double d12 = eventState5.getMaxCheckInterval();
    double d13 = eventState5.getEventTime();
    double d14 = eventState5.getMaxCheckInterval();
    double d15 = eventState5.getConvergence();
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    dormandPrince853Integrator26.setSafety(0.0d);
    double d31 = dormandPrince853Integrator26.getMinReduction();
    double[] d_array37 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array37);
    double[] d_array42 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array37, d_array42);
    int i44 = dormandPrince853Integrator43.getEvaluations();
    double d45 = dormandPrince853Integrator43.getMinReduction();
    dormandPrince853Integrator43.setSafety(0.0d);
    java.util.Collection collection48 = dormandPrince853Integrator43.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable49 = null;
    org.apache.commons.math3.exception.util.Localizable localizable50 = null;
    java.lang.Object[] obj_array52 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException53 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable50, obj_array52);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator43, localizable49, obj_array52);
    double d55 = dormandPrince853Integrator43.getMaxGrowth();
    double[] d_array61 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array61);
    double[] d_array66 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator67 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array61, d_array66);
    double[] d_array69 = new double[] { (-1.0d) };
    dormandPrince853Integrator43.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array66, d_array69);
    org.apache.commons.math3.ode.events.EventHandler eventHandler71 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver75 = null;
    org.apache.commons.math3.ode.events.EventState eventState76 = new org.apache.commons.math3.ode.events.EventState(eventHandler71, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver75);
    int i77 = eventState76.getMaxIterationCount();
    boolean b78 = eventState76.stop();
    double[] d_array81 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array81);
    boolean b83 = eventState76.reset(0.0d, d_array81);
    int i84 = org.apache.commons.math3.util.MathUtils.hash(d_array81);
    dormandPrince853Integrator26.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array66, d_array81);
    boolean b86 = eventState5.reset(2.220446049250313E-16d, d_array81);
    int i87 = eventState5.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i87 == 10);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test047"); }


    double[] d_array5 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[] d_array10 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array5, d_array10);
    int i12 = dormandPrince853Integrator11.getEvaluations();
    double d13 = dormandPrince853Integrator11.getMinReduction();
    dormandPrince853Integrator11.setSafety(0.0d);
    double d16 = dormandPrince853Integrator11.getMinReduction();
    double[] d_array22 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array22);
    double[] d_array27 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array22, d_array27);
    int i29 = dormandPrince853Integrator28.getEvaluations();
    double d30 = dormandPrince853Integrator28.getMinReduction();
    dormandPrince853Integrator28.setSafety(0.0d);
    java.util.Collection collection33 = dormandPrince853Integrator28.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable34 = null;
    org.apache.commons.math3.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable35, obj_array37);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator28, localizable34, obj_array37);
    double d40 = dormandPrince853Integrator28.getMaxGrowth();
    double[] d_array46 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array46);
    double[] d_array51 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator52 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array46, d_array51);
    double[] d_array54 = new double[] { (-1.0d) };
    dormandPrince853Integrator28.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array51, d_array54);
    org.apache.commons.math3.ode.events.EventHandler eventHandler56 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver60 = null;
    org.apache.commons.math3.ode.events.EventState eventState61 = new org.apache.commons.math3.ode.events.EventState(eventHandler56, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver60);
    int i62 = eventState61.getMaxIterationCount();
    boolean b63 = eventState61.stop();
    double[] d_array66 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array66);
    boolean b68 = eventState61.reset(0.0d, d_array66);
    int i69 = org.apache.commons.math3.util.MathUtils.hash(d_array66);
    dormandPrince853Integrator11.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array51, d_array66);
    org.apache.commons.math3.ode.events.EventHandler eventHandler71 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver75 = null;
    org.apache.commons.math3.ode.events.EventState eventState76 = new org.apache.commons.math3.ode.events.EventState(eventHandler71, 0.0d, 1.0000000000000002d, 10, univariateSolver75);
    double d77 = eventState76.getEventTime();
    double[] d_array80 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array80);
    boolean b82 = eventState76.reset(0.0d, d_array80);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator83 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 3.8518598887744717E-34d, d_array51, d_array80);
    double d84 = dormandPrince853Integrator83.getMaxStep();
    double d85 = dormandPrince853Integrator83.getCurrentSignedStepsize();
    double d86 = dormandPrince853Integrator83.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 3.8518598887744717E-34d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.2d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test048"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(48.196948051694136d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 48.196948051694136d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test049"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(2.064557505924726E30d, 1.1291249428624556E-23d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test050"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-2.99843418241982d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.05233254888757014d));

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test051"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.9097310103233549d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test052"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 57.29577951308232d, 57.29577951308232d, 0, univariateSolver4);
    double d6 = eventState5.getConvergence();
    boolean b7 = eventState5.stop();
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[] d_array17 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator18 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array12, d_array17);
    int i19 = dormandPrince853Integrator18.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler20 = null;
    dormandPrince853Integrator18.addEventHandler(eventHandler20, (-0.0d), 1.7528966507168187E24d, 0);
    int i25 = dormandPrince853Integrator18.getOrder();
    java.lang.String str26 = dormandPrince853Integrator18.getName();
    dormandPrince853Integrator18.setInitialStepSize(8.881784197001252E-16d);
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[] d_array39 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator40 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array34, d_array39);
    int i41 = dormandPrince853Integrator40.getEvaluations();
    dormandPrince853Integrator40.clearStepHandlers();
    double d43 = dormandPrince853Integrator40.getSafety();
    double d44 = dormandPrince853Integrator40.getMaxGrowth();
    double[] d_array50 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array50);
    double[] d_array55 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator56 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array50, d_array55);
    double[] d_array60 = new double[] { (-1.0d), 0.0d, 1.0d };
    int i61 = org.apache.commons.math3.util.MathUtils.hash(d_array60);
    dormandPrince853Integrator40.setStepSizeControl(0.0d, 4.715258503850705d, d_array55, d_array60);
    org.apache.commons.math3.ode.events.EventHandler eventHandler63 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver67 = null;
    org.apache.commons.math3.ode.events.EventState eventState68 = new org.apache.commons.math3.ode.events.EventState(eventHandler63, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver67);
    int i69 = eventState68.getMaxIterationCount();
    boolean b70 = eventState68.stop();
    double[] d_array73 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array73);
    boolean b75 = eventState68.reset(0.0d, d_array73);
    int i76 = org.apache.commons.math3.util.MathUtils.hash(d_array73);
    int i77 = org.apache.commons.math3.util.MathUtils.hash(d_array73);
    dormandPrince853Integrator18.setStepSizeControl(1.4330863854487743d, 4.741297982545109d, d_array55, d_array73);
    // The following exception was thrown during execution in test generation
    try {
      eventState5.stepAccepted(1.2937886495230881d, d_array73);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str26.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 1072693279);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test053"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.ode.events.EventState eventState11 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException16 = new org.apache.commons.math3.exception.DimensionMismatchException((-1023), (-437672695));
    java.lang.Throwable[] throwable_array17 = dimensionMismatchException16.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable13, (java.lang.Object[])throwable_array17);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)eventState11, localizable12, (java.lang.Object[])throwable_array17);
    double d20 = eventState11.getConvergence();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    int i34 = dormandPrince853Integrator33.getEvaluations();
    double d35 = dormandPrince853Integrator33.getMinReduction();
    java.util.Collection collection36 = dormandPrince853Integrator33.getStepHandlers();
    dormandPrince853Integrator33.clearStepHandlers();
    double[] d_array45 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array45);
    double[] d_array50 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator51 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array45, d_array50);
    org.apache.commons.math3.ode.events.EventHandler eventHandler52 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver56 = null;
    org.apache.commons.math3.ode.events.EventState eventState57 = new org.apache.commons.math3.ode.events.EventState(eventHandler52, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver56);
    int i58 = eventState57.getMaxIterationCount();
    boolean b59 = eventState57.stop();
    double[] d_array62 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array62);
    boolean b64 = eventState57.reset(0.0d, d_array62);
    double[] d_array69 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b70 = eventState57.reset(56.516459060951796d, d_array69);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator71 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array50, d_array69);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array50);
    double[] d_array76 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array76);
    double[] d_array81 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator82 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array76, d_array81);
    dormandPrince853Integrator33.setStepSizeControl(2.4497460077641993d, 0.8771301074319141d, d_array50, d_array81);
    double[] d_array85 = new double[] { 0.0d };
    int i86 = org.apache.commons.math3.util.MathUtils.hash(d_array85);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array85);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array85);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator89 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.442456371534995d, 0.9910255587990942d, d_array81, d_array85);
    // The following exception was thrown during execution in test generation
    try {
      eventState11.stepAccepted(0.8771301074319141d, d_array81);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.7183579793493745d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i86 == 31);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test054"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(139.81083765316555d, 1.3629301349730494d, 0.16802904214610792d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test055"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.8414709848078965d, 7);
    double d3 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i5 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i6 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d7 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    int i8 = bracketingNthOrderBrentSolver2.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test056"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable8, obj_array10);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math3.exception.NoBracketingException(localizable3, 5.298292365610485d, 1.5707963267948966d, 4.9E-324d, 1.1102230246251565E-16d, obj_array10);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math3.exception.MathArithmeticException(localizable2, obj_array10);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException14 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, obj_array10);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test057"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(3.6771956542879445E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test058"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.0d, 4.028079348196071d, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test059"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(1265661023, (-7));
    int i3 = equationsMapper2.getFirstIndex();
    int i4 = equationsMapper2.getDimension();
    org.apache.commons.math3.ode.events.EventHandler eventHandler5 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver9 = null;
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler5, 0.0d, 1.0000000000000002d, 10, univariateSolver9);
    double d11 = eventState10.getEventTime();
    double[] d_array14 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array14);
    boolean b16 = eventState10.reset(0.0d, d_array14);
    double d17 = eventState10.getMaxCheckInterval();
    double d18 = eventState10.getMaxCheckInterval();
    double[] d_array23 = new double[] { 0.0d };
    int i24 = org.apache.commons.math3.util.MathUtils.hash(d_array23);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array23);
    double[] d_array29 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array29);
    double[] d_array34 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator35 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array29, d_array34);
    int i36 = dormandPrince853Integrator35.getEvaluations();
    double d37 = dormandPrince853Integrator35.getMinReduction();
    dormandPrince853Integrator35.setSafety(0.0d);
    java.util.Collection collection40 = dormandPrince853Integrator35.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable41 = null;
    org.apache.commons.math3.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException45 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable42, obj_array44);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator35, localizable41, obj_array44);
    double d47 = dormandPrince853Integrator35.getMaxGrowth();
    double[] d_array53 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array53);
    double[] d_array58 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator59 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array53, d_array58);
    double[] d_array61 = new double[] { (-1.0d) };
    dormandPrince853Integrator35.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array58, d_array61);
    int i63 = org.apache.commons.math3.util.MathUtils.hash(d_array61);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator64 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.011336584797708547d, 0.22140275816016985d, d_array23, d_array61);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array23);
    boolean b66 = eventState10.reset(1.273443797698992d, d_array23);
    double[] d_array67 = null;
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.insertEquationData(d_array23, d_array67);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1265661023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == (-1074790369));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test060"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 57.29577951308232d, 57.29577951308232d, 0, univariateSolver4);
    double d6 = eventState5.getMaxCheckInterval();
    double[] d_array11 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[] d_array16 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator17 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array11, d_array16);
    int i18 = dormandPrince853Integrator17.getEvaluations();
    double d19 = dormandPrince853Integrator17.getMinReduction();
    dormandPrince853Integrator17.setSafety(0.0d);
    double d22 = dormandPrince853Integrator17.getMinReduction();
    double[] d_array28 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array28);
    double[] d_array33 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator34 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array28, d_array33);
    int i35 = dormandPrince853Integrator34.getEvaluations();
    double d36 = dormandPrince853Integrator34.getMinReduction();
    dormandPrince853Integrator34.setSafety(0.0d);
    java.util.Collection collection39 = dormandPrince853Integrator34.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable40 = null;
    org.apache.commons.math3.exception.util.Localizable localizable41 = null;
    java.lang.Object[] obj_array43 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException44 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable41, obj_array43);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator34, localizable40, obj_array43);
    double d46 = dormandPrince853Integrator34.getMaxGrowth();
    double[] d_array52 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array52);
    double[] d_array57 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator58 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array52, d_array57);
    double[] d_array60 = new double[] { (-1.0d) };
    dormandPrince853Integrator34.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array57, d_array60);
    org.apache.commons.math3.ode.events.EventHandler eventHandler62 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver66 = null;
    org.apache.commons.math3.ode.events.EventState eventState67 = new org.apache.commons.math3.ode.events.EventState(eventHandler62, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver66);
    int i68 = eventState67.getMaxIterationCount();
    boolean b69 = eventState67.stop();
    double[] d_array72 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array72);
    boolean b74 = eventState67.reset(0.0d, d_array72);
    int i75 = org.apache.commons.math3.util.MathUtils.hash(d_array72);
    dormandPrince853Integrator17.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array57, d_array72);
    boolean b77 = eventState5.reset(1.9646637747270346d, d_array72);
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator78 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState5.reinitializeBegin(stepInterpolator78);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test061"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    double d31 = bracketingNthOrderBrentSolver26.getStartValue();
    double d32 = bracketingNthOrderBrentSolver26.getAbsoluteAccuracy();
    double d33 = bracketingNthOrderBrentSolver26.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0E-15d);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test062"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(9.999998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.999999f);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test063"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    boolean b7 = incrementor1.canIncrement();
    incrementor1.setMaximalCount(2147483647);
    incrementor1.resetCount();
    int i11 = incrementor1.getMaximalCount();
    incrementor1.incrementCount(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2147483647);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test064"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(2578L, 4L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2578L);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test065"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.559924173050064d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test066"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.2687413636623772d, 0.0d, 0.14933125760486868d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test067"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(5.623423983065731E-4d, (-0.004131044649505512d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.623423983065731E-4d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test068"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)2.1546133696398964d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test069"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)1.0E10f);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test070"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test071"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-156150945), (-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-156150945));

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test072"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, obj_array7);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math3.exception.MathArithmeticException(localizable4, obj_array7);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(short)(-1), obj_array7);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math3.exception.NotFiniteNumberException(number2, obj_array7);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, obj_array7);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test073"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.38394983672592986d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.46807179654697945d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test074"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 1.3835405562008058d, 0.7297964363483357d, 2.840817072128048d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test075"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(2.2329804248703455d, 2146959360);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test076"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.003046174197867085d, 0.03221984606423133d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test077"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.9536466653926198d, 2.2463313789128936d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.2463313789128936d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test078"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException2 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)(short)1);
    java.lang.Number number3 = maxCountExceededException2.getMax();
    java.lang.Number number4 = maxCountExceededException2.getMax();
    org.apache.commons.math3.exception.MathInternalError mathInternalError5 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)maxCountExceededException2);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException8 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(short)100);
    java.lang.Throwable[] throwable_array9 = tooManyEvaluationsException8.getSuppressed();
    java.lang.Throwable[] throwable_array10 = tooManyEvaluationsException8.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathInternalError5, localizable6, (java.lang.Object[])throwable_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + (short)1+ "'", number3.equals((short)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (short)1+ "'", number4.equals((short)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test079"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    java.util.Collection collection15 = dormandPrince853Integrator9.getEventHandlers();
    dormandPrince853Integrator9.setMinReduction(4.022191557777585d);
    java.lang.String str18 = dormandPrince853Integrator9.getName();
    double d19 = dormandPrince853Integrator9.getCurrentStepStart();
    double d20 = dormandPrince853Integrator9.getSafety();
    dormandPrince853Integrator9.setMaxEvaluations((-1048576));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str18.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test080"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.19126786962680778d, (java.lang.Number)10.0f, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    java.lang.Throwable[] throwable_array6 = numberIsTooLargeException4.getSuppressed();
    java.lang.Number number7 = numberIsTooLargeException4.getMax();
    boolean b8 = numberIsTooLargeException4.getBoundIsAllowed();
    boolean b9 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 10.0f+ "'", number7.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test081"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(2.105725695180373d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5097802759947827d));

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test082"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i13 = bracketingNthOrderBrentSolver12.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState14 = new org.apache.commons.math3.ode.events.EventState(eventHandler8, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math3.ode.events.EventState eventState15 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    int i16 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    org.apache.commons.math3.ode.events.EventState eventState17 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, Double.NEGATIVE_INFINITY, 57.29577951308232d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    double[] d_array22 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array22);
    double[] d_array27 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array22, d_array27);
    int i29 = dormandPrince853Integrator28.getEvaluations();
    double d30 = dormandPrince853Integrator28.getMinReduction();
    dormandPrince853Integrator28.setSafety(0.0d);
    java.util.Collection collection33 = dormandPrince853Integrator28.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable34 = null;
    org.apache.commons.math3.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable35, obj_array37);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator28, localizable34, obj_array37);
    double d40 = dormandPrince853Integrator28.getMaxGrowth();
    double[] d_array46 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array46);
    double[] d_array51 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator52 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array46, d_array51);
    double[] d_array54 = new double[] { (-1.0d) };
    dormandPrince853Integrator28.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array51, d_array54);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array54);
    boolean b57 = eventState17.reset(1.2182829050172777d, d_array54);
    int i58 = eventState17.getMaxIterationCount();
    org.apache.commons.math3.ode.events.EventHandler eventHandler59 = eventState17.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler59);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test083"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.8644028155091492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test084"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.3514738237943244d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0061343754597853505d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test085"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    java.lang.String str12 = dormandPrince853Integrator9.getName();
    org.apache.commons.math3.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver17 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d18 = bracketingNthOrderBrentSolver17.getAbsoluteAccuracy();
    int i19 = bracketingNthOrderBrentSolver17.getMaximalOrder();
    double d20 = bracketingNthOrderBrentSolver17.getRelativeAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler13, (-0.9084026814867743d), 0.6002005317221613d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str12.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-14d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test086"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(1.2207036E-4f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test087"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getSafety();
    double d15 = dormandPrince853Integrator9.getSafety();
    java.util.Collection collection16 = dormandPrince853Integrator9.getStepHandlers();
    double d17 = dormandPrince853Integrator9.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test088"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setInitialStepSize(0.0d);
    dormandPrince853Integrator9.setInitialStepSize(0.6020638221877662d);
    java.util.Collection collection16 = dormandPrince853Integrator9.getEventHandlers();
    double d17 = dormandPrince853Integrator9.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.5533448061434307d);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test089"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable8, obj_array10);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math3.exception.MathArithmeticException(localizable7, obj_array10);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable5, (java.lang.Number)(short)100, obj_array10);
    org.apache.commons.math3.exception.util.Localizable localizable14 = null;
    org.apache.commons.math3.exception.util.Localizable localizable19 = null;
    org.apache.commons.math3.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException24 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable21, obj_array23);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException25 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable19, (java.lang.Number)(byte)0, obj_array23);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException26 = new org.apache.commons.math3.exception.NoBracketingException(localizable14, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array23);
    notFiniteNumberException13.addSuppressed((java.lang.Throwable)noBracketingException26);
    java.lang.Throwable[] throwable_array28 = noBracketingException26.getSuppressed();
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException29 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable3, (java.lang.Number)10.1f, (java.lang.Object[])throwable_array28);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)(-3.2992175758414124d), localizable2, (java.lang.Object[])throwable_array28);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test090"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 57.29577951308232d, 57.29577951308232d, 0, univariateSolver4);
    double d6 = eventState5.getConvergence();
    boolean b7 = eventState5.stop();
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[] d_array17 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator18 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array12, d_array17);
    int i19 = dormandPrince853Integrator18.getEvaluations();
    double d20 = dormandPrince853Integrator18.getMinReduction();
    dormandPrince853Integrator18.setSafety(0.0d);
    double d23 = dormandPrince853Integrator18.getMinReduction();
    double[] d_array29 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array29);
    double[] d_array34 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator35 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array29, d_array34);
    int i36 = dormandPrince853Integrator35.getEvaluations();
    double d37 = dormandPrince853Integrator35.getMinReduction();
    dormandPrince853Integrator35.setSafety(0.0d);
    java.util.Collection collection40 = dormandPrince853Integrator35.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable41 = null;
    org.apache.commons.math3.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException45 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable42, obj_array44);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator35, localizable41, obj_array44);
    double d47 = dormandPrince853Integrator35.getMaxGrowth();
    double[] d_array53 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array53);
    double[] d_array58 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator59 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array53, d_array58);
    double[] d_array61 = new double[] { (-1.0d) };
    dormandPrince853Integrator35.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array58, d_array61);
    org.apache.commons.math3.ode.events.EventHandler eventHandler63 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver67 = null;
    org.apache.commons.math3.ode.events.EventState eventState68 = new org.apache.commons.math3.ode.events.EventState(eventHandler63, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver67);
    int i69 = eventState68.getMaxIterationCount();
    boolean b70 = eventState68.stop();
    double[] d_array73 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array73);
    boolean b75 = eventState68.reset(0.0d, d_array73);
    int i76 = org.apache.commons.math3.util.MathUtils.hash(d_array73);
    dormandPrince853Integrator18.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array58, d_array73);
    boolean b78 = eventState5.reset(0.6557942026326724d, d_array73);
    int i79 = org.apache.commons.math3.util.MathUtils.hash(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 1072693279);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test091"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getMaximalCount();
    boolean b7 = incrementor1.canIncrement();
    int i8 = incrementor1.getCount();
    incrementor1.setMaximalCount(337914027);
    incrementor1.resetCount();
    incrementor1.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test092"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver15 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d16 = bracketingNthOrderBrentSolver15.getAbsoluteAccuracy();
    double d17 = bracketingNthOrderBrentSolver15.getFunctionValueAccuracy();
    double d18 = bracketingNthOrderBrentSolver15.getMax();
    dormandPrince853Integrator9.addEventHandler(eventHandler11, 0.0d, 15.954589770191003d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver15);
    double d20 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setMaxGrowth(0.1935191113165547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test093"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(3.5527145E-15f, Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test094"); }


    double d2 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.midpoint(0.11531348450050588d, 1824.0058900905265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 912.0606017875135d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test095"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    int i14 = dormandPrince853Integrator13.getEvaluations();
    double d15 = dormandPrince853Integrator13.getMinReduction();
    java.util.Collection collection16 = dormandPrince853Integrator13.getStepHandlers();
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver25 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.001921861591674845d, 0.04744296790374204d, 0.7723912720316438d, 1665534082);
    dormandPrince853Integrator13.addEventHandler(eventHandler17, 0.27123066300636767d, 199.99499987499382d, 22, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver25);
    org.apache.commons.math3.ode.events.EventState eventState27 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 4.022191557777585d, 28.604803120755868d, (-7), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection16);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test096"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(35.05811497199588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.5570071122745794d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test097"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler16, 3.141592653589793d, 4.741297982545108d, 100);
    int i21 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler22, 3.71681d, 1.5337260269320758d, 128);
    org.apache.commons.math3.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d32 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    int i33 = bracketingNthOrderBrentSolver31.getMaxEvaluations();
    double d34 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    double d35 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler27, 1.5650761913479965d, 1.2182829050172777d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver31);
    int i37 = bracketingNthOrderBrentSolver31.getMaximalOrder();
    double d38 = bracketingNthOrderBrentSolver31.getStartValue();
    double d39 = bracketingNthOrderBrentSolver31.getFunctionValueAccuracy();
    double d40 = bracketingNthOrderBrentSolver31.getRelativeAccuracy();
    double d41 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0E-6d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test098"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.5111573E23f, 1.2676506E30f, (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test099"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-0.6887043176210756d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test100"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(4.715258503850705d, 1.0000010000005d, 1.4210854715202004E-14d, 0.0d);
    double d5 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    double d6 = dormandPrince853Integrator4.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.171465684534657d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test101"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(5.715611538515039d, 57.00000000000001d, 1.0486050610461315d, 0.9684830895263891d);
    double d5 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 18.04964979425798d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test102"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d7 = eventState6.getEventTime();
    double d8 = eventState6.getMaxCheckInterval();
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator9 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b10 = eventState6.evaluateStep(stepInterpolator9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.718281828459045d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test103"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.9117339147869652d), (-1.0434034937813492d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test104"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler16, 3.141592653589793d, 4.741297982545108d, 100);
    int i21 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler22, 3.71681d, 1.5337260269320758d, 128);
    dormandPrince853Integrator9.setStepSizeControl(6.123233995736766E-17d, 3.141592653589793d, 2.718281828459045d, 0.011336341985590748d);
    org.apache.commons.math3.ode.events.EventHandler eventHandler32 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler32, 1.5705010029492998d, 0.011336341985590748d, 110);
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler37 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test105"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    dormandPrince853Integrator9.setMinReduction(1.4330863854487743d);
    dormandPrince853Integrator9.clearEventHandlers();
    int i17 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.setMaxGrowth(3.5437097408356864E-103d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test106"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    org.apache.commons.math3.ode.events.EventHandler eventHandler33 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver41 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 0.0d, 1.3239700339195063E12d, 10);
    dormandPrince853Integrator9.addEventHandler(eventHandler33, (-0.7236266338880267d), 57.0d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver41);
    int i43 = dormandPrince853Integrator9.getOrder();
    int i44 = dormandPrince853Integrator9.getMaxEvaluations();
    dormandPrince853Integrator9.setInitialStepSize(0.27123066300636767d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 2147483647);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test107"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver7 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(89.04160334794895d, 1.4330863854487743d, 2);
    org.apache.commons.math3.ode.events.EventState eventState8 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.8570195601220605d, (-0.1439775409401076d), 127, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver7);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = bracketingNthOrderBrentSolver7.solve(80, univariateFunction10, (-1.4228993764585784d), 0.35251342177761885d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test108"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 270.1769682087222d, 11.486282727368748d, 2.2250738585072014E-308d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test109"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.5324784082377482d, 7.105427357601002E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999999999956d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test110"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-40.000004f), (-0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.0f));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test111"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.clearStepHandlers();
    dormandPrince853Integrator9.clearEventHandlers();
    double d24 = dormandPrince853Integrator9.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 10.0d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test112"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d1 = bracketingNthOrderBrentSolver0.getAbsoluteAccuracy();
    double d2 = bracketingNthOrderBrentSolver0.getAbsoluteAccuracy();
    double d3 = bracketingNthOrderBrentSolver0.getRelativeAccuracy();
    int i4 = bracketingNthOrderBrentSolver0.getEvaluations();
    double d5 = bracketingNthOrderBrentSolver0.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test113"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign((-1585069828), (-446842082));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1585069828));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test114"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(3.0517585E-5f, 3.8146973E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test115"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(2.0d, 3.141592653589793d, (-0.7183579793493745d), 0.0d);
    java.lang.Throwable[] throwable_array5 = noBracketingException4.getSuppressed();
    double d6 = noBracketingException4.getFLo();
    double d7 = noBracketingException4.getFHi();
    org.apache.commons.math3.exception.MathInternalError mathInternalError8 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.7183579793493745d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test116"); }


    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable13, obj_array15);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math3.exception.NoBracketingException(localizable8, 5.298292365610485d, 1.5707963267948966d, 4.9E-324d, 1.1102230246251565E-16d, obj_array15);
    org.apache.commons.math3.exception.MathInternalError mathInternalError18 = new org.apache.commons.math3.exception.MathInternalError(localizable7, obj_array15);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math3.exception.NoBracketingException(localizable2, 0.0d, 7.105427357601002E-15d, (-0.626772941534327d), 15.954589770191003d, obj_array15);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math3.exception.MathArithmeticException(localizable1, obj_array15);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)0.5665501580766811d, obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test117"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable6, obj_array8);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException10 = new org.apache.commons.math3.exception.NoBracketingException(localizable1, 5.298292365610485d, 1.5707963267948966d, 4.9E-324d, 1.1102230246251565E-16d, obj_array8);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array8);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext12 = mathArithmeticException11.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.exception.util.Localizable localizable14 = null;
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    org.apache.commons.math3.exception.util.Localizable localizable17 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException20 = new org.apache.commons.math3.exception.DimensionMismatchException((-1023), (-437672695));
    java.lang.Throwable[] throwable_array21 = dimensionMismatchException20.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable17, (java.lang.Object[])throwable_array21);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, (java.lang.Object[])throwable_array21);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException24 = new org.apache.commons.math3.exception.NullArgumentException(localizable15, (java.lang.Object[])throwable_array21);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException25 = new org.apache.commons.math3.exception.MathArithmeticException(localizable14, (java.lang.Object[])throwable_array21);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathArithmeticException11, localizable13, (java.lang.Object[])throwable_array21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test118"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 1.9348040876847974d, 0.8204283427778266d, 8.83106726310034E-19d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test119"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.4976340580358172d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6978902952936507d));

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test120"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(9.6714065E24f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.6714065E24f);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test121"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.0842021724855044E-19d, 1046478848);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test122"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(5.729577951308398E-14d, 1.2348211156578683d, 437672695);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test123"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException6 = new org.apache.commons.math3.exception.DimensionMismatchException((-1023), (-437672695));
    java.lang.Throwable[] throwable_array7 = dimensionMismatchException6.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable3, (java.lang.Object[])throwable_array7);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable2, (java.lang.Object[])throwable_array7);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)(-0.10536051565782628d), (java.lang.Object[])throwable_array7);
    java.lang.Number number11 = notFiniteNumberException10.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + (-0.10536051565782628d)+ "'", number11.equals((-0.10536051565782628d)));

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test124"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    double d7 = eventState5.getConvergence();
    double[] d_array11 = new double[] { 0.0d, 0.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    boolean b13 = eventState5.reset(100.0d, d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test125"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 0, (-283985305));

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test126"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(9.536744E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536745E-7f);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test127"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    double d11 = bracketingNthOrderBrentSolver8.getStartValue();
    int i12 = bracketingNthOrderBrentSolver8.getEvaluations();
    double d13 = bracketingNthOrderBrentSolver8.getMin();
    org.apache.commons.math3.ode.events.EventState eventState14 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 6.641592653589793d, 1.214383145469574d, (-156150945), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    double d15 = bracketingNthOrderBrentSolver8.getRelativeAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction17 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d21 = bracketingNthOrderBrentSolver8.solve(1017118720, univariateFunction17, 1.0486050610461317d, 0.0d, 2578.3100780887044d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0E-14d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test128"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence(50.25585323970517d, 0.01329232558537528d, (-0.9431910296713536d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test129"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)2.2578581451356334d);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)tooManyEvaluationsException1);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test130"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(1.0E-6d, 100.0d, 1.0d, 1.0E-6d);
    double d5 = noBracketingException4.getLo();
    double d6 = noBracketingException4.getFHi();
    org.apache.commons.math3.exception.MathInternalError mathInternalError7 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    double d8 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 100.0d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test131"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    incrementor1.incrementCount((-1008700321));
    int i9 = incrementor1.getMaximalCount();
    incrementor1.setMaximalCount(283985305);
    incrementor1.resetCount();
    incrementor1.setMaximalCount((-2111176452));
    incrementor1.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 10);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test132"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 57.29577951308232d, 57.29577951308232d, 0, univariateSolver4);
    org.apache.commons.math3.ode.events.EventHandler eventHandler6 = eventState5.getEventHandler();
    boolean b7 = eventState5.stop();
    boolean b8 = eventState5.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test133"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d17 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d18 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    java.lang.String str20 = dormandPrince853Integrator9.getName();
    int i21 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i31 = bracketingNthOrderBrentSolver30.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState32 = new org.apache.commons.math3.ode.events.EventState(eventHandler26, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    double d33 = bracketingNthOrderBrentSolver30.getStartValue();
    int i34 = bracketingNthOrderBrentSolver30.getEvaluations();
    int i35 = bracketingNthOrderBrentSolver30.getEvaluations();
    dormandPrince853Integrator9.addEventHandler(eventHandler22, (-0.7853981633974483d), Double.NaN, (-1074790400), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    double d37 = dormandPrince853Integrator9.getMaxStep();
    org.apache.commons.math3.ode.events.EventHandler eventHandler38 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler38, (-0.733685536181919d), 1.0000000000005d, 0);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)(-0.733685536181919d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str20.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 57.29577951308232d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test134"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(100);
    int i2 = incrementor1.getCount();
    int i3 = incrementor1.getCount();
    incrementor1.setMaximalCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test135"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(3116.2421492954973d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test136"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.5533448061434307d, (java.lang.Number)100.0f, true);
    org.apache.commons.math3.exception.MathInternalError mathInternalError4 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)numberIsTooLargeException3);
    boolean b5 = numberIsTooLargeException3.getBoundIsAllowed();
    org.apache.commons.math3.exception.MathInternalError mathInternalError6 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)numberIsTooLargeException3);
    java.lang.Throwable[] throwable_array7 = numberIsTooLargeException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test137"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper((-20), 1265661023);
    int i3 = equationsMapper2.getDimension();
    int i4 = equationsMapper2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1265661023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1265661023);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test138"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable6, obj_array8);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math3.exception.MathArithmeticException(localizable5, obj_array8);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable3, (java.lang.Number)(short)100, obj_array8);
    java.lang.Throwable[] throwable_array12 = notFiniteNumberException11.getSuppressed();
    org.apache.commons.math3.exception.MathInternalError mathInternalError13 = new org.apache.commons.math3.exception.MathInternalError(localizable2, (java.lang.Object[])throwable_array12);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math3.exception.MathArithmeticException(localizable1, (java.lang.Object[])throwable_array12);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test139"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(1.0486237471068587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1907693737));

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test140"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    double d16 = dormandPrince853Integrator9.getMaxGrowth();
    double d17 = dormandPrince853Integrator9.getMaxStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 57.29577951308232d);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test141"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)10.54585256707141d, (java.lang.Number)6, true);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 6+ "'", number5.equals(6));

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test142"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)0, obj_array9);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable3, (java.lang.Number)1.0d, obj_array9);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable1, (java.lang.Number)2.7182818284590455d, obj_array9);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, obj_array9);
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException18 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable15, 2008942042, 0);
    mathIllegalStateException14.addSuppressed((java.lang.Throwable)dimensionMismatchException18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test143"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.5313835328739165d, (java.lang.Number)11.486282727368748d, false);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test144"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d17 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d18 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    java.lang.String str20 = dormandPrince853Integrator9.getName();
    int i21 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i31 = bracketingNthOrderBrentSolver30.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState32 = new org.apache.commons.math3.ode.events.EventState(eventHandler26, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    double d33 = bracketingNthOrderBrentSolver30.getStartValue();
    int i34 = bracketingNthOrderBrentSolver30.getEvaluations();
    int i35 = bracketingNthOrderBrentSolver30.getEvaluations();
    dormandPrince853Integrator9.addEventHandler(eventHandler22, (-0.7853981633974483d), Double.NaN, (-1074790400), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    double d37 = dormandPrince853Integrator9.getMaxStep();
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)d37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str20.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 57.29577951308232d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test145"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(996147200, 996147200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 996147200);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test146"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.193652852693194d, 0.21356662422622316d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9403774068166219d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test147"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.6063493919491062d, 3116.2421492954977d, 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test148"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.010507996004318211d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test149"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.13727509800736173d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test150"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)1.205437706585239d, (java.lang.Number)4.715258503850705d, true);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test151"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    java.util.Collection collection22 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver((-0.7236266338880267d), 57.29577951308232d, 0.003338266478753038d, 40);
    dormandPrince853Integrator9.addEventHandler(eventHandler23, 4.727600808851775d, 0.04746076762388862d, 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver31);
    dormandPrince853Integrator9.setStepSizeControl(1.74532925199433E-17d, 0.6118795358040479d, (-4.430344237763049d), 0.8771301074319141d);
    java.lang.String str38 = dormandPrince853Integrator9.getName();
    java.util.Collection collection39 = dormandPrince853Integrator9.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str38.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection39);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test152"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d13 = dormandPrince853Integrator9.getMaxStep();
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver21 = null;
    org.apache.commons.math3.ode.events.EventState eventState22 = new org.apache.commons.math3.ode.events.EventState(eventHandler17, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver21);
    int i23 = eventState22.getMaxIterationCount();
    boolean b24 = eventState22.stop();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    boolean b29 = eventState22.reset(0.0d, d_array27);
    double[] d_array33 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array33);
    double[] d_array38 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator39 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array33, d_array38);
    int i40 = dormandPrince853Integrator39.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler43 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver47 = null;
    org.apache.commons.math3.ode.events.EventState eventState48 = new org.apache.commons.math3.ode.events.EventState(eventHandler43, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver47);
    int i49 = eventState48.getMaxIterationCount();
    boolean b50 = eventState48.stop();
    double[] d_array53 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array53);
    boolean b55 = eventState48.reset(0.0d, d_array53);
    double[] d_array60 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b61 = eventState48.reset(56.516459060951796d, d_array60);
    org.apache.commons.math3.ode.events.EventHandler eventHandler62 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver66 = null;
    org.apache.commons.math3.ode.events.EventState eventState67 = new org.apache.commons.math3.ode.events.EventState(eventHandler62, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver66);
    int i68 = eventState67.getMaxIterationCount();
    boolean b69 = eventState67.stop();
    double[] d_array72 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array72);
    boolean b74 = eventState67.reset(0.0d, d_array72);
    dormandPrince853Integrator39.setStepSizeControl(5.298292365610485d, 2.718281828459045d, d_array60, d_array72);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array72);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array72);
    dormandPrince853Integrator9.setStepSizeControl(10.54585256707141d, 3.141592653589794d, d_array27, d_array72);
    int i79 = org.apache.commons.math3.util.MathUtils.hash(d_array72);
    int i80 = org.apache.commons.math3.util.MathUtils.hash(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 1072693279);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test153"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(2147483647, 1048576);
    int i3 = equationsMapper2.getFirstIndex();
    int i4 = equationsMapper2.getDimension();
    int i5 = equationsMapper2.getDimension();
    int i6 = equationsMapper2.getFirstIndex();
    int i7 = equationsMapper2.getFirstIndex();
    double[] d_array13 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array13);
    double[] d_array18 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator19 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array13, d_array18);
    org.apache.commons.math3.ode.events.EventHandler eventHandler20 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver24 = null;
    org.apache.commons.math3.ode.events.EventState eventState25 = new org.apache.commons.math3.ode.events.EventState(eventHandler20, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver24);
    int i26 = eventState25.getMaxIterationCount();
    boolean b27 = eventState25.stop();
    double[] d_array30 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array30);
    boolean b32 = eventState25.reset(0.0d, d_array30);
    double[] d_array37 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b38 = eventState25.reset(56.516459060951796d, d_array37);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator39 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array18, d_array37);
    int i40 = org.apache.commons.math3.util.MathUtils.hash(d_array37);
    double[] d_array42 = new double[] { 0.0d };
    int i43 = org.apache.commons.math3.util.MathUtils.hash(d_array42);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array42);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array42);
    int i46 = org.apache.commons.math3.util.MathUtils.hash(d_array42);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array37, d_array42);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1048576);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1048576);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == (-1040157601));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 31);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test154"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(1.832706596824245d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test155"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.40219785212387804d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.738153328333167d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test156"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(0.0d, 1.076162806620476d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test157"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifySequence(0.0d, 1.233403117511217d, 268.00460332072714d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test158"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.321813991248445d, (-0.17861878967121592d), 1072693248);
    double d4 = bracketingNthOrderBrentSolver3.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test159"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(1.4114210323377985d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4114210323377985d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test160"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.51175801377954d, 45.45489056211861d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.23534413219205d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test161"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.0000336313043778d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test162"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setMaxGrowth(2.718281828459045d);
    int i35 = dormandPrince853Integrator9.getOrder();
    dormandPrince853Integrator9.setMinReduction(89.04160334794895d);
    int i38 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.setMaxGrowth(141.75751851602195d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test163"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getCurrentStepStart();
    int i12 = dormandPrince853Integrator9.getMaxEvaluations();
    int i13 = dormandPrince853Integrator9.getEvaluations();
    double d14 = dormandPrince853Integrator9.getMaxStep();
    dormandPrince853Integrator9.setInitialStepSize(3.792894757278008E13d);
    dormandPrince853Integrator9.setStepSizeControl(0.9403774068166219d, 0.0d, 0.01745417862959511d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 57.29577951308232d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test164"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(3.3652847417107323d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 14.453592434670636d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test165"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.928991716311668d, 0.0d, 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test166"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(9.536745E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test167"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.8922742437892242d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.04950164309117071d));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test168"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)3.4028235E38f);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test169"); }


    double d2 = org.apache.commons.math3.util.Precision.round(0.7183579793493745d, (-13));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test170"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    incrementor1.resetCount();
    incrementor1.incrementCount((-1855157276));
    int i9 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test171"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(22, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 22);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test172"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1.95567946131115d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0981248740113403d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test173"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-0.688057693181806d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-39.4228018808248d));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test174"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round((-0.009765624f), 1062857240, 1665534082);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test175"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    java.util.Collection collection22 = dormandPrince853Integrator9.getEventHandlers();
    int i23 = dormandPrince853Integrator9.getMaxEvaluations();
    dormandPrince853Integrator9.setMaxEvaluations(5);
    double[] d_array31 = new double[] { (-1.0d), 0.0d, 1.0d };
    int i32 = org.apache.commons.math3.util.MathUtils.hash(d_array31);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array31);
    org.apache.commons.math3.ode.events.EventHandler eventHandler34 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver38 = null;
    org.apache.commons.math3.ode.events.EventState eventState39 = new org.apache.commons.math3.ode.events.EventState(eventHandler34, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver38);
    double d40 = eventState39.getEventTime();
    double[] d_array47 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array47);
    double[] d_array52 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator53 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array47, d_array52);
    org.apache.commons.math3.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver58 = null;
    org.apache.commons.math3.ode.events.EventState eventState59 = new org.apache.commons.math3.ode.events.EventState(eventHandler54, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver58);
    int i60 = eventState59.getMaxIterationCount();
    boolean b61 = eventState59.stop();
    double[] d_array64 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    boolean b66 = eventState59.reset(0.0d, d_array64);
    double[] d_array71 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b72 = eventState59.reset(56.516459060951796d, d_array71);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator73 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array52, d_array71);
    boolean b74 = eventState39.reset((-8.249305440540187d), d_array52);
    int i75 = org.apache.commons.math3.util.MathUtils.hash(d_array52);
    dormandPrince853Integrator9.setStepSizeControl(2140.1483571861604d, (-0.17861878967121592d), d_array31, d_array52);
    int i77 = org.apache.commons.math3.util.MathUtils.hash(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 1265661023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 1265661023);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test176"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(1016, 1225083454);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1225083454);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test177"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    int i11 = dormandPrince853Integrator9.getEvaluations();
    double[] d_array14 = new double[] {  };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array14);
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler20 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler24 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver28 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i29 = bracketingNthOrderBrentSolver28.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState30 = new org.apache.commons.math3.ode.events.EventState(eventHandler24, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver28);
    org.apache.commons.math3.ode.events.EventState eventState31 = new org.apache.commons.math3.ode.events.EventState(eventHandler20, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver28);
    int i32 = bracketingNthOrderBrentSolver28.getMaximalOrder();
    org.apache.commons.math3.ode.events.EventState eventState33 = new org.apache.commons.math3.ode.events.EventState(eventHandler16, Double.NEGATIVE_INFINITY, 57.29577951308232d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver28);
    double[] d_array38 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array38);
    double[] d_array43 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator44 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array38, d_array43);
    int i45 = dormandPrince853Integrator44.getEvaluations();
    double d46 = dormandPrince853Integrator44.getMinReduction();
    dormandPrince853Integrator44.setSafety(0.0d);
    java.util.Collection collection49 = dormandPrince853Integrator44.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable50 = null;
    org.apache.commons.math3.exception.util.Localizable localizable51 = null;
    java.lang.Object[] obj_array53 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException54 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable51, obj_array53);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator44, localizable50, obj_array53);
    double d56 = dormandPrince853Integrator44.getMaxGrowth();
    double[] d_array62 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array62);
    double[] d_array67 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator68 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array62, d_array67);
    double[] d_array70 = new double[] { (-1.0d) };
    dormandPrince853Integrator44.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array67, d_array70);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array70);
    boolean b73 = eventState33.reset(1.2182829050172777d, d_array70);
    dormandPrince853Integrator9.setStepSizeControl(15.954589770191003d, 0.6604469777523206d, d_array14, d_array70);
    java.util.Collection collection75 = dormandPrince853Integrator9.getEventHandlers();
    double d76 = dormandPrince853Integrator9.getSafety();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.9d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test178"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.2089258E24f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2089258E24f);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test179"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)2.674170774507697d, number1, true);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test180"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler16, 3.141592653589793d, 4.741297982545108d, 100);
    int i21 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler22, 3.71681d, 1.5337260269320758d, 128);
    dormandPrince853Integrator9.setStepSizeControl(6.123233995736766E-17d, 3.141592653589793d, 2.718281828459045d, 0.011336341985590748d);
    int i32 = dormandPrince853Integrator9.getEvaluations();
    int i33 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler34 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler34);
    dormandPrince853Integrator9.setInitialStepSize(1.4330863854487743d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 8);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test181"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(100.499660221073d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 780417091);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test182"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)10, (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)10);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test183"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    int i14 = dormandPrince853Integrator13.getEvaluations();
    double d15 = dormandPrince853Integrator13.getMinReduction();
    dormandPrince853Integrator13.setSafety(0.0d);
    java.util.Collection collection18 = dormandPrince853Integrator13.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable19 = null;
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable20, obj_array22);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator13, localizable19, obj_array22);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException25 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable2, (java.lang.Number)10, obj_array22);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException26 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)1548262112, obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test184"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.6207332270415868d, 0.00820144742226488d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test185"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyBracketing(univariateFunction0, 1.3239700339195051E12d, 1.067757623796186d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test186"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getCurrentStepStart();
    int i12 = dormandPrince853Integrator9.getMaxEvaluations();
    int i13 = dormandPrince853Integrator9.getEvaluations();
    int i14 = dormandPrince853Integrator9.getMaxEvaluations();
    dormandPrince853Integrator9.setMaxGrowth(0.42816058405501645d);
    int i17 = dormandPrince853Integrator9.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test187"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(2.840817072128048d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4162755456831675d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test188"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.5531722616418154d, 1.2601582175503394d, (-0.03516949888023485d), Double.POSITIVE_INFINITY);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test189"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.19126786962680778d, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException7 = new org.apache.commons.math3.exception.DimensionMismatchException((-1074790400), 1);
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)dimensionMismatchException7);
    java.lang.Number number9 = numberIsTooLargeException4.getMax();
    boolean b10 = numberIsTooLargeException4.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = numberIsTooLargeException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 10.0f+ "'", number9.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test190"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(1.3239700339195051E12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3239700339195051E12d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test191"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.4399019561106876d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3645750252357053d);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test192"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.3877788E-17f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-56));

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test193"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.8889468E22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 74);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test194"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(12.087804261643896d, 1.036537452647274d, 0.0d, 2.5939351994543135E-6d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test195"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.4210854715202007E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1920928955078125E-7d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test196"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.8897659802942063d, 0.5313835328739166d, 13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test197"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test198"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    incrementor1.incrementCount((-1008700321));
    incrementor1.incrementCount();
    incrementor1.setMaximalCount(128);
    int i12 = incrementor1.getCount();
    incrementor1.setMaximalCount((-8));
    boolean b15 = incrementor1.canIncrement();
    int i16 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test199"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setStepSizeControl(0.010871939557916386d, (-0.6350379860847788d), 1.7528966507168155E24d, 0.03705332377530435d);
    java.util.Collection collection20 = dormandPrince853Integrator9.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection20);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test200"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math3.exception.MathArithmeticException(localizable6, obj_array9);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable4, (java.lang.Number)(short)100, obj_array9);
    java.lang.Throwable[] throwable_array13 = notFiniteNumberException12.getSuppressed();
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable2, (java.lang.Number)1072693279, (java.lang.Object[])throwable_array13);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, number1, (java.lang.Object[])throwable_array13);
    java.lang.Throwable[] throwable_array16 = notFiniteNumberException15.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test201"); }


    double d2 = org.apache.commons.math3.util.Precision.round(0.9999965942311021d, 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.999996594d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test202"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.5000121109089047d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test203"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-1.045654296875d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test204"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(100.4987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.4264469194830146E43d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test205"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.4167300612689258d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test206"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.0010036119355930628d, 1.5707963267948823d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test207"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-708.396418532264d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-708L));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test208"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)(-0.6773722117767819d));
    java.lang.String str2 = maxCountExceededException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math3.exception.MaxCountExceededException: illegal state: maximal count (-0.677) exceeded"+ "'", str2.equals("org.apache.commons.math3.exception.MaxCountExceededException: illegal state: maximal count (-0.677) exceeded"));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test209"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d13 = dormandPrince853Integrator9.getMaxStep();
    double d14 = dormandPrince853Integrator9.getSafety();
    double d15 = dormandPrince853Integrator9.getMinReduction();
    double d16 = dormandPrince853Integrator9.getSafety();
    dormandPrince853Integrator9.setSafety(1.9377047211159066E-18d);
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler19 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler19);
    java.util.Collection collection21 = dormandPrince853Integrator9.getStepHandlers();
    double d22 = dormandPrince853Integrator9.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 9.433986512635347d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test210"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d13 = dormandPrince853Integrator9.getMaxStep();
    double d14 = dormandPrince853Integrator9.getSafety();
    java.util.Collection collection15 = dormandPrince853Integrator9.getEventHandlers();
    double d16 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.setStepSizeControl(0.0033382540782630537d, 1.9999999999999998d, (-0.9897850757540458d), (-0.5834260948432356d));
    java.util.Collection collection22 = dormandPrince853Integrator9.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection22);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test211"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d17 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d18 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    java.lang.String str20 = dormandPrince853Integrator9.getName();
    double d21 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setSafety(0.0d);
    dormandPrince853Integrator9.setMaxEvaluations(337914027);
    double d26 = dormandPrince853Integrator9.getMaxStep();
    dormandPrince853Integrator9.setMinReduction(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str20.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 57.29577951308232d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test212"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver10 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i11 = bracketingNthOrderBrentSolver10.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState12 = new org.apache.commons.math3.ode.events.EventState(eventHandler6, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver10);
    org.apache.commons.math3.ode.events.EventState eventState13 = new org.apache.commons.math3.ode.events.EventState(eventHandler2, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver10);
    double d14 = bracketingNthOrderBrentSolver10.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction19 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver22 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution26 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d27 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction19, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver22, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution26);
    double d28 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver10, 3.5346958487132123d, 3116.2421492954973d, 1.0365374526472741d, allowedSolution26);
    double d29 = bracketingNthOrderBrentSolver10.getFunctionValueAccuracy();
    double d30 = bracketingNthOrderBrentSolver10.getAbsoluteAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction32 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d34 = bracketingNthOrderBrentSolver10.solve(0, univariateFunction32, 0.4404105453714162d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 3.5346958487132123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0E-6d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test213"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 2140.0d, 0.0d, 55.1301646998319d, 40);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test214"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)1.3960618919591732d);
    java.lang.Number number2 = notStrictlyPositiveException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 1.3960618919591732d+ "'", number2.equals(1.3960618919591732d));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test215"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 57.29577951308232d, 57.29577951308232d, 0, univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    double d7 = eventState5.getMaxCheckInterval();
    double d8 = eventState5.getEventTime();
    int i9 = eventState5.getMaxIterationCount();
    double d10 = eventState5.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 57.29577951308232d);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test216"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, obj_array7);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math3.exception.MathArithmeticException(localizable4, obj_array7);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable3, obj_array7);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)1.7528966507168187E24d, obj_array7);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)0.010453170748903827d, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test217"); }


    float f3 = org.apache.commons.math3.util.Precision.round(1.192093E-7f, (-58), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test218"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)8.764483253584093E23d, (java.lang.Number)2.5346958487132123d, false);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test219"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(1.5037350487315149E-12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1156160483);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test220"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    dormandPrince853Integrator26.setSafety(0.0d);
    java.util.Collection collection31 = dormandPrince853Integrator26.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable33, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator26, localizable32, obj_array35);
    double d38 = dormandPrince853Integrator26.getMaxGrowth();
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    double[] d_array49 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array44, d_array49);
    double[] d_array52 = new double[] { (-1.0d) };
    dormandPrince853Integrator26.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array49, d_array52);
    org.apache.commons.math3.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver58 = null;
    org.apache.commons.math3.ode.events.EventState eventState59 = new org.apache.commons.math3.ode.events.EventState(eventHandler54, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver58);
    int i60 = eventState59.getMaxIterationCount();
    boolean b61 = eventState59.stop();
    double[] d_array64 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    boolean b66 = eventState59.reset(0.0d, d_array64);
    int i67 = org.apache.commons.math3.util.MathUtils.hash(d_array64);
    dormandPrince853Integrator9.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array49, d_array64);
    double d69 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.setInitialStepSize((-15.954589770191003d));
    java.util.Collection collection72 = dormandPrince853Integrator9.getStepHandlers();
    double d73 = dormandPrince853Integrator9.getMaxStep();
    dormandPrince853Integrator9.setMinReduction((-0.6978902952936507d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.5707963267948966d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test221"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(Float.NaN, 39.999996f, 337914027);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test222"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d17 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d18 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    java.lang.String str20 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setMaxGrowth(0.4404105453714162d);
    double d23 = dormandPrince853Integrator9.getMaxGrowth();
    java.util.Collection collection24 = dormandPrince853Integrator9.getStepHandlers();
    java.util.Collection collection25 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler26 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str20.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.4404105453714162d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection25);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test223"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d1 = bracketingNthOrderBrentSolver0.getAbsoluteAccuracy();
    int i2 = bracketingNthOrderBrentSolver0.getMaxEvaluations();
    double d3 = bracketingNthOrderBrentSolver0.getAbsoluteAccuracy();
    double d4 = bracketingNthOrderBrentSolver0.getMin();
    double d5 = bracketingNthOrderBrentSolver0.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test224"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    double[] d_array15 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array10, d_array15);
    int i17 = dormandPrince853Integrator16.getEvaluations();
    double d18 = dormandPrince853Integrator16.getMinReduction();
    dormandPrince853Integrator16.setSafety(0.0d);
    java.util.Collection collection21 = dormandPrince853Integrator16.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable22 = null;
    org.apache.commons.math3.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable23, obj_array25);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator16, localizable22, obj_array25);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException28 = new org.apache.commons.math3.exception.MathArithmeticException(localizable6, obj_array25);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException29 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, obj_array25);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException30 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)100.0f, obj_array25);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException31 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)0.643003886035066d, obj_array25);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException32 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)(-0.9084026814867743d), obj_array25);
    java.lang.Number number33 = maxCountExceededException32.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (-0.9084026814867743d)+ "'", number33.equals((-0.9084026814867743d)));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test225"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(10.0d, 0.0d, (-0.0d), 2.7182818284590455d);
    double d5 = noBracketingException4.getHi();
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException10 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable6, (java.lang.Number)0.19126786962680778d, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException13 = new org.apache.commons.math3.exception.DimensionMismatchException((-1074790400), 1);
    numberIsTooLargeException10.addSuppressed((java.lang.Throwable)dimensionMismatchException13);
    noBracketingException4.addSuppressed((java.lang.Throwable)numberIsTooLargeException10);
    double d16 = noBracketingException4.getFLo();
    double d17 = noBracketingException4.getFHi();
    double d18 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == (-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 2.7182818284590455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test226"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1280.0001f, (-10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test227"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(1793092981);
    int i2 = incrementor1.getCount();
    incrementor1.setMaximalCount((-1008700321));
    incrementor1.resetCount();
    int i6 = incrementor1.getCount();
    boolean b7 = incrementor1.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test228"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-58), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-58));

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test229"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(1.7263349150062197E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1499044691);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test230"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable8, obj_array10);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable6, (java.lang.Number)(byte)0, obj_array10);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException13 = new org.apache.commons.math3.exception.NoBracketingException(localizable1, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array10);
    java.lang.Throwable[] throwable_array14 = noBracketingException13.getSuppressed();
    org.apache.commons.math3.exception.MathInternalError mathInternalError15 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array14);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext16 = mathInternalError15.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext16);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test231"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(2.2250738585072014E-308d, 0.2d, Double.NEGATIVE_INFINITY, 1.0E-15d);
    org.apache.commons.math3.exception.MathInternalError mathInternalError5 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    double d6 = noBracketingException4.getHi();
    double d7 = noBracketingException4.getFHi();
    double d8 = noBracketingException4.getFLo();
    double d9 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test232"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.11531348450050588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0020125999764812764d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test233"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.03516949888023485d, 0.7853981633974483d, 2008942042);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test234"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.0d, 0.0d, 0.8805441433019672d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test235"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(Float.NaN, 9.6714065E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test236"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-9.8E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-127));

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test237"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.741297982545108d, (-0.7236266338880267d), 1.9855683087099187d, 10);
    double d5 = bracketingNthOrderBrentSolver4.getRelativeAccuracy();
    double d6 = bracketingNthOrderBrentSolver4.getRelativeAccuracy();
    double d7 = bracketingNthOrderBrentSolver4.getMin();
    double d8 = bracketingNthOrderBrentSolver4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test238"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(1280.0002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test239"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign((-14L), 16L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 14L);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test240"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    int i31 = bracketingNthOrderBrentSolver26.getEvaluations();
    int i32 = bracketingNthOrderBrentSolver26.getEvaluations();
    int i33 = bracketingNthOrderBrentSolver26.getMaximalOrder();
    int i34 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction36 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d38 = bracketingNthOrderBrentSolver26.solve(13, univariateFunction36, 1.3239700339195051E12d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test241"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(29664301L, (-708L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-29664301L));

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test242"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(4.499809670330265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2093064194808556d);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test243"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.3645750252357053d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3816351090938891d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test244"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(1.7822194701329988d, 0.7933375014426658d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7822194701329988d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test245"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d9 = bracketingNthOrderBrentSolver8.getAbsoluteAccuracy();
    int i10 = bracketingNthOrderBrentSolver8.getMaxEvaluations();
    int i11 = bracketingNthOrderBrentSolver8.getEvaluations();
    double d12 = bracketingNthOrderBrentSolver8.getStartValue();
    double d13 = bracketingNthOrderBrentSolver8.getMin();
    double d14 = bracketingNthOrderBrentSolver8.getStartValue();
    org.apache.commons.math3.ode.events.EventState eventState15 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 0.0d, 9.445076139061747E305d, (-11), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    double d16 = bracketingNthOrderBrentSolver8.getMax();
    double d17 = bracketingNthOrderBrentSolver8.getAbsoluteAccuracy();
    org.apache.commons.math3.ode.events.EventState eventState18 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, (-0.37982208905373455d), 64.30591202879599d, 75427719, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    double d19 = bracketingNthOrderBrentSolver8.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test246"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    int i14 = dormandPrince853Integrator13.getEvaluations();
    dormandPrince853Integrator13.clearStepHandlers();
    double d16 = dormandPrince853Integrator13.getSafety();
    double d17 = dormandPrince853Integrator13.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i31 = bracketingNthOrderBrentSolver30.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState32 = new org.apache.commons.math3.ode.events.EventState(eventHandler26, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    org.apache.commons.math3.ode.events.EventState eventState33 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    dormandPrince853Integrator13.addEventHandler(eventHandler18, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    int i35 = bracketingNthOrderBrentSolver30.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState36 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, Double.NaN, 0.0d, 1072693279, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    double d37 = eventState36.getEventTime();
    double d38 = eventState36.getEventTime();
    boolean b39 = eventState36.stop();
    org.apache.commons.math3.ode.events.EventHandler eventHandler40 = eventState36.getEventHandler();
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator41 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b42 = eventState36.evaluateStep(stepInterpolator41);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler40);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test247"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(8.881784197001252E-16d, (-0.9084026814867743d), 0.0d, 1.9999999999999998d);
    double d5 = dormandPrince853Integrator4.getMaxStep();
    double d6 = dormandPrince853Integrator4.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.9084026814867743d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test248"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(118.8237405698669d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.916255062296279d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test249"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.5837820090105428d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0338736812208495d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test250"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.2601582175503394d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test251"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(492174979, 99);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 492174979);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test252"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(2.966430121523644E7d, 0.4404105453714162d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.966430121523644E7d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test253"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.273443797698992d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test254"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(182827.24966984757d, 0.0d, 2);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test255"); }


    double[] d_array9 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[] d_array14 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator15 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array9, d_array14);
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver20 = null;
    org.apache.commons.math3.ode.events.EventState eventState21 = new org.apache.commons.math3.ode.events.EventState(eventHandler16, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver20);
    int i22 = eventState21.getMaxIterationCount();
    boolean b23 = eventState21.stop();
    double[] d_array26 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array26);
    boolean b28 = eventState21.reset(0.0d, d_array26);
    double[] d_array33 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b34 = eventState21.reset(56.516459060951796d, d_array33);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator35 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array14, d_array33);
    org.apache.commons.math3.ode.events.EventHandler eventHandler36 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver40 = null;
    org.apache.commons.math3.ode.events.EventState eventState41 = new org.apache.commons.math3.ode.events.EventState(eventHandler36, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver40);
    int i42 = eventState41.getMaxIterationCount();
    boolean b43 = eventState41.stop();
    double[] d_array46 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array46);
    boolean b48 = eventState41.reset(0.0d, d_array46);
    int i49 = org.apache.commons.math3.util.MathUtils.hash(d_array46);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array46);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator51 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.5454487991429904d, 0.9666716934357489d, d_array14, d_array46);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array14);
    double[] d_array53 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator54 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.9191904836660569d, 0.9905329613228776d, d_array14, d_array53);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1072693279);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test256"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0012207031f, (-1907693737));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test257"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 57.29577951308232d, 57.29577951308232d, 0, univariateSolver4);
    double d6 = eventState5.getConvergence();
    boolean b7 = eventState5.stop();
    double d8 = eventState5.getMaxCheckInterval();
    double d9 = eventState5.getConvergence();
    double[] d_array11 = null;
    boolean b12 = eventState5.reset(1.040281461259271d, d_array11);
    int i13 = eventState5.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test258"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(1.3835405562008058d, 1.4114210323377985d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4114210323377985d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test259"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d17 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d18 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    double d20 = bracketingNthOrderBrentSolver16.getMin();
    int i21 = bracketingNthOrderBrentSolver16.getEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction23 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution26 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d27 = bracketingNthOrderBrentSolver16.solve((-480929055), univariateFunction23, 1.0920755203492101E118d, (-0.6887043176210756d), allowedSolution26);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test260"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(0.774778762203955d, (-437672695), (-1646123231));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test261"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign((-10), (-1040157601));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-10));

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test262"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.2207036E-4f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4551915E-11f);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test263"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.8193408018573807d, 1.0131012960132586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.06532436192899505d));

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test264"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(1280);
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException8 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.5533448061434307d, (java.lang.Number)100.0f, true);
    org.apache.commons.math3.exception.MathInternalError mathInternalError9 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)numberIsTooLargeException8);
    java.lang.Throwable[] throwable_array10 = numberIsTooLargeException8.getSuppressed();
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable3, (java.lang.Number)11.548739357257757d, (java.lang.Object[])throwable_array10);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)1280, localizable2, (java.lang.Object[])throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test265"); }


    double d2 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.midpoint(0.0d, 4.85322488801442E11d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.42661244400721E11d);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test266"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.80143974E16f, Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.80143974E16f);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test267"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)(-1), (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)1);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test268"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.0033382540782630537d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.003338254078263054d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test269"); }


    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, obj_array7);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math3.exception.MathArithmeticException(localizable4, obj_array7);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable3, obj_array7);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math3.exception.NullArgumentException(localizable2, obj_array7);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, obj_array7);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)1.0772700355783204E-128d, obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test270"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable11, obj_array13);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException15 = new org.apache.commons.math3.exception.NoBracketingException(localizable6, 5.298292365610485d, 1.5707963267948966d, 4.9E-324d, 1.1102230246251565E-16d, obj_array13);
    org.apache.commons.math3.exception.MathInternalError mathInternalError16 = new org.apache.commons.math3.exception.MathInternalError(localizable5, obj_array13);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 0.0d, 7.105427357601002E-15d, (-0.626772941534327d), 15.954589770191003d, obj_array13);
    double d18 = noBracketingException17.getLo();
    org.apache.commons.math3.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array20 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)noBracketingException17, localizable19, obj_array20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test271"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(7.984077653708105E57d, 1.95567946131115d, 30681.411826042317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test272"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    double[] d_array9 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[] d_array14 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator15 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array9, d_array14);
    int i16 = dormandPrince853Integrator15.getEvaluations();
    double d17 = dormandPrince853Integrator15.getMinReduction();
    dormandPrince853Integrator15.setSafety(0.0d);
    java.util.Collection collection20 = dormandPrince853Integrator15.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable21 = null;
    org.apache.commons.math3.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable22, obj_array24);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator15, localizable21, obj_array24);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, obj_array24);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException28 = new org.apache.commons.math3.exception.MathArithmeticException(localizable4, obj_array24);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException29 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable2, (java.lang.Number)20, obj_array24);
    java.lang.Throwable[] throwable_array30 = notFiniteNumberException29.getSuppressed();
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException31 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)0.7689071520658485d, (java.lang.Object[])throwable_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test273"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(14.453592434670636d, 0.48195290090261633d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test274"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(2.2432927437225927d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.7652103191557d);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test275"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.071420582587428d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0689854152074195d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test276"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(820048L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test277"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.3239700339195063E12d, (java.lang.Number)1.1676068256522059d, false);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test278"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifySequence(0.9986622444614853d, 5.729577951308233E-14d, 0.2360639384850043d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test279"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.9905329613228776d, (java.lang.Number)0.2d, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.2d+ "'", number5.equals(0.2d));

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test280"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8378770664093453d);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test281"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(1.4019486505453282d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4019486505453282d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test282"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(7.698872959222319d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7384124897071587d);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test283"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.6844312379643663d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8812719373491724d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test284"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException4 = new org.apache.commons.math3.exception.DimensionMismatchException((-1), (-1));
    int i5 = dimensionMismatchException4.getDimension();
    int i6 = dimensionMismatchException4.getDimension();
    java.lang.Throwable[] throwable_array7 = dimensionMismatchException4.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, (java.lang.Object[])throwable_array7);
    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException10 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(-0.004131068149194686d));
    mathIllegalStateException8.addSuppressed((java.lang.Throwable)tooManyEvaluationsException10);
    java.lang.Throwable[] throwable_array12 = mathIllegalStateException8.getSuppressed();
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException13 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test285"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(7.5557864E22f, 1.1961855199141624d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.555786E22f);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test286"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.0167239022214498d, 0.004210783809661822d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-329.8106339849504d));

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test287"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException8 = new org.apache.commons.math3.exception.DimensionMismatchException((-1), (-1));
    int i9 = dimensionMismatchException8.getDimension();
    int i10 = dimensionMismatchException8.getDimension();
    java.lang.Throwable[] throwable_array11 = dimensionMismatchException8.getSuppressed();
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable4, (java.lang.Number)0.8414709848078965d, (java.lang.Object[])throwable_array11);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, (java.lang.Object[])throwable_array11);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable1, (java.lang.Number)1280.0001f, (java.lang.Object[])throwable_array11);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test288"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isBracketing(univariateFunction0, 0.8152793312204075d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test289"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i13 = bracketingNthOrderBrentSolver12.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState14 = new org.apache.commons.math3.ode.events.EventState(eventHandler8, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math3.ode.events.EventState eventState15 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    double d16 = bracketingNthOrderBrentSolver12.getStartValue();
    int i17 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    double d18 = bracketingNthOrderBrentSolver12.getStartValue();
    org.apache.commons.math3.ode.events.EventState eventState19 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.4544647885143314d, 0.5463182153140286d, 437672695, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    int i20 = bracketingNthOrderBrentSolver12.getEvaluations();
    double d21 = bracketingNthOrderBrentSolver12.getRelativeAccuracy();
    double d22 = bracketingNthOrderBrentSolver12.getAbsoluteAccuracy();
    double d23 = bracketingNthOrderBrentSolver12.getStartValue();
    double d24 = bracketingNthOrderBrentSolver12.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0E-6d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test290"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)20.55442608508861d);
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test291"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(1.0379161987262366E-64d, 0.9999536394411607d, 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test292"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.11305628061900531d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3877787807814457E-17d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test293"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setMaxEvaluations(0);
    dormandPrince853Integrator9.setStepSizeControl(69.80246871042735d, 1.0337274933484122d, (-0.5430277083304146d), 0.9262160379374196d);
    double d19 = dormandPrince853Integrator9.getCurrentStepStart();
    int i20 = dormandPrince853Integrator9.getMaxEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler21 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver28 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.321813991248445d, (-0.17861878967121592d), 1072693248);
    dormandPrince853Integrator9.addEventHandler(eventHandler21, 0.19126786962680778d, 1.158378456884365d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver28);
    int i30 = bracketingNthOrderBrentSolver28.getEvaluations();
    double d31 = bracketingNthOrderBrentSolver28.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test294"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    int i14 = dormandPrince853Integrator13.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver19 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d20 = bracketingNthOrderBrentSolver19.getAbsoluteAccuracy();
    double d21 = bracketingNthOrderBrentSolver19.getFunctionValueAccuracy();
    double d22 = bracketingNthOrderBrentSolver19.getMax();
    dormandPrince853Integrator13.addEventHandler(eventHandler15, 0.0d, 15.954589770191003d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver19);
    int i24 = bracketingNthOrderBrentSolver19.getMaxEvaluations();
    double d25 = bracketingNthOrderBrentSolver19.getFunctionValueAccuracy();
    org.apache.commons.math3.ode.events.EventState eventState26 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 6.283185307179586d, 0.8500101077622126d, 20, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver19);
    org.apache.commons.math3.ode.events.EventHandler eventHandler27 = eventState26.getEventHandler();
    org.apache.commons.math3.ode.events.EventHandler eventHandler28 = eventState26.getEventHandler();
    org.apache.commons.math3.ode.events.EventHandler eventHandler29 = eventState26.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler29);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test295"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver5 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 89.04160334794895d, 10);
    double d6 = bracketingNthOrderBrentSolver5.getStartValue();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.741297982545108d, (-0.7236266338880267d), 1.9855683087099187d, 10);
    double d17 = bracketingNthOrderBrentSolver16.getRelativeAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction22 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i32 = bracketingNthOrderBrentSolver31.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState33 = new org.apache.commons.math3.ode.events.EventState(eventHandler27, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver31);
    org.apache.commons.math3.ode.events.EventState eventState34 = new org.apache.commons.math3.ode.events.EventState(eventHandler23, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver31);
    double d35 = bracketingNthOrderBrentSolver31.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction40 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver43 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution47 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d48 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction40, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver43, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution47);
    double d49 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction22, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver31, 3.5346958487132123d, 3116.2421492954973d, 1.0365374526472741d, allowedSolution47);
    double d50 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide((-1074790400), univariateFunction11, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver16, 5.0E-7d, 0.0d, 48.196948051694136d, allowedSolution47);
    double d51 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(1023, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver5, (-1.4819636064814712d), 0.8771301074319142d, 0.5299153585255104d, allowedSolution47);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction53 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction57 = null;
    org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver bracketedUnivariateSolver58 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution62 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d63 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(11, univariateFunction57, bracketedUnivariateSolver58, 1.0941200093518422d, 0.0d, (-0.12212741380165607d), allowedSolution62);
    // The following exception was thrown during execution in test generation
    try {
      double d64 = bracketingNthOrderBrentSolver5.solve((-1), univariateFunction53, (-15.954589770191003d), (-0.6887043176210756d), allowedSolution62);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 3.5346958487132123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 5.0E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == (-1.4819636064814712d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 1.0941200093518422d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test296"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(6.283178332446227d, 1.4544647885143316d, 0.7863542986405887d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test297"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence(0.794256384314428d, 0.5313835328739166d, 6.469987873078251E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test298"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.004526773799885914d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999897541769786d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test299"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor(1040157601, maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test300"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    java.util.Collection collection15 = dormandPrince853Integrator9.getEventHandlers();
    dormandPrince853Integrator9.setMinReduction(4.022191557777585d);
    java.lang.String str18 = dormandPrince853Integrator9.getName();
    java.util.Collection collection19 = dormandPrince853Integrator9.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str18.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection19);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test301"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(1048576);
    boolean b2 = incrementor1.canIncrement();
    incrementor1.setMaximalCount((-437672695));
    int i5 = incrementor1.getCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount(1665534082);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test302"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.5837820090105428d, 168320186);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test303"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.0f, 3200.0005f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test304"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-1), (java.lang.Number)(byte)10, true);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    boolean b6 = numberIsTooSmallException4.getBoundIsAllowed();
    java.lang.Number number7 = numberIsTooSmallException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (byte)10+ "'", number5.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-1)+ "'", number7.equals((-1)));

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test305"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.7853981633974483d, 0.0d, 0.33338220036244676d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test306"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.009712074733389654d, 0.7684532321440645d, 4.916255062296279d, 100);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test307"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.ode.events.EventState eventState11 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    double d12 = bracketingNthOrderBrentSolver8.getMin();
    int i13 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d18 = bracketingNthOrderBrentSolver8.solve(1024458752, univariateFunction16, 268.00460332072714d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test308"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-2.255105958983515d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test309"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(5.298292365610485d, (-0.7392602334708254d), 0.03198676433760333d, 0.6229408157937287d);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException7 = new org.apache.commons.math3.exception.DimensionMismatchException(1024, 1079394304);
    noBracketingException4.addSuppressed((java.lang.Throwable)dimensionMismatchException7);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test310"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    dormandPrince853Integrator26.setSafety(0.0d);
    java.util.Collection collection31 = dormandPrince853Integrator26.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable33, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator26, localizable32, obj_array35);
    double d38 = dormandPrince853Integrator26.getMaxGrowth();
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    double[] d_array49 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array44, d_array49);
    double[] d_array52 = new double[] { (-1.0d) };
    dormandPrince853Integrator26.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array49, d_array52);
    org.apache.commons.math3.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver58 = null;
    org.apache.commons.math3.ode.events.EventState eventState59 = new org.apache.commons.math3.ode.events.EventState(eventHandler54, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver58);
    int i60 = eventState59.getMaxIterationCount();
    boolean b61 = eventState59.stop();
    double[] d_array64 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    boolean b66 = eventState59.reset(0.0d, d_array64);
    int i67 = org.apache.commons.math3.util.MathUtils.hash(d_array64);
    dormandPrince853Integrator9.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array49, d_array64);
    double d69 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.setInitialStepSize((-15.954589770191003d));
    double d72 = dormandPrince853Integrator9.getCurrentStepStart();
    int i73 = dormandPrince853Integrator9.getOrder();
    int i74 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.setStepSizeControl(0.0033382540782630537d, 1.2601582175503392d, 0.0d, 0.09992563512691932d);
    double d80 = dormandPrince853Integrator9.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d72, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.2d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test311"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.8018752309649338d, 223.168098092063d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test312"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.80143985E16f, 1.7263349150062197E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.80143974E16f);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test313"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    java.util.Collection collection15 = dormandPrince853Integrator9.getEventHandlers();
    dormandPrince853Integrator9.setMinReduction(4.022191557777585d);
    java.lang.String str18 = dormandPrince853Integrator9.getName();
    double d19 = dormandPrince853Integrator9.getCurrentStepStart();
    org.apache.commons.math3.ode.events.EventHandler eventHandler20 = null;
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    int i34 = dormandPrince853Integrator33.getEvaluations();
    dormandPrince853Integrator33.clearStepHandlers();
    double d36 = dormandPrince853Integrator33.getSafety();
    double d37 = dormandPrince853Integrator33.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler38 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler42 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler46 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver50 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i51 = bracketingNthOrderBrentSolver50.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState52 = new org.apache.commons.math3.ode.events.EventState(eventHandler46, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver50);
    org.apache.commons.math3.ode.events.EventState eventState53 = new org.apache.commons.math3.ode.events.EventState(eventHandler42, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver50);
    dormandPrince853Integrator33.addEventHandler(eventHandler38, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver50);
    java.util.Collection collection55 = dormandPrince853Integrator33.getEventHandlers();
    double d56 = dormandPrince853Integrator33.getCurrentStepStart();
    org.apache.commons.math3.ode.events.EventHandler eventHandler57 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver65 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 0.0d, 1.3239700339195063E12d, 10);
    dormandPrince853Integrator33.addEventHandler(eventHandler57, (-0.7236266338880267d), 57.0d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver65);
    int i67 = bracketingNthOrderBrentSolver65.getEvaluations();
    dormandPrince853Integrator9.addEventHandler(eventHandler20, (-0.17861878967121925d), 1.6799605506781077d, (-127), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver65);
    dormandPrince853Integrator9.clearEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str18.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d56, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test314"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.2207033E-4f, (java.lang.Number)0.7853981633974483d, true);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test315"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-0.0248419312740395d), 6.439276695638909d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.439324614006329d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test316"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    double d10 = dormandPrince853Integrator9.getMinStep();
    java.util.Collection collection11 = dormandPrince853Integrator9.getStepHandlers();
    double d12 = dormandPrince853Integrator9.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.5533448061434307d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test317"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable9, obj_array11);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable7, (java.lang.Number)(byte)0, obj_array11);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(byte)(-1), obj_array11);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, obj_array11);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException16 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, (-7.105427357601002E-15d), 8.059063693672807E-21d, 0.7383210839493565d, 1.5574077389657393d, obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test318"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-156150945), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-156150945));

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test319"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh((-0.06616270465655344d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test320"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-0.1439775409401076d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test321"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.0d, 0.30566626714964407d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test322"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable14 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable14, (java.lang.Number)(byte)0, obj_array18);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException21 = new org.apache.commons.math3.exception.NoBracketingException(localizable9, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array18);
    java.lang.Throwable[] throwable_array22 = noBracketingException21.getSuppressed();
    org.apache.commons.math3.exception.MathInternalError mathInternalError23 = new org.apache.commons.math3.exception.MathInternalError(localizable8, (java.lang.Object[])throwable_array22);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable7, (java.lang.Object[])throwable_array22);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException25 = new org.apache.commons.math3.exception.NoBracketingException(localizable2, 5.729444696456198E-14d, 0.0d, 2.688117141816136E43d, 267.74489404101644d, (java.lang.Object[])throwable_array22);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array22);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test323"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    double[] d_array9 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[] d_array14 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator15 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array9, d_array14);
    int i16 = dormandPrince853Integrator15.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    dormandPrince853Integrator15.addEventHandler(eventHandler17, (-0.0d), 1.7528966507168187E24d, 0);
    int i22 = dormandPrince853Integrator15.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler23 = null;
    double[] d_array30 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array30);
    double[] d_array35 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator36 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array30, d_array35);
    int i37 = dormandPrince853Integrator36.getEvaluations();
    java.lang.String str38 = dormandPrince853Integrator36.getName();
    double d39 = dormandPrince853Integrator36.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler40 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver44 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d45 = bracketingNthOrderBrentSolver44.getAbsoluteAccuracy();
    int i46 = bracketingNthOrderBrentSolver44.getMaxEvaluations();
    double d47 = bracketingNthOrderBrentSolver44.getAbsoluteAccuracy();
    dormandPrince853Integrator36.addEventHandler(eventHandler40, 0.0d, 1.5650761913479965d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver44);
    dormandPrince853Integrator15.addEventHandler(eventHandler23, 1.9377047211159066E-18d, 1.2626272556789118d, 2147483647, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver44);
    dormandPrince853Integrator15.setMaxEvaluations((-1));
    dormandPrince853Integrator15.setSafety((-0.7236266338880267d));
    org.apache.commons.math3.exception.util.Localizable localizable54 = null;
    org.apache.commons.math3.exception.util.Localizable localizable56 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException59 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable56, 0, 0);
    java.lang.Throwable[] throwable_array60 = dimensionMismatchException59.getSuppressed();
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException61 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(-0.2294802171812586d), (java.lang.Object[])throwable_array60);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)(-0.7236266338880267d), localizable54, (java.lang.Object[])throwable_array60);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException63 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, (java.lang.Object[])throwable_array60);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException64 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 9.45115622328848E-7d, 0.0d, 1.0587911840678754E-22d, 0.7723912720316438d, (java.lang.Object[])throwable_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str38.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array60);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test324"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.33338220036244676d, 8.142219984546603E-13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test325"); }


    org.apache.commons.math3.util.MathUtils.checkFinite((-36.38499643314532d));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test326"); }


    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[] d_array17 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator18 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array12, d_array17);
    int i19 = dormandPrince853Integrator18.getEvaluations();
    double d20 = dormandPrince853Integrator18.getMinReduction();
    dormandPrince853Integrator18.setSafety(0.0d);
    java.util.Collection collection23 = dormandPrince853Integrator18.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable24 = null;
    org.apache.commons.math3.exception.util.Localizable localizable25 = null;
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException28 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable25, obj_array27);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator18, localizable24, obj_array27);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException30 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable8, obj_array27);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException31 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(-1.4E-45f), obj_array27);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)0.9905329613228776d, localizable6, obj_array27);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException33 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable4, obj_array27);
    java.lang.Throwable[] throwable_array34 = mathIllegalStateException33.getSuppressed();
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException35 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)534.4916555247651d, (java.lang.Object[])throwable_array34);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException36 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable1, (java.lang.Number)(-0.10536051565782628d), (java.lang.Object[])throwable_array34);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException37 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)0.027181892591221314d, (java.lang.Object[])throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test327"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getCount();
    int i3 = incrementor0.getCount();
    incrementor0.resetCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test328"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)(-10), (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)10);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test329"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isBracketing(univariateFunction0, 0.9782239144810114d, 1.273443797698992d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test330"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-0.9630879630248869d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5709876224172419d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test331"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.283057279171351d, 4.48698627217606d, 53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test332"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper((-1855157276), (-2111176452));
    int i3 = equationsMapper2.getDimension();
    int i4 = equationsMapper2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-2111176452));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-2111176452));

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test333"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper((-1023), 20);
    double[] d_array6 = new double[] { (-1.0d), 0.0d, 1.0d };
    int i7 = org.apache.commons.math3.util.MathUtils.hash(d_array6);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array6);
    org.apache.commons.math3.ode.events.EventHandler eventHandler9 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver13 = null;
    org.apache.commons.math3.ode.events.EventState eventState14 = new org.apache.commons.math3.ode.events.EventState(eventHandler9, 57.29577951308232d, 57.29577951308232d, 0, univariateSolver13);
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[] d_array24 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator25 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array19, d_array24);
    int i26 = dormandPrince853Integrator25.getEvaluations();
    double d27 = dormandPrince853Integrator25.getMinReduction();
    dormandPrince853Integrator25.setSafety(0.0d);
    java.util.Collection collection30 = dormandPrince853Integrator25.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable31 = null;
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException35 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable32, obj_array34);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator25, localizable31, obj_array34);
    double d37 = dormandPrince853Integrator25.getMaxGrowth();
    double[] d_array43 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    double[] d_array48 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator49 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array43, d_array48);
    double[] d_array51 = new double[] { (-1.0d) };
    dormandPrince853Integrator25.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array48, d_array51);
    boolean b53 = eventState14.reset(3.8518598887744717E-34d, d_array48);
    int i54 = org.apache.commons.math3.util.MathUtils.hash(d_array48);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.insertEquationData(d_array6, d_array48);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 1265661023);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test334"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.0d, 1.0000000000000002d, 10, univariateSolver4);
    double d6 = eventState5.getConvergence();
    double[] d_array8 = null;
    boolean b9 = eventState5.reset(0.7095184858840116d, d_array8);
    int i10 = eventState5.getMaxIterationCount();
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator11 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b12 = eventState5.evaluateStep(stepInterpolator11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 10);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test335"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(2.064557505924726E30d, 2.778914711478336d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test336"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException4 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable1, 0, (-1023));
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException6 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)100);
    dimensionMismatchException4.addSuppressed((java.lang.Throwable)notStrictlyPositiveException6);
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException13 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(short)100);
    java.lang.Throwable[] throwable_array14 = tooManyEvaluationsException13.getSuppressed();
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math3.exception.MathArithmeticException(localizable11, (java.lang.Object[])throwable_array14);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable10, (java.lang.Object[])throwable_array14);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable9, (java.lang.Object[])throwable_array14);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException6, localizable8, (java.lang.Object[])throwable_array14);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException19 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test337"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.6621824316943844d, 1262023.5276316951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test338"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-0.6229407956575254d), (-0.911733914786965d), 1024458752);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test339"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-2.0971518E7f), 1.4551915E-11f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4551915E-11f);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test340"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.9950547536867305d, 1.0000000000003333E-6d, 337914027);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test341"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    int i31 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler32 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler36 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver40 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i41 = bracketingNthOrderBrentSolver40.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState42 = new org.apache.commons.math3.ode.events.EventState(eventHandler36, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver40);
    double d43 = bracketingNthOrderBrentSolver40.getStartValue();
    double d44 = bracketingNthOrderBrentSolver40.getFunctionValueAccuracy();
    double d45 = bracketingNthOrderBrentSolver40.getAbsoluteAccuracy();
    double d46 = bracketingNthOrderBrentSolver40.getStartValue();
    double d47 = bracketingNthOrderBrentSolver40.getMax();
    double d48 = bracketingNthOrderBrentSolver40.getFunctionValueAccuracy();
    int i49 = bracketingNthOrderBrentSolver40.getMaxEvaluations();
    dormandPrince853Integrator9.addEventHandler(eventHandler32, 4.450147717014403E-308d, (-0.54402111088937d), 1548262112, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test342"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.5265236472001458d, 9.324241031286672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.526523647200146d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test343"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-9.0949465E-13f), 1.44115188E17f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test344"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isBracketing(univariateFunction0, (-0.10491011863382856d), 8.632297250233367E-6d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test345"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(9.45115622328848E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.451156223285666E-7d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test346"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isBracketing(univariateFunction0, 1.024014189865615d, 0.761594155955765d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test347"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i13 = bracketingNthOrderBrentSolver12.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState14 = new org.apache.commons.math3.ode.events.EventState(eventHandler8, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math3.ode.events.EventState eventState15 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    double d16 = bracketingNthOrderBrentSolver12.getStartValue();
    int i17 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    double d18 = bracketingNthOrderBrentSolver12.getStartValue();
    org.apache.commons.math3.ode.events.EventState eventState19 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.4544647885143314d, 0.5463182153140286d, 437672695, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    int i20 = bracketingNthOrderBrentSolver12.getEvaluations();
    double d21 = bracketingNthOrderBrentSolver12.getRelativeAccuracy();
    double d22 = bracketingNthOrderBrentSolver12.getAbsoluteAccuracy();
    int i23 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 5);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test348"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-0.09336728075109066d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0932316857802095d));

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test349"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(9.6714065E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 83);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test350"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)0, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)(-15.954589770191003d), obj_array9);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable2, obj_array9);
    org.apache.commons.math3.exception.util.Localizable localizable14 = null;
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    org.apache.commons.math3.exception.util.Localizable localizable21 = null;
    org.apache.commons.math3.exception.util.Localizable localizable26 = null;
    org.apache.commons.math3.exception.util.Localizable localizable28 = null;
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException31 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable28, obj_array30);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException32 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable26, (java.lang.Number)(byte)0, obj_array30);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException33 = new org.apache.commons.math3.exception.NoBracketingException(localizable21, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array30);
    java.lang.Throwable[] throwable_array34 = noBracketingException33.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException35 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable20, (java.lang.Object[])throwable_array34);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException36 = new org.apache.commons.math3.exception.NoBracketingException(localizable15, 0.6436349736193521d, 0.0d, 1.3118944184041375d, 0.7693572253635211d, (java.lang.Object[])throwable_array34);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)obj_array9, localizable14, (java.lang.Object[])throwable_array34);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException38 = new org.apache.commons.math3.exception.MathArithmeticException(localizable1, obj_array9);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException39 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test351"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 57.29577951308232d, 57.29577951308232d, 0, univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    double d7 = eventState5.getMaxCheckInterval();
    double d8 = eventState5.getEventTime();
    org.apache.commons.math3.ode.events.EventHandler eventHandler9 = eventState5.getEventHandler();
    double d10 = eventState5.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test352"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.1641532182693481E-10d, (java.lang.Number)0.03198676433760333d, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.03198676433760333d+ "'", number5.equals(0.03198676433760333d));

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test353"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    dormandPrince853Integrator26.setSafety(0.0d);
    java.util.Collection collection31 = dormandPrince853Integrator26.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable33, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator26, localizable32, obj_array35);
    double d38 = dormandPrince853Integrator26.getMaxGrowth();
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    double[] d_array49 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array44, d_array49);
    double[] d_array52 = new double[] { (-1.0d) };
    dormandPrince853Integrator26.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array49, d_array52);
    org.apache.commons.math3.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver58 = null;
    org.apache.commons.math3.ode.events.EventState eventState59 = new org.apache.commons.math3.ode.events.EventState(eventHandler54, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver58);
    int i60 = eventState59.getMaxIterationCount();
    boolean b61 = eventState59.stop();
    double[] d_array64 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    boolean b66 = eventState59.reset(0.0d, d_array64);
    int i67 = org.apache.commons.math3.util.MathUtils.hash(d_array64);
    dormandPrince853Integrator9.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array49, d_array64);
    double d69 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.setInitialStepSize((-15.954589770191003d));
    double d72 = dormandPrince853Integrator9.getCurrentStepStart();
    java.lang.String str73 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setSafety(1.7253825588523148d);
    int i76 = dormandPrince853Integrator9.getOrder();
    dormandPrince853Integrator9.setInitialStepSize(1.0131012960132586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d72, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str73.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 8);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test354"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    boolean b7 = eventState5.stop();
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    boolean b12 = eventState5.reset(0.0d, d_array10);
    boolean b13 = eventState5.stop();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = eventState5.getEventHandler();
    double d15 = eventState5.getMaxCheckInterval();
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = eventState5.getEventHandler();
    double d17 = eventState5.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test355"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)9.6714065E24f);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test356"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(95.55242511858036d, (-0.009553894978589814d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.95737256652697d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test357"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    java.lang.String str13 = dormandPrince853Integrator9.getName();
    int i14 = dormandPrince853Integrator9.getOrder();
    java.util.Collection collection15 = dormandPrince853Integrator9.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str13.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test358"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)6.61985016961324E11d);
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test359"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(3116.2421492954977d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.737530321859209d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test360"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence(0.01050799600431821d, 1.233403117511217d, (-1.583897869996725E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test361"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(2.2093064194808556d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3024227835752311d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test362"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.570796326794893d, 0.0d, (-13));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test363"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    int i14 = dormandPrince853Integrator13.getEvaluations();
    double d15 = dormandPrince853Integrator13.getMinReduction();
    dormandPrince853Integrator13.setSafety(0.0d);
    java.util.Collection collection18 = dormandPrince853Integrator13.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable19 = null;
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable20, obj_array22);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator13, localizable19, obj_array22);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, obj_array22);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException26 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(-1.4E-45f), obj_array22);
    org.apache.commons.math3.exception.MathInternalError mathInternalError27 = new org.apache.commons.math3.exception.MathInternalError(localizable1, obj_array22);
    org.apache.commons.math3.exception.MathInternalError mathInternalError28 = new org.apache.commons.math3.exception.MathInternalError(localizable0, obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test364"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.8414709848078965d, 7);
    double d3 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i5 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i6 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d7 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d8 = bracketingNthOrderBrentSolver2.getMax();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution13 = org.apache.commons.math3.analysis.solvers.AllowedSolution.RIGHT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = bracketingNthOrderBrentSolver2.solve(1903714414, univariateFunction10, 5.27892534775958E-44d, 1.0618065376928845d, allowedSolution13);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution13);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test365"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver5 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.321813991248445d, (-0.17861878967121592d), 1072693248);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = null;
    org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver bracketedUnivariateSolver11 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction16 = null;
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler29 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver33 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d34 = bracketingNthOrderBrentSolver33.getAbsoluteAccuracy();
    double d35 = bracketingNthOrderBrentSolver33.getFunctionValueAccuracy();
    dormandPrince853Integrator26.addEventHandler(eventHandler29, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver33);
    java.lang.String str37 = dormandPrince853Integrator26.getName();
    int i38 = dormandPrince853Integrator26.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler39 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler43 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver47 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i48 = bracketingNthOrderBrentSolver47.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState49 = new org.apache.commons.math3.ode.events.EventState(eventHandler43, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver47);
    double d50 = bracketingNthOrderBrentSolver47.getStartValue();
    int i51 = bracketingNthOrderBrentSolver47.getEvaluations();
    int i52 = bracketingNthOrderBrentSolver47.getEvaluations();
    dormandPrince853Integrator26.addEventHandler(eventHandler39, (-0.7853981633974483d), Double.NaN, (-1074790400), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver47);
    double d54 = bracketingNthOrderBrentSolver47.getRelativeAccuracy();
    int i55 = bracketingNthOrderBrentSolver47.getEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction60 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler61 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler65 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver69 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i70 = bracketingNthOrderBrentSolver69.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState71 = new org.apache.commons.math3.ode.events.EventState(eventHandler65, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver69);
    org.apache.commons.math3.ode.events.EventState eventState72 = new org.apache.commons.math3.ode.events.EventState(eventHandler61, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver69);
    double d73 = bracketingNthOrderBrentSolver69.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction78 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver81 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution85 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d86 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction78, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver81, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution85);
    double d87 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction60, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver69, 3.5346958487132123d, 3116.2421492954973d, 1.0365374526472741d, allowedSolution85);
    double d88 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(5, univariateFunction16, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver47, 0.5454487991429904d, 1.5707963267948861d, 0.0010036119355930628d, allowedSolution85);
    double d89 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction10, bracketedUnivariateSolver11, 6.641592653589793d, 4.1777137910516685E-9d, 2.6881171418161356E43d, allowedSolution85);
    double d90 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(1024, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver5, 0.0d, 1.3591409142295225d, 5.7E-322d, allowedSolution85);
    double d91 = bracketingNthOrderBrentSolver5.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str37.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 3.5346958487132123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.5454487991429904d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 6.641592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 1.0E-15d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test366"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle((-329.8106339849504d), 1.4351228923994415d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.1981872955676636d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test367"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 0, (-1023));
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException5 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)100);
    dimensionMismatchException3.addSuppressed((java.lang.Throwable)notStrictlyPositiveException5);
    int i7 = dimensionMismatchException3.getDimension();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str8 = dimensionMismatchException3.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1023));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test368"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)3.0593818002189453E22d);
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    java.lang.String str3 = tooManyEvaluationsException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 3.0593818002189453E22d+ "'", number2.equals(3.0593818002189453E22d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math3.exception.TooManyEvaluationsException: illegal state: maximal count (30,593,818,002,189,453,000,000) exceeded: evaluations"+ "'", str3.equals("org.apache.commons.math3.exception.TooManyEvaluationsException: illegal state: maximal count (30,593,818,002,189,453,000,000) exceeded: evaluations"));

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test369"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(56.5164590609518d, 1793092981);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = bracketingNthOrderBrentSolver2.solve(33, univariateFunction4, 2.7384124897071587d, 1.1839304010745403E-9d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test370"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(short)10, (java.lang.Number)2.7182818284590455d, false);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException8 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable5, (-1074790400), 10);
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)dimensionMismatchException8);
    int i10 = dimensionMismatchException8.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 10);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test371"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isBracketing(univariateFunction0, 1.273333978E10d, 2.9865533876338555d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test372"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver((-4.680335587901077E38d), 1.4114210323377985d, 0.005334882774041872d, (-1399980709));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test373"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-2111176452), number2, true);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test374"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.9226350743220142d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6064592186815212d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test375"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor((-40), maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test376"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isBracketing(univariateFunction0, 1.3835405562008058d, 3.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test377"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    int i14 = dormandPrince853Integrator13.getEvaluations();
    double d15 = dormandPrince853Integrator13.getMinReduction();
    dormandPrince853Integrator13.setSafety(0.0d);
    java.util.Collection collection18 = dormandPrince853Integrator13.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable19 = null;
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable20, obj_array22);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator13, localizable19, obj_array22);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, obj_array22);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException26 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(-1.4E-45f), obj_array22);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException27 = new org.apache.commons.math3.exception.MathArithmeticException(localizable1, obj_array22);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException28 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test378"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i13 = bracketingNthOrderBrentSolver12.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState14 = new org.apache.commons.math3.ode.events.EventState(eventHandler8, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math3.ode.events.EventState eventState15 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    int i16 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    org.apache.commons.math3.ode.events.EventState eventState17 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, Double.NEGATIVE_INFINITY, 57.29577951308232d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    int i18 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    double d19 = bracketingNthOrderBrentSolver12.getMax();
    int i20 = bracketingNthOrderBrentSolver12.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test379"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.1622776601683795d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test380"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setInitialStepSize(1.0d);
    dormandPrince853Integrator9.setSafety(0.9988186212247272d);
    java.lang.String str37 = dormandPrince853Integrator9.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str37.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test381"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, 7.6293945E-6f, (-480929055));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test382"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(7.105427357601002E-15d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test383"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(179.99999956000718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 13.416407848601175d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test384"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0012207031f, 7.555786E22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.555786E22f);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test385"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 2.7068235896286694d, 1824.0000000000002d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test386"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor((-1023));
    incrementor1.resetCount();
    int i3 = incrementor1.getMaximalCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount(83);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1023));

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test387"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(1.4544647885143314d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-515186378));

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test388"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash((-0.642058408406578d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1398552589));

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test389"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    java.util.Collection collection22 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver27 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler23, 0.6118795358040477d, 4.741297982545109d, (-1023), univariateSolver27);
    dormandPrince853Integrator9.setSafety((-0.032208703664480254d));
    dormandPrince853Integrator9.clearEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection22);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test390"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(1.2207036E-4f, 5, (-1398552589));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test391"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-1023), (-437672695));
    java.lang.Throwable[] throwable_array3 = dimensionMismatchException2.getSuppressed();
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable6, obj_array8);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable4, (java.lang.Number)10.0d, obj_array8);
    java.lang.Number number11 = maxCountExceededException10.getMax();
    java.lang.Number number12 = maxCountExceededException10.getMax();
    dimensionMismatchException2.addSuppressed((java.lang.Throwable)maxCountExceededException10);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext14 = maxCountExceededException10.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    org.apache.commons.math3.exception.util.Localizable localizable17 = null;
    org.apache.commons.math3.exception.util.Localizable localizable19 = null;
    org.apache.commons.math3.exception.util.Localizable localizable21 = null;
    org.apache.commons.math3.exception.util.Localizable localizable23 = null;
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    int i34 = dormandPrince853Integrator33.getEvaluations();
    double d35 = dormandPrince853Integrator33.getMinReduction();
    dormandPrince853Integrator33.setSafety(0.0d);
    java.util.Collection collection38 = dormandPrince853Integrator33.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable39 = null;
    org.apache.commons.math3.exception.util.Localizable localizable40 = null;
    java.lang.Object[] obj_array42 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException43 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable40, obj_array42);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator33, localizable39, obj_array42);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException45 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable23, obj_array42);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException46 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(-1.4E-45f), obj_array42);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)0.9905329613228776d, localizable21, obj_array42);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable19, obj_array42);
    java.lang.Throwable[] throwable_array49 = mathIllegalStateException48.getSuppressed();
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException50 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)534.4916555247651d, (java.lang.Object[])throwable_array49);
    org.apache.commons.math3.exception.MathInternalError mathInternalError51 = new org.apache.commons.math3.exception.MathInternalError(localizable17, (java.lang.Object[])throwable_array49);
    org.apache.commons.math3.exception.MathInternalError mathInternalError52 = new org.apache.commons.math3.exception.MathInternalError(localizable16, (java.lang.Object[])throwable_array49);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)maxCountExceededException10, localizable15, (java.lang.Object[])throwable_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 10.0d+ "'", number11.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 10.0d+ "'", number12.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array49);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test392"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(0.9999793197917277d);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test393"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(0.8922742437892242d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test394"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(7, 996147200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 7);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test395"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-189.0312427910955d));

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test396"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setMaxGrowth(2.718281828459045d);
    int i35 = dormandPrince853Integrator9.getOrder();
    dormandPrince853Integrator9.setMinReduction(89.04160334794895d);
    org.apache.commons.math3.ode.events.EventHandler eventHandler38 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler42 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler46 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver50 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i51 = bracketingNthOrderBrentSolver50.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState52 = new org.apache.commons.math3.ode.events.EventState(eventHandler46, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver50);
    org.apache.commons.math3.ode.events.EventState eventState53 = new org.apache.commons.math3.ode.events.EventState(eventHandler42, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver50);
    double d54 = bracketingNthOrderBrentSolver50.getRelativeAccuracy();
    double d55 = bracketingNthOrderBrentSolver50.getFunctionValueAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler38, 0.05209079005172152d, 1.062443568366363E-15d, (-6), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0E-15d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test397"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException2 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)(short)1);
    java.lang.Number number3 = maxCountExceededException2.getMax();
    java.lang.Number number4 = maxCountExceededException2.getMax();
    org.apache.commons.math3.exception.MathInternalError mathInternalError5 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)maxCountExceededException2);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException8 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(short)100);
    java.lang.Throwable[] throwable_array9 = tooManyEvaluationsException8.getSuppressed();
    java.lang.Throwable[] throwable_array10 = tooManyEvaluationsException8.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathInternalError5, localizable6, (java.lang.Object[])throwable_array10);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)1.4551915E-11f, (java.lang.Object[])throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + (short)1+ "'", number3.equals((short)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (short)1+ "'", number4.equals((short)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test398"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.3818573967460348E181d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3818573967460348E181d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test399"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(4.28142163870591d, 1.067757623796186d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.281421638705909d);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test400"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 0.859919913361121d, 0.9728926289200331d, 12.087804261643896d, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test401"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)1.5533432697486211d, (java.lang.Number)(-0.884116894779103d), false);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test402"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(1.7521749440742072d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1478050481));

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test403"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(4.485709666310279d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9997460565952772d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test404"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(2.2432927437225927d, 2.8946618791162084d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.662161892714059d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test405"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(0.4139846847384536d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1582974567));

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test406"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.ode.events.EventState eventState11 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    int i12 = bracketingNthOrderBrentSolver8.getMaximalOrder();
    int i13 = bracketingNthOrderBrentSolver8.getMaxEvaluations();
    double d14 = bracketingNthOrderBrentSolver8.getStartValue();
    int i15 = bracketingNthOrderBrentSolver8.getMaxEvaluations();
    double d16 = bracketingNthOrderBrentSolver8.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0E-15d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test407"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.8379894774760869d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 48.01326033575294d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test408"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.9887094465355717d, 1.3239700339195051E12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.467763024881901E-13d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test409"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    double[] d_array8 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array8);
    double[] d_array13 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array8, d_array13);
    int i15 = dormandPrince853Integrator14.getEvaluations();
    double d16 = dormandPrince853Integrator14.getMinReduction();
    dormandPrince853Integrator14.setSafety(0.0d);
    java.util.Collection collection19 = dormandPrince853Integrator14.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    org.apache.commons.math3.exception.util.Localizable localizable21 = null;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException24 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable21, obj_array23);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator14, localizable20, obj_array23);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable4, obj_array23);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException27 = new org.apache.commons.math3.exception.MathArithmeticException(localizable3, obj_array23);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException28 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable1, (java.lang.Number)20, obj_array23);
    org.apache.commons.math3.exception.MathInternalError mathInternalError29 = new org.apache.commons.math3.exception.MathInternalError(localizable0, obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test410"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(5.298292365610487d, 1072693279);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test411"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.3552527E-20f, (-37));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.8607613E-32f);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test412"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 57.29577951308232d, 57.29577951308232d, 0, univariateSolver4);
    double d6 = eventState5.getConvergence();
    boolean b7 = eventState5.stop();
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[] d_array17 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator18 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array12, d_array17);
    int i19 = dormandPrince853Integrator18.getEvaluations();
    double d20 = dormandPrince853Integrator18.getMinReduction();
    dormandPrince853Integrator18.setSafety(0.0d);
    double d23 = dormandPrince853Integrator18.getMinReduction();
    double[] d_array29 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array29);
    double[] d_array34 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator35 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array29, d_array34);
    int i36 = dormandPrince853Integrator35.getEvaluations();
    double d37 = dormandPrince853Integrator35.getMinReduction();
    dormandPrince853Integrator35.setSafety(0.0d);
    java.util.Collection collection40 = dormandPrince853Integrator35.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable41 = null;
    org.apache.commons.math3.exception.util.Localizable localizable42 = null;
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException45 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable42, obj_array44);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator35, localizable41, obj_array44);
    double d47 = dormandPrince853Integrator35.getMaxGrowth();
    double[] d_array53 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array53);
    double[] d_array58 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator59 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array53, d_array58);
    double[] d_array61 = new double[] { (-1.0d) };
    dormandPrince853Integrator35.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array58, d_array61);
    org.apache.commons.math3.ode.events.EventHandler eventHandler63 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver67 = null;
    org.apache.commons.math3.ode.events.EventState eventState68 = new org.apache.commons.math3.ode.events.EventState(eventHandler63, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver67);
    int i69 = eventState68.getMaxIterationCount();
    boolean b70 = eventState68.stop();
    double[] d_array73 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array73);
    boolean b75 = eventState68.reset(0.0d, d_array73);
    int i76 = org.apache.commons.math3.util.MathUtils.hash(d_array73);
    dormandPrince853Integrator18.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array58, d_array73);
    boolean b78 = eventState5.reset(0.6557942026326724d, d_array73);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array73);
    int i80 = org.apache.commons.math3.util.MathUtils.hash(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 1072693279);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test413"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-14.148409796207115d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.011242618201709294d));

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test414"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1078755329, 40);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException7 = new org.apache.commons.math3.exception.NoBracketingException(Double.NEGATIVE_INFINITY, 1.2182829050172777d, 1.4330863854487743d, 56.516459060951796d);
    dimensionMismatchException2.addSuppressed((java.lang.Throwable)noBracketingException7);
    double d9 = noBracketingException7.getFLo();
    double d10 = noBracketingException7.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.4330863854487743d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test415"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(12.087804261643896d, (-1.1649370223156144d), (-0.5430277083304146d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test416"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.3591409142295225d, 55.1301646998319d, 188090.9488144195d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test417"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.0d, 6.432490598706548E-16d, (-446842082));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test418"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.5134238193606043d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5362797584866725d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test419"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)0, obj_array9);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable3, (java.lang.Number)1.0d, obj_array9);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable2, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)1542874.4227310962d, obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test420"); }


    double[] d_array5 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[] d_array10 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array5, d_array10);
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver16 = null;
    org.apache.commons.math3.ode.events.EventState eventState17 = new org.apache.commons.math3.ode.events.EventState(eventHandler12, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver16);
    int i18 = eventState17.getMaxIterationCount();
    boolean b19 = eventState17.stop();
    double[] d_array22 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array22);
    boolean b24 = eventState17.reset(0.0d, d_array22);
    double[] d_array29 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b30 = eventState17.reset(56.516459060951796d, d_array29);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator31 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array10, d_array29);
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler32 = null;
    dormandPrince853Integrator31.addStepHandler(stepHandler32);
    double d34 = dormandPrince853Integrator31.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test421"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.2712306630063677d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2745684793216233d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test422"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 2147483647);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = null;
    org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver bracketedUnivariateSolver9 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction14 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver17 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution21 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d22 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction14, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver17, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution21);
    double d23 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(178254315, univariateFunction8, bracketedUnivariateSolver9, 8.764483253584093E23d, 0.4767117318740754d, 0.5299153585255104d, allowedSolution21);
    // The following exception was thrown during execution in test generation
    try {
      double d24 = bracketingNthOrderBrentSolver2.solve((-58), univariateFunction4, 113.38024160369427d, (-329.8106339849504d), allowedSolution21);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 8.764483253584093E23d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test423"); }


    double d2 = org.apache.commons.math3.util.Precision.round(67.57973124265419d, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 67.5797d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test424"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    incrementor0.incrementCount(0);
    incrementor0.setMaximalCount(10);
    incrementor0.setMaximalCount(20);
    incrementor0.setMaximalCount((-156150945));
    int i9 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount(148262303);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-156150945));

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test425"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.9363390996725551d, 0.0d, 1665534082);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = bracketingNthOrderBrentSolver3.solve(283985305, univariateFunction5, 1.0011256287117263d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test426"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(3.183628823724015d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test427"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.04857608E8f, (-1280.0001f), 9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test428"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(57.295781220629635d, 4);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test429"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-56));

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test430"); }


    float f2 = org.apache.commons.math3.util.Precision.round(0.0012207032f, (-1048576));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test431"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.004933087419777049d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.004920959612699793d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test432"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.5391698868772796d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5983017981586319d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test433"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)(-0.0013377559375203126d));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test434"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(1265661023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1265661023);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test435"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i13 = bracketingNthOrderBrentSolver12.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState14 = new org.apache.commons.math3.ode.events.EventState(eventHandler8, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math3.ode.events.EventState eventState15 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    int i16 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    org.apache.commons.math3.ode.events.EventState eventState17 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, Double.NEGATIVE_INFINITY, 57.29577951308232d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    double[] d_array22 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array22);
    double[] d_array27 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array22, d_array27);
    int i29 = dormandPrince853Integrator28.getEvaluations();
    double d30 = dormandPrince853Integrator28.getMinReduction();
    dormandPrince853Integrator28.setSafety(0.0d);
    java.util.Collection collection33 = dormandPrince853Integrator28.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable34 = null;
    org.apache.commons.math3.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable35, obj_array37);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator28, localizable34, obj_array37);
    double d40 = dormandPrince853Integrator28.getMaxGrowth();
    double[] d_array46 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array46);
    double[] d_array51 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator52 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array46, d_array51);
    double[] d_array54 = new double[] { (-1.0d) };
    dormandPrince853Integrator28.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array51, d_array54);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array54);
    boolean b57 = eventState17.reset(1.2182829050172777d, d_array54);
    int i58 = eventState17.getMaxIterationCount();
    int i59 = eventState17.getMaxIterationCount();
    int i60 = eventState17.getMaxIterationCount();
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator61 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b62 = eventState17.evaluateStep(stepInterpolator61);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test436"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.985568308709919d, (-0.7236266338880267d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.11331895695498d);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test437"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setInitialStepSize(0.0d);
    dormandPrince853Integrator9.setInitialStepSize(0.6020638221877662d);
    double d16 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler17 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test438"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test439"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException20 = new org.apache.commons.math3.exception.NoBracketingException(localizable11, 5.298292365610485d, 1.5707963267948966d, 4.9E-324d, 1.1102230246251565E-16d, obj_array18);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math3.exception.MathArithmeticException(localizable10, obj_array18);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException22 = new org.apache.commons.math3.exception.NoBracketingException(localizable5, 1.8414615953426263d, 0.0d, 0.8033372065277675d, 0.21685518575700585d, obj_array18);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 1.226191170883517d, 0.9536466653926199d, 0.0d, 0.985779065351093d, obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test440"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.0d, 4.727600808851775d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test441"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    incrementor0.resetCount();
    incrementor0.setMaximalCount((-1048576));
    int i4 = incrementor0.getMaximalCount();
    int i5 = incrementor0.getCount();
    int i6 = incrementor0.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1048576));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1048576));

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test442"); }


    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver18 = null;
    org.apache.commons.math3.ode.events.EventState eventState19 = new org.apache.commons.math3.ode.events.EventState(eventHandler14, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver18);
    int i20 = eventState19.getMaxIterationCount();
    boolean b21 = eventState19.stop();
    double[] d_array24 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    boolean b26 = eventState19.reset(0.0d, d_array24);
    double[] d_array31 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b32 = eventState19.reset(56.516459060951796d, d_array31);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array12, d_array31);
    org.apache.commons.math3.ode.events.EventHandler eventHandler34 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver38 = null;
    org.apache.commons.math3.ode.events.EventState eventState39 = new org.apache.commons.math3.ode.events.EventState(eventHandler34, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver38);
    int i40 = eventState39.getMaxIterationCount();
    boolean b41 = eventState39.stop();
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    boolean b46 = eventState39.reset(0.0d, d_array44);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator47 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator((-0.911733914786965d), 1.7253825588523148d, d_array31, d_array44);
    int i48 = dormandPrince853Integrator47.getOrder();
    double d49 = dormandPrince853Integrator47.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.2d);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test443"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.0d, 0.14933125760486868d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test444"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.02258087175910885d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.022582791181388753d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test445"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.5665501580766811d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.009888165636132429d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test446"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator((-0.8390740820605876d), 1.5173150470568069d, 3.508354649267438E-15d, 0.0d);
    dormandPrince853Integrator4.setMaxGrowth(0.0d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test447"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    java.util.Collection collection15 = dormandPrince853Integrator9.getEventHandlers();
    dormandPrince853Integrator9.setMinReduction(4.022191557777585d);
    java.lang.String str18 = dormandPrince853Integrator9.getName();
    int i19 = dormandPrince853Integrator9.getEvaluations();
    double d20 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.clearEventHandlers();
    dormandPrince853Integrator9.setMaxGrowth(2.283057279171351d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str18.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 10.0d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test448"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setMaxGrowth(2.718281828459045d);
    int i35 = dormandPrince853Integrator9.getOrder();
    int i36 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler37 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver43 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    double d44 = bracketingNthOrderBrentSolver43.getMin();
    dormandPrince853Integrator9.addEventHandler(eventHandler37, 0.40219785212387804d, 4.741297982545108d, 127, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver43);
    double d46 = bracketingNthOrderBrentSolver43.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test449"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(110.0f, 3200.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 110.0f);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test450"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(5.859222453891704d, 0.9942048014840732d, 83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test451"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(861268882, 6);
    java.lang.Number number3 = dimensionMismatchException2.getArgument();
    int i4 = dimensionMismatchException2.getDimension();
    java.lang.String str5 = dimensionMismatchException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 861268882+ "'", number3.equals(861268882));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math3.exception.DimensionMismatchException: 861,268,882 != 6"+ "'", str5.equals("org.apache.commons.math3.exception.DimensionMismatchException: 861,268,882 != 6"));

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test452"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler16, 3.141592653589793d, 4.741297982545108d, 100);
    int i21 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler22, 3.71681d, 1.5337260269320758d, 128);
    dormandPrince853Integrator9.setStepSizeControl(6.123233995736766E-17d, 3.141592653589793d, 2.718281828459045d, 0.011336341985590748d);
    int i32 = dormandPrince853Integrator9.getEvaluations();
    int i33 = dormandPrince853Integrator9.getOrder();
    dormandPrince853Integrator9.setSafety(0.721963438030693d);
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler36 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 8);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test453"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.0587911840678754E-22d, 1.4195335549383738E-12d, 4.485709666310279d, 0.003005301661576255d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test454"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-11));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test455"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, (-20.55442608508861d), 0.0d, 1.4422495703074083d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test456"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.5665501580766811d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test457"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException((-1), (-1));
    int i4 = dimensionMismatchException3.getDimension();
    int i5 = dimensionMismatchException3.getDimension();
    java.lang.Throwable[] throwable_array6 = dimensionMismatchException3.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException9 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(-0.004131068149194686d));
    mathIllegalStateException7.addSuppressed((java.lang.Throwable)tooManyEvaluationsException9);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = tooManyEvaluationsException9.getContext();
    java.lang.String str12 = tooManyEvaluationsException9.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math3.exception.TooManyEvaluationsException: illegal state: maximal count (-0.004) exceeded: evaluations"+ "'", str12.equals("org.apache.commons.math3.exception.TooManyEvaluationsException: illegal state: maximal count (-0.004) exceeded: evaluations"));

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test458"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.ode.events.EventState eventState11 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    int i12 = bracketingNthOrderBrentSolver8.getMaximalOrder();
    int i13 = bracketingNthOrderBrentSolver8.getMaxEvaluations();
    double d14 = bracketingNthOrderBrentSolver8.getStartValue();
    int i15 = bracketingNthOrderBrentSolver8.getMaxEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction17 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction21 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver24 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution28 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d29 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction21, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver24, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution28);
    // The following exception was thrown during execution in test generation
    try {
      double d30 = bracketingNthOrderBrentSolver8.solve(8, univariateFunction17, 2.11331895695498d, 0.0d, allowedSolution28);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test459"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(5120.001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5120.001f);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test460"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    java.lang.String str13 = dormandPrince853Integrator9.getName();
    double d14 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setMaxGrowth(1.1274331234873511d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str13.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test461"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    incrementor1.incrementCount((-1008700321));
    incrementor1.setMaximalCount((-1008700321));
    int i11 = incrementor1.getMaximalCount();
    incrementor1.resetCount();
    int i13 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1008700321));

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test462"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(8.11546937355094d, 3116.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.002604445129686369d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test463"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    incrementor1.incrementCount((-1008700321));
    incrementor1.setMaximalCount(1265661023);
    incrementor1.incrementCount(1);
    incrementor1.setMaximalCount(110);
    int i15 = incrementor1.getMaximalCount();
    incrementor1.incrementCount();
    boolean b17 = incrementor1.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 110);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test464"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    dormandPrince853Integrator26.setSafety(0.0d);
    java.util.Collection collection31 = dormandPrince853Integrator26.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable33, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator26, localizable32, obj_array35);
    double d38 = dormandPrince853Integrator26.getMaxGrowth();
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    double[] d_array49 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array44, d_array49);
    double[] d_array52 = new double[] { (-1.0d) };
    dormandPrince853Integrator26.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array49, d_array52);
    org.apache.commons.math3.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver58 = null;
    org.apache.commons.math3.ode.events.EventState eventState59 = new org.apache.commons.math3.ode.events.EventState(eventHandler54, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver58);
    int i60 = eventState59.getMaxIterationCount();
    boolean b61 = eventState59.stop();
    double[] d_array64 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    boolean b66 = eventState59.reset(0.0d, d_array64);
    int i67 = org.apache.commons.math3.util.MathUtils.hash(d_array64);
    dormandPrince853Integrator9.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array49, d_array64);
    double d69 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.setInitialStepSize((-15.954589770191003d));
    java.util.Collection collection72 = dormandPrince853Integrator9.getStepHandlers();
    double d73 = dormandPrince853Integrator9.getMaxStep();
    java.lang.String str74 = dormandPrince853Integrator9.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str74 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str74.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test465"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals((-109.99999f), 9.536745E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test466"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)16.32110335040177d);
    java.lang.Throwable[] throwable_array2 = maxCountExceededException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test467"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(3200.0002f, 40.000004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test468"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval((-2.260993749402001d), 0.0d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test469"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.19126786962680778d, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException7 = new org.apache.commons.math3.exception.DimensionMismatchException((-1074790400), 1);
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)dimensionMismatchException7);
    java.lang.Number number9 = numberIsTooLargeException4.getMax();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = numberIsTooLargeException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 10.0f+ "'", number9.equals(10.0f));

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test470"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)9.313226E-10f);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test471"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta((-0.013393028853372898d), 0.7183579793493745d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7183579793493745d);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test472"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-0.2294802171812586d), 0.8083415176653148d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.27661240823767264d));

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test473"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb((-2.0971518E7f), 2008942042);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.NEGATIVE_INFINITY);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test474"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(2.524630659933467d, 1.583782009010543d, 2578.3100780887044d, 0.0d);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test475"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(5.729577951308398E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.000000000000029E-15d);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test476"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)0, obj_array9);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array9);
    double d13 = noBracketingException12.getLo();
    double d14 = noBracketingException12.getHi();
    double d15 = noBracketingException12.getFLo();
    double d16 = noBracketingException12.getHi();
    java.lang.Throwable[] throwable_array17 = noBracketingException12.getSuppressed();
    double d18 = noBracketingException12.getLo();
    double d19 = noBracketingException12.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.5533448061434307d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test477"); }


    double d2 = org.apache.commons.math3.util.Precision.round(1.3239700339195063E12d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3239700339195063E12d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test478"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, 3.4028235E38f, 74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test479"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 0.0d, (-0.8390740820605876d), 1.5707963267948966d);
    dormandPrince853Integrator4.setMinReduction((-0.7853981633974483d));

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test480"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    boolean b7 = eventState6.stop();
    double d8 = eventState6.getEventTime();
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[] d_array22 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator23 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array17, d_array22);
    org.apache.commons.math3.ode.events.EventHandler eventHandler24 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver28 = null;
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler24, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver28);
    int i30 = eventState29.getMaxIterationCount();
    boolean b31 = eventState29.stop();
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    boolean b36 = eventState29.reset(0.0d, d_array34);
    double[] d_array41 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b42 = eventState29.reset(56.516459060951796d, d_array41);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array22, d_array41);
    org.apache.commons.math3.ode.events.EventHandler eventHandler44 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver48 = null;
    org.apache.commons.math3.ode.events.EventState eventState49 = new org.apache.commons.math3.ode.events.EventState(eventHandler44, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver48);
    int i50 = eventState49.getMaxIterationCount();
    boolean b51 = eventState49.stop();
    double[] d_array54 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array54);
    boolean b56 = eventState49.reset(0.0d, d_array54);
    int i57 = org.apache.commons.math3.util.MathUtils.hash(d_array54);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array54);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator59 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.5454487991429904d, 0.9666716934357489d, d_array22, d_array54);
    // The following exception was thrown during execution in test generation
    try {
      eventState6.stepAccepted(0.6229408157937287d, d_array54);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 1072693279);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test481"); }


    double d2 = org.apache.commons.math3.util.Precision.round(0.002158878709595191d, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.002159d);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test482"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array4);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException6 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)10.0d, obj_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = maxCountExceededException6.getContext();
    java.lang.Number number8 = maxCountExceededException6.getMax();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = maxCountExceededException6.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 10.0d+ "'", number8.equals(10.0d));

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test483"); }


    float f2 = org.apache.commons.math3.util.Precision.round(109.999985f, (-1086763043));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test484"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.6487212707001282d, 89.04160334794895d, 1.5337260269320758d, 0.0d);
    double d5 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    java.util.Collection collection6 = dormandPrince853Integrator4.getEventHandlers();
    double d7 = dormandPrince853Integrator4.getSafety();
    org.apache.commons.math3.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i17 = bracketingNthOrderBrentSolver16.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState18 = new org.apache.commons.math3.ode.events.EventState(eventHandler12, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    double d19 = bracketingNthOrderBrentSolver16.getStartValue();
    double d20 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    double d21 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d22 = bracketingNthOrderBrentSolver16.getStartValue();
    double d23 = bracketingNthOrderBrentSolver16.getStartValue();
    double d24 = bracketingNthOrderBrentSolver16.getStartValue();
    dormandPrince853Integrator4.addEventHandler(eventHandler8, 0.0d, (-2.260993749402001d), (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    double d26 = dormandPrince853Integrator4.getMaxGrowth();
    double d27 = dormandPrince853Integrator4.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 12.11630246473763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.2d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test485"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.3342848109022717d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.32236559928709757d));

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test486"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)697503.3640289888d, (java.lang.Number)0.031981312287980415d, true);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    java.lang.Number number5 = numberIsTooSmallException3.getMin();
    org.apache.commons.math3.exception.MathInternalError mathInternalError6 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)numberIsTooSmallException3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.031981312287980415d+ "'", number5.equals(0.031981312287980415d));

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test487"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    double d16 = dormandPrince853Integrator9.getMaxGrowth();
    int i17 = dormandPrince853Integrator9.getMaxEvaluations();
    double d18 = dormandPrince853Integrator9.getMaxGrowth();
    int i19 = dormandPrince853Integrator9.getMaxEvaluations();
    int i20 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler21 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 8);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test488"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)57.29577951308233d, (java.lang.Number)0.5665501580766811d, true);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    boolean b6 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.5665501580766811d+ "'", number5.equals(0.5665501580766811d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test489"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.7160033436347992d, 311972744);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test490"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setInitialStepSize(0.0d);
    double d14 = dormandPrince853Integrator9.getSafety();
    dormandPrince853Integrator9.setSafety(6.123233995736766E-17d);
    dormandPrince853Integrator9.setMaxGrowth(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.9d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test491"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.6020638221877662d, 2);
    double d7 = bracketingNthOrderBrentSolver6.getMin();
    double d8 = bracketingNthOrderBrentSolver6.getRelativeAccuracy();
    org.apache.commons.math3.ode.events.EventState eventState9 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.97469525101799d, 0.0d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver6);
    int i10 = bracketingNthOrderBrentSolver6.getMaximalOrder();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction12 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution15 = org.apache.commons.math3.analysis.solvers.AllowedSolution.BELOW_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d16 = bracketingNthOrderBrentSolver6.solve(168320186, univariateFunction12, 0.5255249307795292d, 4.0d, allowedSolution15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution15);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test492"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.4591933566761031d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5827967175088293d);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test493"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(0.0d, 1.3440585709080678E43d, 1.5533432697486211d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test494"); }


    float f2 = org.apache.commons.math3.util.Precision.round((-1.2676505E30f), 168320186);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test495"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math3.exception.MathArithmeticException(localizable6, obj_array9);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable5, obj_array9);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable4, obj_array9);
    org.apache.commons.math3.exception.MathInternalError mathInternalError14 = new org.apache.commons.math3.exception.MathInternalError(localizable3, obj_array9);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable1, (java.lang.Number)0.0033438322538038596d, obj_array9);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test496"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, (-0.4161468365471424d), 1.5057060085689367d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test497"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.0689854152074195d, 3.141592653589794d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.141592653589794d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test498"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException5 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)0.9117339147869651d, (java.lang.Number)(-1), false);
    java.lang.Throwable[] throwable_array6 = numberIsTooLargeException5.getSuppressed();
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array6);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = mathIllegalStateException8.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test499"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.4E-45f, (-1040157601));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest15.test500"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 89.04160334794895d, 10);
    double d4 = bracketingNthOrderBrentSolver3.getStartValue();
    double d5 = bracketingNthOrderBrentSolver3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

}
