
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest17 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test001"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    incrementor1.setMaximalCount(100);
    incrementor1.incrementCount((-1023));
    incrementor1.setMaximalCount((-13));

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test002"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException3 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)1.0f, obj_array2);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError4 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)notFiniteNumberException3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test003"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.28075827291371236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.004900156264557094d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test004"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-0.36862638458285674d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-21.12073605376405d));

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test005"); }


    float f2 = org.apache.commons.math3.util.Precision.round(9.313226E-10f, (-1646123231));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test006"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d1 = bracketingNthOrderBrentSolver0.getAbsoluteAccuracy();
    double d2 = bracketingNthOrderBrentSolver0.getAbsoluteAccuracy();
    int i3 = bracketingNthOrderBrentSolver0.getMaxEvaluations();
    double d4 = bracketingNthOrderBrentSolver0.getAbsoluteAccuracy();
    int i5 = bracketingNthOrderBrentSolver0.getMaxEvaluations();
    double d6 = bracketingNthOrderBrentSolver0.getMin();
    double d7 = bracketingNthOrderBrentSolver0.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test007"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.0E51d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test008"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(50.25585323970517d, 0.014662608160507046d, 3.1916161914700245d, (-0.012985682215646409d));
    double d5 = dormandPrince853Integrator4.getMaxStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.014662608160507046d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test009"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.24778624026579565d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.24283656989115207d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test010"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(0.675897250849075d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test011"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)(-100), (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)100);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test012"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.9684830895263891d, 11.486282727368748d, 921088690);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test013"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable8, obj_array10);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math3.exception.MathArithmeticException(localizable7, obj_array10);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable5, (java.lang.Number)(short)100, obj_array10);
    java.lang.Throwable[] throwable_array14 = notFiniteNumberException13.getSuppressed();
    org.apache.commons.math3.exception.MathInternalError mathInternalError15 = new org.apache.commons.math3.exception.MathInternalError(localizable4, (java.lang.Object[])throwable_array14);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math3.exception.MathArithmeticException(localizable3, (java.lang.Object[])throwable_array14);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math3.exception.MathArithmeticException(localizable2, (java.lang.Object[])throwable_array14);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)2.9865533876338555d, (java.lang.Object[])throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test014"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)0, obj_array9);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException12 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable3, (java.lang.Number)1.0d, obj_array9);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { obj_array9 };
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable1, (java.lang.Number)56.516459060951796d, obj_array13);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError16 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)mathIllegalArgumentException15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test015"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.012383433682440912d, (-480929055));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test016"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0d, 0.5869211956997074d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test017"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(1.1641532182693481E-10d, (-2.2551059589835147d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test018"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    java.lang.String str13 = dormandPrince853Integrator9.getName();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler14, 1.9855683087099187d, 0.9988186212247272d, (-1));
    double d19 = dormandPrince853Integrator9.getMinStep();
    dormandPrince853Integrator9.setMaxGrowth(2.2250738585072014E-308d);
    dormandPrince853Integrator9.setInitialStepSize(1.2937886495230881d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str13.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.5533448061434307d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test019"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-1398552589), 80);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test020"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    int i14 = dormandPrince853Integrator13.getEvaluations();
    java.lang.String str15 = dormandPrince853Integrator13.getName();
    double d16 = dormandPrince853Integrator13.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d22 = bracketingNthOrderBrentSolver21.getAbsoluteAccuracy();
    int i23 = bracketingNthOrderBrentSolver21.getMaxEvaluations();
    double d24 = bracketingNthOrderBrentSolver21.getAbsoluteAccuracy();
    dormandPrince853Integrator13.addEventHandler(eventHandler17, 0.0d, 1.5650761913479965d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver21);
    org.apache.commons.math3.ode.events.EventState eventState26 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.0d, 0.3587424110426044d, (-127), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver21);
    double d27 = bracketingNthOrderBrentSolver21.getStartValue();
    int i28 = bracketingNthOrderBrentSolver21.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str15.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 5);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test021"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)14.24915811704623d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = notStrictlyPositiveException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test022"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(4.048226965040811d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.048226965040812d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test023"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(1.2299287558360417d, 18.04964979425798d, (-2147483648));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test024"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.2074871453780196d, (-189.0312427910955d), 3.0593818002189453E22d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test025"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)2L);
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)0, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)(-15.954589770191003d), obj_array9);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math3.exception.MathArithmeticException(localizable2, obj_array9);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext14 = mathArithmeticException13.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    org.apache.commons.math3.exception.util.Localizable localizable18 = null;
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable20, obj_array22);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException24 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable18, (java.lang.Number)(byte)0, obj_array22);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException25 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable16, (java.lang.Number)(-15.954589770191003d), obj_array22);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable15, obj_array22);
    mathArithmeticException13.addSuppressed((java.lang.Throwable)mathIllegalStateException26);
    maxCountExceededException1.addSuppressed((java.lang.Throwable)mathArithmeticException13);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext29 = mathArithmeticException13.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext30 = mathArithmeticException13.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext30);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test026"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.2057356551304476E8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test027"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)2L);
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)0, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)(-15.954589770191003d), obj_array9);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math3.exception.MathArithmeticException(localizable2, obj_array9);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext14 = mathArithmeticException13.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    org.apache.commons.math3.exception.util.Localizable localizable18 = null;
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable20, obj_array22);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException24 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable18, (java.lang.Number)(byte)0, obj_array22);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException25 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable16, (java.lang.Number)(-15.954589770191003d), obj_array22);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable15, obj_array22);
    mathArithmeticException13.addSuppressed((java.lang.Throwable)mathIllegalStateException26);
    maxCountExceededException1.addSuppressed((java.lang.Throwable)mathArithmeticException13);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException31 = new org.apache.commons.math3.exception.DimensionMismatchException(1078755329, 40);
    maxCountExceededException1.addSuppressed((java.lang.Throwable)dimensionMismatchException31);
    java.lang.Number number33 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + 2L+ "'", number33.equals(2L));

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test028"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.9790176866124057d, (-1646123231));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test029"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(433.69453399186335d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 434L);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test030"); }


    double d2 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.midpoint(0.9097310103233549d, 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.8140064193912d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test031"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    double d7 = eventState5.getEventTime();
    int i8 = eventState5.getMaxIterationCount();
    double d9 = eventState5.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test032"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0L, number1, true);
    java.lang.Number number4 = numberIsTooSmallException3.getArgument();
    org.apache.commons.math3.exception.MathInternalError mathInternalError5 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)numberIsTooSmallException3);
    java.lang.Number number6 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0L+ "'", number4.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test033"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test034"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    double[] d_array35 = new double[] { (-1.0d) };
    dormandPrince853Integrator9.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array32, d_array35);
    dormandPrince853Integrator9.setInitialStepSize(1.307972410734653d);
    dormandPrince853Integrator9.setMaxEvaluations((-1023));
    double d41 = dormandPrince853Integrator9.getCurrentStepStart();
    double d42 = dormandPrince853Integrator9.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test035"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.5533448061434307d, (java.lang.Number)100.0f, true);
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable11, obj_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable9, (java.lang.Number)(byte)0, obj_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable7, (java.lang.Number)(-15.954589770191003d), obj_array13);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable6, obj_array13);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException18 = new org.apache.commons.math3.exception.NullArgumentException(localizable5, obj_array13);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooLargeException3, localizable4, obj_array13);
    boolean b20 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test036"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyBracketing(univariateFunction0, 2.232617571470735d, 4.824047741910242d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test037"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)(-10), (short)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)(-10));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test038"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.6002005317221614d, 1.7453292519943298E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test039"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(3.4028233E38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test040"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)1.6940659E-21f);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test041"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1825.0d, 4.4998097d, 1280);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test042"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable11, obj_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable9, (java.lang.Number)(byte)0, obj_array13);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException16 = new org.apache.commons.math3.exception.NoBracketingException(localizable4, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array13);
    java.lang.Throwable[] throwable_array17 = noBracketingException16.getSuppressed();
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)1.2676506E30f, (java.lang.Object[])throwable_array17);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException19 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)3.8146973E-6f, (java.lang.Object[])throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test043"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    double d11 = bracketingNthOrderBrentSolver8.getStartValue();
    double d12 = bracketingNthOrderBrentSolver8.getFunctionValueAccuracy();
    double d13 = bracketingNthOrderBrentSolver8.getAbsoluteAccuracy();
    org.apache.commons.math3.ode.events.EventState eventState14 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.2578581451356334d, 3.141592653589793d, 2147483647, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    double d15 = bracketingNthOrderBrentSolver8.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test044"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0f, 1.0842023E-19f, 9.999999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test045"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 10.0d, 57.29577951308233d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler17, 0.0d, 1.1102230246251565E-16d, (-2));
    dormandPrince853Integrator9.setMaxGrowth((-0.8390740820605876d));
    dormandPrince853Integrator9.setMaxGrowth(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test046"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Number number6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable9, obj_array11);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math3.exception.MathArithmeticException(localizable8, obj_array11);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(short)(-1), obj_array11);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math3.exception.NotFiniteNumberException(number6, obj_array11);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math3.exception.MathArithmeticException(localizable5, obj_array11);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, (-0.642058408406578d), 42.70838196966992d, 0.0d, 0.6002005317221613d, obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test047"); }


    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    double[] d_array5 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[] d_array10 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array5, d_array10);
    int i12 = dormandPrince853Integrator11.getEvaluations();
    double d13 = dormandPrince853Integrator11.getMinReduction();
    dormandPrince853Integrator11.setSafety(0.0d);
    java.util.Collection collection16 = dormandPrince853Integrator11.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable17 = null;
    org.apache.commons.math3.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException21 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable18, obj_array20);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator11, localizable17, obj_array20);
    double d23 = dormandPrince853Integrator11.getMaxGrowth();
    double[] d_array29 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array29);
    double[] d_array34 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator35 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array29, d_array34);
    double[] d_array37 = new double[] { (-1.0d) };
    dormandPrince853Integrator11.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array34, d_array37);
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler39 = null;
    dormandPrince853Integrator11.addStepHandler(stepHandler39);
    double d41 = dormandPrince853Integrator11.getCurrentStepStart();
    int i42 = dormandPrince853Integrator11.getMaxEvaluations();
    double d43 = dormandPrince853Integrator11.getMinStep();
    dormandPrince853Integrator11.setMaxGrowth(2.0d);
    int i46 = dormandPrince853Integrator11.getMaxEvaluations();
    int i47 = dormandPrince853Integrator11.getOrder();
    org.apache.commons.math3.exception.util.Localizable localizable48 = null;
    org.apache.commons.math3.exception.util.Localizable localizable49 = null;
    org.apache.commons.math3.exception.util.Localizable localizable50 = null;
    org.apache.commons.math3.exception.util.Localizable localizable51 = null;
    org.apache.commons.math3.exception.util.Localizable localizable52 = null;
    org.apache.commons.math3.exception.util.Localizable localizable53 = null;
    org.apache.commons.math3.exception.util.Localizable localizable54 = null;
    java.lang.Object[] obj_array56 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException57 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable54, obj_array56);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException58 = new org.apache.commons.math3.exception.MathArithmeticException(localizable53, obj_array56);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException59 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable52, obj_array56);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException60 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable51, obj_array56);
    org.apache.commons.math3.exception.MathInternalError mathInternalError61 = new org.apache.commons.math3.exception.MathInternalError(localizable50, obj_array56);
    org.apache.commons.math3.exception.MathInternalError mathInternalError62 = new org.apache.commons.math3.exception.MathInternalError(localizable49, obj_array56);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)i47, localizable48, obj_array56);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)(-46), localizable1, obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 1.9377047211159066E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test048"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    incrementor1.incrementCount((-341));
    int i8 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test049"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-34.538776394910684d), 4.559965451430013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 34.83848963109444d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test050"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-0.5839640519307904d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6684571037364907d));

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test051"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    int i7 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    double d8 = bracketingNthOrderBrentSolver4.getRelativeAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction15 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver20 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.741297982545108d, (-0.7236266338880267d), 1.9855683087099187d, 10);
    double d21 = bracketingNthOrderBrentSolver20.getRelativeAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction26 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler31 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver35 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i36 = bracketingNthOrderBrentSolver35.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState37 = new org.apache.commons.math3.ode.events.EventState(eventHandler31, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver35);
    org.apache.commons.math3.ode.events.EventState eventState38 = new org.apache.commons.math3.ode.events.EventState(eventHandler27, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver35);
    double d39 = bracketingNthOrderBrentSolver35.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction44 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver47 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution51 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d52 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction44, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver47, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution51);
    double d53 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction26, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver35, 3.5346958487132123d, 3116.2421492954973d, 1.0365374526472741d, allowedSolution51);
    double d54 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide((-1074790400), univariateFunction15, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver20, 5.0E-7d, 0.0d, 48.196948051694136d, allowedSolution51);
    // The following exception was thrown during execution in test generation
    try {
      double d55 = bracketingNthOrderBrentSolver4.solve(1046478848, univariateFunction10, (-0.0013377555385146477d), 1.000000000000029E-15d, 1.8516897327679747d, allowedSolution51);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 3.5346958487132123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 5.0E-7d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test052"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)1.2601582175503392d);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 1.2601582175503392d+ "'", number2.equals(1.2601582175503392d));

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test053"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-341), 0);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = dimensionMismatchException2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test054"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i13 = bracketingNthOrderBrentSolver12.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState14 = new org.apache.commons.math3.ode.events.EventState(eventHandler8, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math3.ode.events.EventState eventState15 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    int i16 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    org.apache.commons.math3.ode.events.EventState eventState17 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, (-820047.9294663861d), 3.572941372740587d, 1, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    double d18 = eventState17.getConvergence();
    double[] d_array23 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array23);
    double[] d_array28 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator29 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array23, d_array28);
    int i30 = dormandPrince853Integrator29.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler33 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver37 = null;
    org.apache.commons.math3.ode.events.EventState eventState38 = new org.apache.commons.math3.ode.events.EventState(eventHandler33, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver37);
    int i39 = eventState38.getMaxIterationCount();
    boolean b40 = eventState38.stop();
    double[] d_array43 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    boolean b45 = eventState38.reset(0.0d, d_array43);
    double[] d_array50 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b51 = eventState38.reset(56.516459060951796d, d_array50);
    org.apache.commons.math3.ode.events.EventHandler eventHandler52 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver56 = null;
    org.apache.commons.math3.ode.events.EventState eventState57 = new org.apache.commons.math3.ode.events.EventState(eventHandler52, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver56);
    int i58 = eventState57.getMaxIterationCount();
    boolean b59 = eventState57.stop();
    double[] d_array62 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array62);
    boolean b64 = eventState57.reset(0.0d, d_array62);
    dormandPrince853Integrator29.setStepSizeControl(5.298292365610485d, 2.718281828459045d, d_array50, d_array62);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array50);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array50);
    // The following exception was thrown during execution in test generation
    try {
      eventState17.stepAccepted(12.087804261643896d, d_array50);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 3.572941372740587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test055"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    boolean b7 = eventState5.stop();
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    boolean b12 = eventState5.reset(0.0d, d_array10);
    double[] d_array17 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b18 = eventState5.reset(56.516459060951796d, d_array17);
    double d19 = eventState5.getConvergence();
    double d20 = eventState5.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.1102230246251565E-16d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test056"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(134.01794674634826d, 7.105427357600977E-15d, 1.5707963267948823d, 3.141592653589793d);
    double d5 = dormandPrince853Integrator4.getSafety();
    java.util.Collection collection6 = dormandPrince853Integrator4.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection6);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test057"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.03705332377530435d, (java.lang.Number)9.445076139061747E305d, false);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 9.445076139061747E305d+ "'", number5.equals(9.445076139061747E305d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 9.445076139061747E305d+ "'", number6.equals(9.445076139061747E305d));

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test058"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.19126786962680778d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9817639974421761d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test059"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    double[] d_array35 = new double[] { (-1.0d) };
    dormandPrince853Integrator9.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array32, d_array35);
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler37 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler37);
    double d39 = dormandPrince853Integrator9.getCurrentStepStart();
    int i40 = dormandPrince853Integrator9.getMaxEvaluations();
    double d41 = dormandPrince853Integrator9.getMinStep();
    org.apache.commons.math3.ode.events.EventHandler eventHandler42 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver50 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.741297982545108d, (-0.7236266338880267d), 1.9855683087099187d, 10);
    double d51 = bracketingNthOrderBrentSolver50.getRelativeAccuracy();
    int i52 = bracketingNthOrderBrentSolver50.getEvaluations();
    int i53 = bracketingNthOrderBrentSolver50.getMaximalOrder();
    dormandPrince853Integrator9.addEventHandler(eventHandler42, (-0.004131068149194686d), 5.0d, (-13), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver50);
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler55 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.9377047211159066E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 10);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test060"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)9.489333763212926E-10d);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test061"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.0d, 1.0000000000000002d, 10, univariateSolver4);
    double d6 = eventState5.getConvergence();
    org.apache.commons.math3.ode.events.EventHandler eventHandler7 = eventState5.getEventHandler();
    boolean b8 = eventState5.stop();
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator9 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b10 = eventState5.evaluateStep(stepInterpolator9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test062"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    double d16 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.clearEventHandlers();
    double d18 = dormandPrince853Integrator9.getCurrentStepStart();
    org.apache.commons.math3.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver27 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i28 = bracketingNthOrderBrentSolver27.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler23, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver27);
    double d30 = bracketingNthOrderBrentSolver27.getStartValue();
    double d31 = bracketingNthOrderBrentSolver27.getFunctionValueAccuracy();
    double d32 = bracketingNthOrderBrentSolver27.getAbsoluteAccuracy();
    double d33 = bracketingNthOrderBrentSolver27.getStartValue();
    double d34 = bracketingNthOrderBrentSolver27.getMax();
    dormandPrince853Integrator9.addEventHandler(eventHandler19, (-0.9696671954212148d), 0.0d, (-1074790369), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver27);
    int i36 = dormandPrince853Integrator9.getOrder();
    int i37 = dormandPrince853Integrator9.getMaxEvaluations();
    dormandPrince853Integrator9.setStepSizeControl(35.62121448029618d, 1.0000336313043778d, 0.0d, 0.9077746604790116d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 2147483647);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test063"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException3 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, number1, obj_array2);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test064"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.7347235E-18f, (-472.650385657261d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.7347234E-18f);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test065"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 2.5856373942571658d, (-0.9226350743220142d), (-0.663830187908931d), (-855035260));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test066"); }


    double[] d_array5 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[] d_array10 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array5, d_array10);
    int i12 = dormandPrince853Integrator11.getEvaluations();
    double d13 = dormandPrince853Integrator11.getMinReduction();
    java.util.Collection collection14 = dormandPrince853Integrator11.getStepHandlers();
    dormandPrince853Integrator11.clearStepHandlers();
    double[] d_array23 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array23);
    double[] d_array28 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator29 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array23, d_array28);
    org.apache.commons.math3.ode.events.EventHandler eventHandler30 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver34 = null;
    org.apache.commons.math3.ode.events.EventState eventState35 = new org.apache.commons.math3.ode.events.EventState(eventHandler30, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver34);
    int i36 = eventState35.getMaxIterationCount();
    boolean b37 = eventState35.stop();
    double[] d_array40 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array40);
    boolean b42 = eventState35.reset(0.0d, d_array40);
    double[] d_array47 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b48 = eventState35.reset(56.516459060951796d, d_array47);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator49 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array28, d_array47);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array28);
    double[] d_array54 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array54);
    double[] d_array59 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator60 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array54, d_array59);
    dormandPrince853Integrator11.setStepSizeControl(2.4497460077641993d, 0.8771301074319141d, d_array28, d_array59);
    double[] d_array63 = new double[] { 0.0d };
    int i64 = org.apache.commons.math3.util.MathUtils.hash(d_array63);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array63);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array63);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator67 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.442456371534995d, 0.9910255587990942d, d_array59, d_array63);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 31);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test067"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.0000000148985893d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7261859236034156E-4d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test068"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0d, (-0.005022564003286406d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.9E-324d));

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test069"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(5.298292365610485d, (-0.7392602334708254d), 0.03198676433760333d, 0.6229408157937287d);
    double d5 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.03198676433760333d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test070"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    double[] d_array15 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array10, d_array15);
    int i17 = dormandPrince853Integrator16.getEvaluations();
    double d18 = dormandPrince853Integrator16.getMinReduction();
    dormandPrince853Integrator16.setSafety(0.0d);
    java.util.Collection collection21 = dormandPrince853Integrator16.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable22 = null;
    org.apache.commons.math3.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable23, obj_array25);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator16, localizable22, obj_array25);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException28 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable6, obj_array25);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException29 = new org.apache.commons.math3.exception.MathArithmeticException(localizable5, obj_array25);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException30 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, (-0.0d), 1.5707963267948966d, Double.NaN, 0.9905329613228776d, obj_array25);
    double d31 = noBracketingException30.getHi();
    double d32 = noBracketingException30.getFHi();
    double d33 = noBracketingException30.getFLo();
    double d34 = noBracketingException30.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.9905329613228776d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d33, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test071"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(72.34321284858714d, (-0.626772941534327d), (-80));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test072"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign((-1478050481), 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1478050481);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test073"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-9223372036854775807L), (-107L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-9223372036854775807L));

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test074"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.015912758715129954d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test075"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.2601582175503392d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.90479423302481d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test076"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i13 = bracketingNthOrderBrentSolver12.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState14 = new org.apache.commons.math3.ode.events.EventState(eventHandler8, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math3.ode.events.EventState eventState15 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    int i16 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    org.apache.commons.math3.ode.events.EventState eventState17 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, Double.NEGATIVE_INFINITY, 57.29577951308232d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    int i18 = eventState17.getMaxIterationCount();
    boolean b19 = eventState17.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test077"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(9.536745E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test078"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.321813991248445d, (-0.17861878967121592d), 1072693248);
    double d4 = bracketingNthOrderBrentSolver3.getMax();
    int i5 = bracketingNthOrderBrentSolver3.getMaximalOrder();
    int i6 = bracketingNthOrderBrentSolver3.getEvaluations();
    int i7 = bracketingNthOrderBrentSolver3.getMaximalOrder();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = bracketingNthOrderBrentSolver3.solve((-1023), univariateFunction9, 0.77258435630793d, 0.8220759605956197d, 6.184583850017792d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1072693248);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1072693248);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test079"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)(-0.5706654834448581d), (java.lang.Number)0.21685518575700585d, true);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test080"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d5 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    double d6 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    int i7 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState8 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.0d, 0.04744296790374204d, 2147483647, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d9 = eventState8.getConvergence();
    int i10 = eventState8.getMaxIterationCount();
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array12 = null;
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)eventState8, localizable11, obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.04744296790374204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 2147483647);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test081"); }


    double d2 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.midpoint(0.9077746604790116d, 1.1128860689657571E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.45388788668254026d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test082"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.8922742437892242d, 0.6890780316410944d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6890780316410943d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test083"); }


    double d2 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.midpoint(0.022896877039688294d, 0.9999793197917277d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.511438098415708d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test084"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence(0.0d, 0.6621068538643234d, 7.54983443527075d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test085"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math3.exception.NoBracketingException noBracketingException6 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, (-697503.3640289888d), 1.1436662147386594d, 1.0131012960132586d, 139.81083765316555d, obj_array5);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test086"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 1.233403117511217d, 1.5640463364494674d, 75427719);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test087"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(70.49561589098731d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.255550521941155d);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test088"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.9999999999999999d, 0.38394983672592986d, (-0.911733914786965d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test089"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(3.7168099999999953d, 2.928991716311668d, 0.14933125760486868d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test090"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.014751987446982995d, 3.636358536980943d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.014751987446982995d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test091"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver((-0.0d), 5);
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test092"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    int i31 = dormandPrince853Integrator9.getOrder();
    dormandPrince853Integrator9.setMinReduction(8.28248832576111E-108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 8);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test093"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    int i14 = dormandPrince853Integrator13.getEvaluations();
    java.lang.String str15 = dormandPrince853Integrator13.getName();
    double d16 = dormandPrince853Integrator13.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d22 = bracketingNthOrderBrentSolver21.getAbsoluteAccuracy();
    double d23 = bracketingNthOrderBrentSolver21.getAbsoluteAccuracy();
    double d24 = bracketingNthOrderBrentSolver21.getRelativeAccuracy();
    dormandPrince853Integrator13.addEventHandler(eventHandler17, 0.0d, 1.7253825588523148d, 128, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver21);
    org.apache.commons.math3.ode.events.EventState eventState26 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.03706181006776965d, 1.8115262724608532d, 100, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver21);
    org.apache.commons.math3.ode.events.EventHandler eventHandler27 = eventState26.getEventHandler();
    int i28 = eventState26.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str15.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 100);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test094"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyBracketing(univariateFunction0, 1.1989813334654565E-8d, (-0.0248419312740395d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test095"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.8998668269691907d, number1, true);
    java.lang.Number number4 = numberIsTooSmallException3.getArgument();
    java.lang.Number number5 = numberIsTooSmallException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.8998668269691907d+ "'", number4.equals(0.8998668269691907d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.8998668269691907d+ "'", number5.equals(0.8998668269691907d));

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test096"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, 0.0f, (-44));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test097"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)10, (short)(-100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)(-10));

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test098"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable11, obj_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable9, (java.lang.Number)(byte)0, obj_array13);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException16 = new org.apache.commons.math3.exception.NoBracketingException(localizable4, 1.5574077246549023d, 15.823745150392188d, 6.283185307179587d, 0.0370702951968743d, obj_array13);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable2, (java.lang.Number)(-0.23150654707920149d), obj_array13);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)60.83703326920084d, obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test099"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)100.0f);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = notStrictlyPositiveException2.getContext();
    java.lang.Number number4 = notStrictlyPositiveException2.getMin();
    java.lang.Number number5 = notStrictlyPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test100"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, obj_array7);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException9 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 5.298292365610485d, 1.5707963267948966d, 4.9E-324d, 1.1102230246251565E-16d, obj_array7);
    double d10 = noBracketingException9.getFLo();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = noBracketingException9.getContext();
    double d12 = noBracketingException9.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 4.9E-324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 4.9E-324d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test101"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 2.840817072128048d, 0.0d, (-0.24048488774884827d), (-3));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test102"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    boolean b7 = eventState5.stop();
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    boolean b12 = eventState5.reset(0.0d, d_array10);
    double d13 = eventState5.getMaxCheckInterval();
    double d14 = eventState5.getEventTime();
    double d15 = eventState5.getEventTime();
    org.apache.commons.math3.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver23 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i24 = bracketingNthOrderBrentSolver23.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState25 = new org.apache.commons.math3.ode.events.EventState(eventHandler19, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver23);
    boolean b26 = eventState25.stop();
    org.apache.commons.math3.ode.events.EventHandler eventHandler27 = eventState25.getEventHandler();
    double[] d_array36 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    double[] d_array41 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator42 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array36, d_array41);
    org.apache.commons.math3.ode.events.EventHandler eventHandler43 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver47 = null;
    org.apache.commons.math3.ode.events.EventState eventState48 = new org.apache.commons.math3.ode.events.EventState(eventHandler43, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver47);
    int i49 = eventState48.getMaxIterationCount();
    boolean b50 = eventState48.stop();
    double[] d_array53 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array53);
    boolean b55 = eventState48.reset(0.0d, d_array53);
    double[] d_array60 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b61 = eventState48.reset(56.516459060951796d, d_array60);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator62 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array41, d_array60);
    org.apache.commons.math3.ode.events.EventHandler eventHandler63 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver67 = null;
    org.apache.commons.math3.ode.events.EventState eventState68 = new org.apache.commons.math3.ode.events.EventState(eventHandler63, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver67);
    int i69 = eventState68.getMaxIterationCount();
    boolean b70 = eventState68.stop();
    double[] d_array73 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array73);
    boolean b75 = eventState68.reset(0.0d, d_array73);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator76 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator((-0.911733914786965d), 1.7253825588523148d, d_array60, d_array73);
    boolean b77 = eventState25.reset(57.29577951308232d, d_array60);
    double[] d_array79 = new double[] { 0.0d };
    int i80 = org.apache.commons.math3.util.MathUtils.hash(d_array79);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array79);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator82 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(174.81912842960364d, 858.0d, d_array60, d_array79);
    boolean b83 = eventState5.reset(0.7423006920992532d, d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test103"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(40.0f, 1.3118944184041375d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 39.999996f);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test104"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.0276260207380814d, 0.7352557702098205d, 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test105"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(3.051758E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-15));

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test106"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException2 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(short)100);
    java.lang.Throwable[] throwable_array3 = tooManyEvaluationsException2.getSuppressed();
    java.lang.Throwable[] throwable_array4 = tooManyEvaluationsException2.getSuppressed();
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException5 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(-48.07540360088537d), (java.lang.Object[])throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test107"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence((-2.473150756570767E-17d), 1.0337274933484122d, 0.22140275816016985d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test108"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.11305628061900531d, 14.24915811704623d, 128);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test109"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(7.54983443527075d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7476962050544724d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test110"); }


    float f2 = org.apache.commons.math3.util.Precision.round(1.5111573E23f, (-64));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test111"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(9.860762E-32f, 1.6940659E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.860762E-32f);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test112"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(1024458752);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1024458752);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test113"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor((-1023));
    incrementor1.resetCount();
    int i3 = incrementor1.getMaximalCount();
    incrementor1.incrementCount((-37));
    int i6 = incrementor1.getMaximalCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1023));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test114"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable9, obj_array11);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable7, (java.lang.Number)(byte)0, obj_array11);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException14 = new org.apache.commons.math3.exception.NoBracketingException(localizable2, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array11);
    java.lang.Throwable[] throwable_array15 = noBracketingException14.getSuppressed();
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)1.2676506E30f, (java.lang.Object[])throwable_array15);
    java.lang.Number number17 = maxCountExceededException16.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 1.2676506E30f+ "'", number17.equals(1.2676506E30f));

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test115"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(3.594966587408988E86d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test116"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    java.util.Collection collection22 = dormandPrince853Integrator9.getEventHandlers();
    int i23 = dormandPrince853Integrator9.getMaxEvaluations();
    dormandPrince853Integrator9.setMaxEvaluations(5);
    double[] d_array31 = new double[] { (-1.0d), 0.0d, 1.0d };
    int i32 = org.apache.commons.math3.util.MathUtils.hash(d_array31);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array31);
    org.apache.commons.math3.ode.events.EventHandler eventHandler34 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver38 = null;
    org.apache.commons.math3.ode.events.EventState eventState39 = new org.apache.commons.math3.ode.events.EventState(eventHandler34, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver38);
    double d40 = eventState39.getEventTime();
    double[] d_array47 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array47);
    double[] d_array52 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator53 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array47, d_array52);
    org.apache.commons.math3.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver58 = null;
    org.apache.commons.math3.ode.events.EventState eventState59 = new org.apache.commons.math3.ode.events.EventState(eventHandler54, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver58);
    int i60 = eventState59.getMaxIterationCount();
    boolean b61 = eventState59.stop();
    double[] d_array64 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    boolean b66 = eventState59.reset(0.0d, d_array64);
    double[] d_array71 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b72 = eventState59.reset(56.516459060951796d, d_array71);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator73 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array52, d_array71);
    boolean b74 = eventState39.reset((-8.249305440540187d), d_array52);
    int i75 = org.apache.commons.math3.util.MathUtils.hash(d_array52);
    dormandPrince853Integrator9.setStepSizeControl(2140.1483571861604d, (-0.17861878967121592d), d_array31, d_array52);
    double d77 = dormandPrince853Integrator9.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 1265661023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 10.0d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test117"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NoBracketingException noBracketingException5 = new org.apache.commons.math3.exception.NoBracketingException(1.0E-6d, 100.0d, 1.0d, 1.0E-6d);
    double d6 = noBracketingException5.getFHi();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = noBracketingException5.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable14 = null;
    org.apache.commons.math3.exception.util.Localizable localizable19 = null;
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    org.apache.commons.math3.exception.util.Localizable localizable21 = null;
    double[] d_array25 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    double[] d_array30 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator31 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array25, d_array30);
    int i32 = dormandPrince853Integrator31.getEvaluations();
    double d33 = dormandPrince853Integrator31.getMinReduction();
    dormandPrince853Integrator31.setSafety(0.0d);
    java.util.Collection collection36 = dormandPrince853Integrator31.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable37 = null;
    org.apache.commons.math3.exception.util.Localizable localizable38 = null;
    java.lang.Object[] obj_array40 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException41 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable38, obj_array40);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator31, localizable37, obj_array40);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException43 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable21, obj_array40);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException44 = new org.apache.commons.math3.exception.MathArithmeticException(localizable20, obj_array40);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException45 = new org.apache.commons.math3.exception.NullArgumentException(localizable19, obj_array40);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException46 = new org.apache.commons.math3.exception.NoBracketingException(localizable14, 1.4210854715202004E-14d, 1.5574077246549023d, 1.307972410734653d, 0.4404105453714162d, obj_array40);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException47 = new org.apache.commons.math3.exception.NoBracketingException(localizable9, 0.0d, 22.485633678809247d, 0.010871939557916386d, 0.006431261877544614d, obj_array40);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException48 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)noBracketingException5, localizable8, obj_array40);
    org.apache.commons.math3.exception.MathInternalError mathInternalError49 = new org.apache.commons.math3.exception.MathInternalError(localizable0, obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test118"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)9L, number1, true);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test119"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable4, obj_array6);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)(byte)0, obj_array6);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException9 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(byte)(-1), obj_array6);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array6);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = mathArithmeticException10.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test120"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    int i14 = dormandPrince853Integrator13.getEvaluations();
    dormandPrince853Integrator13.clearStepHandlers();
    double d16 = dormandPrince853Integrator13.getSafety();
    double d17 = dormandPrince853Integrator13.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i31 = bracketingNthOrderBrentSolver30.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState32 = new org.apache.commons.math3.ode.events.EventState(eventHandler26, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    org.apache.commons.math3.ode.events.EventState eventState33 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    dormandPrince853Integrator13.addEventHandler(eventHandler18, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    int i35 = bracketingNthOrderBrentSolver30.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState36 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, Double.NaN, 0.0d, 1072693279, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    double[] d_array41 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    double[] d_array46 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator47 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array41, d_array46);
    int i48 = dormandPrince853Integrator47.getEvaluations();
    double d49 = dormandPrince853Integrator47.getMinReduction();
    dormandPrince853Integrator47.setSafety(0.0d);
    java.util.Collection collection52 = dormandPrince853Integrator47.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable53 = null;
    org.apache.commons.math3.exception.util.Localizable localizable54 = null;
    java.lang.Object[] obj_array56 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException57 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable54, obj_array56);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator47, localizable53, obj_array56);
    double d59 = dormandPrince853Integrator47.getMaxGrowth();
    double[] d_array65 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array65);
    double[] d_array70 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator71 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array65, d_array70);
    double[] d_array73 = new double[] { (-1.0d) };
    dormandPrince853Integrator47.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array70, d_array73);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array73);
    boolean b76 = eventState36.reset(0.6020638221877662d, d_array73);
    double d77 = eventState36.getEventTime();
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator78 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState36.reinitializeBegin(stepInterpolator78);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test121"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 57.29577951308232d, 57.29577951308232d, 0, univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    double d7 = eventState5.getMaxCheckInterval();
    double[] d_array9 = new double[] {  };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    boolean b11 = eventState5.reset(0.017452406491261705d, d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test122"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.0370702951968743d, (java.lang.Number)35.05811497199588d, true);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test123"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    incrementor0.incrementCount(0);
    incrementor0.setMaximalCount(10);
    boolean b5 = incrementor0.canIncrement();
    incrementor0.setMaximalCount((-1008700321));
    incrementor0.incrementCount((-1907693737));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test124"); }


    float f2 = org.apache.commons.math3.util.Precision.round(5120.001f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5120.0f);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test125"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)(-0.6365921512965944d), (java.lang.Number)(-0.0013377563365264773d), false);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test126"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    boolean b3 = incrementor1.canIncrement();
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test127"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(9.094948E-13f, 0, 521272152);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test128"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.01906631825795704d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-6));

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test129"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d5 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    int i6 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    double d7 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    org.apache.commons.math3.ode.events.EventState eventState8 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.5000121109089047d, 1.7253825588523148d, (-283985305), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d9 = bracketingNthOrderBrentSolver4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test130"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign((-446842082), (-1855157276));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-446842082));

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test131"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    int i33 = dormandPrince853Integrator9.getEvaluations();
    java.util.Collection collection34 = dormandPrince853Integrator9.getEventHandlers();
    double d35 = dormandPrince853Integrator9.getCurrentStepStart();
    java.util.Collection collection36 = dormandPrince853Integrator9.getEventHandlers();
    double d37 = dormandPrince853Integrator9.getSafety();
    double d38 = dormandPrince853Integrator9.getCurrentSignedStepsize();
    dormandPrince853Integrator9.clearStepHandlers();
    dormandPrince853Integrator9.setMaxGrowth(18.04964979425798d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 9.433986512635347d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test132"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(3.6771956542879445E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.6771956542879445E-14d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test133"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(30681.411826042317d, 3.3881317890172014E-21d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 30681.411826042317d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test134"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-0.642058408406578d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4737918428004931d));

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test135"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    boolean b7 = eventState5.stop();
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    boolean b12 = eventState5.reset(0.0d, d_array10);
    double d13 = eventState5.getMaxCheckInterval();
    double d14 = eventState5.getEventTime();
    int i15 = eventState5.getMaxIterationCount();
    double d16 = eventState5.getConvergence();
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    double[] d_array25 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array25);
    double[] d_array30 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator31 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array25, d_array30);
    int i32 = dormandPrince853Integrator31.getEvaluations();
    double d33 = dormandPrince853Integrator31.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler34 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver38 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d39 = bracketingNthOrderBrentSolver38.getAbsoluteAccuracy();
    double d40 = bracketingNthOrderBrentSolver38.getFunctionValueAccuracy();
    dormandPrince853Integrator31.addEventHandler(eventHandler34, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver38);
    double d42 = bracketingNthOrderBrentSolver38.getMin();
    int i43 = bracketingNthOrderBrentSolver38.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState44 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 8.28248832576111E-108d, 0.0010036119355930628d, 521272152, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver38);
    double[] d_array49 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array49);
    double[] d_array54 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator55 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array49, d_array54);
    int i56 = dormandPrince853Integrator55.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler59 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver63 = null;
    org.apache.commons.math3.ode.events.EventState eventState64 = new org.apache.commons.math3.ode.events.EventState(eventHandler59, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver63);
    int i65 = eventState64.getMaxIterationCount();
    boolean b66 = eventState64.stop();
    double[] d_array69 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array69);
    boolean b71 = eventState64.reset(0.0d, d_array69);
    double[] d_array76 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b77 = eventState64.reset(56.516459060951796d, d_array76);
    org.apache.commons.math3.ode.events.EventHandler eventHandler78 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver82 = null;
    org.apache.commons.math3.ode.events.EventState eventState83 = new org.apache.commons.math3.ode.events.EventState(eventHandler78, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver82);
    int i84 = eventState83.getMaxIterationCount();
    boolean b85 = eventState83.stop();
    double[] d_array88 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array88);
    boolean b90 = eventState83.reset(0.0d, d_array88);
    dormandPrince853Integrator55.setStepSizeControl(5.298292365610485d, 2.718281828459045d, d_array76, d_array88);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array88);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array88);
    int i94 = org.apache.commons.math3.util.MathUtils.hash(d_array88);
    boolean b95 = eventState44.reset(3.4185226390238004d, d_array88);
    // The following exception was thrown during execution in test generation
    try {
      eventState5.stepAccepted(1.5574077246549018d, d_array88);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b90 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i94 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b95 == false);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test136"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.0667023102587847d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02804323568468926d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test137"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)0.006431261877544614d);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test138"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-446842082));
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test139"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d1 = bracketingNthOrderBrentSolver0.getAbsoluteAccuracy();
    int i2 = bracketingNthOrderBrentSolver0.getMaximalOrder();
    double d3 = bracketingNthOrderBrentSolver0.getStartValue();
    double d4 = bracketingNthOrderBrentSolver0.getMax();
    double d5 = bracketingNthOrderBrentSolver0.getMax();
    double d6 = bracketingNthOrderBrentSolver0.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test140"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setInitialStepSize(1.0d);
    dormandPrince853Integrator9.setSafety(0.9988186212247272d);
    dormandPrince853Integrator9.setMaxEvaluations(1048576);
    double d39 = dormandPrince853Integrator9.getMinReduction();
    int i40 = dormandPrince853Integrator9.getMaxEvaluations();
    dormandPrince853Integrator9.setStepSizeControl(0.0d, 4.741297982545108d, (-0.5834260948432356d), 0.35409848308480585d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 1048576);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test141"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1280.0001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test142"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable9, obj_array11);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable7, (java.lang.Number)(byte)0, obj_array11);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(byte)(-1), obj_array11);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math3.exception.MathArithmeticException(localizable5, obj_array11);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)1, obj_array11);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException17 = new org.apache.commons.math3.exception.NullArgumentException(localizable2, obj_array11);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, number1, obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test143"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setMaxGrowth(2.718281828459045d);
    int i35 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler38 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver42 = null;
    org.apache.commons.math3.ode.events.EventState eventState43 = new org.apache.commons.math3.ode.events.EventState(eventHandler38, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver42);
    int i44 = eventState43.getMaxIterationCount();
    boolean b45 = eventState43.stop();
    double[] d_array48 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array48);
    boolean b50 = eventState43.reset(0.0d, d_array48);
    double[] d_array54 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array54);
    double[] d_array59 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator60 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array54, d_array59);
    int i61 = dormandPrince853Integrator60.getEvaluations();
    double d62 = dormandPrince853Integrator60.getMinReduction();
    dormandPrince853Integrator60.setSafety(0.0d);
    java.util.Collection collection65 = dormandPrince853Integrator60.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable66 = null;
    org.apache.commons.math3.exception.util.Localizable localizable67 = null;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException70 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable67, obj_array69);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator60, localizable66, obj_array69);
    double d72 = dormandPrince853Integrator60.getMaxGrowth();
    double[] d_array78 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array78);
    double[] d_array83 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator84 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array78, d_array83);
    double[] d_array86 = new double[] { (-1.0d) };
    dormandPrince853Integrator60.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array83, d_array86);
    int i88 = org.apache.commons.math3.util.MathUtils.hash(d_array86);
    dormandPrince853Integrator9.setStepSizeControl(1.433086385448774d, (-0.6229407956575255d), d_array48, d_array86);
    double d90 = dormandPrince853Integrator9.getMinReduction();
    int i91 = dormandPrince853Integrator9.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i88 == (-1074790369));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i91 == 2147483647);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test144"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    double[] d_array35 = new double[] { (-1.0d) };
    dormandPrince853Integrator9.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array32, d_array35);
    dormandPrince853Integrator9.setInitialStepSize(1.307972410734653d);
    java.util.Collection collection39 = dormandPrince853Integrator9.getStepHandlers();
    dormandPrince853Integrator9.setSafety(5.729577951308397E-14d);
    java.util.Collection collection42 = dormandPrince853Integrator9.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection42);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test145"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.7009743252726641d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5312012193977907d);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test146"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    boolean b7 = eventState5.stop();
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    boolean b12 = eventState5.reset(0.0d, d_array10);
    boolean b13 = eventState5.stop();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = eventState5.getEventHandler();
    boolean b15 = eventState5.stop();
    double d16 = eventState5.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test147"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler16, 3.141592653589793d, 4.741297982545108d, 100);
    int i21 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler22, 3.71681d, 1.5337260269320758d, 128);
    org.apache.commons.math3.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d32 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    int i33 = bracketingNthOrderBrentSolver31.getMaxEvaluations();
    double d34 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    double d35 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler27, 1.5650761913479965d, 1.2182829050172777d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver31);
    dormandPrince853Integrator9.setMaxGrowth(3.7168146928204138d);
    double d39 = dormandPrince853Integrator9.getMinReduction();
    int i40 = dormandPrince853Integrator9.getEvaluations();
    int i41 = dormandPrince853Integrator9.getEvaluations();
    java.util.Collection collection42 = dormandPrince853Integrator9.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection42);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test148"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    int i11 = dormandPrince853Integrator9.getEvaluations();
    double d12 = dormandPrince853Integrator9.getMaxStep();
    java.lang.String str13 = dormandPrince853Integrator9.getName();
    double d14 = dormandPrince853Integrator9.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str13.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test149"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.0d, 1.3629366215418197d, 9.445076139061749E305d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test150"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test151"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(9.094947E-13f, 7.5557864E22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.5557864E22f);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test152"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 1.7311958839730832E-196d, 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test153"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler16, 3.141592653589793d, 4.741297982545108d, 100);
    int i21 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler22, 3.71681d, 1.5337260269320758d, 128);
    org.apache.commons.math3.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d32 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    int i33 = bracketingNthOrderBrentSolver31.getMaxEvaluations();
    double d34 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    double d35 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler27, 1.5650761913479965d, 1.2182829050172777d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver31);
    dormandPrince853Integrator9.setMaxGrowth(3.7168146928204138d);
    dormandPrince853Integrator9.setMaxEvaluations(1072693248);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0E-6d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test154"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    incrementor1.resetCount();
    incrementor1.setMaximalCount(0);
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test155"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor((-2008942042));
    incrementor1.setMaximalCount((-10));

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test156"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.002158878709595191d, (-0.32386357984292224d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.32386357984292224d));

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test157"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver((-189.0312427910955d), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test158"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(1665534082, 0);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test159"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.4551917E-11f, 2.928991716311668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4551919E-11f);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test160"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.6487212707001282d, 89.04160334794895d, 1.5337260269320758d, 0.0d);
    double d13 = dormandPrince853Integrator12.getCurrentSignedStepsize();
    java.lang.String str14 = dormandPrince853Integrator12.getName();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler15 = null;
    dormandPrince853Integrator12.addStepHandler(stepHandler15);
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver25 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 0.0d, 1.3239700339195063E12d, 10);
    dormandPrince853Integrator12.addEventHandler(eventHandler17, 3.141592653589794d, 0.8586917598249741d, (-1008700321), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver25);
    int i27 = bracketingNthOrderBrentSolver25.getMaximalOrder();
    double d28 = bracketingNthOrderBrentSolver25.getFunctionValueAccuracy();
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 1.1538644161394662d, 0.755894649162675d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver25);
    org.apache.commons.math3.ode.events.EventState eventState30 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.0E-6d, (-0.5869211956997074d), (-64), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver25);
    double d31 = eventState30.getConvergence();
    double d32 = eventState30.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 12.11630246473763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str14.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.3239700339195063E12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.5869211956997074d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test161"); }


    double[] d_array5 = new double[] { 100.0d, 10.0d, 10.0d };
    double[] d_array11 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[] d_array16 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator17 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array11, d_array16);
    int i18 = dormandPrince853Integrator17.getEvaluations();
    double d19 = dormandPrince853Integrator17.getMinReduction();
    dormandPrince853Integrator17.setSafety(0.0d);
    java.util.Collection collection22 = dormandPrince853Integrator17.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable23 = null;
    org.apache.commons.math3.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable24, obj_array26);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator17, localizable23, obj_array26);
    double d29 = dormandPrince853Integrator17.getMaxGrowth();
    double[] d_array35 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array35);
    double[] d_array40 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array35, d_array40);
    double[] d_array43 = new double[] { (-1.0d) };
    dormandPrince853Integrator17.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array40, d_array43);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array43);
    double[] d_array53 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array53);
    double[] d_array58 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator59 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array53, d_array58);
    org.apache.commons.math3.ode.events.EventHandler eventHandler60 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver64 = null;
    org.apache.commons.math3.ode.events.EventState eventState65 = new org.apache.commons.math3.ode.events.EventState(eventHandler60, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver64);
    int i66 = eventState65.getMaxIterationCount();
    boolean b67 = eventState65.stop();
    double[] d_array70 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array70);
    boolean b72 = eventState65.reset(0.0d, d_array70);
    double[] d_array77 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b78 = eventState65.reset(56.516459060951796d, d_array77);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator79 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array58, d_array77);
    org.apache.commons.math3.ode.events.EventHandler eventHandler80 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver84 = null;
    org.apache.commons.math3.ode.events.EventState eventState85 = new org.apache.commons.math3.ode.events.EventState(eventHandler80, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver84);
    int i86 = eventState85.getMaxIterationCount();
    boolean b87 = eventState85.stop();
    double[] d_array90 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array90);
    boolean b92 = eventState85.reset(0.0d, d_array90);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator93 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator((-0.911733914786965d), 1.7253825588523148d, d_array77, d_array90);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator94 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.3118944184041375d, 0.0d, d_array43, d_array77);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator95 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.4739641460032654d, 0.9385078997951388d, d_array5, d_array77);
    int i96 = org.apache.commons.math3.util.MathUtils.hash(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i86 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i96 == (-1835436961));

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test162"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable6, obj_array8);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable4, (java.lang.Number)(byte)0, obj_array8);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable2, (java.lang.Number)1.0d, obj_array8);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)57.0d, obj_array8);
    java.lang.Number number13 = maxCountExceededException12.getMax();
    java.lang.Number number14 = maxCountExceededException12.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 57.0d+ "'", number13.equals(57.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 57.0d+ "'", number14.equals(57.0d));

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test163"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator((-1.1649370223156144d), 0.8771301074319142d, 0.7832441209980989d, 0.5615115056347079d);
    dormandPrince853Integrator4.setSafety(0.014662608160507046d);
    int i7 = dormandPrince853Integrator4.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 8);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test164"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    double d10 = dormandPrince853Integrator9.getMinStep();
    java.util.Collection collection11 = dormandPrince853Integrator9.getStepHandlers();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler12 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler12);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    java.util.Collection collection15 = dormandPrince853Integrator9.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test165"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(28.604803120755868d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.323970033919503E12d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test166"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.2578581451356334d, 1.0924195670341623d, (-2147483648));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test167"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.3118944184041375d, (-0.05233254888757014d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6106660114931193d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test168"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(10.100001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test169"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.5574077246549018d, 1.4210854715202004E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test170"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(10.550021743556293d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11.0d);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test171"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d17 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d18 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    java.lang.String str20 = dormandPrince853Integrator9.getName();
    double d21 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setSafety(0.0d);
    int i24 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.setMinReduction((-0.10491011863382856d));
    double d27 = dormandPrince853Integrator9.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str20.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 10.0d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test172"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.6487212707001282d, 89.04160334794895d, 1.5337260269320758d, 0.0d);
    double d5 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    int i6 = dormandPrince853Integrator4.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler7 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver14 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(89.04160334794895d, 1.4330863854487743d, 2);
    dormandPrince853Integrator4.addEventHandler(eventHandler7, 0.0d, 0.04746076762388862d, (-437672695), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver14);
    double d16 = dormandPrince853Integrator4.getCurrentStepStart();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler17 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 12.11630246473763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test173"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(1.0E-6d, 100.0d, 1.0d, 1.0E-6d);
    double d5 = noBracketingException4.getLo();
    double d6 = noBracketingException4.getLo();
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Number number8 = null;
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable7, number8, obj_array9);
    noBracketingException4.addSuppressed((java.lang.Throwable)notFiniteNumberException10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test174"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)1.0000000000000002d);
    org.apache.commons.math3.exception.MathInternalError mathInternalError2 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)maxCountExceededException1);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test175"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.7684532321440645d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test176"); }


    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException6 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)0.6906987016305608d, (java.lang.Number)(short)(-100), false);
    java.lang.Number number7 = numberIsTooLargeException6.getMax();
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    java.lang.Number number11 = null;
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable12, obj_array14);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math3.exception.NotFiniteNumberException(number11, obj_array14);
    org.apache.commons.math3.exception.MathInternalError mathInternalError17 = new org.apache.commons.math3.exception.MathInternalError(localizable10, obj_array14);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)40.000008f, obj_array14);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooLargeException6, localizable8, obj_array14);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException20 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable1, (java.lang.Number)0.6305001650592643d, obj_array14);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(-1274810507), obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (short)(-100)+ "'", number7.equals((short)(-100)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test177"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.10426859334390383d);
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test178"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver17 = null;
    org.apache.commons.math3.ode.events.EventState eventState18 = new org.apache.commons.math3.ode.events.EventState(eventHandler13, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver17);
    int i19 = eventState18.getMaxIterationCount();
    boolean b20 = eventState18.stop();
    double[] d_array23 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array23);
    boolean b25 = eventState18.reset(0.0d, d_array23);
    double[] d_array30 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b31 = eventState18.reset(56.516459060951796d, d_array30);
    org.apache.commons.math3.ode.events.EventHandler eventHandler32 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver36 = null;
    org.apache.commons.math3.ode.events.EventState eventState37 = new org.apache.commons.math3.ode.events.EventState(eventHandler32, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver36);
    int i38 = eventState37.getMaxIterationCount();
    boolean b39 = eventState37.stop();
    double[] d_array42 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array42);
    boolean b44 = eventState37.reset(0.0d, d_array42);
    dormandPrince853Integrator9.setStepSizeControl(5.298292365610485d, 2.718281828459045d, d_array30, d_array42);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array42);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array42);
    int i48 = org.apache.commons.math3.util.MathUtils.hash(d_array42);
    int i49 = org.apache.commons.math3.util.MathUtils.hash(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1072693279);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test179"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(100, 22);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test180"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.0000000000000002d, 0.022896877039688294d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test181"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(3.6621618927140593d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 19.459885431812058d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test182"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.9790176866124057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test183"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setMaxEvaluations(0);
    dormandPrince853Integrator9.setSafety(0.04744296790374204d);
    double d16 = dormandPrince853Integrator9.getSafety();
    int i17 = dormandPrince853Integrator9.getOrder();
    int i18 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver27 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 0.0d, 1.3239700339195063E12d, 10);
    double d28 = bracketingNthOrderBrentSolver27.getAbsoluteAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler19, 1.3629366215418197d, 3.5437097408356864E-103d, 1024458752, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver27);
    dormandPrince853Integrator9.setSafety(0.0d);
    dormandPrince853Integrator9.setMinReduction(0.004933087419777049d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.04744296790374204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test184"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver7 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(89.04160334794895d, 1.4330863854487743d, 2);
    org.apache.commons.math3.ode.events.EventState eventState8 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.8570195601220605d, (-0.1439775409401076d), 127, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver7);
    org.apache.commons.math3.ode.events.EventHandler eventHandler9 = eventState8.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler9);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test185"); }


    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)0.999996594d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test186"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor((-564520.6359710112d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-564521.0d));

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test187"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(1, 6);
    int i3 = equationsMapper2.getFirstIndex();
    double[] d_array4 = null;
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    double[] d_array15 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array10, d_array15);
    int i17 = dormandPrince853Integrator16.getEvaluations();
    double d18 = dormandPrince853Integrator16.getMinReduction();
    dormandPrince853Integrator16.setSafety(0.0d);
    java.util.Collection collection21 = dormandPrince853Integrator16.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable22 = null;
    org.apache.commons.math3.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable23, obj_array25);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator16, localizable22, obj_array25);
    double d28 = dormandPrince853Integrator16.getMaxGrowth();
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[] d_array39 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator40 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array34, d_array39);
    double[] d_array42 = new double[] { (-1.0d) };
    dormandPrince853Integrator16.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array39, d_array42);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array42);
    double[] d_array52 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array52);
    double[] d_array57 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator58 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array52, d_array57);
    org.apache.commons.math3.ode.events.EventHandler eventHandler59 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver63 = null;
    org.apache.commons.math3.ode.events.EventState eventState64 = new org.apache.commons.math3.ode.events.EventState(eventHandler59, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver63);
    int i65 = eventState64.getMaxIterationCount();
    boolean b66 = eventState64.stop();
    double[] d_array69 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array69);
    boolean b71 = eventState64.reset(0.0d, d_array69);
    double[] d_array76 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b77 = eventState64.reset(56.516459060951796d, d_array76);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator78 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array57, d_array76);
    org.apache.commons.math3.ode.events.EventHandler eventHandler79 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver83 = null;
    org.apache.commons.math3.ode.events.EventState eventState84 = new org.apache.commons.math3.ode.events.EventState(eventHandler79, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver83);
    int i85 = eventState84.getMaxIterationCount();
    boolean b86 = eventState84.stop();
    double[] d_array89 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array89);
    boolean b91 = eventState84.reset(0.0d, d_array89);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator92 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator((-0.911733914786965d), 1.7253825588523148d, d_array76, d_array89);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator93 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.3118944184041375d, 0.0d, d_array42, d_array76);
    int i94 = org.apache.commons.math3.util.MathUtils.hash(d_array76);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array4, d_array76);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i94 == (-1040157601));

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test188"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(3L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 3L);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test189"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(4.74129798254511d, (-20.79788315838243d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.765323512632517E-15d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test190"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.54324349741567d, 1665534082);
    int i3 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1665534082);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test191"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(9.999999999999998d, 0.03589349269654011d, 1.071420582587428d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test192"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(4.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1578212823495775d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test193"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(5L, 708L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5L);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test194"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.559924173050064d, 0.026047286343352516d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0029130075510870324d));

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test195"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.525879E-5f, 9.860762E-32f, (-1793092981));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test196"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException3 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)(-1023), obj_array2);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test197"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.010563398882022d, 0.0d, 0.24277887134758203d, Double.POSITIVE_INFINITY);
    double d5 = dormandPrince853Integrator4.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.2d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test198"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.7119202122281384d, (-0.5430277083304146d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.2224170054428334d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test199"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver7 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(89.04160334794895d, 1.4330863854487743d, 2);
    org.apache.commons.math3.ode.events.EventState eventState8 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.8570195601220605d, (-0.1439775409401076d), 127, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver7);
    int i9 = bracketingNthOrderBrentSolver7.getEvaluations();
    double d10 = bracketingNthOrderBrentSolver7.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.4330863854487743d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test200"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifySequence(0.2687413636623772d, (-2.998978788546779d), 0.7693572253635212d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test201"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable11, obj_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable9, (java.lang.Number)(byte)0, obj_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable7, (java.lang.Number)(-15.954589770191003d), obj_array13);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math3.exception.NoBracketingException(localizable2, 0.999935741610764d, 268.0d, 1.3440585709080678E43d, 144366.31238170687d, obj_array13);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable0, localizable1, obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test202"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.999935741610764d, 21.462176247293627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.999935741610764d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test203"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce((-708.3964185322641d), 0.8464512525476934d, 0.8906073261960046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.03912377650692633d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test204"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.7162330197524849d, 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test205"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.6487212707001282d, 89.04160334794895d, 1.5337260269320758d, 0.0d);
    double d5 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    int i6 = dormandPrince853Integrator4.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler7 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver14 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(89.04160334794895d, 1.4330863854487743d, 2);
    dormandPrince853Integrator4.addEventHandler(eventHandler7, 0.0d, 0.04746076762388862d, (-437672695), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver14);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction17 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 89.04160334794895d, 10);
    double d27 = bracketingNthOrderBrentSolver26.getStartValue();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction32 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver37 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.741297982545108d, (-0.7236266338880267d), 1.9855683087099187d, 10);
    double d38 = bracketingNthOrderBrentSolver37.getRelativeAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction43 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler44 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler48 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver52 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i53 = bracketingNthOrderBrentSolver52.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState54 = new org.apache.commons.math3.ode.events.EventState(eventHandler48, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver52);
    org.apache.commons.math3.ode.events.EventState eventState55 = new org.apache.commons.math3.ode.events.EventState(eventHandler44, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver52);
    double d56 = bracketingNthOrderBrentSolver52.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction61 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver64 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution68 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d69 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction61, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver64, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution68);
    double d70 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction43, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver52, 3.5346958487132123d, 3116.2421492954973d, 1.0365374526472741d, allowedSolution68);
    double d71 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide((-1074790400), univariateFunction32, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver37, 5.0E-7d, 0.0d, 48.196948051694136d, allowedSolution68);
    double d72 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(1023, univariateFunction22, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver26, (-1.4819636064814712d), 0.8771301074319142d, 0.5299153585255104d, allowedSolution68);
    // The following exception was thrown during execution in test generation
    try {
      double d73 = bracketingNthOrderBrentSolver14.solve((-2044217414), univariateFunction17, 5.729577951308398E-14d, 0.003338266478753038d, 0.0d, allowedSolution68);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 12.11630246473763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 3.5346958487132123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 5.0E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == (-1.4819636064814712d));

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test206"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.4436355412292261d, 1.570790857150728d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.44363554122922616d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test207"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-0.10536051565782628d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test208"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)2.928991716311668d);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test209"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.9684830895263891d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 55.48999355965275d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test210"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(3.183628823724015d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 3L);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test211"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    java.lang.String str13 = dormandPrince853Integrator9.getName();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler14, 1.9855683087099187d, 0.9988186212247272d, (-1));
    double d19 = dormandPrince853Integrator9.getMinStep();
    dormandPrince853Integrator9.setMaxGrowth(2.2250738585072014E-308d);
    dormandPrince853Integrator9.setStepSizeControl(267.7458277623821d, 0.570346330307769d, 0.0d, 2.4221817809573358E-5d);
    int i27 = dormandPrince853Integrator9.getMaxEvaluations();
    dormandPrince853Integrator9.setSafety(0.6353055037945678d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str13.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 2147483647);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test212"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    int i16 = dormandPrince853Integrator9.getOrder();
    double d17 = dormandPrince853Integrator9.getCurrentStepStart();
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler18, 7.0d, 0.8906073261960046d, 1072693248);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test213"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.8115262724608532d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test214"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.ode.events.EventState eventState11 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    int i12 = eventState11.getMaxIterationCount();
    boolean b13 = eventState11.stop();
    double d14 = eventState11.getMaxCheckInterval();
    double d15 = eventState11.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 100.0d);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test215"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(-0.5834260948432356d), false);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test216"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    int i14 = dormandPrince853Integrator13.getEvaluations();
    java.lang.String str15 = dormandPrince853Integrator13.getName();
    double d16 = dormandPrince853Integrator13.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d22 = bracketingNthOrderBrentSolver21.getAbsoluteAccuracy();
    double d23 = bracketingNthOrderBrentSolver21.getAbsoluteAccuracy();
    double d24 = bracketingNthOrderBrentSolver21.getRelativeAccuracy();
    dormandPrince853Integrator13.addEventHandler(eventHandler17, 0.0d, 1.7253825588523148d, 128, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver21);
    org.apache.commons.math3.ode.events.EventState eventState26 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 72.34321284858714d, 0.0010036119355930628d, (-437672695), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver21);
    double d27 = bracketingNthOrderBrentSolver21.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str15.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0E-6d);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test217"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(268.01119613833777d, 20.55432951299603d, (-156150945));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test218"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-0.6045536610756909d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8227558763484671d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test219"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-127), 337914027);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-127));

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test220"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.3024227835752311d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 74.62332864054137d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test221"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-0.7183579793493745d), (java.lang.Number)3.5346958487132123d, false);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test222"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)56.516459060951796d, (java.lang.Number)1.7453292519943298E-17d, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = numberIsTooLargeException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.7453292519943298E-17d+ "'", number5.equals(1.7453292519943298E-17d));

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test223"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(0.0d, (-437672695), 1646123231);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test224"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0d, 1.30391964633494d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test225"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(4.255550521941155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 35.254900585137705d);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test226"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.6045536610756909d), 1.2299287558360417d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test227"); }


    double d2 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.midpoint(1.5574077246549025d, 1.0276260207380814d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.292516872696492d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test228"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta((-1.583897869996725E-4d), 0.03705332843484474d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.03705332843484474d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test229"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.9950547536867305d, 0.8646726742113955d, (-0.0029130075510870324d), (-1478050481));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test230"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(267.7458277623821d, 535.4916555247642d, 0.0d, (-35.91144426291684d));
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable9, obj_array11);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math3.exception.MathArithmeticException(localizable8, obj_array11);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable6, (java.lang.Number)(short)100, obj_array11);
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    org.apache.commons.math3.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable22, obj_array24);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException26 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable20, (java.lang.Number)(byte)0, obj_array24);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException27 = new org.apache.commons.math3.exception.NoBracketingException(localizable15, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array24);
    notFiniteNumberException14.addSuppressed((java.lang.Throwable)noBracketingException27);
    java.lang.Throwable[] throwable_array29 = noBracketingException27.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)noBracketingException4, localizable5, (java.lang.Object[])throwable_array29);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext31 = mathIllegalStateException30.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext31);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test231"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    boolean b7 = incrementor1.canIncrement();
    incrementor1.setMaximalCount(2147483647);
    incrementor1.resetCount();
    int i11 = incrementor1.getMaximalCount();
    incrementor1.setMaximalCount((-1040157601));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 2147483647);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test232"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(57.29577951308232d, 0.9262160379374196d, 1280);
    double d4 = bracketingNthOrderBrentSolver3.getStartValue();
    int i5 = bracketingNthOrderBrentSolver3.getEvaluations();
    int i6 = bracketingNthOrderBrentSolver3.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test233"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(2979.9579870417283d, 1.000000000000029E-15d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test234"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.003046174197867085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.003050818501077161d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test235"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.6487212707001282d, 89.04160334794895d, 1.5337260269320758d, 0.0d);
    double d5 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    dormandPrince853Integrator4.setMaxEvaluations((-1793092981));
    double d8 = dormandPrince853Integrator4.getMaxGrowth();
    int i9 = dormandPrince853Integrator4.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 12.11630246473763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 8);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test236"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    org.apache.commons.math3.exception.util.Localizable localizable14 = null;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable14, obj_array16);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable12, (java.lang.Number)(byte)0, obj_array16);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math3.exception.NoBracketingException(localizable7, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array16);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)10.0d, obj_array16);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable3, (java.lang.Number)0.2d, obj_array16);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException22 = new org.apache.commons.math3.exception.MathArithmeticException(localizable2, obj_array16);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException23 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, obj_array16);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException24 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test237"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.4210804127942929d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 81.42191000182181d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test238"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable4, obj_array6);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException(localizable3, obj_array6);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable2, obj_array6);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, obj_array6);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math3.exception.NotFiniteNumberException(number0, obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test239"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.8689947387380432d, (java.lang.Number)0.7297964363483365d, false);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test240"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    boolean b7 = eventState5.stop();
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    boolean b12 = eventState5.reset(0.0d, d_array10);
    double[] d_array17 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b18 = eventState5.reset(56.516459060951796d, d_array17);
    int i19 = org.apache.commons.math3.util.MathUtils.hash(d_array17);
    int i20 = org.apache.commons.math3.util.MathUtils.hash(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-1040157601));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1040157601));

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test241"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    double[] d_array35 = new double[] { (-1.0d) };
    dormandPrince853Integrator9.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array32, d_array35);
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler37 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler37);
    double d39 = dormandPrince853Integrator9.getCurrentStepStart();
    int i40 = dormandPrince853Integrator9.getMaxEvaluations();
    double d41 = dormandPrince853Integrator9.getMinStep();
    org.apache.commons.math3.ode.events.EventHandler eventHandler42 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver50 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.741297982545108d, (-0.7236266338880267d), 1.9855683087099187d, 10);
    double d51 = bracketingNthOrderBrentSolver50.getRelativeAccuracy();
    int i52 = bracketingNthOrderBrentSolver50.getEvaluations();
    int i53 = bracketingNthOrderBrentSolver50.getMaximalOrder();
    dormandPrince853Integrator9.addEventHandler(eventHandler42, (-0.004131068149194686d), 5.0d, (-13), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver50);
    org.apache.commons.math3.ode.events.EventHandler eventHandler55 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver62 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(57.29577951308232d, 0.9262160379374196d, 1280);
    dormandPrince853Integrator9.addEventHandler(eventHandler55, 1.5287693369936317d, 3.6771956542879445E-14d, 337914027, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver62);
    int i64 = bracketingNthOrderBrentSolver62.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.9377047211159066E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test242"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 1825.0d, (-0.6229407956575255d), (-564520.6359710112d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test243"); }


    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable6, obj_array8);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math3.exception.MathArithmeticException(localizable5, obj_array8);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable3, (java.lang.Number)(short)100, obj_array8);
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    org.apache.commons.math3.exception.util.Localizable localizable17 = null;
    org.apache.commons.math3.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException22 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable19, obj_array21);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable17, (java.lang.Number)(byte)0, obj_array21);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException24 = new org.apache.commons.math3.exception.NoBracketingException(localizable12, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array21);
    notFiniteNumberException11.addSuppressed((java.lang.Throwable)noBracketingException24);
    java.lang.Throwable[] throwable_array26 = noBracketingException24.getSuppressed();
    org.apache.commons.math3.exception.MathInternalError mathInternalError27 = new org.apache.commons.math3.exception.MathInternalError(localizable2, (java.lang.Object[])throwable_array26);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)6.283185307179587d, localizable1, (java.lang.Object[])throwable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test244"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(57.29209777858079d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.7413860405898705d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test245"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    int i11 = dormandPrince853Integrator9.getEvaluations();
    double d12 = dormandPrince853Integrator9.getCurrentSignedStepsize();
    dormandPrince853Integrator9.setMaxGrowth((-0.23150654707920149d));
    int i15 = dormandPrince853Integrator9.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 9.433986512635347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 8);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test246"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(1.80143974E16f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.80143985E16f);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test247"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException5 = new org.apache.commons.math3.exception.DimensionMismatchException((-1023), (-437672695));
    java.lang.Throwable[] throwable_array6 = dimensionMismatchException5.getSuppressed();
    org.apache.commons.math3.exception.MathInternalError mathInternalError7 = new org.apache.commons.math3.exception.MathInternalError(localizable2, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException8 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)1.0261879631701898E-10d, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test248"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(1024458752);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test249"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(0.02604728634335241d, (-2.998978788546779d), (-41.36220806738832d), (-43.74385828221818d));

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test250"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(9.860761315262648E-32d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.860761315262648E-32d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test251"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.3514738237943244d, (-2.3398932791351967E-10d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3514738237943244d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test252"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.4404105453714138d, 0.9905329613228776d, 0.48209003382478294d, (-446842082));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test253"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-0.32386357984292224d), (-0.4422833987331832d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5481808306969962d);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test254"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 1024, (-37));

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test255"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d7 = bracketingNthOrderBrentSolver4.getStartValue();
    double d8 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    double d9 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    double d10 = bracketingNthOrderBrentSolver4.getStartValue();
    double d11 = bracketingNthOrderBrentSolver4.getMax();
    double d12 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    int i13 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    double d14 = bracketingNthOrderBrentSolver4.getMax();
    double d15 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0E-6d);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test256"); }


    double[] d_array5 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[] d_array10 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array5, d_array10);
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver16 = null;
    org.apache.commons.math3.ode.events.EventState eventState17 = new org.apache.commons.math3.ode.events.EventState(eventHandler12, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver16);
    int i18 = eventState17.getMaxIterationCount();
    boolean b19 = eventState17.stop();
    double[] d_array22 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array22);
    boolean b24 = eventState17.reset(0.0d, d_array22);
    double[] d_array29 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b30 = eventState17.reset(56.516459060951796d, d_array29);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator31 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array10, d_array29);
    int i32 = org.apache.commons.math3.util.MathUtils.hash(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1265661023);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test257"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    double[] d_array13 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array13);
    double[] d_array18 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator19 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array13, d_array18);
    int i20 = dormandPrince853Integrator19.getEvaluations();
    double d21 = dormandPrince853Integrator19.getMinReduction();
    dormandPrince853Integrator19.setSafety(0.0d);
    java.util.Collection collection24 = dormandPrince853Integrator19.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable25 = null;
    org.apache.commons.math3.exception.util.Localizable localizable26 = null;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException29 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable26, obj_array28);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator19, localizable25, obj_array28);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException31 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable9, obj_array28);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException32 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(-1.4E-45f), obj_array28);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)0.9905329613228776d, localizable7, obj_array28);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable5, obj_array28);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException35 = new org.apache.commons.math3.exception.NullArgumentException(localizable4, obj_array28);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable3, obj_array28);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException37 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable1, (java.lang.Number)9.536743E-5f, obj_array28);
    org.apache.commons.math3.exception.MathInternalError mathInternalError38 = new org.apache.commons.math3.exception.MathInternalError(localizable0, obj_array28);
    org.apache.commons.math3.exception.util.Localizable localizable39 = null;
    org.apache.commons.math3.exception.util.Localizable localizable40 = null;
    org.apache.commons.math3.exception.util.Localizable localizable42 = null;
    org.apache.commons.math3.exception.util.Localizable localizable43 = null;
    java.lang.Object[] obj_array45 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException46 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable43, obj_array45);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException47 = new org.apache.commons.math3.exception.MathArithmeticException(localizable42, obj_array45);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException48 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable40, (java.lang.Number)(short)100, obj_array45);
    org.apache.commons.math3.exception.util.Localizable localizable49 = null;
    org.apache.commons.math3.exception.util.Localizable localizable54 = null;
    org.apache.commons.math3.exception.util.Localizable localizable56 = null;
    java.lang.Object[] obj_array58 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException59 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable56, obj_array58);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException60 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable54, (java.lang.Number)(byte)0, obj_array58);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException61 = new org.apache.commons.math3.exception.NoBracketingException(localizable49, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array58);
    notFiniteNumberException48.addSuppressed((java.lang.Throwable)noBracketingException61);
    java.lang.Throwable[] throwable_array63 = noBracketingException61.getSuppressed();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException64 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathInternalError38, localizable39, (java.lang.Object[])throwable_array63);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array63);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test258"); }


    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver18 = null;
    org.apache.commons.math3.ode.events.EventState eventState19 = new org.apache.commons.math3.ode.events.EventState(eventHandler14, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver18);
    int i20 = eventState19.getMaxIterationCount();
    boolean b21 = eventState19.stop();
    double[] d_array24 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    boolean b26 = eventState19.reset(0.0d, d_array24);
    double[] d_array31 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b32 = eventState19.reset(56.516459060951796d, d_array31);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array12, d_array31);
    double[] d_array37 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array37);
    double[] d_array42 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array37, d_array42);
    int i44 = dormandPrince853Integrator43.getEvaluations();
    dormandPrince853Integrator43.clearStepHandlers();
    double d46 = dormandPrince853Integrator43.getSafety();
    double d47 = dormandPrince853Integrator43.getMaxGrowth();
    double[] d_array53 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array53);
    double[] d_array58 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator59 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array53, d_array58);
    double[] d_array63 = new double[] { (-1.0d), 0.0d, 1.0d };
    int i64 = org.apache.commons.math3.util.MathUtils.hash(d_array63);
    dormandPrince853Integrator43.setStepSizeControl(0.0d, 4.715258503850705d, d_array58, d_array63);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator66 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(2.4497460077641993d, Double.POSITIVE_INFINITY, d_array12, d_array58);
    int i67 = org.apache.commons.math3.util.MathUtils.hash(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1265661023);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test259"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-0.009765623f), 1.525879E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.525879E-5f);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test260"); }


    float f2 = org.apache.commons.math3.util.FastMath.min((-1280.0001f), 9.536745E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1280.0001f));

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test261"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.02725805570625435d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.027264808639579814d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test262"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException4 = new org.apache.commons.math3.exception.DimensionMismatchException((-1023), (-437672695));
    java.lang.Throwable[] throwable_array5 = dimensionMismatchException4.getSuppressed();
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException6 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array5);
    org.apache.commons.math3.exception.MathInternalError mathInternalError7 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test263"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    incrementor1.incrementCount((-1008700321));
    incrementor1.setMaximalCount(1265661023);
    incrementor1.incrementCount(1);
    incrementor1.setMaximalCount(110);
    int i15 = incrementor1.getMaximalCount();
    incrementor1.incrementCount();
    int i17 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 110);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 110);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test264"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.7533206524891325d, (java.lang.Number)0.9262160379374064d, false);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test265"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor((-1907693737), maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test266"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver bracketedUnivariateSolver2 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = null;
    org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver bracketedUnivariateSolver8 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction13 = null;
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[] d_array22 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator23 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array17, d_array22);
    int i24 = dormandPrince853Integrator23.getEvaluations();
    double d25 = dormandPrince853Integrator23.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d31 = bracketingNthOrderBrentSolver30.getAbsoluteAccuracy();
    double d32 = bracketingNthOrderBrentSolver30.getFunctionValueAccuracy();
    dormandPrince853Integrator23.addEventHandler(eventHandler26, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    java.lang.String str34 = dormandPrince853Integrator23.getName();
    int i35 = dormandPrince853Integrator23.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler36 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler40 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver44 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i45 = bracketingNthOrderBrentSolver44.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState46 = new org.apache.commons.math3.ode.events.EventState(eventHandler40, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver44);
    double d47 = bracketingNthOrderBrentSolver44.getStartValue();
    int i48 = bracketingNthOrderBrentSolver44.getEvaluations();
    int i49 = bracketingNthOrderBrentSolver44.getEvaluations();
    dormandPrince853Integrator23.addEventHandler(eventHandler36, (-0.7853981633974483d), Double.NaN, (-1074790400), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver44);
    double d51 = bracketingNthOrderBrentSolver44.getRelativeAccuracy();
    int i52 = bracketingNthOrderBrentSolver44.getEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction57 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler58 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler62 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver66 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i67 = bracketingNthOrderBrentSolver66.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState68 = new org.apache.commons.math3.ode.events.EventState(eventHandler62, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver66);
    org.apache.commons.math3.ode.events.EventState eventState69 = new org.apache.commons.math3.ode.events.EventState(eventHandler58, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver66);
    double d70 = bracketingNthOrderBrentSolver66.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction75 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver78 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution82 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d83 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction75, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver78, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution82);
    double d84 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction57, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver66, 3.5346958487132123d, 3116.2421492954973d, 1.0365374526472741d, allowedSolution82);
    double d85 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(5, univariateFunction13, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver44, 0.5454487991429904d, 1.5707963267948861d, 0.0010036119355930628d, allowedSolution82);
    double d86 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(1062857240, univariateFunction7, bracketedUnivariateSolver8, 10.550021743556293d, 0.5895488313602779d, 0.0d, allowedSolution82);
    double d87 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide((-1793092981), univariateFunction1, bracketedUnivariateSolver2, 0.9262160379374064d, 6.283185307179588d, 0.6621068538643234d, allowedSolution82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str34.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 3.5346958487132123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.5454487991429904d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 10.550021743556293d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 0.9262160379374064d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test267"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver((-0.46568671794686856d), 433.69453399186335d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test268"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(4.4896128191743455E38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 38.652208889389414d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test269"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    java.util.Collection collection22 = dormandPrince853Integrator9.getEventHandlers();
    int i23 = dormandPrince853Integrator9.getMaxEvaluations();
    dormandPrince853Integrator9.setMaxEvaluations(5);
    double[] d_array31 = new double[] { (-1.0d), 0.0d, 1.0d };
    int i32 = org.apache.commons.math3.util.MathUtils.hash(d_array31);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array31);
    org.apache.commons.math3.ode.events.EventHandler eventHandler34 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver38 = null;
    org.apache.commons.math3.ode.events.EventState eventState39 = new org.apache.commons.math3.ode.events.EventState(eventHandler34, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver38);
    double d40 = eventState39.getEventTime();
    double[] d_array47 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array47);
    double[] d_array52 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator53 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array47, d_array52);
    org.apache.commons.math3.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver58 = null;
    org.apache.commons.math3.ode.events.EventState eventState59 = new org.apache.commons.math3.ode.events.EventState(eventHandler54, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver58);
    int i60 = eventState59.getMaxIterationCount();
    boolean b61 = eventState59.stop();
    double[] d_array64 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    boolean b66 = eventState59.reset(0.0d, d_array64);
    double[] d_array71 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b72 = eventState59.reset(56.516459060951796d, d_array71);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator73 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array52, d_array71);
    boolean b74 = eventState39.reset((-8.249305440540187d), d_array52);
    int i75 = org.apache.commons.math3.util.MathUtils.hash(d_array52);
    dormandPrince853Integrator9.setStepSizeControl(2140.1483571861604d, (-0.17861878967121592d), d_array31, d_array52);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array31);
    int i78 = org.apache.commons.math3.util.MathUtils.hash(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 1265661023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == (-1008700321));

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test270"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)2.1684043449710089E-19d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test271"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)6.283178332446227d, (java.lang.Number)1.0000000000005d, false);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test272"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(7, (-10));

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test273"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.5686888850280152d, 2);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test274"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(1.5193295340599615d, 0.0370702951968743d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.037070295196874214d);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test275"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    int i33 = dormandPrince853Integrator9.getEvaluations();
    java.util.Collection collection34 = dormandPrince853Integrator9.getEventHandlers();
    dormandPrince853Integrator9.setInitialStepSize((-0.6229407956575255d));
    dormandPrince853Integrator9.setMinReduction(1.8648250355912666E-5d);
    double d39 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setMinReduction((-0.6863371722974991d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.8648250355912666E-5d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test276"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(2.2250738585072014E-308d, 0.2d, Double.NEGATIVE_INFINITY, 1.0E-15d);
    org.apache.commons.math3.exception.MathInternalError mathInternalError5 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    double d6 = noBracketingException4.getHi();
    java.lang.String str7 = noBracketingException4.toString();
    double d8 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math3.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [0, 0.2], values: [-\u221E, 0]"+ "'", str7.equals("org.apache.commons.math3.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [0, 0.2], values: [-\u221E, 0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.2d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test277"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.6487212707001282d, 89.04160334794895d, 1.5337260269320758d, 0.0d);
    double d5 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    double d6 = dormandPrince853Integrator4.getMaxStep();
    java.util.Collection collection7 = dormandPrince853Integrator4.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 12.11630246473763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 89.04160334794895d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection7);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test278"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.setStepSizeControl(1.4330863854487743d, 4.741297982545109d, 0.010507996004318211d, (-0.54402111088937d));
    dormandPrince853Integrator9.setInitialStepSize(1.9646637747270346d);
    dormandPrince853Integrator9.setStepSizeControl(0.9262160379374196d, 1.2074871453780196d, 1.4210854715202007E-14d, 179.99999956000718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test279"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(8.764483253584093E23d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5296909001094754E22d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test280"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper((-70676051), (-6));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test281"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(5.298292365610487d, 0.9226350743220142d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3983869780613163d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test282"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    boolean b7 = eventState6.stop();
    org.apache.commons.math3.ode.events.EventHandler eventHandler8 = eventState6.getEventHandler();
    double[] d_array10 = null;
    boolean b11 = eventState6.reset(1.0E-15d, d_array10);
    double d12 = eventState6.getConvergence();
    double d13 = eventState6.getConvergence();
    org.apache.commons.math3.ode.events.EventHandler eventHandler15 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver23 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i24 = bracketingNthOrderBrentSolver23.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState25 = new org.apache.commons.math3.ode.events.EventState(eventHandler19, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver23);
    org.apache.commons.math3.ode.events.EventState eventState26 = new org.apache.commons.math3.ode.events.EventState(eventHandler15, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver23);
    int i27 = eventState26.getMaxIterationCount();
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[] d_array39 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator40 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array34, d_array39);
    int i41 = dormandPrince853Integrator40.getEvaluations();
    double d42 = dormandPrince853Integrator40.getMinReduction();
    dormandPrince853Integrator40.setSafety(0.0d);
    java.util.Collection collection45 = dormandPrince853Integrator40.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable46 = null;
    org.apache.commons.math3.exception.util.Localizable localizable47 = null;
    java.lang.Object[] obj_array49 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException50 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable47, obj_array49);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator40, localizable46, obj_array49);
    double d52 = dormandPrince853Integrator40.getMaxGrowth();
    double[] d_array58 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array58);
    double[] d_array63 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator64 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array58, d_array63);
    double[] d_array66 = new double[] { (-1.0d) };
    dormandPrince853Integrator40.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array63, d_array66);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array66);
    org.apache.commons.math3.ode.events.EventHandler eventHandler69 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver73 = null;
    org.apache.commons.math3.ode.events.EventState eventState74 = new org.apache.commons.math3.ode.events.EventState(eventHandler69, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver73);
    int i75 = eventState74.getMaxIterationCount();
    boolean b76 = eventState74.stop();
    double[] d_array79 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array79);
    boolean b81 = eventState74.reset(0.0d, d_array79);
    double[] d_array86 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b87 = eventState74.reset(56.516459060951796d, d_array86);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator88 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(5.298292365610485d, 1.6487212707001282d, d_array66, d_array86);
    boolean b89 = eventState26.reset((-0.6350379860847788d), d_array66);
    int i90 = org.apache.commons.math3.util.MathUtils.hash(d_array66);
    // The following exception was thrown during execution in test generation
    try {
      eventState6.stepAccepted(1.51175801377954d, d_array66);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i90 == (-1074790369));

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test283"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(5.729577951308233E-14d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test284"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(29664301L, 535L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 29664301L);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test285"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(80, (-1399980709));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-80));

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test286"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(2.5939351994543135E-6d);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test287"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable12, obj_array14);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable10, (java.lang.Number)(byte)0, obj_array14);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable8, (java.lang.Number)1.0d, obj_array14);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable6, (java.lang.Number)2.6816347589161262E40d, obj_array14);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException19 = new org.apache.commons.math3.exception.NoBracketingException(localizable1, 95.55242511858037d, 0.0d, 1.321813991248445d, (-0.5869211956997074d), obj_array14);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, obj_array14);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext21 = mathIllegalStateException20.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext21);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test288"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(35.254900585137705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 35L);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test289"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.2687413636623772d, 0.015912758715129954d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.26874136366237716d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test290"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(4.741297982545108d, 0.002158878709595191d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5703409918700844d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test291"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    java.lang.String str13 = dormandPrince853Integrator9.getName();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler14, 1.9855683087099187d, 0.9988186212247272d, (-1));
    java.lang.String str19 = dormandPrince853Integrator9.getName();
    java.util.Collection collection20 = dormandPrince853Integrator9.getEventHandlers();
    dormandPrince853Integrator9.clearEventHandlers();
    dormandPrince853Integrator9.setMaxEvaluations((-480929055));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str13.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str19.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection20);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test292"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d17 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d18 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    double d20 = bracketingNthOrderBrentSolver16.getMin();
    int i21 = bracketingNthOrderBrentSolver16.getEvaluations();
    int i22 = bracketingNthOrderBrentSolver16.getMaximalOrder();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction24 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d28 = bracketingNthOrderBrentSolver16.solve(20, univariateFunction24, 1.421085471520201E-14d, 1.0618065376928847d, 57.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 5);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test293"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 57.29577951308232d, 57.29577951308232d, 0, univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    double d7 = eventState5.getMaxCheckInterval();
    boolean b8 = eventState5.stop();
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator9 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b10 = eventState5.evaluateStep(stepInterpolator9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test294"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor((-48));

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test295"); }


    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    org.apache.commons.math3.exception.util.Localizable localizable17 = null;
    double[] d_array21 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array21);
    double[] d_array26 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator27 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array21, d_array26);
    int i28 = dormandPrince853Integrator27.getEvaluations();
    double d29 = dormandPrince853Integrator27.getMinReduction();
    dormandPrince853Integrator27.setSafety(0.0d);
    java.util.Collection collection32 = dormandPrince853Integrator27.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    org.apache.commons.math3.exception.util.Localizable localizable34 = null;
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException37 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable34, obj_array36);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator27, localizable33, obj_array36);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException39 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable17, obj_array36);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException40 = new org.apache.commons.math3.exception.MathArithmeticException(localizable16, obj_array36);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException41 = new org.apache.commons.math3.exception.NullArgumentException(localizable15, obj_array36);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException42 = new org.apache.commons.math3.exception.NoBracketingException(localizable10, 1.4210854715202004E-14d, 1.5574077246549023d, 1.307972410734653d, 0.4404105453714162d, obj_array36);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException43 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable8, localizable9, obj_array36);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException44 = new org.apache.commons.math3.exception.NoBracketingException(localizable3, 0.9226350743220142d, 0.004526773799885914d, 1.0587911840678754E-22d, 8.28248832576111E-108d, obj_array36);
    org.apache.commons.math3.exception.MathInternalError mathInternalError45 = new org.apache.commons.math3.exception.MathInternalError(localizable2, obj_array36);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)0.002158878709595191d, localizable1, obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test296"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getCurrentStepStart();
    double d12 = dormandPrince853Integrator9.getMaxGrowth();
    int i13 = dormandPrince853Integrator9.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test297"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(22026.465794806678d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 22026L);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test298"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d7 = bracketingNthOrderBrentSolver4.getStartValue();
    int i8 = bracketingNthOrderBrentSolver4.getEvaluations();
    double d9 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    int i10 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    double d11 = bracketingNthOrderBrentSolver4.getRelativeAccuracy();
    int i12 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    double d13 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    double d14 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0E-15d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test299"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.4422495703074083d, (java.lang.Number)1.136137337510491d, false);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test300"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.0d, 1.0000000000000002d, 10, univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    double[] d_array13 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array13);
    double[] d_array18 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator19 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array13, d_array18);
    int i20 = dormandPrince853Integrator19.getEvaluations();
    double d21 = dormandPrince853Integrator19.getMinReduction();
    java.util.Collection collection22 = dormandPrince853Integrator19.getStepHandlers();
    dormandPrince853Integrator19.clearStepHandlers();
    double[] d_array31 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array31);
    double[] d_array36 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator37 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array31, d_array36);
    org.apache.commons.math3.ode.events.EventHandler eventHandler38 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver42 = null;
    org.apache.commons.math3.ode.events.EventState eventState43 = new org.apache.commons.math3.ode.events.EventState(eventHandler38, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver42);
    int i44 = eventState43.getMaxIterationCount();
    boolean b45 = eventState43.stop();
    double[] d_array48 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array48);
    boolean b50 = eventState43.reset(0.0d, d_array48);
    double[] d_array55 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b56 = eventState43.reset(56.516459060951796d, d_array55);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator57 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array36, d_array55);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    double[] d_array62 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array62);
    double[] d_array67 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator68 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array62, d_array67);
    dormandPrince853Integrator19.setStepSizeControl(2.4497460077641993d, 0.8771301074319141d, d_array36, d_array67);
    double[] d_array71 = new double[] { 0.0d };
    int i72 = org.apache.commons.math3.util.MathUtils.hash(d_array71);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array71);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array71);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator75 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.442456371534995d, 0.9910255587990942d, d_array67, d_array71);
    int i76 = org.apache.commons.math3.util.MathUtils.hash(d_array67);
    boolean b77 = eventState5.reset(45707.062428153426d, d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 1265661023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test301"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(89.0001015205856d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 89.0d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test302"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp((-1.2676506E30f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.2676505E30f));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test303"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash((-0.7853981633974483d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-340980509));

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test304"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-110.0f), 1.0490417E-4f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test305"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.8889468E22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.25179981E15f);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test306"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-4.680335587901077E38d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test307"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)9.451156230966262E-7d, (java.lang.Number)4.499809670330265d, true);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test308"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    incrementor1.incrementCount((-1008700321));
    incrementor1.setMaximalCount(1265661023);
    incrementor1.incrementCount(1);
    incrementor1.incrementCount(0);
    boolean b15 = incrementor1.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test309"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    java.lang.String str13 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setStepSizeControl(1.2626272556789118d, 0.7693572253635211d, 6.284137641783304d, 268.0d);
    double d19 = dormandPrince853Integrator9.getMinStep();
    dormandPrince853Integrator9.setInitialStepSize(1.0276251499968108d);
    double d22 = dormandPrince853Integrator9.getMaxGrowth();
    double d23 = dormandPrince853Integrator9.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str13.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test310"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.1920929E-7f, 2.25179981E15f, (-1907693737));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test311"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(268.0046033207272d, 0.2360639384850043d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.172364887995002d));

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test312"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyBracketing(univariateFunction0, 0.0d, 1.0486050610461317d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test313"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(2.4741354375614093d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test314"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.74532925199433E-17d, 0.0d, (-0.7639964551615661d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test315"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.0486050610461315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8536676481965935d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test316"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.2d, (-0.23150654707920149d), 1046478848);
    double d4 = bracketingNthOrderBrentSolver3.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.23150654707920149d));

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test317"); }


    float f2 = org.apache.commons.math3.util.Precision.round(0.0f, 13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test318"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i13 = bracketingNthOrderBrentSolver12.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState14 = new org.apache.commons.math3.ode.events.EventState(eventHandler8, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math3.ode.events.EventState eventState15 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    int i16 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    org.apache.commons.math3.ode.events.EventState eventState17 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, (-820047.9294663861d), 3.572941372740587d, 1, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    double d18 = eventState17.getMaxCheckInterval();
    boolean b19 = eventState17.stop();
    double[] d_array26 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array26);
    double[] d_array31 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator32 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array26, d_array31);
    int i33 = dormandPrince853Integrator32.getEvaluations();
    dormandPrince853Integrator32.clearStepHandlers();
    double d35 = dormandPrince853Integrator32.getSafety();
    double d36 = dormandPrince853Integrator32.getMaxGrowth();
    double[] d_array42 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array42);
    double[] d_array47 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator48 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array42, d_array47);
    double[] d_array52 = new double[] { (-1.0d), 0.0d, 1.0d };
    int i53 = org.apache.commons.math3.util.MathUtils.hash(d_array52);
    dormandPrince853Integrator32.setStepSizeControl(0.0d, 4.715258503850705d, d_array47, d_array52);
    org.apache.commons.math3.ode.events.EventHandler eventHandler55 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver59 = null;
    org.apache.commons.math3.ode.events.EventState eventState60 = new org.apache.commons.math3.ode.events.EventState(eventHandler55, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver59);
    int i61 = eventState60.getMaxIterationCount();
    boolean b62 = eventState60.stop();
    double[] d_array65 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array65);
    boolean b67 = eventState60.reset(0.0d, d_array65);
    double[] d_array72 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b73 = eventState60.reset(56.516459060951796d, d_array72);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator74 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.30566626714964407d, 0.6660887502479989d, d_array52, d_array72);
    int i75 = org.apache.commons.math3.util.MathUtils.hash(d_array72);
    // The following exception was thrown during execution in test generation
    try {
      eventState17.stepAccepted(3.3652847417107323d, d_array72);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == (-820047.9294663861d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == (-1040157601));

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test319"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, 2.2250738585072014E-308d, 1.9855683087099187d, (-1023));
    double d16 = dormandPrince853Integrator9.getSafety();
    int i17 = dormandPrince853Integrator9.getMaxEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    int i19 = dormandPrince853Integrator9.getEvaluations();
    double d20 = dormandPrince853Integrator9.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 9.433986512635347d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test320"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test321"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(2.524630659933467d, 11.486282727368748d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test322"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(3L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3L);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test323"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(8.737530321859209d, 3116.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.737530321859209d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test324"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.4122755649686602d, 1.7253825588523148d, (-0.4161468365471424d), (-1835436961));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test325"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[] d_array24 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator25 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array19, d_array24);
    double[] d_array29 = new double[] { (-1.0d), 0.0d, 1.0d };
    int i30 = org.apache.commons.math3.util.MathUtils.hash(d_array29);
    dormandPrince853Integrator9.setStepSizeControl(0.0d, 4.715258503850705d, d_array24, d_array29);
    java.lang.String str32 = dormandPrince853Integrator9.getName();
    java.lang.String str33 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setMaxEvaluations((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str32.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str33.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test326"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 8.269402402813594d, (-44));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test327"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler6 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler10 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver14 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i15 = bracketingNthOrderBrentSolver14.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState16 = new org.apache.commons.math3.ode.events.EventState(eventHandler10, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver14);
    org.apache.commons.math3.ode.events.EventState eventState17 = new org.apache.commons.math3.ode.events.EventState(eventHandler6, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver14);
    int i18 = bracketingNthOrderBrentSolver14.getMaximalOrder();
    org.apache.commons.math3.ode.events.EventState eventState19 = new org.apache.commons.math3.ode.events.EventState(eventHandler2, Double.NEGATIVE_INFINITY, 57.29577951308232d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver14);
    int i20 = bracketingNthOrderBrentSolver14.getMaximalOrder();
    double d21 = bracketingNthOrderBrentSolver14.getMax();
    double d22 = bracketingNthOrderBrentSolver14.getStartValue();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction27 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler28 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler32 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver36 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i37 = bracketingNthOrderBrentSolver36.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState38 = new org.apache.commons.math3.ode.events.EventState(eventHandler32, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver36);
    org.apache.commons.math3.ode.events.EventState eventState39 = new org.apache.commons.math3.ode.events.EventState(eventHandler28, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver36);
    double d40 = bracketingNthOrderBrentSolver36.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction45 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver48 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution52 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d53 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction45, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver48, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution52);
    double d54 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction27, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver36, 3.5346958487132123d, 3116.2421492954973d, 1.0365374526472741d, allowedSolution52);
    double d55 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide((-20), univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver14, 4.741297982545109d, 5.755496611880011E11d, 1.2060119354775605d, allowedSolution52);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction57 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution60 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ABOVE_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d61 = bracketingNthOrderBrentSolver14.solve((-461218840), univariateFunction57, 3.572941372740587d, 0.48209003382478294d, allowedSolution60);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 3.5346958487132123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 4.741297982545109d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution60);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test328"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.2207033E-4f, 1.80144007E16f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2207033E-4f);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test329"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(0.010453170748903827d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test330"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(2.301298902307259d, 1824.0058904672267d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.301298902307259d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test331"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException6 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(short)100);
    java.lang.Throwable[] throwable_array7 = tooManyEvaluationsException6.getSuppressed();
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException(localizable4, (java.lang.Object[])throwable_array7);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable3, (java.lang.Object[])throwable_array7);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable2, (java.lang.Object[])throwable_array7);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math3.exception.MathArithmeticException(localizable1, (java.lang.Object[])throwable_array7);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test332"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.ode.events.EventState eventState11 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    double d12 = eventState11.getConvergence();
    double d13 = eventState11.getMaxCheckInterval();
    int i14 = eventState11.getMaxIterationCount();
    org.apache.commons.math3.ode.events.EventHandler eventHandler15 = eventState11.getEventHandler();
    int i16 = eventState11.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.7183579793493745d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 7.105427357600977E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 2);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test333"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyBracketing(univariateFunction0, 0.8644028155091492d, 0.9706428969960402d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test334"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-51));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 51);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test335"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException10 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.5533448061434307d, (java.lang.Number)100.0f, true);
    org.apache.commons.math3.exception.MathInternalError mathInternalError11 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)numberIsTooLargeException10);
    java.lang.Throwable[] throwable_array12 = numberIsTooLargeException10.getSuppressed();
    org.apache.commons.math3.exception.NoBracketingException noBracketingException13 = new org.apache.commons.math3.exception.NoBracketingException(localizable2, 565.4866776461628d, 0.46025443444780795d, 2.6881171418161356E43d, 0.6229407956575255d, (java.lang.Object[])throwable_array12);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, number1, (java.lang.Object[])throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test336"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.8414709848078965d, 7);
    double d3 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i5 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    int i6 = bracketingNthOrderBrentSolver2.getEvaluations();
    double d7 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d8 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    double d9 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    double d10 = bracketingNthOrderBrentSolver2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8414709848078965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test337"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException3 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)(-0.9999981294886112d), obj_array2);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test338"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getMaxStep();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    double d14 = dormandPrince853Integrator9.getMinReduction();
    double d15 = dormandPrince853Integrator9.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test339"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.0772700355783204E-128d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0772700355783204E-128d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test340"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 1280);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test341"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.54402111088937d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.49602575992282116d));

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test342"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-1646123231));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1646123231);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test343"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)3.4028235E38f, number2, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    boolean b6 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test344"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(7.034677413160338E13d, 0.12630021633152d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5625d));

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test345"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.8998668269691907d, 1024);
    double d7 = bracketingNthOrderBrentSolver6.getAbsoluteAccuracy();
    double d8 = bracketingNthOrderBrentSolver6.getMax();
    double d9 = bracketingNthOrderBrentSolver6.getAbsoluteAccuracy();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.0d, 0.00657722150696196d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver6);
    int i11 = bracketingNthOrderBrentSolver6.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.8998668269691907d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8998668269691907d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test346"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.6318317025641242d, 0.0d, (-1646123231));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test347"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-2.260993749402001d));

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test348"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.9645454471126312d, 179.99999956000718d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test349"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(5L, 5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5L);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test350"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setMaxEvaluations(0);
    dormandPrince853Integrator9.setSafety(0.04744296790374204d);
    double d16 = dormandPrince853Integrator9.getSafety();
    int i17 = dormandPrince853Integrator9.getOrder();
    java.util.Collection collection18 = dormandPrince853Integrator9.getStepHandlers();
    double d19 = dormandPrince853Integrator9.getSafety();
    java.lang.String str20 = dormandPrince853Integrator9.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.04744296790374204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.04744296790374204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str20.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test351"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.9696671954212148d), 0.0d, (-283985305));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test352"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    incrementor0.incrementCount(0);
    incrementor0.setMaximalCount(10);
    incrementor0.setMaximalCount(20);
    incrementor0.setMaximalCount(1008700321);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test353"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(0.037070299862820795d, 1.1274331234873511d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.037070299862820795d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test354"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    double[] d_array4 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[] d_array9 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator10 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array4, d_array9);
    int i11 = dormandPrince853Integrator10.getEvaluations();
    double d12 = dormandPrince853Integrator10.getMinReduction();
    dormandPrince853Integrator10.setSafety(0.0d);
    java.util.Collection collection15 = dormandPrince853Integrator10.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    org.apache.commons.math3.exception.util.Localizable localizable17 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable17, obj_array19);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator10, localizable16, obj_array19);
    double d22 = dormandPrince853Integrator10.getMaxGrowth();
    double[] d_array28 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array28);
    double[] d_array33 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator34 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array28, d_array33);
    double[] d_array36 = new double[] { (-1.0d) };
    dormandPrince853Integrator10.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array33, d_array36);
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler38 = null;
    dormandPrince853Integrator10.addStepHandler(stepHandler38);
    double d40 = dormandPrince853Integrator10.getCurrentStepStart();
    int i41 = dormandPrince853Integrator10.getMaxEvaluations();
    double d42 = dormandPrince853Integrator10.getMinStep();
    dormandPrince853Integrator10.setMaxGrowth(2.0d);
    int i45 = dormandPrince853Integrator10.getMaxEvaluations();
    int i46 = dormandPrince853Integrator10.getOrder();
    org.apache.commons.math3.exception.util.Localizable localizable47 = null;
    org.apache.commons.math3.exception.util.Localizable localizable48 = null;
    org.apache.commons.math3.exception.util.Localizable localizable49 = null;
    org.apache.commons.math3.exception.util.Localizable localizable50 = null;
    org.apache.commons.math3.exception.util.Localizable localizable51 = null;
    org.apache.commons.math3.exception.util.Localizable localizable52 = null;
    org.apache.commons.math3.exception.util.Localizable localizable53 = null;
    java.lang.Object[] obj_array55 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException56 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable53, obj_array55);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException57 = new org.apache.commons.math3.exception.MathArithmeticException(localizable52, obj_array55);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException58 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable51, obj_array55);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException59 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable50, obj_array55);
    org.apache.commons.math3.exception.MathInternalError mathInternalError60 = new org.apache.commons.math3.exception.MathInternalError(localizable49, obj_array55);
    org.apache.commons.math3.exception.MathInternalError mathInternalError61 = new org.apache.commons.math3.exception.MathInternalError(localizable48, obj_array55);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)i46, localizable47, obj_array55);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException63 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array55);
    org.apache.commons.math3.exception.util.Localizable localizable64 = null;
    org.apache.commons.math3.exception.util.Localizable localizable65 = null;
    org.apache.commons.math3.exception.util.Localizable localizable66 = null;
    org.apache.commons.math3.exception.util.Localizable localizable67 = null;
    org.apache.commons.math3.exception.util.Localizable localizable68 = null;
    org.apache.commons.math3.exception.util.Localizable localizable69 = null;
    java.lang.Object[] obj_array71 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException72 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable69, obj_array71);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException73 = new org.apache.commons.math3.exception.MathArithmeticException(localizable68, obj_array71);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException74 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable67, obj_array71);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException75 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable66, obj_array71);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException76 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable65, obj_array71);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException77 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException63, localizable64, obj_array71);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.9377047211159066E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test355"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 0.0d, 1.0000010000005d, 2147483647);
    int i5 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    int i6 = bracketingNthOrderBrentSolver4.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test356"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.7763568394002505E-15d, 0.0d, (-1478050481));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test357"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.5265236472001458d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1514219706171183d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test358"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 1.1102230246251565E-16d, 1048576);
    double d4 = bracketingNthOrderBrentSolver3.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test359"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(2.381376601119429d, 0.0d, 2147483647);
    double d4 = bracketingNthOrderBrentSolver3.getRelativeAccuracy();
    double d5 = bracketingNthOrderBrentSolver3.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 2.381376601119429d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test360"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-9.0949465E-13f), (java.lang.Number)9.860761315262648E-32d, false);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test361"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d1 = bracketingNthOrderBrentSolver0.getAbsoluteAccuracy();
    int i2 = bracketingNthOrderBrentSolver0.getMaximalOrder();
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)bracketingNthOrderBrentSolver0);
    double d4 = bracketingNthOrderBrentSolver0.getMin();
    double d5 = bracketingNthOrderBrentSolver0.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test362"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-1.2676505E30f), 0.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test363"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(1.8648250355912666E-5d, 1.5482096954959221d, 1.5173150470568069d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test364"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    double[] d_array5 = new double[] { 0.0d };
    int i6 = org.apache.commons.math3.util.MathUtils.hash(d_array5);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[] d_array11 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array11);
    double[] d_array16 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator17 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array11, d_array16);
    int i18 = dormandPrince853Integrator17.getEvaluations();
    double d19 = dormandPrince853Integrator17.getMinReduction();
    dormandPrince853Integrator17.setSafety(0.0d);
    java.util.Collection collection22 = dormandPrince853Integrator17.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable23 = null;
    org.apache.commons.math3.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException27 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable24, obj_array26);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator17, localizable23, obj_array26);
    double d29 = dormandPrince853Integrator17.getMaxGrowth();
    double[] d_array35 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array35);
    double[] d_array40 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array35, d_array40);
    double[] d_array43 = new double[] { (-1.0d) };
    dormandPrince853Integrator17.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array40, d_array43);
    int i45 = org.apache.commons.math3.util.MathUtils.hash(d_array43);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator46 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.011336584797708547d, 0.22140275816016985d, d_array5, d_array43);
    org.apache.commons.math3.exception.util.Localizable localizable47 = null;
    org.apache.commons.math3.exception.util.Localizable localizable48 = null;
    org.apache.commons.math3.exception.util.Localizable localizable53 = null;
    org.apache.commons.math3.exception.util.Localizable localizable54 = null;
    org.apache.commons.math3.exception.util.Localizable localizable55 = null;
    double[] d_array59 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array59);
    double[] d_array64 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator65 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array59, d_array64);
    int i66 = dormandPrince853Integrator65.getEvaluations();
    double d67 = dormandPrince853Integrator65.getMinReduction();
    dormandPrince853Integrator65.setSafety(0.0d);
    java.util.Collection collection70 = dormandPrince853Integrator65.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable71 = null;
    org.apache.commons.math3.exception.util.Localizable localizable72 = null;
    java.lang.Object[] obj_array74 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException75 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable72, obj_array74);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator65, localizable71, obj_array74);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException77 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable55, obj_array74);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException78 = new org.apache.commons.math3.exception.MathArithmeticException(localizable54, obj_array74);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException79 = new org.apache.commons.math3.exception.NullArgumentException(localizable53, obj_array74);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException80 = new org.apache.commons.math3.exception.NoBracketingException(localizable48, 1.4210854715202004E-14d, 1.5574077246549023d, 1.307972410734653d, 0.4404105453714162d, obj_array74);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)d_array5, localizable47, obj_array74);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException82 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, obj_array74);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException83 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, obj_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == (-1074790369));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array74);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test365"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.6487212707001282d, 89.04160334794895d, 1.5337260269320758d, 0.0d);
    double d5 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    double d6 = dormandPrince853Integrator4.getMaxStep();
    dormandPrince853Integrator4.clearEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 12.11630246473763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 89.04160334794895d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test366"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(209.5696559051721d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.175057008096523E90d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test367"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)9.999999999999998d, (java.lang.Number)0.5000121109089047d, false);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test368"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    org.apache.commons.math3.exception.util.Localizable localizable14 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable14, (java.lang.Number)(byte)0, obj_array18);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException21 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable12, (java.lang.Number)1.0d, obj_array18);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException22 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable10, (java.lang.Number)2.6816347589161262E40d, obj_array18);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException23 = new org.apache.commons.math3.exception.NoBracketingException(localizable5, 95.55242511858037d, 0.0d, 1.321813991248445d, (-0.5869211956997074d), obj_array18);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException24 = new org.apache.commons.math3.exception.MathArithmeticException(localizable4, obj_array18);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException25 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)0.5391698868772796d, obj_array18);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException26 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)1.4551919E-11f, obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test369"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(2.356127920920548d, 1.0365374526472741d, 1.1368683772160957E-13d, 1665534082);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test370"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(9.999999f, 7.555786E22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test371"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(9.451156230966262E-7d, 1.5287693369936317d, (-0.0013377563365264773d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test372"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(89.04160334794895d, 0.5403023058681398d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4320251855740338d);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test373"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign((-1023), 51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1023);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test374"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.80143974E16f, 3.4028235E38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.80143974E16f);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test375"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.7976931348623157E308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test376"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.4551915E-11f, 3200.0005f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4551915E-11f);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test377"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor((-10));
    incrementor1.setMaximalCount((-44));

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test378"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.5403023023527148d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test379"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifySequence(44.02912695504178d, 0.0d, 0.4399019561106876d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test380"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)5120.001f);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = tooManyEvaluationsException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test381"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval((-14.168765766172724d), 0.6514685335215975d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test382"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(9.860468815863099d, 3.5437097408356864E-103d, 311972744);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test383"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(9.536745E-7f, 1.2644172603605637d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536747E-7f);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test384"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(1.8648250355912666E-5d, 4.048226965040811d, 1793092981);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test385"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i13 = bracketingNthOrderBrentSolver12.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState14 = new org.apache.commons.math3.ode.events.EventState(eventHandler8, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math3.ode.events.EventState eventState15 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    int i16 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    org.apache.commons.math3.ode.events.EventState eventState17 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, Double.NEGATIVE_INFINITY, 57.29577951308232d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    double[] d_array22 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array22);
    double[] d_array27 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array22, d_array27);
    int i29 = dormandPrince853Integrator28.getEvaluations();
    double d30 = dormandPrince853Integrator28.getMinReduction();
    dormandPrince853Integrator28.setSafety(0.0d);
    java.util.Collection collection33 = dormandPrince853Integrator28.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable34 = null;
    org.apache.commons.math3.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable35, obj_array37);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator28, localizable34, obj_array37);
    double d40 = dormandPrince853Integrator28.getMaxGrowth();
    double[] d_array46 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array46);
    double[] d_array51 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator52 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array46, d_array51);
    double[] d_array54 = new double[] { (-1.0d) };
    dormandPrince853Integrator28.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array51, d_array54);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array54);
    boolean b57 = eventState17.reset(1.2182829050172777d, d_array54);
    int i58 = eventState17.getMaxIterationCount();
    int i59 = eventState17.getMaxIterationCount();
    boolean b60 = eventState17.stop();
    boolean b61 = eventState17.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test386"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test387"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)109.999985f);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test388"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(1040157601);
    boolean b2 = incrementor1.canIncrement();
    int i3 = incrementor1.getMaximalCount();
    incrementor1.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1040157601);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test389"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.5876024008404429d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.010255596587289225d);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test390"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, 3199.9998f, 1548262112);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test391"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(9.536744E-7f, (-40.000004f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.536744E-7f);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test392"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp((-9.999997f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.536743E-7f);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test393"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-0.032208703664480254d), Double.POSITIVE_INFINITY, 0.6118795358040479d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test394"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver6 = null;
    org.apache.commons.math3.ode.events.EventState eventState7 = new org.apache.commons.math3.ode.events.EventState(eventHandler2, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver6);
    int i8 = eventState7.getMaxIterationCount();
    boolean b9 = eventState7.stop();
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    boolean b14 = eventState7.reset(0.0d, d_array12);
    int i15 = org.apache.commons.math3.util.MathUtils.hash(d_array12);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array12);
    double[] d_array20 = new double[] { 0.0d };
    int i21 = org.apache.commons.math3.util.MathUtils.hash(d_array20);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array26 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array26);
    double[] d_array31 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator32 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array26, d_array31);
    int i33 = dormandPrince853Integrator32.getEvaluations();
    double d34 = dormandPrince853Integrator32.getMinReduction();
    dormandPrince853Integrator32.setSafety(0.0d);
    java.util.Collection collection37 = dormandPrince853Integrator32.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable38 = null;
    org.apache.commons.math3.exception.util.Localizable localizable39 = null;
    java.lang.Object[] obj_array41 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException42 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable39, obj_array41);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator32, localizable38, obj_array41);
    double d44 = dormandPrince853Integrator32.getMaxGrowth();
    double[] d_array50 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array50);
    double[] d_array55 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator56 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array50, d_array55);
    double[] d_array58 = new double[] { (-1.0d) };
    dormandPrince853Integrator32.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array55, d_array58);
    int i60 = org.apache.commons.math3.util.MathUtils.hash(d_array58);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator61 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.011336584797708547d, 0.22140275816016985d, d_array20, d_array58);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator63 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(69.80246871042735d, 534.4916555247651d, d_array12, d_array20);
    java.util.Collection collection64 = dormandPrince853Integrator63.getStepHandlers();
    dormandPrince853Integrator63.clearStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1074790369));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection64);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test395"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    int i33 = dormandPrince853Integrator9.getEvaluations();
    java.util.Collection collection34 = dormandPrince853Integrator9.getEventHandlers();
    java.lang.String str35 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setSafety(0.22140275816016985d);
    double d38 = dormandPrince853Integrator9.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str35.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.0d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test396"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.062443568366363E-15d, 55.82331188039185d, 40);
    double d4 = bracketingNthOrderBrentSolver3.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.062443568366363E-15d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test397"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(9.094948E-13f, 1.44115188E17f, 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test398"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.46807179654697945d, 0.721963438030693d, 1.4162755456831675d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test399"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.2074871453780196d, 1.1147404235582516d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.09274672181976795d);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test400"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyBracketing(univariateFunction0, 0.24126156664950277d, 0.8790596820999241d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test401"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    double d16 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.clearEventHandlers();
    double d18 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setSafety(0.0033382540782630537d);
    dormandPrince853Integrator9.setStepSizeControl(1.5574077246549025d, 1.4210854715202004E-14d, 0.20000000000000004d, 199.99499987499382d);
    int i26 = dormandPrince853Integrator9.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 2147483647);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test402"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)0.9117339147869651d, (java.lang.Number)(-1), false);
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException4.getSuppressed();
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test403"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(22, (-1582974567));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1582974567));

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test404"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(9.094947E-13f, (-110.0f), 40.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test405"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver15 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d16 = bracketingNthOrderBrentSolver15.getAbsoluteAccuracy();
    double d17 = bracketingNthOrderBrentSolver15.getFunctionValueAccuracy();
    double d18 = bracketingNthOrderBrentSolver15.getMax();
    dormandPrince853Integrator9.addEventHandler(eventHandler11, 0.0d, 15.954589770191003d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver15);
    double d20 = bracketingNthOrderBrentSolver15.getStartValue();
    double d21 = bracketingNthOrderBrentSolver15.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test406"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler16, 3.141592653589793d, 4.741297982545108d, 100);
    int i21 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler22, 3.71681d, 1.5337260269320758d, 128);
    org.apache.commons.math3.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver34 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 89.04160334794895d, 10);
    double d35 = bracketingNthOrderBrentSolver34.getStartValue();
    double d36 = bracketingNthOrderBrentSolver34.getMax();
    dormandPrince853Integrator9.addEventHandler(eventHandler27, 1.136137337510491d, 0.9262160379374196d, (-2), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver34);
    java.util.Collection collection38 = dormandPrince853Integrator9.getEventHandlers();
    int i39 = dormandPrince853Integrator9.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test407"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 10.0d, 57.29577951308233d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler17, 0.0d, 1.1102230246251565E-16d, (-2));
    dormandPrince853Integrator9.setInitialStepSize(1.0d);
    double d24 = dormandPrince853Integrator9.getMaxStep();
    double d25 = dormandPrince853Integrator9.getCurrentStepStart();
    double d26 = dormandPrince853Integrator9.getMaxStep();
    dormandPrince853Integrator9.clearEventHandlers();
    dormandPrince853Integrator9.setMinReduction(0.4739641460032654d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 57.29577951308232d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test408"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.074658239678971d, 2.8946618791162084d, 8.059063693672807E-21d, 148262303);
    int i5 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test409"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)9.45115622328848E-7d);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test410"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    int i7 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    double d8 = bracketingNthOrderBrentSolver4.getMax();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = bracketingNthOrderBrentSolver4.solve((-1582974567), univariateFunction10, (-1.0434034937813492d), 0.9999999999999999d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test411"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.0E-14d, 2.3283064365386963E-10d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999924944268d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test412"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setMaxEvaluations(0);
    dormandPrince853Integrator9.setSafety(0.04744296790374204d);
    double d16 = dormandPrince853Integrator9.getSafety();
    double d17 = dormandPrince853Integrator9.getSafety();
    int i18 = dormandPrince853Integrator9.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.04744296790374204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.04744296790374204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test413"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver((-15.954589770191003d), (-0.0248419312740395d), (-0.01390795800061878d), 44);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = bracketingNthOrderBrentSolver4.solve(8, univariateFunction6, (-472.650385657261d), 1937.9724294518476d, 2.524630659933467d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test414"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.24126156664950277d, 13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1976.4147539927267d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test415"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(5.755496611880011E11d, 0.010872367939344745d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test416"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.2232160270316003d, 8.763565727816221d, 996147200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test417"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver17 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d18 = bracketingNthOrderBrentSolver17.getAbsoluteAccuracy();
    int i19 = bracketingNthOrderBrentSolver17.getMaxEvaluations();
    double d20 = bracketingNthOrderBrentSolver17.getAbsoluteAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler13, 0.0d, 1.5650761913479965d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver17);
    dormandPrince853Integrator9.clearStepHandlers();
    double d23 = dormandPrince853Integrator9.getSafety();
    int i24 = dormandPrince853Integrator9.getMaxEvaluations();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler25 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler25);
    double d27 = dormandPrince853Integrator9.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.5533448061434307d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test418"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)4.533688290233023d, (java.lang.Number)0.010871939557916386d, true);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test419"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    int i7 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    int i8 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction14 = null;
    org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver bracketedUnivariateSolver15 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction20 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d22 = bracketingNthOrderBrentSolver21.getAbsoluteAccuracy();
    int i23 = bracketingNthOrderBrentSolver21.getMaxEvaluations();
    int i24 = bracketingNthOrderBrentSolver21.getMaximalOrder();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction29 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver32 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution36 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d37 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction29, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver32, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution36);
    double d38 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(31, univariateFunction20, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver21, 89.0d, 0.8906073261959583d, (-1.0434034937813492d), allowedSolution36);
    double d39 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide((-7), univariateFunction14, bracketedUnivariateSolver15, (-0.0025290483600522618d), (-1.3818573967460348E181d), 1.048605061046132d, allowedSolution36);
    // The following exception was thrown during execution in test generation
    try {
      double d40 = bracketingNthOrderBrentSolver4.solve(0, univariateFunction10, 0.8018752309649338d, 0.0d, allowedSolution36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 89.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == (-0.0025290483600522618d));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test420"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)0.6450299983490471d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = tooManyEvaluationsException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test421"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d7 = eventState6.getEventTime();
    int i8 = eventState6.getMaxIterationCount();
    double d9 = eventState6.getEventTime();
    org.apache.commons.math3.ode.events.EventHandler eventHandler10 = eventState6.getEventHandler();
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[] d_array24 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator25 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array19, d_array24);
    org.apache.commons.math3.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver30 = null;
    org.apache.commons.math3.ode.events.EventState eventState31 = new org.apache.commons.math3.ode.events.EventState(eventHandler26, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver30);
    int i32 = eventState31.getMaxIterationCount();
    boolean b33 = eventState31.stop();
    double[] d_array36 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array36);
    boolean b38 = eventState31.reset(0.0d, d_array36);
    double[] d_array43 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b44 = eventState31.reset(56.516459060951796d, d_array43);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator45 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array24, d_array43);
    org.apache.commons.math3.ode.events.EventHandler eventHandler46 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver50 = null;
    org.apache.commons.math3.ode.events.EventState eventState51 = new org.apache.commons.math3.ode.events.EventState(eventHandler46, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver50);
    int i52 = eventState51.getMaxIterationCount();
    boolean b53 = eventState51.stop();
    double[] d_array56 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array56);
    boolean b58 = eventState51.reset(0.0d, d_array56);
    int i59 = org.apache.commons.math3.util.MathUtils.hash(d_array56);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array56);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator61 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.5454487991429904d, 0.9666716934357489d, d_array24, d_array56);
    boolean b62 = eventState6.reset((-0.09919532781878818d), d_array24);
    double d63 = eventState6.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test422"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-0.009553604311173363d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.667418506627001E-4d));

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test423"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 10.0d, 57.29577951308233d, 0);
    int i17 = dormandPrince853Integrator9.getMaxEvaluations();
    double d18 = dormandPrince853Integrator9.getSafety();
    int i19 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.setMaxGrowth(2.42661244400721E11d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test424"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 0.0d, 1.3239700339195063E12d, 10);
    org.apache.commons.math3.ode.events.EventState eventState9 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1274331234873514d, 0.009712074733389654d, (-10), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    double d10 = bracketingNthOrderBrentSolver8.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.3239700339195063E12d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test425"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(4.74129798254511d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test426"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(7.2759576E-12f, 1.4551914E-11f, 1.4551917E-11f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test427"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.setSafety(0.0d);
    dormandPrince853Integrator9.setSafety(1.3440585709080678E43d);
    dormandPrince853Integrator9.setMaxGrowth(0.9143356863224049d);
    dormandPrince853Integrator9.clearStepHandlers();
    dormandPrince853Integrator9.setSafety((-5.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test428"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(1.0E-323d, (-0.1446972709985802d), 0.8205107269232528d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test429"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    boolean b7 = incrementor1.canIncrement();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(31);
    incrementor1.incrementCount((-15));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test430"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.5533432697486211d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0086830542556975d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test431"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 57.29577951308232d, 57.29577951308232d, 0, univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    double d7 = eventState5.getMaxCheckInterval();
    org.apache.commons.math3.ode.events.EventHandler eventHandler8 = eventState5.getEventHandler();
    double d9 = eventState5.getEventTime();
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator10 = null;
    // The following exception was thrown during execution in test generation
    try {
      eventState5.reinitializeBegin(stepInterpolator10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test432"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 10.0d, 57.29577951308233d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler17, 0.0d, 1.1102230246251565E-16d, (-2));
    dormandPrince853Integrator9.setMaxGrowth((-0.8390740820605876d));
    dormandPrince853Integrator9.clearEventHandlers();
    double d25 = dormandPrince853Integrator9.getCurrentStepStart();
    org.apache.commons.math3.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver33 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.321813991248445d, (-0.17861878967121592d), 1072693248);
    double d34 = bracketingNthOrderBrentSolver33.getMax();
    int i35 = bracketingNthOrderBrentSolver33.getMaximalOrder();
    dormandPrince853Integrator9.addEventHandler(eventHandler26, 0.2215330508621685d, 0.24778624026579565d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver33);
    org.apache.commons.math3.ode.ExpandableStatefulODE expandableStatefulODE37 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator9.integrate(expandableStatefulODE37, 0.0474785873874307d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 1072693248);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test433"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(2.381376601119429d, 0.0d, 2147483647);
    int i4 = bracketingNthOrderBrentSolver3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test434"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0d, 1.1839304010745403E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test435"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    boolean b7 = incrementor1.canIncrement();
    incrementor1.setMaximalCount(2147483647);
    incrementor1.resetCount();
    incrementor1.incrementCount();
    incrementor1.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test436"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(305.2988702958573d, 0.6207332270415868d, 1.985568308709919d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test437"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-1074790400), (-44));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = dimensionMismatchException3.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test438"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.6487212707001282d, 89.04160334794895d, 1.5337260269320758d, 0.0d);
    double d5 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    java.lang.String str6 = dormandPrince853Integrator4.getName();
    org.apache.commons.math3.ode.events.EventHandler eventHandler7 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver15 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.3587424110426044d, 0.0d, 0.0d, 128);
    dormandPrince853Integrator4.addEventHandler(eventHandler7, 1.0000000000000002d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver15);
    double d17 = bracketingNthOrderBrentSolver15.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 12.11630246473763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str6.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test439"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d7 = bracketingNthOrderBrentSolver6.getAbsoluteAccuracy();
    int i8 = bracketingNthOrderBrentSolver6.getMaxEvaluations();
    double d9 = bracketingNthOrderBrentSolver6.getAbsoluteAccuracy();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler2, 0.5000121109089047d, 1.7253825588523148d, (-283985305), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver6);
    double d11 = bracketingNthOrderBrentSolver6.getFunctionValueAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction16 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver21 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(100.0d, 89.0001015205856d, 1.5533448061434307d, 100);
    int i22 = bracketingNthOrderBrentSolver21.getMaxEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction27 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 89.04160334794895d, 10);
    double d32 = bracketingNthOrderBrentSolver31.getStartValue();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction37 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver42 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.741297982545108d, (-0.7236266338880267d), 1.9855683087099187d, 10);
    double d43 = bracketingNthOrderBrentSolver42.getRelativeAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction48 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler49 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler53 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver57 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i58 = bracketingNthOrderBrentSolver57.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState59 = new org.apache.commons.math3.ode.events.EventState(eventHandler53, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver57);
    org.apache.commons.math3.ode.events.EventState eventState60 = new org.apache.commons.math3.ode.events.EventState(eventHandler49, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver57);
    double d61 = bracketingNthOrderBrentSolver57.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction66 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver69 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution73 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d74 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction66, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver69, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution73);
    double d75 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction48, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver57, 3.5346958487132123d, 3116.2421492954973d, 1.0365374526472741d, allowedSolution73);
    double d76 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide((-1074790400), univariateFunction37, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver42, 5.0E-7d, 0.0d, 48.196948051694136d, allowedSolution73);
    double d77 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(1023, univariateFunction27, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver31, (-1.4819636064814712d), 0.8771301074319142d, 0.5299153585255104d, allowedSolution73);
    double d78 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(283985305, univariateFunction16, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver21, 0.2360639384850043d, 1.5574077246549025d, 1.864825035600266E-5d, allowedSolution73);
    double d79 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(0, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver6, 0.9942048014840732d, 268.0111961383378d, (-3.3274139948776593d), allowedSolution73);
    double d80 = bracketingNthOrderBrentSolver6.getMin();
    double d81 = bracketingNthOrderBrentSolver6.getMax();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction83 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution86 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d87 = bracketingNthOrderBrentSolver6.solve(6, univariateFunction83, 1.0618065376928847d, 1.0000000000005d, allowedSolution86);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 3.5346958487132123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 5.0E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == (-1.4819636064814712d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.2360639384850043d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.9942048014840732d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.0d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test440"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[] d_array24 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator25 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array19, d_array24);
    double[] d_array29 = new double[] { (-1.0d), 0.0d, 1.0d };
    int i30 = org.apache.commons.math3.util.MathUtils.hash(d_array29);
    dormandPrince853Integrator9.setStepSizeControl(0.0d, 4.715258503850705d, d_array24, d_array29);
    dormandPrince853Integrator9.clearStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == (-1008700321));

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test441"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException11 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(short)100);
    java.lang.Throwable[] throwable_array12 = tooManyEvaluationsException11.getSuppressed();
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(-3), (java.lang.Object[])throwable_array12);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable7, (java.lang.Number)(-0.733685536181919d), (java.lang.Object[])throwable_array12);
    org.apache.commons.math3.exception.MathInternalError mathInternalError15 = new org.apache.commons.math3.exception.MathInternalError(localizable6, (java.lang.Object[])throwable_array12);
    org.apache.commons.math3.exception.MathInternalError mathInternalError16 = new org.apache.commons.math3.exception.MathInternalError(localizable5, (java.lang.Object[])throwable_array12);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, (-0.6350379860847788d), 0.13389863258992207d, (-0.010871939557916386d), 7.549834435270751d, (java.lang.Object[])throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test442"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-10), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-10));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test443"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d17 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d18 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    java.lang.String str20 = dormandPrince853Integrator9.getName();
    int i21 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i31 = bracketingNthOrderBrentSolver30.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState32 = new org.apache.commons.math3.ode.events.EventState(eventHandler26, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    double d33 = bracketingNthOrderBrentSolver30.getStartValue();
    int i34 = bracketingNthOrderBrentSolver30.getEvaluations();
    int i35 = bracketingNthOrderBrentSolver30.getEvaluations();
    dormandPrince853Integrator9.addEventHandler(eventHandler22, (-0.7853981633974483d), Double.NaN, (-1074790400), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    double d37 = bracketingNthOrderBrentSolver30.getRelativeAccuracy();
    double d38 = bracketingNthOrderBrentSolver30.getMax();
    double d39 = bracketingNthOrderBrentSolver30.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str20.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0E-6d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test444"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(0.0d, 0.9d, 1824.0058900905265d, 0.7693572253635211d);
    org.apache.commons.math3.exception.MathInternalError mathInternalError5 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)noBracketingException4);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test445"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper((-1048576), 1072693279);
    double[] d_array3 = null;
    double[] d_array9 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[] d_array14 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator15 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array9, d_array14);
    int i16 = dormandPrince853Integrator15.getEvaluations();
    double d17 = dormandPrince853Integrator15.getMinReduction();
    java.util.Collection collection18 = dormandPrince853Integrator15.getStepHandlers();
    dormandPrince853Integrator15.clearStepHandlers();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    org.apache.commons.math3.ode.events.EventHandler eventHandler34 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver38 = null;
    org.apache.commons.math3.ode.events.EventState eventState39 = new org.apache.commons.math3.ode.events.EventState(eventHandler34, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver38);
    int i40 = eventState39.getMaxIterationCount();
    boolean b41 = eventState39.stop();
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    boolean b46 = eventState39.reset(0.0d, d_array44);
    double[] d_array51 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b52 = eventState39.reset(56.516459060951796d, d_array51);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator53 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array32, d_array51);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array32);
    double[] d_array58 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array58);
    double[] d_array63 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator64 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array58, d_array63);
    dormandPrince853Integrator15.setStepSizeControl(2.4497460077641993d, 0.8771301074319141d, d_array32, d_array63);
    double[] d_array67 = new double[] { 0.0d };
    int i68 = org.apache.commons.math3.util.MathUtils.hash(d_array67);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array67);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array67);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator71 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.442456371534995d, 0.9910255587990942d, d_array63, d_array67);
    int i72 = org.apache.commons.math3.util.MathUtils.hash(d_array63);
    int i73 = org.apache.commons.math3.util.MathUtils.hash(d_array63);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.insertEquationData(d_array3, d_array63);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 1265661023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 1265661023);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test446"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d3 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i4 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    double d5 = bracketingNthOrderBrentSolver2.getAbsoluteAccuracy();
    int i6 = bracketingNthOrderBrentSolver2.getMaximalOrder();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i17 = bracketingNthOrderBrentSolver16.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState18 = new org.apache.commons.math3.ode.events.EventState(eventHandler12, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    double d19 = bracketingNthOrderBrentSolver16.getStartValue();
    double d20 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    double d21 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d22 = bracketingNthOrderBrentSolver16.getStartValue();
    double d23 = bracketingNthOrderBrentSolver16.getMax();
    double d24 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    int i25 = bracketingNthOrderBrentSolver16.getMaxEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction30 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver35 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.741297982545108d, (-0.7236266338880267d), 1.9855683087099187d, 10);
    double d36 = bracketingNthOrderBrentSolver35.getRelativeAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction41 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler42 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler46 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver50 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i51 = bracketingNthOrderBrentSolver50.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState52 = new org.apache.commons.math3.ode.events.EventState(eventHandler46, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver50);
    org.apache.commons.math3.ode.events.EventState eventState53 = new org.apache.commons.math3.ode.events.EventState(eventHandler42, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver50);
    double d54 = bracketingNthOrderBrentSolver50.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction59 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver62 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution66 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d67 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction59, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver62, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution66);
    double d68 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction41, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver50, 3.5346958487132123d, 3116.2421492954973d, 1.0365374526472741d, allowedSolution66);
    double d69 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide((-1074790400), univariateFunction30, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver35, 5.0E-7d, 0.0d, 48.196948051694136d, allowedSolution66);
    double d70 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(1265661023, univariateFunction11, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver16, (-1.538970890562367d), 2.566375307179586d, 134.0055980691689d, allowedSolution66);
    double d71 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(1855157276, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver2, 0.8644028155091492d, 0.570346330307769d, 0.0d, allowedSolution66);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction73 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d76 = bracketingNthOrderBrentSolver2.solve(337914027, univariateFunction73, 3.3983436196561643d, 0.09902555599866467d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 3.5346958487132123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 5.0E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == (-1.538970890562367d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.8644028155091492d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test447"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.6020638221877662d, 2);
    double d7 = bracketingNthOrderBrentSolver6.getMin();
    double d8 = bracketingNthOrderBrentSolver6.getRelativeAccuracy();
    org.apache.commons.math3.ode.events.EventState eventState9 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.97469525101799d, 0.0d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver6);
    int i10 = bracketingNthOrderBrentSolver6.getMaximalOrder();
    double d11 = bracketingNthOrderBrentSolver6.getAbsoluteAccuracy();
    double d12 = bracketingNthOrderBrentSolver6.getMax();
    int i13 = bracketingNthOrderBrentSolver6.getMaxEvaluations();
    int i14 = bracketingNthOrderBrentSolver6.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.6020638221877662d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test448"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)40);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test449"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(7.555786E22f, 1.2207033E-4f, (-9.999999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test450"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)1.734723475976807E-18d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = tooManyEvaluationsException1.getContext();
    java.lang.Number number3 = tooManyEvaluationsException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 1.734723475976807E-18d+ "'", number3.equals(1.734723475976807E-18d));

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test451"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)(-1), (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)1);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test452"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-8.486375561904797d), (-0.49602575992282116d), 780417091);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test453"); }


    double[] d_array5 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[] d_array10 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array5, d_array10);
    int i12 = dormandPrince853Integrator11.getEvaluations();
    dormandPrince853Integrator11.clearStepHandlers();
    double d14 = dormandPrince853Integrator11.getSafety();
    double d15 = dormandPrince853Integrator11.getMaxGrowth();
    double[] d_array21 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array21);
    double[] d_array26 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator27 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array21, d_array26);
    double[] d_array31 = new double[] { (-1.0d), 0.0d, 1.0d };
    int i32 = org.apache.commons.math3.util.MathUtils.hash(d_array31);
    dormandPrince853Integrator11.setStepSizeControl(0.0d, 4.715258503850705d, d_array26, d_array31);
    org.apache.commons.math3.ode.events.EventHandler eventHandler34 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver38 = null;
    org.apache.commons.math3.ode.events.EventState eventState39 = new org.apache.commons.math3.ode.events.EventState(eventHandler34, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver38);
    int i40 = eventState39.getMaxIterationCount();
    boolean b41 = eventState39.stop();
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    boolean b46 = eventState39.reset(0.0d, d_array44);
    double[] d_array51 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b52 = eventState39.reset(56.516459060951796d, d_array51);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator53 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.30566626714964407d, 0.6660887502479989d, d_array31, d_array51);
    int i54 = org.apache.commons.math3.util.MathUtils.hash(d_array51);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == (-1040157601));

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test454"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable10, obj_array12);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable8, (java.lang.Number)(byte)0, obj_array12);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable6, (java.lang.Number)(-15.954589770191003d), obj_array12);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable5, obj_array12);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, (-0.14540425498219306d), 0.05209079005172152d, 0.0d, 1824.0058900905265d, obj_array12);
    double d18 = noBracketingException17.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == (-0.14540425498219306d));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test455"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-110.0f), 55.82331188039185d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-109.99999f));

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test456"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-0.010871939557916386d), (-0.6414376234093674d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-3.1246449438762887d));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test457"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-23), 1646123231);
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException6 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable4, (java.lang.Number)57.29577951308233d);
    java.lang.Number number7 = notStrictlyPositiveException6.getMin();
    java.lang.Throwable[] throwable_array8 = notStrictlyPositiveException6.getSuppressed();
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)2L);
    java.lang.Number number12 = maxCountExceededException11.getMax();
    java.lang.Number number13 = maxCountExceededException11.getMax();
    java.lang.String str14 = maxCountExceededException11.toString();
    java.lang.Number number15 = maxCountExceededException11.getMax();
    java.lang.Throwable[] throwable_array16 = maxCountExceededException11.getSuppressed();
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)throwable_array8, localizable9, (java.lang.Object[])throwable_array16);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)dimensionMismatchException2, localizable3, (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0+ "'", number7.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 2L+ "'", number12.equals(2L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 2L+ "'", number13.equals(2L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math3.exception.MaxCountExceededException: illegal state: maximal count (2) exceeded"+ "'", str14.equals("org.apache.commons.math3.exception.MaxCountExceededException: illegal state: maximal count (2) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 2L+ "'", number15.equals(2L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test458"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(0.6514685335215975d, 1.3629366215418197d, 0.6880576931818059d, 0.0d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test459"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(2147483647, 1048576);
    int i3 = equationsMapper2.getFirstIndex();
    int i4 = equationsMapper2.getDimension();
    int i5 = equationsMapper2.getDimension();
    int i6 = equationsMapper2.getFirstIndex();
    int i7 = equationsMapper2.getFirstIndex();
    int i8 = equationsMapper2.getDimension();
    double[] d_array9 = null;
    double[] d_array15 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array15);
    double[] d_array20 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator21 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array15, d_array20);
    int i22 = dormandPrince853Integrator21.getEvaluations();
    dormandPrince853Integrator21.clearStepHandlers();
    double d24 = dormandPrince853Integrator21.getSafety();
    double d25 = dormandPrince853Integrator21.getMaxGrowth();
    double[] d_array31 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array31);
    double[] d_array36 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator37 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array31, d_array36);
    double[] d_array41 = new double[] { (-1.0d), 0.0d, 1.0d };
    int i42 = org.apache.commons.math3.util.MathUtils.hash(d_array41);
    dormandPrince853Integrator21.setStepSizeControl(0.0d, 4.715258503850705d, d_array36, d_array41);
    org.apache.commons.math3.ode.events.EventHandler eventHandler44 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver48 = null;
    org.apache.commons.math3.ode.events.EventState eventState49 = new org.apache.commons.math3.ode.events.EventState(eventHandler44, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver48);
    int i50 = eventState49.getMaxIterationCount();
    boolean b51 = eventState49.stop();
    double[] d_array54 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array54);
    boolean b56 = eventState49.reset(0.0d, d_array54);
    double[] d_array61 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b62 = eventState49.reset(56.516459060951796d, d_array61);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator63 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.30566626714964407d, 0.6660887502479989d, d_array41, d_array61);
    int i64 = org.apache.commons.math3.util.MathUtils.hash(d_array61);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array9, d_array61);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1048576);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1048576);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1048576);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == (-1040157601));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test460"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(0.33520078164070705d, 0.7162330197524849d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.33520078164070705d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test461"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(267.7458277623821d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test462"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.7423006920992532d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6759851143436669d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test463"); }


    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException5 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)10L, (java.lang.Number)10.0f, false);
    java.lang.Number number6 = numberIsTooLargeException5.getArgument();
    java.lang.Number number7 = numberIsTooLargeException5.getMax();
    java.lang.Number number8 = numberIsTooLargeException5.getArgument();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = numberIsTooLargeException5.getContext();
    boolean b10 = numberIsTooLargeException5.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    dormandPrince853Integrator26.setSafety(0.0d);
    java.util.Collection collection31 = dormandPrince853Integrator26.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable33, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator26, localizable32, obj_array35);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException38 = new org.apache.commons.math3.exception.MathArithmeticException(localizable16, obj_array35);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException39 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable15, obj_array35);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException40 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)6.844696812814294d, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)0.7297964363483357d, localizable13, obj_array35);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooLargeException5, localizable11, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)1.5482096954959221d, localizable1, obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 10L+ "'", number6.equals(10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 10.0f+ "'", number7.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 10L+ "'", number8.equals(10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test464"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(7.549834435270751d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999994462330833d);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test465"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyBracketing(univariateFunction0, 55.48999355965275d, (-1.045654296875d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test466"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.001921861591674845d, (java.lang.Number)0.017442662604132405d, false);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test467"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.0000000041777137d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test468"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(9.445076139061749E305d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 9223372036854775807L);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test469"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(1.0E-6d, 100.0d, 1.0d, 1.0E-6d);
    double d5 = noBracketingException4.getLo();
    double d6 = noBracketingException4.getHi();
    double d7 = noBracketingException4.getHi();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = noBracketingException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test470"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.7822194701329988d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8873839495020883d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test471"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil((-0.617724568723111d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test472"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.067757623796186d, 418722404);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test473"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-0.733685536181919d), 1.864825035600266E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.7336855361819189d));

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test474"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-9.536743E-6f), 9.6714065E24f, 1.44115188E17f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test475"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.19670046278847017d), 0.003046174197867085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.19670046278847017d));

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test476"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0f, (-1.0490417E-4f), 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test477"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.292516872696492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test478"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(5L, 91414L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5L);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test479"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals((-1.0490417E-4f), (-9.8E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test480"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(35.62121448029618d);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test481"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-6), 418722404);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-6));

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test482"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    double[] d_array35 = new double[] { (-1.0d) };
    dormandPrince853Integrator9.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array32, d_array35);
    int i37 = dormandPrince853Integrator9.getMaxEvaluations();
    int i38 = dormandPrince853Integrator9.getEvaluations();
    double[] d_array40 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler41 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler45 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver49 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i50 = bracketingNthOrderBrentSolver49.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState51 = new org.apache.commons.math3.ode.events.EventState(eventHandler45, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver49);
    org.apache.commons.math3.ode.events.EventState eventState52 = new org.apache.commons.math3.ode.events.EventState(eventHandler41, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver49);
    double d53 = eventState52.getEventTime();
    double[] d_array58 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array58);
    double[] d_array63 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator64 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array58, d_array63);
    int i65 = dormandPrince853Integrator64.getEvaluations();
    dormandPrince853Integrator64.clearStepHandlers();
    double d67 = dormandPrince853Integrator64.getSafety();
    double d68 = dormandPrince853Integrator64.getMaxGrowth();
    double[] d_array74 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array74);
    double[] d_array79 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator80 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array74, d_array79);
    double[] d_array84 = new double[] { (-1.0d), 0.0d, 1.0d };
    int i85 = org.apache.commons.math3.util.MathUtils.hash(d_array84);
    dormandPrince853Integrator64.setStepSizeControl(0.0d, 4.715258503850705d, d_array79, d_array84);
    boolean b87 = eventState52.reset(1.5707963267948966d, d_array79);
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator9.computeDerivatives(4.741450291257945d, d_array40, d_array79);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test483"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    boolean b7 = eventState5.stop();
    double d8 = eventState5.getConvergence();
    double d9 = eventState5.getEventTime();
    boolean b10 = eventState5.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test484"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler16, 3.141592653589793d, 4.741297982545108d, 100);
    int i21 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler22, 3.71681d, 1.5337260269320758d, 128);
    org.apache.commons.math3.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d32 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    int i33 = bracketingNthOrderBrentSolver31.getMaxEvaluations();
    double d34 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    double d35 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler27, 1.5650761913479965d, 1.2182829050172777d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver31);
    int i37 = bracketingNthOrderBrentSolver31.getMaximalOrder();
    int i38 = bracketingNthOrderBrentSolver31.getEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction40 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d43 = bracketingNthOrderBrentSolver31.solve((-1023), univariateFunction40, 0.021479931155061686d, 0.28075827291371236d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test485"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.0020125999764812764d, 0.7095184858840116d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7095184858840116d);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test486"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(268.00460332072714d, 0.0d, 1072693248);
    double d4 = bracketingNthOrderBrentSolver3.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test487"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(2.2220860592642104d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4366170372452953d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test488"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(3.745156028183908d, 0.5827967175088293d, 0.18399685627024365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test489"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(3.1469581066036034E41d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test490"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    double d16 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.clearEventHandlers();
    double d18 = dormandPrince853Integrator9.getCurrentStepStart();
    org.apache.commons.math3.ode.ExpandableStatefulODE expandableStatefulODE19 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator9.integrate(expandableStatefulODE19, 1.0941200093518422d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test491"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    incrementor1.incrementCount((-1008700321));
    incrementor1.incrementCount();
    incrementor1.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test492"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.2d, (-0.27661240823767264d), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test493"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    double[] d_array35 = new double[] { (-1.0d) };
    dormandPrince853Integrator9.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array32, d_array35);
    dormandPrince853Integrator9.setInitialStepSize(1.307972410734653d);
    dormandPrince853Integrator9.setMaxEvaluations((-1023));
    double d41 = dormandPrince853Integrator9.getCurrentStepStart();
    org.apache.commons.math3.ode.events.EventHandler eventHandler42 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver49 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 89.04160334794895d, 10);
    double d50 = bracketingNthOrderBrentSolver49.getAbsoluteAccuracy();
    double d51 = bracketingNthOrderBrentSolver49.getAbsoluteAccuracy();
    double d52 = bracketingNthOrderBrentSolver49.getAbsoluteAccuracy();
    int i53 = bracketingNthOrderBrentSolver49.getMaxEvaluations();
    dormandPrince853Integrator9.addEventHandler(eventHandler42, (-0.5631737201368512d), 2.549746823947039E-306d, 128, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver49);
    double d55 = dormandPrince853Integrator9.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 89.04160334794895d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 89.04160334794895d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 89.04160334794895d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 9.433986512635347d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test494"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.5611125913182899d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test495"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign((-1023), (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1023));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test496"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(0.0d, 1.34217728E8d, 0.9117339147869651d, 1542874.4227310962d);
    double d5 = noBracketingException4.getFHi();
    double d6 = noBracketingException4.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1542874.4227310962d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1542874.4227310962d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test497"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    java.lang.String str13 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setStepSizeControl(1.2626272556789118d, 0.7693572253635211d, 6.284137641783304d, 268.0d);
    double d19 = dormandPrince853Integrator9.getMinStep();
    int i20 = dormandPrince853Integrator9.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str13.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test498"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    boolean b7 = eventState5.stop();
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array10);
    boolean b12 = eventState5.reset(0.0d, d_array10);
    double d13 = eventState5.getMaxCheckInterval();
    boolean b14 = eventState5.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test499"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[] d_array24 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator25 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array19, d_array24);
    double[] d_array29 = new double[] { (-1.0d), 0.0d, 1.0d };
    int i30 = org.apache.commons.math3.util.MathUtils.hash(d_array29);
    dormandPrince853Integrator9.setStepSizeControl(0.0d, 4.715258503850705d, d_array24, d_array29);
    java.lang.String str32 = dormandPrince853Integrator9.getName();
    java.lang.String str33 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setSafety(1.3960618919591732d);
    double d36 = dormandPrince853Integrator9.getSafety();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str32.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str33.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.3960618919591732d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test500"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setInitialStepSize(0.0d);
    dormandPrince853Integrator9.setInitialStepSize(0.6020638221877662d);
    dormandPrince853Integrator9.clearEventHandlers();
    dormandPrince853Integrator9.setMaxGrowth(0.9117339147869651d);
    int i19 = dormandPrince853Integrator9.getMaxEvaluations();
    int i20 = dormandPrince853Integrator9.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);

  }

}
