
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest9 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test001"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-0.617724568723111d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5839640519307904d));

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test002"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-0.0013377555385146477d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.001338651132267835d));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test003"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 1.2074871453780196d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test004"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper((-2), 0);
    double[] d_array3 = null;
    double[] d_array5 = new double[] { 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.insertEquationData(d_array3, d_array5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test005"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(2.524630659933467d, 1.57079320722048d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.524630659933467d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test006"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(1.0567077840910226d, 0.011336341985590748d, 0.24126156664950277d, 2578.3100780887044d);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test007"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-1.3219323883977487d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test008"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1280.0001f, 9.433986512635347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1280.0f);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test009"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.5533448061434307d, (java.lang.Number)100.0f, true);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    java.lang.Number number5 = numberIsTooLargeException3.getMax();
    java.lang.Number number6 = numberIsTooLargeException3.getArgument();
    boolean b7 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 100.0f+ "'", number4.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 100.0f+ "'", number5.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 1.5533448061434307d+ "'", number6.equals(1.5533448061434307d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test010"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(1.0E-6d, 100.0d, 1.0d, 1.0E-6d);
    double d5 = noBracketingException4.getHi();
    double d6 = noBracketingException4.getFLo();
    double d7 = noBracketingException4.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-6d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test011"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.80143985E16f, 1.80143985E16f, 13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test012"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)56.516459060951796d, (java.lang.Number)0.04746076762388862d, true);
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    double[] d_array8 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array8);
    double[] d_array13 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator14 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array8, d_array13);
    int i15 = dormandPrince853Integrator14.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    dormandPrince853Integrator14.addEventHandler(eventHandler16, (-0.0d), 1.7528966507168187E24d, 0);
    int i21 = dormandPrince853Integrator14.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    double[] d_array29 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array29);
    double[] d_array34 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator35 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array29, d_array34);
    int i36 = dormandPrince853Integrator35.getEvaluations();
    java.lang.String str37 = dormandPrince853Integrator35.getName();
    double d38 = dormandPrince853Integrator35.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler39 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver43 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d44 = bracketingNthOrderBrentSolver43.getAbsoluteAccuracy();
    int i45 = bracketingNthOrderBrentSolver43.getMaxEvaluations();
    double d46 = bracketingNthOrderBrentSolver43.getAbsoluteAccuracy();
    dormandPrince853Integrator35.addEventHandler(eventHandler39, 0.0d, 1.5650761913479965d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver43);
    dormandPrince853Integrator14.addEventHandler(eventHandler22, 1.9377047211159066E-18d, 1.2626272556789118d, 2147483647, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver43);
    dormandPrince853Integrator14.setMaxEvaluations((-1));
    dormandPrince853Integrator14.setSafety((-0.7236266338880267d));
    org.apache.commons.math3.exception.util.Localizable localizable53 = null;
    org.apache.commons.math3.exception.util.Localizable localizable55 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException58 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable55, 0, 0);
    java.lang.Throwable[] throwable_array59 = dimensionMismatchException58.getSuppressed();
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException60 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(-0.2294802171812586d), (java.lang.Object[])throwable_array59);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)(-0.7236266338880267d), localizable53, (java.lang.Object[])throwable_array59);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException62 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException3, localizable4, (java.lang.Object[])throwable_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str37.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array59);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test013"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(6.432490598706546E-16d);
    java.util.Collection collection15 = dormandPrince853Integrator9.getEventHandlers();
    dormandPrince853Integrator9.setStepSizeControl(3.71681d, 1.570796326794893d, 1.5574077246549023d, (-0.626772941534327d));
    java.util.Collection collection21 = dormandPrince853Integrator9.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection21);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test014"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.0d, (-0.009553894978589815d), 0.6158911672302718d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test015"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.7832441209980989d, 0.0d, 100.499660221073d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test016"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval((-0.617724568723111d), 1.526523647200146d);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test017"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(0.9143356863224049d, 0.46643498316445237d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9143356863224049d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test018"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 1008700321, (-1008700321));

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test019"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.9999999999999998d, (java.lang.Number)0.9775565237107697d, false);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    java.lang.String str5 = numberIsTooLargeException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooLargeException: 2 is larger than, or equal to, the maximum (0.978)"+ "'", str5.equals("org.apache.commons.math3.exception.NumberIsTooLargeException: 2 is larger than, or equal to, the maximum (0.978)"));

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test020"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.8586917598249741d, 1.5337260269320758d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8586917598249741d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test021"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    double[] d_array4 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array4);
    double[] d_array9 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator10 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array4, d_array9);
    int i11 = dormandPrince853Integrator10.getEvaluations();
    double d12 = dormandPrince853Integrator10.getMinReduction();
    dormandPrince853Integrator10.setSafety(0.0d);
    java.util.Collection collection15 = dormandPrince853Integrator10.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    org.apache.commons.math3.exception.util.Localizable localizable17 = null;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable17, obj_array19);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator10, localizable16, obj_array19);
    double d22 = dormandPrince853Integrator10.getMaxGrowth();
    double[] d_array28 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array28);
    double[] d_array33 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator34 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array28, d_array33);
    double[] d_array36 = new double[] { (-1.0d) };
    dormandPrince853Integrator10.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array33, d_array36);
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler38 = null;
    dormandPrince853Integrator10.addStepHandler(stepHandler38);
    double d40 = dormandPrince853Integrator10.getCurrentStepStart();
    int i41 = dormandPrince853Integrator10.getMaxEvaluations();
    double d42 = dormandPrince853Integrator10.getMinStep();
    dormandPrince853Integrator10.setMaxGrowth(2.0d);
    int i45 = dormandPrince853Integrator10.getMaxEvaluations();
    int i46 = dormandPrince853Integrator10.getOrder();
    org.apache.commons.math3.exception.util.Localizable localizable47 = null;
    org.apache.commons.math3.exception.util.Localizable localizable48 = null;
    org.apache.commons.math3.exception.util.Localizable localizable49 = null;
    org.apache.commons.math3.exception.util.Localizable localizable50 = null;
    org.apache.commons.math3.exception.util.Localizable localizable51 = null;
    org.apache.commons.math3.exception.util.Localizable localizable52 = null;
    org.apache.commons.math3.exception.util.Localizable localizable53 = null;
    java.lang.Object[] obj_array55 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException56 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable53, obj_array55);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException57 = new org.apache.commons.math3.exception.MathArithmeticException(localizable52, obj_array55);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException58 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable51, obj_array55);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException59 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable50, obj_array55);
    org.apache.commons.math3.exception.MathInternalError mathInternalError60 = new org.apache.commons.math3.exception.MathInternalError(localizable49, obj_array55);
    org.apache.commons.math3.exception.MathInternalError mathInternalError61 = new org.apache.commons.math3.exception.MathInternalError(localizable48, obj_array55);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)i46, localizable47, obj_array55);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException63 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array55);
    org.apache.commons.math3.exception.util.Localizable localizable64 = null;
    java.lang.Object[] obj_array65 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException66 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException63, localizable64, obj_array65);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.9377047211159066E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test022"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(short)10, (java.lang.Number)2.718281828459045d, true);
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable11, obj_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable9, (java.lang.Number)(byte)0, obj_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable7, (java.lang.Number)(-15.954589770191003d), obj_array13);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable6, obj_array13);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException18 = new org.apache.commons.math3.exception.NullArgumentException(localizable5, obj_array13);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException3, localizable4, obj_array13);
    java.lang.Number number20 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + 2.718281828459045d+ "'", number20.equals(2.718281828459045d));

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test023"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(40.000004f, 1.0842023E-19f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0842023E-19f);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test024"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(6.283185307179587d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test025"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver17 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d18 = bracketingNthOrderBrentSolver17.getAbsoluteAccuracy();
    int i19 = bracketingNthOrderBrentSolver17.getMaxEvaluations();
    double d20 = bracketingNthOrderBrentSolver17.getAbsoluteAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler13, 0.0d, 1.5650761913479965d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver17);
    dormandPrince853Integrator9.clearStepHandlers();
    org.apache.commons.math3.ode.events.EventHandler eventHandler23 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler23, 1.2060119354775605d, 1.9348040876847974d, (-20));
    int i28 = dormandPrince853Integrator9.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 8);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test026"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable4, obj_array6);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)(byte)0, obj_array6);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException9 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(byte)(-1), obj_array6);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array6);
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException21 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable18, obj_array20);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException22 = new org.apache.commons.math3.exception.NoBracketingException(localizable13, 5.298292365610485d, 1.5707963267948966d, 4.9E-324d, 1.1102230246251565E-16d, obj_array20);
    org.apache.commons.math3.exception.MathInternalError mathInternalError23 = new org.apache.commons.math3.exception.MathInternalError(localizable12, obj_array20);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathArithmeticException10, localizable11, obj_array20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test027"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.1581263863532596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0761628066204758d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test028"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)0.9910255587990942d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test029"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(1.4544647885143316d, 0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test030"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(57.29577951308232d, 1.1291249428624556E-23d, 1937.9724294518476d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test031"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.8644028155091492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9761425597059943d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test032"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.009712074733389654d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test033"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(4.74129798254511d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.675897250849075d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test034"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    java.util.Collection collection15 = dormandPrince853Integrator9.getEventHandlers();
    dormandPrince853Integrator9.setMinReduction(4.022191557777585d);
    java.lang.String str18 = dormandPrince853Integrator9.getName();
    int i19 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler20 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler20, 40.428399626241514d, 1.6487212707001282d, (-1855157276));
    dormandPrince853Integrator9.clearEventHandlers();
    double d26 = dormandPrince853Integrator9.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str18.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 10.0d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test035"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(72.34321284858714d, 0.30566626714964407d, (-11));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test036"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(9.313226E-10f, 1.1920932E-7f, 1.2207037E-4f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test037"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-0.1439775409401076d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test038"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(2.928991716311668d, 3198.44016918896d, 0.03707029986282079d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test039"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)3.5346958487132123d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test040"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(10.1f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.1f);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test041"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.5337260269320758d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test042"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(535.4916555247642d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 30681.411826042317d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test043"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    int i33 = dormandPrince853Integrator9.getEvaluations();
    double d34 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.setInitialStepSize(0.5399235921889824d);
    org.apache.commons.math3.ode.ExpandableStatefulODE expandableStatefulODE37 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator9.integrate(expandableStatefulODE37, (-0.009554040326227501d));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 10.0d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test044"); }


    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)178254315);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test045"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(9.313226E-10f, 9.094947E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test046"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver15 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d16 = bracketingNthOrderBrentSolver15.getAbsoluteAccuracy();
    double d17 = bracketingNthOrderBrentSolver15.getFunctionValueAccuracy();
    double d18 = bracketingNthOrderBrentSolver15.getMax();
    dormandPrince853Integrator9.addEventHandler(eventHandler11, 0.0d, 15.954589770191003d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver15);
    int i20 = bracketingNthOrderBrentSolver15.getMaxEvaluations();
    double d21 = bracketingNthOrderBrentSolver15.getFunctionValueAccuracy();
    int i22 = bracketingNthOrderBrentSolver15.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 5);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test047"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i13 = bracketingNthOrderBrentSolver12.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState14 = new org.apache.commons.math3.ode.events.EventState(eventHandler8, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math3.ode.events.EventState eventState15 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    int i16 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    org.apache.commons.math3.ode.events.EventState eventState17 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.8586917598249741d, 0.0033382540782630537d, 1265661023, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    double[] d_array22 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array22);
    double[] d_array27 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array22, d_array27);
    int i29 = dormandPrince853Integrator28.getEvaluations();
    double d30 = dormandPrince853Integrator28.getMinReduction();
    dormandPrince853Integrator28.setSafety(0.0d);
    java.util.Collection collection33 = dormandPrince853Integrator28.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable34 = null;
    org.apache.commons.math3.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable35, obj_array37);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator28, localizable34, obj_array37);
    double d40 = dormandPrince853Integrator28.getMaxGrowth();
    double[] d_array46 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array46);
    double[] d_array51 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator52 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array46, d_array51);
    double[] d_array54 = new double[] { (-1.0d) };
    dormandPrince853Integrator28.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array51, d_array54);
    int i56 = org.apache.commons.math3.util.MathUtils.hash(d_array54);
    boolean b57 = eventState17.reset(1.864825035600266E-5d, d_array54);
    double d58 = eventState17.getEventTime();
    org.apache.commons.math3.ode.events.EventHandler eventHandler60 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver64 = null;
    org.apache.commons.math3.ode.events.EventState eventState65 = new org.apache.commons.math3.ode.events.EventState(eventHandler60, 0.0d, 1.0000000000000002d, 10, univariateSolver64);
    double d66 = eventState65.getEventTime();
    double[] d_array69 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array69);
    boolean b71 = eventState65.reset(0.0d, d_array69);
    // The following exception was thrown during execution in test generation
    try {
      eventState17.stepAccepted((-0.3629915385588507d), d_array69);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == (-1074790369));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test048"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(89.04160334794895d, 1.4330863854487743d, 2);
    int i4 = bracketingNthOrderBrentSolver3.getMaximalOrder();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = bracketingNthOrderBrentSolver3.solve(10, univariateFunction6, 0.9910255587990942d, 0.6229407956575255d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test049"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    incrementor0.incrementCount(0);
    incrementor0.setMaximalCount(10);
    boolean b5 = incrementor0.canIncrement();
    incrementor0.incrementCount((-44));
    incrementor0.setMaximalCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test050"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-0.23150654707920149d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7755575615628914E-17d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test051"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0d, 0.0d, 13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test052"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    double d6 = eventState5.getEventTime();
    double[] d_array13 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array13);
    double[] d_array18 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator19 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array13, d_array18);
    org.apache.commons.math3.ode.events.EventHandler eventHandler20 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver24 = null;
    org.apache.commons.math3.ode.events.EventState eventState25 = new org.apache.commons.math3.ode.events.EventState(eventHandler20, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver24);
    int i26 = eventState25.getMaxIterationCount();
    boolean b27 = eventState25.stop();
    double[] d_array30 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array30);
    boolean b32 = eventState25.reset(0.0d, d_array30);
    double[] d_array37 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b38 = eventState25.reset(56.516459060951796d, d_array37);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator39 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array18, d_array37);
    boolean b40 = eventState5.reset((-8.249305440540187d), d_array18);
    org.apache.commons.math3.ode.events.EventHandler eventHandler41 = eventState5.getEventHandler();
    org.apache.commons.math3.ode.events.EventHandler eventHandler42 = eventState5.getEventHandler();
    double d43 = eventState5.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 1.1102230246251565E-16d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test053"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(1.192093E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test054"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.9910255587990942d);
    java.lang.Number number2 = notStrictlyPositiveException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0.9910255587990942d+ "'", number2.equals(0.9910255587990942d));

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test055"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(2578L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2578L);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test056"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    incrementor1.setMaximalCount(1048576);
    incrementor1.setMaximalCount(2147483647);
    incrementor1.incrementCount();
    incrementor1.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test057"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-0.6253149461674671d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test058"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    int i16 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler17 = null;
    double[] d_array24 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    double[] d_array29 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array24, d_array29);
    int i31 = dormandPrince853Integrator30.getEvaluations();
    java.lang.String str32 = dormandPrince853Integrator30.getName();
    double d33 = dormandPrince853Integrator30.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler34 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver38 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d39 = bracketingNthOrderBrentSolver38.getAbsoluteAccuracy();
    int i40 = bracketingNthOrderBrentSolver38.getMaxEvaluations();
    double d41 = bracketingNthOrderBrentSolver38.getAbsoluteAccuracy();
    dormandPrince853Integrator30.addEventHandler(eventHandler34, 0.0d, 1.5650761913479965d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver38);
    dormandPrince853Integrator9.addEventHandler(eventHandler17, 1.9377047211159066E-18d, 1.2626272556789118d, 2147483647, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver38);
    dormandPrince853Integrator9.setMaxEvaluations((-1));
    dormandPrince853Integrator9.setSafety((-0.7236266338880267d));
    dormandPrince853Integrator9.setMinReduction((-3.2992175758414124d));
    dormandPrince853Integrator9.setSafety(0.11969494830008531d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str32.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0E-6d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test059"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(5.298292365610485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test060"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-9.999996f), 1.2676505E30f, (-437672695));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test061"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    double[] d_array35 = new double[] { (-1.0d) };
    dormandPrince853Integrator9.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array32, d_array35);
    dormandPrince853Integrator9.setInitialStepSize(1.307972410734653d);
    dormandPrince853Integrator9.setMaxEvaluations((-1023));
    org.apache.commons.math3.ode.events.EventHandler eventHandler41 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler41, (-0.6880576931818059d), 0.0d, (-1023));
    int i46 = dormandPrince853Integrator9.getMaxEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler47 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler47, 0.0d, 0.0d, 283985305);
    java.util.Collection collection52 = dormandPrince853Integrator9.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection52);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test062"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-127), (-20));
    java.lang.Number number4 = dimensionMismatchException3.getArgument();
    int i5 = dimensionMismatchException3.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-127)+ "'", number4.equals((-127)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-20));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test063"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(492174979, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 492174979);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test064"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.6660887502479989d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5876024008404429d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test065"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(7.509338493458247d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.0d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test066"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5403023058681398d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test067"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    dormandPrince853Integrator9.setStepSizeControl((-0.884116894779103d), 4.450147717014403E-308d, 72.34321284858714d, 4.74129798254511d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test068"); }


    org.apache.commons.math3.util.MathUtils.checkFinite((-0.6621068538643234d));

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test069"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round((-9.999997f), 996147200, (-2111176452));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test070"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    dormandPrince853Integrator26.setSafety(0.0d);
    java.util.Collection collection31 = dormandPrince853Integrator26.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable33, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator26, localizable32, obj_array35);
    double d38 = dormandPrince853Integrator26.getMaxGrowth();
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    double[] d_array49 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array44, d_array49);
    double[] d_array52 = new double[] { (-1.0d) };
    dormandPrince853Integrator26.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array49, d_array52);
    org.apache.commons.math3.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver58 = null;
    org.apache.commons.math3.ode.events.EventState eventState59 = new org.apache.commons.math3.ode.events.EventState(eventHandler54, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver58);
    int i60 = eventState59.getMaxIterationCount();
    boolean b61 = eventState59.stop();
    double[] d_array64 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    boolean b66 = eventState59.reset(0.0d, d_array64);
    int i67 = org.apache.commons.math3.util.MathUtils.hash(d_array64);
    dormandPrince853Integrator9.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array49, d_array64);
    double d69 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.setInitialStepSize((-15.954589770191003d));
    double d72 = dormandPrince853Integrator9.getCurrentStepStart();
    int i73 = dormandPrince853Integrator9.getOrder();
    int i74 = dormandPrince853Integrator9.getEvaluations();
    double d75 = dormandPrince853Integrator9.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d72, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.2d);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test071"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 0.0d, 1.3239700339195063E12d, 10);
    double d5 = bracketingNthOrderBrentSolver4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test072"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(2.0d, 3.141592653589793d, (-0.7183579793493745d), 0.0d);
    java.lang.Throwable[] throwable_array5 = noBracketingException4.getSuppressed();
    double d6 = noBracketingException4.getFLo();
    double d7 = noBracketingException4.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.7183579793493745d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 2.0d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test073"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test074"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.761594155955765d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01329232558537528d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test075"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver17 = null;
    org.apache.commons.math3.ode.events.EventState eventState18 = new org.apache.commons.math3.ode.events.EventState(eventHandler13, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver17);
    int i19 = eventState18.getMaxIterationCount();
    boolean b20 = eventState18.stop();
    double[] d_array23 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array23);
    boolean b25 = eventState18.reset(0.0d, d_array23);
    double[] d_array30 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b31 = eventState18.reset(56.516459060951796d, d_array30);
    org.apache.commons.math3.ode.events.EventHandler eventHandler32 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver36 = null;
    org.apache.commons.math3.ode.events.EventState eventState37 = new org.apache.commons.math3.ode.events.EventState(eventHandler32, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver36);
    int i38 = eventState37.getMaxIterationCount();
    boolean b39 = eventState37.stop();
    double[] d_array42 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array42);
    boolean b44 = eventState37.reset(0.0d, d_array42);
    dormandPrince853Integrator9.setStepSizeControl(5.298292365610485d, 2.718281828459045d, d_array30, d_array42);
    org.apache.commons.math3.ode.events.EventHandler eventHandler46 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver50 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d51 = bracketingNthOrderBrentSolver50.getAbsoluteAccuracy();
    double d52 = bracketingNthOrderBrentSolver50.getFunctionValueAccuracy();
    double d53 = bracketingNthOrderBrentSolver50.getMax();
    dormandPrince853Integrator9.addEventHandler(eventHandler46, 0.0d, 1.6487212707001282d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver50);
    org.apache.commons.math3.ode.events.EventHandler eventHandler55 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler55, (-1.0d), 2.718281828459045d, 10);
    double d60 = dormandPrince853Integrator9.getSafety();
    double d61 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setStepSizeControl(0.0d, 1.734723475976807E-18d, 4.727600808851775d, 0.9082286122765036d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.2d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test076"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.2207033E-4f, 3199.9998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2207033E-4f);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test077"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-3.2992175758414124d), 0.004210808696553567d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-3.2992175758414124d));

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test078"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(2.4097200075458796d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.610342301022565d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test079"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper((-2), 7);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test080"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-0.07664776923848056d), 0.0d, 1016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test081"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver6 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.741297982545108d, (-0.7236266338880267d), 1.9855683087099187d, 10);
    double d7 = bracketingNthOrderBrentSolver6.getRelativeAccuracy();
    double d8 = bracketingNthOrderBrentSolver6.getRelativeAccuracy();
    double d9 = bracketingNthOrderBrentSolver6.getFunctionValueAccuracy();
    double d10 = bracketingNthOrderBrentSolver6.getFunctionValueAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction15 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver19 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 89.04160334794895d, 10);
    double d20 = bracketingNthOrderBrentSolver19.getStartValue();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction25 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.741297982545108d, (-0.7236266338880267d), 1.9855683087099187d, 10);
    double d31 = bracketingNthOrderBrentSolver30.getRelativeAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction36 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler37 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler41 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver45 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i46 = bracketingNthOrderBrentSolver45.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState47 = new org.apache.commons.math3.ode.events.EventState(eventHandler41, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver45);
    org.apache.commons.math3.ode.events.EventState eventState48 = new org.apache.commons.math3.ode.events.EventState(eventHandler37, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver45);
    double d49 = bracketingNthOrderBrentSolver45.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction54 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver57 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution61 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d62 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction54, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver57, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution61);
    double d63 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction36, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver45, 3.5346958487132123d, 3116.2421492954973d, 1.0365374526472741d, allowedSolution61);
    double d64 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide((-1074790400), univariateFunction25, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver30, 5.0E-7d, 0.0d, 48.196948051694136d, allowedSolution61);
    double d65 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(1023, univariateFunction15, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver19, (-1.4819636064814712d), 0.8771301074319142d, 0.5299153585255104d, allowedSolution61);
    double d66 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(31, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver6, 2.3763644578689498E-212d, 3.0d, 0.0d, allowedSolution61);
    double d67 = bracketingNthOrderBrentSolver6.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.9855683087099187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.9855683087099187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 3.5346958487132123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 5.0E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == (-1.4819636064814712d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 2.3763644578689498E-212d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 1.9855683087099187d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test082"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    incrementor1.incrementCount((-1008700321));
    incrementor1.setMaximalCount(1265661023);
    incrementor1.incrementCount(1);
    int i13 = incrementor1.getCount();
    incrementor1.setMaximalCount(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test083"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    java.lang.String str13 = dormandPrince853Integrator9.getName();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler14, 1.9855683087099187d, 0.9988186212247272d, (-1));
    java.lang.String str19 = dormandPrince853Integrator9.getName();
    double d20 = dormandPrince853Integrator9.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str13.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str19.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test084"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.1147404235582516d, 0.03589349269654011d, 1.904022106819604d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test085"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(820048L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 820048L);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test086"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(1.0842022E-19f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0842023E-19f);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test087"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-0.009553894978589815d), (java.lang.Number)0.7853981633974483d, true);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test088"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.999935741610764d, (-0.8390715290764523d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test089"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-0.7392602334708254d), 1.1694485830762587d, 2.3401677939505383E38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test090"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler16, 3.141592653589793d, 4.741297982545108d, 100);
    int i21 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler22, 3.71681d, 1.5337260269320758d, 128);
    dormandPrince853Integrator9.setStepSizeControl(6.123233995736766E-17d, 3.141592653589793d, 2.718281828459045d, 0.011336341985590748d);
    int i32 = dormandPrince853Integrator9.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 2147483647);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test091"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.5255249307795292d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test092"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.8773599150671552d, 1.1887750855714434d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.2220860592642104d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test093"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)20.55442608508861d);
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test094"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(4.680335587901077E38d, (-0.9897850757540458d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.680335587901077E38d));

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test095"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)0, obj_array9);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array9);
    double d13 = noBracketingException12.getLo();
    double d14 = noBracketingException12.getHi();
    double d15 = noBracketingException12.getFLo();
    double d16 = noBracketingException12.getHi();
    java.lang.Throwable[] throwable_array17 = noBracketingException12.getSuppressed();
    double d18 = noBracketingException12.getHi();
    double d19 = noBracketingException12.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0000000000000002d);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test096"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.17453292519943292d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.003046174197867085d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test097"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler16, 3.141592653589793d, 4.741297982545108d, 100);
    int i21 = dormandPrince853Integrator9.getEvaluations();
    double[] d_array24 = new double[] { 0.0d };
    int i25 = org.apache.commons.math3.util.MathUtils.hash(d_array24);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    double[] d_array28 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator9.computeDerivatives(2.283057279171351d, d_array24, d_array28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 31);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test098"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.226191170883517d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test099"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.2207037E-4f, (-0.0f), 9.094947E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test100"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable12, obj_array14);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable10, (java.lang.Number)(byte)0, obj_array14);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException17 = new org.apache.commons.math3.exception.NoBracketingException(localizable5, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array14);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)10.0d, obj_array14);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException19 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable1, (java.lang.Number)0.2d, obj_array14);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array14);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext21 = mathArithmeticException20.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext22 = mathArithmeticException20.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext22);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test101"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.13727509800736173d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.13727509800736173d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test102"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable14 = null;
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    dormandPrince853Integrator26.setSafety(0.0d);
    java.util.Collection collection31 = dormandPrince853Integrator26.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable33, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator26, localizable32, obj_array35);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array35);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException39 = new org.apache.commons.math3.exception.MathArithmeticException(localizable15, obj_array35);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException40 = new org.apache.commons.math3.exception.NullArgumentException(localizable14, obj_array35);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException41 = new org.apache.commons.math3.exception.NoBracketingException(localizable9, 1.4210854715202004E-14d, 1.5574077246549023d, 1.307972410734653d, 0.4404105453714162d, obj_array35);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException42 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable7, localizable8, obj_array35);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException43 = new org.apache.commons.math3.exception.NoBracketingException(localizable2, 0.9226350743220142d, 0.004526773799885914d, 1.0587911840678754E-22d, 8.28248832576111E-108d, obj_array35);
    org.apache.commons.math3.exception.MathInternalError mathInternalError44 = new org.apache.commons.math3.exception.MathInternalError(localizable1, obj_array35);
    org.apache.commons.math3.exception.MathInternalError mathInternalError45 = new org.apache.commons.math3.exception.MathInternalError(localizable0, obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test103"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.4551914E-11f, 1.2207036E-4f, (-1855157276));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test104"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setInitialStepSize(0.0d);
    dormandPrince853Integrator9.setInitialStepSize(0.6020638221877662d);
    dormandPrince853Integrator9.setStepSizeControl(Double.NEGATIVE_INFINITY, 1.433086385448774d, 1.7528966507168155E24d, 1.9855683087099187d);
    int i21 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str22 = dormandPrince853Integrator9.getName();
    java.util.Collection collection23 = dormandPrince853Integrator9.getStepHandlers();
    int i24 = dormandPrince853Integrator9.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str22.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 2147483647);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test105"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.exception.util.Localizable localizable14 = null;
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array19);
    double[] d_array24 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator25 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array19, d_array24);
    int i26 = dormandPrince853Integrator25.getEvaluations();
    double d27 = dormandPrince853Integrator25.getMinReduction();
    dormandPrince853Integrator25.setSafety(0.0d);
    java.util.Collection collection30 = dormandPrince853Integrator25.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable31 = null;
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException35 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable32, obj_array34);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator25, localizable31, obj_array34);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException37 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable15, obj_array34);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException38 = new org.apache.commons.math3.exception.MathArithmeticException(localizable14, obj_array34);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException39 = new org.apache.commons.math3.exception.NullArgumentException(localizable13, obj_array34);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException40 = new org.apache.commons.math3.exception.NoBracketingException(localizable8, 1.4210854715202004E-14d, 1.5574077246549023d, 1.307972410734653d, 0.4404105453714162d, obj_array34);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException41 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable6, localizable7, obj_array34);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException42 = new org.apache.commons.math3.exception.NoBracketingException(localizable1, 0.9226350743220142d, 0.004526773799885914d, 1.0587911840678754E-22d, 8.28248832576111E-108d, obj_array34);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException43 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test106"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.46025443444780795d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test107"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler12 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver16 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d17 = bracketingNthOrderBrentSolver16.getAbsoluteAccuracy();
    double d18 = bracketingNthOrderBrentSolver16.getFunctionValueAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler12, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver16);
    java.lang.String str20 = dormandPrince853Integrator9.getName();
    org.apache.commons.math3.ode.events.EventHandler eventHandler21 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler21, 1.4330863854487743d, 4.635416371083176d, (-2));
    dormandPrince853Integrator9.setStepSizeControl(5.729577951308233E-14d, 49.7897309487635d, (-15.954589770191003d), 1.526523647200146d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str20.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test108"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.205437706585239d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5193295340599615d);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test109"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.11969494830008531d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.11305628061900531d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test110"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, obj_array5);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException7 = new org.apache.commons.math3.exception.MathArithmeticException(localizable2, obj_array5);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException8 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)(short)100, obj_array5);
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable14 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable14, (java.lang.Number)(byte)0, obj_array18);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException21 = new org.apache.commons.math3.exception.NoBracketingException(localizable9, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array18);
    notFiniteNumberException8.addSuppressed((java.lang.Throwable)noBracketingException21);
    double d23 = noBracketingException21.getFLo();
    double d24 = noBracketingException21.getLo();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext25 = noBracketingException21.getContext();
    double d26 = noBracketingException21.getFLo();
    org.apache.commons.math3.exception.util.Localizable localizable27 = null;
    org.apache.commons.math3.exception.util.Localizable localizable28 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    org.apache.commons.math3.exception.util.Localizable localizable34 = null;
    org.apache.commons.math3.exception.util.Localizable localizable39 = null;
    java.lang.Object[] obj_array41 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException42 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable39, obj_array41);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException43 = new org.apache.commons.math3.exception.NoBracketingException(localizable34, 5.298292365610485d, 1.5707963267948966d, 4.9E-324d, 1.1102230246251565E-16d, obj_array41);
    org.apache.commons.math3.exception.MathInternalError mathInternalError44 = new org.apache.commons.math3.exception.MathInternalError(localizable33, obj_array41);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException45 = new org.apache.commons.math3.exception.NoBracketingException(localizable28, 0.0d, 7.105427357601002E-15d, (-0.626772941534327d), 15.954589770191003d, obj_array41);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)noBracketingException21, localizable27, obj_array41);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.5533448061434307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test111"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-0.03516949888023485d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test112"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(2578L, 3L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2578L);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test113"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(1.233403117511217d, 0.3796860135999448d, 0.47210922871965255d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.001921861591674845d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test114"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.02638641867806169d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.469446951953614E-18d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test115"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(1280.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1280);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test116"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)2.2463313789128936d, (java.lang.Number)(-437672695), true);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-437672695)+ "'", number4.equals((-437672695)));

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test117"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    int i11 = dormandPrince853Integrator9.getEvaluations();
    double[] d_array14 = new double[] {  };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array14);
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler20 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler24 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver28 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i29 = bracketingNthOrderBrentSolver28.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState30 = new org.apache.commons.math3.ode.events.EventState(eventHandler24, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver28);
    org.apache.commons.math3.ode.events.EventState eventState31 = new org.apache.commons.math3.ode.events.EventState(eventHandler20, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver28);
    int i32 = bracketingNthOrderBrentSolver28.getMaximalOrder();
    org.apache.commons.math3.ode.events.EventState eventState33 = new org.apache.commons.math3.ode.events.EventState(eventHandler16, Double.NEGATIVE_INFINITY, 57.29577951308232d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver28);
    double[] d_array38 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array38);
    double[] d_array43 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator44 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array38, d_array43);
    int i45 = dormandPrince853Integrator44.getEvaluations();
    double d46 = dormandPrince853Integrator44.getMinReduction();
    dormandPrince853Integrator44.setSafety(0.0d);
    java.util.Collection collection49 = dormandPrince853Integrator44.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable50 = null;
    org.apache.commons.math3.exception.util.Localizable localizable51 = null;
    java.lang.Object[] obj_array53 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException54 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable51, obj_array53);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator44, localizable50, obj_array53);
    double d56 = dormandPrince853Integrator44.getMaxGrowth();
    double[] d_array62 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array62);
    double[] d_array67 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator68 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array62, d_array67);
    double[] d_array70 = new double[] { (-1.0d) };
    dormandPrince853Integrator44.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array67, d_array70);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array70);
    boolean b73 = eventState33.reset(1.2182829050172777d, d_array70);
    dormandPrince853Integrator9.setStepSizeControl(15.954589770191003d, 0.6604469777523206d, d_array14, d_array70);
    double d75 = dormandPrince853Integrator9.getCurrentStepStart();
    double d76 = dormandPrince853Integrator9.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d75, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 15.954589770191003d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test118"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce((-3.3274139948776593d), 0.0d, 0.9999999999999998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test119"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.6293945E-6f);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test120"); }


    double d2 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.midpoint(0.03516949888023485d, 1.5533432697486211d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.794256384314428d);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test121"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    double[] d_array35 = new double[] { (-1.0d) };
    dormandPrince853Integrator9.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array32, d_array35);
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler37 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler37);
    double d39 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setSafety(1.7528966507168187E24d);
    dormandPrince853Integrator9.setMaxEvaluations(1079394304);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test122"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.1368683772160957E-13d, 4.022191557777585d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1368683772160957E-13d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test123"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.48195290090261633d, (-437672695));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test124"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(8.0d, (-0.009553894978589815d), 75427719);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test125"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.1920932E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920932E-7f);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test126"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-3L), (-14L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3L));

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test127"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyBracketing(univariateFunction0, 4.741901905228454d, 0.12630021633152d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test128"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(100.0d, 89.0001015205856d, 1.5533448061434307d, 100);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = bracketingNthOrderBrentSolver4.solve(0, univariateFunction6, 1672.9139787820914d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test129"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-100L), 2578L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-100L));

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test130"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.0010036119355930628d, 0.5451949049205995d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test131"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(5120.001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 12);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test132"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(267.7458277623821d, 535.4916555247642d, 0.0d, (-35.91144426291684d));
    double d5 = noBracketingException4.getFLo();
    double d6 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test133"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.0d, 1.0000000000000002d, 10, univariateSolver4);
    double d6 = eventState5.getConvergence();
    double d7 = eventState5.getEventTime();
    org.apache.commons.math3.ode.events.EventHandler eventHandler8 = eventState5.getEventHandler();
    double d9 = eventState5.getMaxCheckInterval();
    org.apache.commons.math3.ode.events.EventHandler eventHandler10 = eventState5.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0000000000000002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler10);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test134"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setInitialStepSize(1.0d);
    dormandPrince853Integrator9.setSafety(0.9988186212247272d);
    double d37 = dormandPrince853Integrator9.getSafety();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.9988186212247272d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test135"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.003005301661576255d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000045159224376d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test136"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(1008700321, 31);
    double[] d_array3 = null;
    double[] d_array5 = new double[] { 0.0d };
    int i6 = org.apache.commons.math3.util.MathUtils.hash(d_array5);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.insertEquationData(d_array3, d_array5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 31);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test137"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    double[] d_array35 = new double[] { (-1.0d) };
    dormandPrince853Integrator9.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array32, d_array35);
    dormandPrince853Integrator9.setInitialStepSize(1.307972410734653d);
    org.apache.commons.math3.ode.ExpandableStatefulODE expandableStatefulODE39 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator9.integrate(expandableStatefulODE39, 1.9721522630525295E-31d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test138"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(12.087804261643896d, (-0.0013377559375203126d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5838978964872324E-4d));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test139"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(5.7E-322d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.7E-322d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test140"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.321813991248445d, 40.428399626241514d, (-156150945));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test141"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(0, 1265661023);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test142"); }


    double d2 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.midpoint(2.2578581451356334d, 0.5451949049205995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4015265250281166d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test143"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler2 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver6 = null;
    org.apache.commons.math3.ode.events.EventState eventState7 = new org.apache.commons.math3.ode.events.EventState(eventHandler2, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver6);
    double d8 = eventState7.getEventTime();
    double[] d_array15 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array15);
    double[] d_array20 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator21 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array15, d_array20);
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver26 = null;
    org.apache.commons.math3.ode.events.EventState eventState27 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver26);
    int i28 = eventState27.getMaxIterationCount();
    boolean b29 = eventState27.stop();
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array32);
    boolean b34 = eventState27.reset(0.0d, d_array32);
    double[] d_array39 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b40 = eventState27.reset(56.516459060951796d, d_array39);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array20, d_array39);
    boolean b42 = eventState7.reset((-8.249305440540187d), d_array20);
    org.apache.commons.math3.ode.events.EventHandler eventHandler43 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver47 = null;
    org.apache.commons.math3.ode.events.EventState eventState48 = new org.apache.commons.math3.ode.events.EventState(eventHandler43, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver47);
    int i49 = eventState48.getMaxIterationCount();
    boolean b50 = eventState48.stop();
    double[] d_array53 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array53);
    boolean b55 = eventState48.reset(0.0d, d_array53);
    double[] d_array60 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b61 = eventState48.reset(56.516459060951796d, d_array60);
    int i62 = org.apache.commons.math3.util.MathUtils.hash(d_array60);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator63 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.9993909506874566d, 1.307972410734653d, d_array20, d_array60);
    int i64 = org.apache.commons.math3.util.MathUtils.hash(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == (-1040157601));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 1265661023);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test144"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1.1274331234873514d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8452266201420958d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test145"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.33520078164070705d, 0.9385078997951388d, 0.0033438322538038596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test146"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    int i6 = eventState5.getMaxIterationCount();
    double d7 = eventState5.getEventTime();
    org.apache.commons.math3.ode.events.EventHandler eventHandler9 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver13 = null;
    org.apache.commons.math3.ode.events.EventState eventState14 = new org.apache.commons.math3.ode.events.EventState(eventHandler9, 0.0d, 1.0000000000000002d, 10, univariateSolver13);
    double d15 = eventState14.getEventTime();
    double[] d_array18 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array18);
    boolean b20 = eventState14.reset(0.0d, d_array18);
    boolean b21 = eventState5.reset(0.0d, d_array18);
    double d22 = eventState5.getEventTime();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    int i34 = dormandPrince853Integrator33.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler35 = null;
    dormandPrince853Integrator33.addEventHandler(eventHandler35, (-0.0d), 1.7528966507168187E24d, 0);
    int i40 = dormandPrince853Integrator33.getOrder();
    java.lang.String str41 = dormandPrince853Integrator33.getName();
    dormandPrince853Integrator33.setInitialStepSize(8.881784197001252E-16d);
    double[] d_array49 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array49);
    double[] d_array54 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator55 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array49, d_array54);
    int i56 = dormandPrince853Integrator55.getEvaluations();
    dormandPrince853Integrator55.clearStepHandlers();
    double d58 = dormandPrince853Integrator55.getSafety();
    double d59 = dormandPrince853Integrator55.getMaxGrowth();
    double[] d_array65 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array65);
    double[] d_array70 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator71 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array65, d_array70);
    double[] d_array75 = new double[] { (-1.0d), 0.0d, 1.0d };
    int i76 = org.apache.commons.math3.util.MathUtils.hash(d_array75);
    dormandPrince853Integrator55.setStepSizeControl(0.0d, 4.715258503850705d, d_array70, d_array75);
    org.apache.commons.math3.ode.events.EventHandler eventHandler78 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver82 = null;
    org.apache.commons.math3.ode.events.EventState eventState83 = new org.apache.commons.math3.ode.events.EventState(eventHandler78, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver82);
    int i84 = eventState83.getMaxIterationCount();
    boolean b85 = eventState83.stop();
    double[] d_array88 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array88);
    boolean b90 = eventState83.reset(0.0d, d_array88);
    int i91 = org.apache.commons.math3.util.MathUtils.hash(d_array88);
    int i92 = org.apache.commons.math3.util.MathUtils.hash(d_array88);
    dormandPrince853Integrator33.setStepSizeControl(1.4330863854487743d, 4.741297982545109d, d_array70, d_array88);
    boolean b94 = eventState5.reset((-0.0025290429680627845d), d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str41.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b90 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i91 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i92 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == false);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test147"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.566375307179586d, 2.549746823947039E-306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.549746823947039E-306d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test148"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(0.0f, 1793092981, (-977748753));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test149"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(303.5697911758657d, (-20), 8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test150"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    double d16 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.clearEventHandlers();
    double d18 = dormandPrince853Integrator9.getCurrentStepStart();
    org.apache.commons.math3.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver27 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i28 = bracketingNthOrderBrentSolver27.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler23, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver27);
    double d30 = bracketingNthOrderBrentSolver27.getStartValue();
    double d31 = bracketingNthOrderBrentSolver27.getFunctionValueAccuracy();
    double d32 = bracketingNthOrderBrentSolver27.getAbsoluteAccuracy();
    double d33 = bracketingNthOrderBrentSolver27.getStartValue();
    double d34 = bracketingNthOrderBrentSolver27.getMax();
    dormandPrince853Integrator9.addEventHandler(eventHandler19, (-0.9696671954212148d), 0.0d, (-1074790369), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver27);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction37 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution41 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d42 = bracketingNthOrderBrentSolver27.solve(1008700321, univariateFunction37, 6.283185307179587d, 3.71681d, (-0.9999902065507035d), allowedSolution41);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test151"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(10.0d, 0.0d, (-0.0d), 2.7182818284590455d);
    double d5 = noBracketingException4.getHi();
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException10 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable6, (java.lang.Number)0.19126786962680778d, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException13 = new org.apache.commons.math3.exception.DimensionMismatchException((-1074790400), 1);
    numberIsTooLargeException10.addSuppressed((java.lang.Throwable)dimensionMismatchException13);
    noBracketingException4.addSuppressed((java.lang.Throwable)numberIsTooLargeException10);
    org.apache.commons.math3.exception.MathInternalError mathInternalError16 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    java.lang.String str17 = noBracketingException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math3.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [10, 0], values: [-0, 2.718]"+ "'", str17.equals("org.apache.commons.math3.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [10, 0], values: [-0, 2.718]"));

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test152"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-0.0248419312740395d), (-697503.3640289888d), 0.9386020910291328d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test153"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver17 = null;
    org.apache.commons.math3.ode.events.EventState eventState18 = new org.apache.commons.math3.ode.events.EventState(eventHandler13, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver17);
    int i19 = eventState18.getMaxIterationCount();
    boolean b20 = eventState18.stop();
    double[] d_array23 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array23);
    boolean b25 = eventState18.reset(0.0d, d_array23);
    double[] d_array30 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b31 = eventState18.reset(56.516459060951796d, d_array30);
    org.apache.commons.math3.ode.events.EventHandler eventHandler32 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver36 = null;
    org.apache.commons.math3.ode.events.EventState eventState37 = new org.apache.commons.math3.ode.events.EventState(eventHandler32, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver36);
    int i38 = eventState37.getMaxIterationCount();
    boolean b39 = eventState37.stop();
    double[] d_array42 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array42);
    boolean b44 = eventState37.reset(0.0d, d_array42);
    dormandPrince853Integrator9.setStepSizeControl(5.298292365610485d, 2.718281828459045d, d_array30, d_array42);
    double d46 = dormandPrince853Integrator9.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 10.0d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test154"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.6225927E32f, 1280.0002f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test155"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(11.548739357257757d, 0.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test156"); }


    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.3118944184041375d, 14.24915811704623d, 0.0d, 1.5574077246549023d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test157"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.2207036E-4f, 1280.0002f, 1.192093E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test158"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(7.629395E-6f, 1280.0002f, (-0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test159"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.0842021724855044E-19d, 4245807.5263283085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0842021724855047E-19d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test160"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    dormandPrince853Integrator9.setMinReduction(3.5346958487132123d);
    double d18 = dormandPrince853Integrator9.getCurrentSignedStepsize();
    int i19 = dormandPrince853Integrator9.getOrder();
    java.util.Collection collection20 = dormandPrince853Integrator9.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 9.433986512635347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection20);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test161"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(3200.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3200.0002f);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test162"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.0000000000001666E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000000003333E-6d);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test163"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    double d16 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.clearEventHandlers();
    double d18 = dormandPrince853Integrator9.getCurrentStepStart();
    org.apache.commons.math3.ode.events.EventHandler eventHandler19 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler23 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver27 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i28 = bracketingNthOrderBrentSolver27.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler23, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver27);
    double d30 = bracketingNthOrderBrentSolver27.getStartValue();
    double d31 = bracketingNthOrderBrentSolver27.getFunctionValueAccuracy();
    double d32 = bracketingNthOrderBrentSolver27.getAbsoluteAccuracy();
    double d33 = bracketingNthOrderBrentSolver27.getStartValue();
    double d34 = bracketingNthOrderBrentSolver27.getMax();
    dormandPrince853Integrator9.addEventHandler(eventHandler19, (-0.9696671954212148d), 0.0d, (-1074790369), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver27);
    int i36 = dormandPrince853Integrator9.getOrder();
    int i37 = dormandPrince853Integrator9.getMaxEvaluations();
    org.apache.commons.math3.ode.ExpandableStatefulODE expandableStatefulODE38 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator9.integrate(expandableStatefulODE38, 0.10408057809911875d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 2147483647);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test164"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-564520.6359710112d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test165"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(1.4019486505453282d, 0.5895488313602779d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test166"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    dormandPrince853Integrator26.setSafety(0.0d);
    java.util.Collection collection31 = dormandPrince853Integrator26.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable33, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator26, localizable32, obj_array35);
    double d38 = dormandPrince853Integrator26.getMaxGrowth();
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    double[] d_array49 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array44, d_array49);
    double[] d_array52 = new double[] { (-1.0d) };
    dormandPrince853Integrator26.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array49, d_array52);
    org.apache.commons.math3.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver58 = null;
    org.apache.commons.math3.ode.events.EventState eventState59 = new org.apache.commons.math3.ode.events.EventState(eventHandler54, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver58);
    int i60 = eventState59.getMaxIterationCount();
    boolean b61 = eventState59.stop();
    double[] d_array64 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    boolean b66 = eventState59.reset(0.0d, d_array64);
    int i67 = org.apache.commons.math3.util.MathUtils.hash(d_array64);
    dormandPrince853Integrator9.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array49, d_array64);
    double d69 = dormandPrince853Integrator9.getMinReduction();
    int i70 = dormandPrince853Integrator9.getMaxEvaluations();
    dormandPrince853Integrator9.setMaxGrowth(0.7832441209980989d);
    dormandPrince853Integrator9.setMaxEvaluations(996147200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 2147483647);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test167"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyBracketing(univariateFunction0, 5.0d, (-14.168765766172724d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test168"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.0618065376928845d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test169"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.19126786962680778d, (java.lang.Number)10.0f, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    java.lang.Throwable[] throwable_array6 = numberIsTooLargeException4.getSuppressed();
    boolean b7 = numberIsTooLargeException4.getBoundIsAllowed();
    boolean b8 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number9 = numberIsTooLargeException4.getArgument();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = numberIsTooLargeException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 0.19126786962680778d+ "'", number9.equals(0.19126786962680778d));

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test170"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(1.2348211156578683d, 2.8479019237863192d, 3.572941372740587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test171"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(9.445076139061747E305d, 0.0d, (-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test172"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-1.2180366928045787d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test173"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-10.0f), (java.lang.Number)2.7182818284590455d, true);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, obj_array7);
    numberIsTooSmallException4.addSuppressed((java.lang.Throwable)mathIllegalArgumentException8);
    java.lang.Number number10 = numberIsTooSmallException4.getMin();
    java.lang.Number number11 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 2.7182818284590455d+ "'", number10.equals(2.7182818284590455d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 2.7182818284590455d+ "'", number11.equals(2.7182818284590455d));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test174"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.1920932E-7f, (-1.2676505E30f), 11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test175"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver4);
    double d6 = eventState5.getMaxCheckInterval();
    org.apache.commons.math3.ode.events.EventHandler eventHandler7 = eventState5.getEventHandler();
    boolean b8 = eventState5.stop();
    double d9 = eventState5.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.1102230246251565E-16d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test176"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(2.064557505924726E30d, 0.5299153585255104d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test177"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence(1.98984688423722d, 0.3486759449855155d, 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test178"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.8500101077622126d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3835405562008058d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test179"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.0772700355783204E-128d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0379161987262366E-64d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test180"); }


    float f2 = org.apache.commons.math3.util.Precision.round(1.192093E-7f, 1016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test181"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    double[] d_array5 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[] d_array10 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array5, d_array10);
    int i12 = dormandPrince853Integrator11.getEvaluations();
    double d13 = dormandPrince853Integrator11.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver18 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d19 = bracketingNthOrderBrentSolver18.getAbsoluteAccuracy();
    double d20 = bracketingNthOrderBrentSolver18.getFunctionValueAccuracy();
    dormandPrince853Integrator11.addEventHandler(eventHandler14, 5.298292365610485d, 1.9855683087099187d, 10, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver18);
    double d22 = bracketingNthOrderBrentSolver18.getMin();
    int i23 = bracketingNthOrderBrentSolver18.getEvaluations();
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution27 = org.apache.commons.math3.analysis.solvers.AllowedSolution.RIGHT_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d28 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(75427719, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver18, 4590564.7622621255d, 0.0d, (-0.001338651132267835d), allowedSolution27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution27);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test182"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)7.569397566060481d, (java.lang.Number)1008700321, false);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test183"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 1.0618065376928847d, 437672695);
    double d4 = bracketingNthOrderBrentSolver3.getStartValue();
    double d5 = bracketingNthOrderBrentSolver3.getMin();
    double d6 = bracketingNthOrderBrentSolver3.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test184"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(3.7168099999999953d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 20.55432951299603d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test185"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(267.74489404101695d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.283185307179588d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test186"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign((-3L), (-820048L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3L));

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test187"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 1.5265236472001458d, 1.5193295340599615d, 1.4544647885143314d, (-10));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test188"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(0.4739641460032654d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test189"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.8998668269691907d, 0.20000000000000004d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8998668269691907d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test190"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(134.01794674634826d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.984077653708105E57d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test191"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test192"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(10.0d, 0.0d, (-0.0d), 2.7182818284590455d);
    double d5 = noBracketingException4.getHi();
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException10 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable6, (java.lang.Number)0.19126786962680778d, (java.lang.Number)10.0f, false);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException13 = new org.apache.commons.math3.exception.DimensionMismatchException((-1074790400), 1);
    numberIsTooLargeException10.addSuppressed((java.lang.Throwable)dimensionMismatchException13);
    noBracketingException4.addSuppressed((java.lang.Throwable)numberIsTooLargeException10);
    double d16 = noBracketingException4.getFLo();
    double d17 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == (-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test193"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.9226350743220142d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test194"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.5193295340599615d, 1.4544647885143316d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.103290292397818d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test195"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(1.4544647885143316d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test196"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-0.6045536610756909d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.642058408406578d));

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test197"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(0, (-283985305));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test198"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.4383496840976697d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4122755649686602d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test199"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.040281461259271d, 0.9654417610908377d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.040281461259271d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test200"); }


    double d2 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.midpoint((-0.010871939557916386d), 91414.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 45706.99456403022d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test201"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    boolean b7 = incrementor1.canIncrement();
    incrementor1.resetCount();
    boolean b9 = incrementor1.canIncrement();
    boolean b10 = incrementor1.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test202"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.031981312287980415d, 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 16.374431891445973d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test203"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.9788585226911208d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 113.38024160369427d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test204"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(3.14159264591047d, 0.9993909506874566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.1415926459104697d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test205"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-439229608), 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 7);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test206"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(55.1301646998319d, 0.006577316352613154d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 55.130164699831894d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test207"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getCurrentStepStart();
    int i12 = dormandPrince853Integrator9.getMaxEvaluations();
    int i13 = dormandPrince853Integrator9.getEvaluations();
    double d14 = dormandPrince853Integrator9.getMaxStep();
    dormandPrince853Integrator9.setMinReduction(0.5419356349668824d);
    org.apache.commons.math3.ode.ExpandableStatefulODE expandableStatefulODE17 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator9.integrate(expandableStatefulODE17, 1.864825035600266E-5d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 57.29577951308232d);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test208"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(128);
    int i2 = incrementor1.getCount();
    incrementor1.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test209"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver7 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(89.04160334794895d, 1.4330863854487743d, 2);
    org.apache.commons.math3.ode.events.EventState eventState8 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.8570195601220605d, (-0.1439775409401076d), 127, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver7);
    double d9 = bracketingNthOrderBrentSolver7.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.4330863854487743d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test210"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.0f, 9.6714065E24f, 1.4210855E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test211"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(5120.001f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5120.001f);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test212"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.0f);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test213"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 20);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test214"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(4.635416371083177d, (-2.473150756570767E-17d), 0.6229407956575255d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test215"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-1.3219323883977487d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test216"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)0.03198676433760333d, (java.lang.Number)861268882, true);
    java.lang.String str4 = numberIsTooLargeException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooLargeException: 0.032 is larger than the maximum (861,268,882)"+ "'", str4.equals("org.apache.commons.math3.exception.NumberIsTooLargeException: 0.032 is larger than the maximum (861,268,882)"));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test217"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    int i7 = bracketingNthOrderBrentSolver4.getMaximalOrder();
    double d8 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    int i9 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = bracketingNthOrderBrentSolver4.solve(44, univariateFunction11, 0.8031746959745532d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test218"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(3.5437097408356864E-103d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test219"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(2.103290292397818d, 1.6487212707001282d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6724923111152249d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test220"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.ode.events.EventState eventState11 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    double d12 = bracketingNthOrderBrentSolver8.getRelativeAccuracy();
    double d13 = bracketingNthOrderBrentSolver8.getFunctionValueAccuracy();
    double d14 = bracketingNthOrderBrentSolver8.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0E-14d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test221"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(89.04160334794895d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test222"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.19126786962680778d, (java.lang.Number)10.0f, false);
    java.lang.Number number5 = numberIsTooLargeException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.19126786962680778d+ "'", number5.equals(0.19126786962680778d));

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test223"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(7.034677413160338E13d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test224"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(1.7528966507168152E24d, 2.356127920920548d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test225"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(267.7458277623821d, 1.832706596824245d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 267.7458277623821d);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test226"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(2.2463313789128936d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3514738237943244d);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test227"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.ode.events.EventHandler eventHandler13 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver17 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d18 = bracketingNthOrderBrentSolver17.getAbsoluteAccuracy();
    int i19 = bracketingNthOrderBrentSolver17.getMaxEvaluations();
    double d20 = bracketingNthOrderBrentSolver17.getAbsoluteAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler13, 0.0d, 1.5650761913479965d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver17);
    dormandPrince853Integrator9.clearStepHandlers();
    double d23 = dormandPrince853Integrator9.getSafety();
    int i24 = dormandPrince853Integrator9.getMaxEvaluations();
    org.apache.commons.math3.ode.ExpandableStatefulODE expandableStatefulODE25 = null;
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator9.integrate(expandableStatefulODE25, 53.06826989114308d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 2147483647);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test228"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(1.583782009010543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2403563607344654d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test229"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(40.000008f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.8146973E-6f);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test230"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(1.8889466E22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.8889468E22f);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test231"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver15 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d16 = bracketingNthOrderBrentSolver15.getAbsoluteAccuracy();
    double d17 = bracketingNthOrderBrentSolver15.getFunctionValueAccuracy();
    double d18 = bracketingNthOrderBrentSolver15.getMax();
    dormandPrince853Integrator9.addEventHandler(eventHandler11, 0.0d, 15.954589770191003d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver15);
    double d20 = bracketingNthOrderBrentSolver15.getFunctionValueAccuracy();
    double d21 = bracketingNthOrderBrentSolver15.getStartValue();
    int i22 = bracketingNthOrderBrentSolver15.getMaximalOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 5);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test232"); }


    double[] d_array3 = new double[] { 0.0d };
    int i4 = org.apache.commons.math3.util.MathUtils.hash(d_array3);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array9 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    double[] d_array14 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator15 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array9, d_array14);
    int i16 = dormandPrince853Integrator15.getEvaluations();
    double d17 = dormandPrince853Integrator15.getMinReduction();
    dormandPrince853Integrator15.setSafety(0.0d);
    java.util.Collection collection20 = dormandPrince853Integrator15.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable21 = null;
    org.apache.commons.math3.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable22, obj_array24);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator15, localizable21, obj_array24);
    double d27 = dormandPrince853Integrator15.getMaxGrowth();
    double[] d_array33 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array33);
    double[] d_array38 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator39 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array33, d_array38);
    double[] d_array41 = new double[] { (-1.0d) };
    dormandPrince853Integrator15.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array38, d_array41);
    int i43 = org.apache.commons.math3.util.MathUtils.hash(d_array41);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator44 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.011336584797708547d, 0.22140275816016985d, d_array3, d_array41);
    double d45 = dormandPrince853Integrator44.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == (-1074790369));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 10.0d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test233"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.40219785212387804d, 0.0d, 188090.9488144195d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test234"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(0.0d, 4.022191557777585d, 1.2909827789843418d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test235"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.42816058405501645d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test236"); }


    double[] d_array2 = null;
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array6);
    double[] d_array11 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array6, d_array11);
    int i13 = dormandPrince853Integrator12.getEvaluations();
    double d14 = dormandPrince853Integrator12.getMinReduction();
    java.util.Collection collection15 = dormandPrince853Integrator12.getStepHandlers();
    dormandPrince853Integrator12.clearStepHandlers();
    double[] d_array24 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    double[] d_array29 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array24, d_array29);
    org.apache.commons.math3.ode.events.EventHandler eventHandler31 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver35 = null;
    org.apache.commons.math3.ode.events.EventState eventState36 = new org.apache.commons.math3.ode.events.EventState(eventHandler31, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver35);
    int i37 = eventState36.getMaxIterationCount();
    boolean b38 = eventState36.stop();
    double[] d_array41 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array41);
    boolean b43 = eventState36.reset(0.0d, d_array41);
    double[] d_array48 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b49 = eventState36.reset(56.516459060951796d, d_array48);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.307972410734653d, d_array29, d_array48);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array29);
    double[] d_array55 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array55);
    double[] d_array60 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator61 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array55, d_array60);
    dormandPrince853Integrator12.setStepSizeControl(2.4497460077641993d, 0.8771301074319141d, d_array29, d_array60);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array29);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator64 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator((-0.7639964551615661d), 0.0d, d_array2, d_array29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test237"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.01050799600431821d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.10250851674040655d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test238"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    java.util.Collection collection22 = dormandPrince853Integrator9.getEventHandlers();
    double d23 = dormandPrince853Integrator9.getMaxStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 57.29577951308232d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test239"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(3.14159264591047d, 0.20000000000000004d, 1672.9139787820914d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test240"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, (-1.5838978964872324E-4d), 0.9117339147869651d, 0.8500101077622126d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test241"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler16, 3.141592653589793d, 4.741297982545108d, 100);
    int i21 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler22, 3.71681d, 1.5337260269320758d, 128);
    org.apache.commons.math3.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d32 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    int i33 = bracketingNthOrderBrentSolver31.getMaxEvaluations();
    double d34 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    double d35 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler27, 1.5650761913479965d, 1.2182829050172777d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver31);
    dormandPrince853Integrator9.setMaxGrowth(3.7168146928204138d);
    double d39 = dormandPrince853Integrator9.getMinReduction();
    double d40 = dormandPrince853Integrator9.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.2d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test242"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.2851731651538846d, 0.24778624026579565d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test243"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 0.0d, 1.0000010000005d, 2147483647);
    double d5 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    double d6 = bracketingNthOrderBrentSolver4.getMax();
    int i7 = bracketingNthOrderBrentSolver4.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0000010000005d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test244"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(433.69453399186335d, (-0.32386357984292224d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 433.6945339918633d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test245"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.6896776741245407d, (-13));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.0625948170465585E-4d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test246"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(5L, (-14L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-5L));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test247"); }


    double d2 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.midpoint(1.3835405562008058d, 3.3881317890172014E-21d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6917702781004029d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test248"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(0.0d, 1.5574077246549018d, (-0.642058408406578d), 1.9377047211159066E-18d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test249"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.141592653589793d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test250"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.005463784468559427d, 1.6896776741245407d, 2.688117141816136E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test251"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.010563398882022d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5313835328739165d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test252"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(40.000004f, 1.2676506E30f, 1.0842022E-19f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test253"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(820048L, 5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 820048L);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test254"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(40.000008f, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1280.0002f);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test255"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(3.398343619656164d, 1.205437706585239d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2299287558360417d);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test256"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.03198676433760333d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03199768015847429d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test257"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable9, obj_array11);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable7, (java.lang.Number)(byte)0, obj_array11);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException14 = new org.apache.commons.math3.exception.NoBracketingException(localizable2, 1.5574077246549023d, 15.823745150392188d, 6.283185307179587d, 0.0370702951968743d, obj_array11);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)4.74129798254511d, obj_array11);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext16 = notFiniteNumberException15.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext16);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test258"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d1 = bracketingNthOrderBrentSolver0.getAbsoluteAccuracy();
    int i2 = bracketingNthOrderBrentSolver0.getMaximalOrder();
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)bracketingNthOrderBrentSolver0);
    double d4 = bracketingNthOrderBrentSolver0.getMin();
    double d5 = bracketingNthOrderBrentSolver0.getFunctionValueAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = bracketingNthOrderBrentSolver0.solve(40, univariateFunction7, 1.0E-323d, 1.5707963267948823d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test259"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-2147483648), 437672695);
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 437672695);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test260"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 0.0d, 1.3239700339195063E12d, 10);
    double d5 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = bracketingNthOrderBrentSolver4.solve(20, univariateFunction7, 15.823745150392188d, 0.13727509800736173d, 8.764483253584077E23d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test261"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    double[] d_array5 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[] d_array10 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array5, d_array10);
    int i12 = dormandPrince853Integrator11.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler13 = null;
    dormandPrince853Integrator11.addEventHandler(eventHandler13, (-0.0d), 1.7528966507168187E24d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    dormandPrince853Integrator11.addEventHandler(eventHandler18, 3.141592653589793d, 4.741297982545108d, 100);
    int i23 = dormandPrince853Integrator11.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler24 = null;
    dormandPrince853Integrator11.addEventHandler(eventHandler24, 3.71681d, 1.5337260269320758d, 128);
    org.apache.commons.math3.ode.events.EventHandler eventHandler29 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver33 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d34 = bracketingNthOrderBrentSolver33.getAbsoluteAccuracy();
    int i35 = bracketingNthOrderBrentSolver33.getMaxEvaluations();
    double d36 = bracketingNthOrderBrentSolver33.getAbsoluteAccuracy();
    double d37 = bracketingNthOrderBrentSolver33.getAbsoluteAccuracy();
    dormandPrince853Integrator11.addEventHandler(eventHandler29, 1.5650761913479965d, 1.2182829050172777d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver33);
    int i39 = bracketingNthOrderBrentSolver33.getMaximalOrder();
    double d40 = bracketingNthOrderBrentSolver33.getStartValue();
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution44 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ABOVE_SIDE;
    org.apache.commons.math3.exception.util.Localizable localizable45 = null;
    org.apache.commons.math3.exception.util.Localizable localizable46 = null;
    org.apache.commons.math3.exception.util.Localizable localizable48 = null;
    org.apache.commons.math3.exception.util.Localizable localizable50 = null;
    double[] d_array54 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array54);
    double[] d_array59 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator60 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array54, d_array59);
    int i61 = dormandPrince853Integrator60.getEvaluations();
    double d62 = dormandPrince853Integrator60.getMinReduction();
    dormandPrince853Integrator60.setSafety(0.0d);
    java.util.Collection collection65 = dormandPrince853Integrator60.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable66 = null;
    org.apache.commons.math3.exception.util.Localizable localizable67 = null;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException70 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable67, obj_array69);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator60, localizable66, obj_array69);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException72 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable50, obj_array69);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException73 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(-1.4E-45f), obj_array69);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)0.9905329613228776d, localizable48, obj_array69);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException75 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable46, obj_array69);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)allowedSolution44, localizable45, obj_array69);
    // The following exception was thrown during execution in test generation
    try {
      double d77 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(1024, univariateFunction1, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver33, 9.45115622328848E-7d, 0.0d, Double.NaN, allowedSolution44);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test262"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.7863542986405887d, 128.70530739951133d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.6771956542879445E-14d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test263"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isBracketing(univariateFunction0, 5.755496611880011E11d, (-0.10491011863382856d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test264"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    dormandPrince853Integrator9.clearEventHandlers();
    org.apache.commons.math3.ode.events.EventHandler eventHandler13 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler13, 3.572941372740587d, (-3.3274139948776593d), (-1040157601));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test265"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(8.881784197001248E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.881784197001248E-16d);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test266"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    dormandPrince853Integrator26.setSafety(0.0d);
    java.util.Collection collection31 = dormandPrince853Integrator26.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable33, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator26, localizable32, obj_array35);
    double d38 = dormandPrince853Integrator26.getMaxGrowth();
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    double[] d_array49 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array44, d_array49);
    double[] d_array52 = new double[] { (-1.0d) };
    dormandPrince853Integrator26.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array49, d_array52);
    org.apache.commons.math3.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver58 = null;
    org.apache.commons.math3.ode.events.EventState eventState59 = new org.apache.commons.math3.ode.events.EventState(eventHandler54, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver58);
    int i60 = eventState59.getMaxIterationCount();
    boolean b61 = eventState59.stop();
    double[] d_array64 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    boolean b66 = eventState59.reset(0.0d, d_array64);
    int i67 = org.apache.commons.math3.util.MathUtils.hash(d_array64);
    dormandPrince853Integrator9.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array49, d_array64);
    double d69 = dormandPrince853Integrator9.getMinReduction();
    java.lang.String str70 = dormandPrince853Integrator9.getName();
    org.apache.commons.math3.ode.events.EventHandler eventHandler71 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler71, 1.5889086380070654d, (-0.7236266338880267d), (-1));
    java.util.Collection collection76 = dormandPrince853Integrator9.getEventHandlers();
    dormandPrince853Integrator9.setSafety(2.103290292397818d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str70.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection76);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test267"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(100.00001f, 3.8146973E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test268"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-2.566375307179586d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-3L));

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test269"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.2676508E30f, 3.051758E-5f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test270"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.158378456884365d, (java.lang.Number)0.13727509800736173d, true);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = numberIsTooSmallException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.13727509800736173d+ "'", number5.equals(0.13727509800736173d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test271"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.8193408018573807d, 0.02258087175910885d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.54324349741567d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test272"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 128, (-1855157276));

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test273"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1752011936438014d);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test274"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver10 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.6020638221877662d, 2);
    double d11 = bracketingNthOrderBrentSolver10.getMin();
    double d12 = bracketingNthOrderBrentSolver10.getRelativeAccuracy();
    org.apache.commons.math3.ode.events.EventState eventState13 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 0.97469525101799d, 0.0d, 6, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver10);
    int i14 = bracketingNthOrderBrentSolver10.getMaximalOrder();
    org.apache.commons.math3.ode.events.EventState eventState15 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.9942048014840732d, 0.13727509800736173d, (-855035260), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)eventHandler0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 2);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test275"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(2.688117141816136E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test276"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler8 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver12 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i13 = bracketingNthOrderBrentSolver12.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState14 = new org.apache.commons.math3.ode.events.EventState(eventHandler8, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    org.apache.commons.math3.ode.events.EventState eventState15 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    int i16 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    org.apache.commons.math3.ode.events.EventState eventState17 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, Double.NEGATIVE_INFINITY, 57.29577951308232d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver12);
    int i18 = bracketingNthOrderBrentSolver12.getMaximalOrder();
    int i19 = bracketingNthOrderBrentSolver12.getMaxEvaluations();
    double d20 = bracketingNthOrderBrentSolver12.getMax();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction22 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d26 = bracketingNthOrderBrentSolver12.solve((-1040157601), univariateFunction22, (-0.30384150121170883d), 6.432490598706546E-16d, 8.52951668609248d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test277"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 6.414441062165243d, 8.142219984546603E-13d, (-0.9630879630248869d), (-11));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test278"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0f, 9.094948E-13f, 1.4210855E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test279"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.6229407956575255d, 60.56468602599261d, 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test280"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(89L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 89L);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test281"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.6890780316410944d, 0.2851731651538846d, 1.0276251499968108d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test282"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(3.051758E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test283"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    java.util.Collection collection15 = dormandPrince853Integrator9.getEventHandlers();
    dormandPrince853Integrator9.setMinReduction(4.022191557777585d);
    java.lang.String str18 = dormandPrince853Integrator9.getName();
    int i19 = dormandPrince853Integrator9.getEvaluations();
    double d20 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.clearEventHandlers();
    double d22 = dormandPrince853Integrator9.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str18.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.5533448061434307d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test284"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-9223372036854775807L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 9223372036854775807L);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test285"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getCount();
    int i3 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount((-437672695));
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount(2146959360);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test286"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, obj_array7);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException9 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 5.298292365610485d, 1.5707963267948966d, 4.9E-324d, 1.1102230246251565E-16d, obj_array7);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = noBracketingException9.getContext();
    double d11 = noBracketingException9.getFHi();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str12 = noBracketingException9.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.1102230246251565E-16d);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test287"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(0, (-1008700321));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test288"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(2147483647, 1048576);
    int i3 = equationsMapper2.getFirstIndex();
    int i4 = equationsMapper2.getDimension();
    org.apache.commons.math3.ode.events.EventHandler eventHandler5 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver9 = null;
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler5, 57.29577951308232d, 57.29577951308232d, 0, univariateSolver9);
    double d11 = eventState10.getConvergence();
    boolean b12 = eventState10.stop();
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array17);
    double[] d_array22 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator23 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array17, d_array22);
    int i24 = dormandPrince853Integrator23.getEvaluations();
    double d25 = dormandPrince853Integrator23.getMinReduction();
    dormandPrince853Integrator23.setSafety(0.0d);
    double d28 = dormandPrince853Integrator23.getMinReduction();
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array34);
    double[] d_array39 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator40 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array34, d_array39);
    int i41 = dormandPrince853Integrator40.getEvaluations();
    double d42 = dormandPrince853Integrator40.getMinReduction();
    dormandPrince853Integrator40.setSafety(0.0d);
    java.util.Collection collection45 = dormandPrince853Integrator40.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable46 = null;
    org.apache.commons.math3.exception.util.Localizable localizable47 = null;
    java.lang.Object[] obj_array49 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException50 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable47, obj_array49);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator40, localizable46, obj_array49);
    double d52 = dormandPrince853Integrator40.getMaxGrowth();
    double[] d_array58 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array58);
    double[] d_array63 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator64 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array58, d_array63);
    double[] d_array66 = new double[] { (-1.0d) };
    dormandPrince853Integrator40.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array63, d_array66);
    org.apache.commons.math3.ode.events.EventHandler eventHandler68 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver72 = null;
    org.apache.commons.math3.ode.events.EventState eventState73 = new org.apache.commons.math3.ode.events.EventState(eventHandler68, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver72);
    int i74 = eventState73.getMaxIterationCount();
    boolean b75 = eventState73.stop();
    double[] d_array78 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array78);
    boolean b80 = eventState73.reset(0.0d, d_array78);
    int i81 = org.apache.commons.math3.util.MathUtils.hash(d_array78);
    dormandPrince853Integrator23.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array63, d_array78);
    boolean b83 = eventState10.reset(0.6557942026326724d, d_array78);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array78);
    double[] d_array85 = null;
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array78, d_array85);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1048576);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i81 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test289"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.4544647885143316d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1627032117714385d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test290"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.985779065351093d, (-1.133490778877275d), (-439229608));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test291"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    incrementor0.setMaximalCount(0);
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount(178254315);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test292"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.8889466E22f, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.2089258E24f);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test293"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.003338266478753038d, 2.4497460077641993d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.15712673470128538d));

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test294"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(2.4741354375614093d, 9.45115622328848E-7d, 0.0d, 1048576);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = bracketingNthOrderBrentSolver4.solve(0, univariateFunction6, 0.0d, (-5.041071440620198E7d), 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test295"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-1.1649370223156144d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1649370223156144d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test296"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)2L);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    java.lang.Number number3 = maxCountExceededException1.getMax();
    java.lang.Throwable[] throwable_array4 = maxCountExceededException1.getSuppressed();
    java.lang.Number number5 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 2L+ "'", number2.equals(2L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 2L+ "'", number3.equals(2L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 2L+ "'", number5.equals(2L));

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test297"); }


    double d2 = org.apache.commons.math3.util.Precision.round(0.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test298"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    double d16 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.clearEventHandlers();
    double d18 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setSafety(0.0033382540782630537d);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler22 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler22);
    int i24 = dormandPrince853Integrator9.getEvaluations();
    double d25 = dormandPrince853Integrator9.getSafety();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0033382540782630537d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test299"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.017453292519943295d));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test300"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0, (java.lang.Number)2147483647, false);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test301"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(2.9802322387695312E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.980232238769532E-8d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test302"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-0.009553894978589815d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.009553604311173363d));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test303"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(89L, 9223372036854775807L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 9223372036854775807L);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test304"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 0.42633911841808364d, 1.074658239678971d, 0.010507996004318211d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test305"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(9223372036854775807L, 535L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 9223372036854775807L);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test306"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(2);
    incrementor1.setMaximalCount(1008700321);
    incrementor1.resetCount();

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test307"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.4551915E-11f, 0.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test308"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-1.3219323883977487d), 1.8115262724608532d, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test309"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable6, obj_array8);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable4, (java.lang.Number)(byte)0, obj_array8);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable2, (java.lang.Number)1.0d, obj_array8);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)2.6816347589161262E40d, obj_array8);
    java.lang.Number number13 = maxCountExceededException12.getMax();
    java.lang.Number number14 = maxCountExceededException12.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 2.6816347589161262E40d+ "'", number13.equals(2.6816347589161262E40d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 2.6816347589161262E40d+ "'", number14.equals(2.6816347589161262E40d));

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test310"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(0.0d, 16.362940681991795d, 5.021679000434556E25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test311"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    org.apache.commons.math3.ode.events.EventHandler eventHandler33 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver41 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 0.0d, 1.3239700339195063E12d, 10);
    dormandPrince853Integrator9.addEventHandler(eventHandler33, (-0.7236266338880267d), 57.0d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver41);
    double d43 = bracketingNthOrderBrentSolver41.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test312"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    java.util.Collection collection14 = dormandPrince853Integrator9.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable16, obj_array18);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator9, localizable15, obj_array18);
    double d21 = dormandPrince853Integrator9.getMaxGrowth();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    double[] d_array35 = new double[] { (-1.0d) };
    dormandPrince853Integrator9.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array32, d_array35);
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler37 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler37);
    double d39 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setSafety(1.7528966507168187E24d);
    int i42 = dormandPrince853Integrator9.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 8);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test313"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setMaxGrowth(2.718281828459045d);
    int i35 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler38 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver42 = null;
    org.apache.commons.math3.ode.events.EventState eventState43 = new org.apache.commons.math3.ode.events.EventState(eventHandler38, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver42);
    int i44 = eventState43.getMaxIterationCount();
    boolean b45 = eventState43.stop();
    double[] d_array48 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array48);
    boolean b50 = eventState43.reset(0.0d, d_array48);
    double[] d_array54 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array54);
    double[] d_array59 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator60 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array54, d_array59);
    int i61 = dormandPrince853Integrator60.getEvaluations();
    double d62 = dormandPrince853Integrator60.getMinReduction();
    dormandPrince853Integrator60.setSafety(0.0d);
    java.util.Collection collection65 = dormandPrince853Integrator60.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable66 = null;
    org.apache.commons.math3.exception.util.Localizable localizable67 = null;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException70 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable67, obj_array69);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator60, localizable66, obj_array69);
    double d72 = dormandPrince853Integrator60.getMaxGrowth();
    double[] d_array78 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array78);
    double[] d_array83 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator84 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array78, d_array83);
    double[] d_array86 = new double[] { (-1.0d) };
    dormandPrince853Integrator60.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array83, d_array86);
    int i88 = org.apache.commons.math3.util.MathUtils.hash(d_array86);
    dormandPrince853Integrator9.setStepSizeControl(1.433086385448774d, (-0.6229407956575255d), d_array48, d_array86);
    int i90 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.setMaxGrowth(47.58806615310076d);
    double d93 = dormandPrince853Integrator9.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i88 == (-1074790369));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i90 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d93, Double.NaN, 0);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test314"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor((-1855157276));

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test315"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(0.9654417610908377d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 556571054);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test316"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifySequence(1824.0058900905265d, (-1.0d), 1.3591409142295225d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test317"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.03588578600574535d, 1.0842021724855044E-19d, 858.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test318"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.4330863854487743d, (-1074790400));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test319"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    incrementor0.setMaximalCount(2);
    int i5 = incrementor0.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test320"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(1.832706596824245d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 418722404);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test321"); }


    float f2 = org.apache.commons.math3.util.Precision.round(1.80144007E16f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.80144007E16f);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test322"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getMaxStep();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    double d14 = dormandPrince853Integrator9.getMinReduction();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)d14, localizable15, obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test323"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver((-0.2294802171812586d), 6.284137641783304d, 5);
    double d4 = bracketingNthOrderBrentSolver3.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 6.284137641783304d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test324"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.03776596823724783d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.4228993764585784d));

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test325"); }


    float f2 = org.apache.commons.math3.util.FastMath.min((-1.8889466E22f), 5120.001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.8889466E22f));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test326"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0d, 0.9262160379374064d, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test327"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(Float.POSITIVE_INFINITY, 1.647519344552359d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.4028235E38f);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test328"); }


    double d2 = org.apache.commons.math3.util.Precision.round((-0.3193333932016795d), (-8));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test329"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(6, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-6));

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test330"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.010872153749896264d, 0.9d, (-564520.6359710112d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test331"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)1.4422495703074083d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test332"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-127), (-20));
    java.lang.Number number4 = dimensionMismatchException3.getArgument();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = dimensionMismatchException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-127)+ "'", number4.equals((-127)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test333"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, 110);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 110);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test334"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence(0.0d, 1.19431599778939d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test335"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver((-0.6887043176210756d), (-0.10491011863382856d), 0.8999999999999997d, (-13));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test336"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    double d16 = dormandPrince853Integrator9.getMaxGrowth();
    int i17 = dormandPrince853Integrator9.getMaxEvaluations();
    double d18 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.setStepSizeControl((-0.911733914786965d), (-4.5556187874103236d), 1.9788585226911208d, 1.214383145469574d);
    int i24 = dormandPrince853Integrator9.getOrder();
    dormandPrince853Integrator9.setMaxEvaluations(437672695);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 8);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test337"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.8889466E22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.25179981E15f);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test338"); }


    double[] d_array5 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array5);
    double[] d_array10 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array5, d_array10);
    int i12 = dormandPrince853Integrator11.getEvaluations();
    double d13 = dormandPrince853Integrator11.getMinReduction();
    dormandPrince853Integrator11.setSafety(0.0d);
    double d16 = dormandPrince853Integrator11.getMinReduction();
    double[] d_array22 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array22);
    double[] d_array27 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array22, d_array27);
    int i29 = dormandPrince853Integrator28.getEvaluations();
    double d30 = dormandPrince853Integrator28.getMinReduction();
    dormandPrince853Integrator28.setSafety(0.0d);
    java.util.Collection collection33 = dormandPrince853Integrator28.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable34 = null;
    org.apache.commons.math3.exception.util.Localizable localizable35 = null;
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable35, obj_array37);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator28, localizable34, obj_array37);
    double d40 = dormandPrince853Integrator28.getMaxGrowth();
    double[] d_array46 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array46);
    double[] d_array51 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator52 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array46, d_array51);
    double[] d_array54 = new double[] { (-1.0d) };
    dormandPrince853Integrator28.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array51, d_array54);
    org.apache.commons.math3.ode.events.EventHandler eventHandler56 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver60 = null;
    org.apache.commons.math3.ode.events.EventState eventState61 = new org.apache.commons.math3.ode.events.EventState(eventHandler56, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver60);
    int i62 = eventState61.getMaxIterationCount();
    boolean b63 = eventState61.stop();
    double[] d_array66 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array66);
    boolean b68 = eventState61.reset(0.0d, d_array66);
    int i69 = org.apache.commons.math3.util.MathUtils.hash(d_array66);
    dormandPrince853Integrator11.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array51, d_array66);
    org.apache.commons.math3.ode.events.EventHandler eventHandler71 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver75 = null;
    org.apache.commons.math3.ode.events.EventState eventState76 = new org.apache.commons.math3.ode.events.EventState(eventHandler71, 0.0d, 1.0000000000000002d, 10, univariateSolver75);
    double d77 = eventState76.getEventTime();
    double[] d_array80 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array80);
    boolean b82 = eventState76.reset(0.0d, d_array80);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator83 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(0.0d, 3.8518598887744717E-34d, d_array51, d_array80);
    dormandPrince853Integrator83.setStepSizeControl(40.08451209775235d, 1.7253825588523148d, 3.7168146928204138d, 0.017453292519943295d);
    double d89 = dormandPrince853Integrator83.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 10.0d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test339"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.009765625f), (-110.0f), (-110.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test340"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash((-0.001338651132267835d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 168320186);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test341"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver0 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution5 = org.apache.commons.math3.analysis.solvers.AllowedSolution.BELOW_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = bracketingNthOrderBrentSolver0.solve(437672695, univariateFunction2, 1.158378456884365d, 1.1649370223156144d, allowedSolution5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution5);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test342"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(67.00446816782384d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test343"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    java.lang.String str13 = dormandPrince853Integrator9.getName();
    dormandPrince853Integrator9.setStepSizeControl(1.2626272556789118d, 0.7693572253635211d, 6.284137641783304d, 268.0d);
    double d19 = dormandPrince853Integrator9.getMinStep();
    double d20 = dormandPrince853Integrator9.getSafety();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str13.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.2626272556789118d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.9d);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test344"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(820048L, (-820048L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 820048L);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test345"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.7933375014426658d, 0.6660887502479989d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8723691594122586d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test346"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(535.4916555247642d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test347"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException3 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)0.19126786962680778d);
    java.lang.Throwable[] throwable_array4 = maxCountExceededException3.getSuppressed();
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException5 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)6.283181819818987d, (java.lang.Object[])throwable_array4);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException6 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(-1.0385948746990148d), (java.lang.Object[])throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test348"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    java.lang.String str11 = dormandPrince853Integrator9.getName();
    double d12 = dormandPrince853Integrator9.getMinReduction();
    java.lang.String str13 = dormandPrince853Integrator9.getName();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler14, 1.9855683087099187d, 0.9988186212247272d, (-1));
    java.lang.String str19 = dormandPrince853Integrator9.getName();
    java.util.Collection collection20 = dormandPrince853Integrator9.getEventHandlers();
    dormandPrince853Integrator9.clearEventHandlers();
    int i22 = dormandPrince853Integrator9.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str11.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str13.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str19.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test349"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.6799605506781077d, (-14.168765766172726d), 0.6844312379643663d, (-7));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test350"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    dormandPrince853Integrator9.setMinReduction(3.5346958487132123d);
    double d18 = dormandPrince853Integrator9.getCurrentSignedStepsize();
    dormandPrince853Integrator9.setSafety(3.141592653589794d);
    dormandPrince853Integrator9.setInitialStepSize(1.5057060085689367d);
    double d23 = dormandPrince853Integrator9.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 9.433986512635347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test351"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, (-11));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test352"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, obj_array7);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)(byte)0, obj_array7);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable1, (java.lang.Number)1.0d, obj_array7);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array7);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext12 = mathArithmeticException11.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test353"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    int i14 = dormandPrince853Integrator13.getEvaluations();
    dormandPrince853Integrator13.clearStepHandlers();
    double d16 = dormandPrince853Integrator13.getSafety();
    double d17 = dormandPrince853Integrator13.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver30 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i31 = bracketingNthOrderBrentSolver30.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState32 = new org.apache.commons.math3.ode.events.EventState(eventHandler26, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    org.apache.commons.math3.ode.events.EventState eventState33 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    dormandPrince853Integrator13.addEventHandler(eventHandler18, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    int i35 = bracketingNthOrderBrentSolver30.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState36 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, Double.NaN, 0.0d, 1072693279, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver30);
    double d37 = eventState36.getEventTime();
    boolean b38 = eventState36.stop();
    double d39 = eventState36.getConvergence();
    double d40 = eventState36.getMaxCheckInterval();
    boolean b41 = eventState36.stop();
    org.apache.commons.math3.ode.sampling.StepInterpolator stepInterpolator42 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b43 = eventState36.evaluateStep(stepInterpolator42);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test354"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(267.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.439276695638909d);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test355"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.5111573E23f, 40.000008f, 10.099999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test356"); }


    java.lang.Object obj0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable8, obj_array10);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math3.exception.NoBracketingException(localizable3, 5.298292365610485d, 1.5707963267948966d, 4.9E-324d, 1.1102230246251565E-16d, obj_array10);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math3.exception.MathArithmeticException(localizable2, obj_array10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathUtils.checkNotNull(obj0, localizable1, obj_array10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test357"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-0.6253149461674672d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6253149461674671d));

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test358"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-20.79788315838243d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.36862638458285674d));

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test359"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifySequence(534.4916555247651d, (-0.911733914786965d), 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test360"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-1.0490417E-4f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test361"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    dormandPrince853Integrator26.setSafety(0.0d);
    java.util.Collection collection31 = dormandPrince853Integrator26.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable33, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator26, localizable32, obj_array35);
    double d38 = dormandPrince853Integrator26.getMaxGrowth();
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    double[] d_array49 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array44, d_array49);
    double[] d_array52 = new double[] { (-1.0d) };
    dormandPrince853Integrator26.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array49, d_array52);
    org.apache.commons.math3.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver58 = null;
    org.apache.commons.math3.ode.events.EventState eventState59 = new org.apache.commons.math3.ode.events.EventState(eventHandler54, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver58);
    int i60 = eventState59.getMaxIterationCount();
    boolean b61 = eventState59.stop();
    double[] d_array64 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    boolean b66 = eventState59.reset(0.0d, d_array64);
    int i67 = org.apache.commons.math3.util.MathUtils.hash(d_array64);
    dormandPrince853Integrator9.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array49, d_array64);
    double d69 = dormandPrince853Integrator9.getMinReduction();
    java.lang.String str70 = dormandPrince853Integrator9.getName();
    org.apache.commons.math3.ode.events.EventHandler eventHandler71 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler71, 1.5889086380070654d, (-0.7236266338880267d), (-1));
    dormandPrince853Integrator9.setMinReduction(0.9775565237107697d);
    int i78 = dormandPrince853Integrator9.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str70.equals("Dormand-Prince 8 (5, 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i78 == 0);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test362"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(267.7458277623821d, 535.4916555247642d, 0.0d, (-35.91144426291684d));
    double d5 = noBracketingException4.getFLo();
    double d6 = noBracketingException4.getFHi();
    double d7 = noBracketingException4.getFHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-35.91144426291684d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == (-35.91144426291684d));

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test363"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.2299287558360417d, 1.3591409142295225d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3591409142295225d);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test364"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1.2403563607344654d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8922742437892242d);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test365"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.24048488774884827d), (-0.744024785054631d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test366"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setMaxGrowth(2.718281828459045d);
    int i35 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler38 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver42 = null;
    org.apache.commons.math3.ode.events.EventState eventState43 = new org.apache.commons.math3.ode.events.EventState(eventHandler38, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver42);
    int i44 = eventState43.getMaxIterationCount();
    boolean b45 = eventState43.stop();
    double[] d_array48 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array48);
    boolean b50 = eventState43.reset(0.0d, d_array48);
    double[] d_array54 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array54);
    double[] d_array59 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator60 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array54, d_array59);
    int i61 = dormandPrince853Integrator60.getEvaluations();
    double d62 = dormandPrince853Integrator60.getMinReduction();
    dormandPrince853Integrator60.setSafety(0.0d);
    java.util.Collection collection65 = dormandPrince853Integrator60.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable66 = null;
    org.apache.commons.math3.exception.util.Localizable localizable67 = null;
    java.lang.Object[] obj_array69 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException70 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable67, obj_array69);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator60, localizable66, obj_array69);
    double d72 = dormandPrince853Integrator60.getMaxGrowth();
    double[] d_array78 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array78);
    double[] d_array83 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator84 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array78, d_array83);
    double[] d_array86 = new double[] { (-1.0d) };
    dormandPrince853Integrator60.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array83, d_array86);
    int i88 = org.apache.commons.math3.util.MathUtils.hash(d_array86);
    dormandPrince853Integrator9.setStepSizeControl(1.433086385448774d, (-0.6229407956575255d), d_array48, d_array86);
    int i90 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.setMaxGrowth(47.58806615310076d);
    double d93 = dormandPrince853Integrator9.getSafety();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i88 == (-1074790369));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i90 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d93 == 0.9d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test367"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver3 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(8.142219984546603E-13d, 2.3401677939505383E38d, (-977748753));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test368"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i9 = bracketingNthOrderBrentSolver8.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState10 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    org.apache.commons.math3.ode.events.EventState eventState11 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    int i12 = bracketingNthOrderBrentSolver8.getMaximalOrder();
    int i13 = bracketingNthOrderBrentSolver8.getMaximalOrder();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction15 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction20 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver25 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.741297982545108d, (-0.7236266338880267d), 1.9855683087099187d, 10);
    double d26 = bracketingNthOrderBrentSolver25.getRelativeAccuracy();
    double d27 = bracketingNthOrderBrentSolver25.getRelativeAccuracy();
    double d28 = bracketingNthOrderBrentSolver25.getFunctionValueAccuracy();
    double d29 = bracketingNthOrderBrentSolver25.getFunctionValueAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction34 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver38 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.0d, 89.04160334794895d, 10);
    double d39 = bracketingNthOrderBrentSolver38.getStartValue();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction44 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver49 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.741297982545108d, (-0.7236266338880267d), 1.9855683087099187d, 10);
    double d50 = bracketingNthOrderBrentSolver49.getRelativeAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction55 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler56 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler60 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver64 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i65 = bracketingNthOrderBrentSolver64.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState66 = new org.apache.commons.math3.ode.events.EventState(eventHandler60, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver64);
    org.apache.commons.math3.ode.events.EventState eventState67 = new org.apache.commons.math3.ode.events.EventState(eventHandler56, 7.105427357600977E-15d, (-0.7183579793493745d), 2, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver64);
    double d68 = bracketingNthOrderBrentSolver64.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction73 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver76 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution80 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d81 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction73, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver76, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution80);
    double d82 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction55, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver64, 3.5346958487132123d, 3116.2421492954973d, 1.0365374526472741d, allowedSolution80);
    double d83 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide((-1074790400), univariateFunction44, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver49, 5.0E-7d, 0.0d, 48.196948051694136d, allowedSolution80);
    double d84 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(1023, univariateFunction34, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver38, (-1.4819636064814712d), 0.8771301074319142d, 0.5299153585255104d, allowedSolution80);
    double d85 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(31, univariateFunction20, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver25, 2.3763644578689498E-212d, 3.0d, 0.0d, allowedSolution80);
    // The following exception was thrown during execution in test generation
    try {
      double d86 = bracketingNthOrderBrentSolver8.solve(492174979, univariateFunction15, 7.105427357600977E-15d, 268.00460332072714d, 1.5287693369936317d, allowedSolution80);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.9855683087099187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.9855683087099187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 4.741297982545108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 3.5346958487132123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 5.0E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == (-1.4819636064814712d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 2.3763644578689498E-212d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test369"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d7 = bracketingNthOrderBrentSolver4.getStartValue();
    double d8 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    double d9 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    double d10 = bracketingNthOrderBrentSolver4.getStartValue();
    double d11 = bracketingNthOrderBrentSolver4.getRelativeAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction13 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution17 = org.apache.commons.math3.analysis.solvers.AllowedSolution.BELOW_SIDE;
    // The following exception was thrown during execution in test generation
    try {
      double d18 = bracketingNthOrderBrentSolver4.solve(1024, univariateFunction13, 0.7183579793493745d, 1.1694485830762587d, 1.1274331234873511d, allowedSolution17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution17);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test370"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.8999999999999997d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6418538861723946d);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test371"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(128);
    int i2 = incrementor1.getCount();
    incrementor1.setMaximalCount(1008700321);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test372"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getMaxStep();
    java.util.Collection collection13 = dormandPrince853Integrator9.getEventHandlers();
    int i14 = dormandPrince853Integrator9.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test373"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(10.54585256707141d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7763568394002505E-15d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test374"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round((-0.002529042968062785d), 5, 492174979);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test375"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.util.Incrementor incrementor3 = new org.apache.commons.math3.util.Incrementor(1793092981);
    int i4 = incrementor3.getCount();
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable10, obj_array12);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math3.exception.MathArithmeticException(localizable9, obj_array12);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException15 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable7, (java.lang.Number)(short)100, obj_array12);
    java.lang.Throwable[] throwable_array16 = notFiniteNumberException15.getSuppressed();
    org.apache.commons.math3.exception.MathInternalError mathInternalError17 = new org.apache.commons.math3.exception.MathInternalError(localizable6, (java.lang.Object[])throwable_array16);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)incrementor3, localizable5, (java.lang.Object[])throwable_array16);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)1.5574077246549025d, (java.lang.Object[])throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test376"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(42.70838196966992d, 9.869604401089358d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test377"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(0.5864808031646639d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1548262112);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test378"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.8999999999999997d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test379"); }


    double d2 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.midpoint(1.2054377065852389d, 1.2299287558360417d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2176832312106403d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test380"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.13176946887592128d, 0.6621824316943844d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test381"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    double d11 = dormandPrince853Integrator9.getMinReduction();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d14 = dormandPrince853Integrator9.getMinReduction();
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array20);
    double[] d_array25 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator26 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array20, d_array25);
    int i27 = dormandPrince853Integrator26.getEvaluations();
    double d28 = dormandPrince853Integrator26.getMinReduction();
    dormandPrince853Integrator26.setSafety(0.0d);
    java.util.Collection collection31 = dormandPrince853Integrator26.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException36 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable33, obj_array35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator26, localizable32, obj_array35);
    double d38 = dormandPrince853Integrator26.getMaxGrowth();
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array44);
    double[] d_array49 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array44, d_array49);
    double[] d_array52 = new double[] { (-1.0d) };
    dormandPrince853Integrator26.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array49, d_array52);
    org.apache.commons.math3.ode.events.EventHandler eventHandler54 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver58 = null;
    org.apache.commons.math3.ode.events.EventState eventState59 = new org.apache.commons.math3.ode.events.EventState(eventHandler54, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver58);
    int i60 = eventState59.getMaxIterationCount();
    boolean b61 = eventState59.stop();
    double[] d_array64 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array64);
    boolean b66 = eventState59.reset(0.0d, d_array64);
    int i67 = org.apache.commons.math3.util.MathUtils.hash(d_array64);
    dormandPrince853Integrator9.setStepSizeControl(1.1102230246251565E-16d, 1.5707963267948966d, d_array49, d_array64);
    double d69 = dormandPrince853Integrator9.getMinStep();
    double d70 = dormandPrince853Integrator9.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1072693279);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 10.0d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test382"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(1.80144007E16f, 1.80144007E16f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test383"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign((-1008700321), (-1074790369));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1008700321));

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test384"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(89.04160334794895d, 6.284137641783304d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test385"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.0E10f, 40.000008f, 1.5111573E23f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test386"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(6.283185307179587d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 535.4916555247651d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test387"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)0.010872153749896264d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test388"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(1072693279, 1548262112);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test389"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyBracketing(univariateFunction0, 7.0d, 4590564.7622621255d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test390"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-9.999999f), 1.2601582175503392d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-9.999998f));

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test391"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)1.9348040876847974d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test392"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-1074790369), 1855157276);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test393"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.0d, 0.6917702781004029d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test394"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(128, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 128);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test395"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable11, obj_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable9, (java.lang.Number)(byte)0, obj_array13);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable7, (java.lang.Number)1.0d, obj_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)2.6816347589161262E40d, obj_array13);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException18 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 95.55242511858037d, 0.0d, 1.321813991248445d, (-0.5869211956997074d), obj_array13);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str19 = noBracketingException18.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test396"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.2207034E-4f, 3.051758E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test397"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence(1.5889086380070654d, 55.82331188039185d, 0.5399235921889824d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test398"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(9.999999999999998d, 2.381376601119429d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.381376601119429d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test399"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)(byte)0, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)(-15.954589770191003d), obj_array9);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math3.exception.MathArithmeticException(localizable2, obj_array9);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable0, (java.lang.Number)1.7528966507168155E24d, obj_array9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError15 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)notFiniteNumberException14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test400"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.006431217544327375d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.006451942228374938d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test401"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor(1, maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test402"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)100.0d);
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    java.lang.Number number3 = notStrictlyPositiveException1.getArgument();
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable12, obj_array14);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable10, (java.lang.Number)(byte)0, obj_array14);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable8, (java.lang.Number)(-15.954589770191003d), obj_array14);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math3.exception.MathArithmeticException(localizable7, obj_array14);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException19 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable5, (java.lang.Number)2.6816347589161262E40d, obj_array14);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException1, localizable4, obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 100.0d+ "'", number3.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test403"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(91414.0d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test404"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(2.2220860592642104d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test405"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable11, obj_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable9, (java.lang.Number)(byte)0, obj_array13);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException16 = new org.apache.commons.math3.exception.NoBracketingException(localizable4, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array13);
    java.lang.Throwable[] throwable_array17 = noBracketingException16.getSuppressed();
    org.apache.commons.math3.exception.MathInternalError mathInternalError18 = new org.apache.commons.math3.exception.MathInternalError(localizable3, (java.lang.Object[])throwable_array17);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable1, (java.lang.Number)10, (java.lang.Object[])throwable_array17);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array17);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext21 = mathArithmeticException20.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext21);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test406"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    org.apache.commons.math3.ode.events.EventHandler eventHandler16 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler16, 3.141592653589793d, 4.741297982545108d, 100);
    int i21 = dormandPrince853Integrator9.getOrder();
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler22, 3.71681d, 1.5337260269320758d, 128);
    org.apache.commons.math3.ode.events.EventHandler eventHandler27 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver31 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d32 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    int i33 = bracketingNthOrderBrentSolver31.getMaxEvaluations();
    double d34 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    double d35 = bracketingNthOrderBrentSolver31.getAbsoluteAccuracy();
    dormandPrince853Integrator9.addEventHandler(eventHandler27, 1.5650761913479965d, 1.2182829050172777d, 0, (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver31);
    int i37 = bracketingNthOrderBrentSolver31.getEvaluations();
    double d38 = bracketingNthOrderBrentSolver31.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0E-14d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test407"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, number1);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = notStrictlyPositiveException2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test408"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.4551915E-11f, 7.5557864E22f, (-1280.0001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test409"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyBracketing(univariateFunction0, 1.4544647885143316d, 0.8083415176653148d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test410"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)100.0d);
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    java.lang.Number number3 = notStrictlyPositiveException1.getArgument();
    java.lang.Number number4 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 100.0d+ "'", number3.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test411"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(4.898400082417822d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test412"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(-0.0025290483600522618d));

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test413"); }


    double d2 = org.apache.commons.math3.util.Precision.round(1.0618065376928845d, 40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0618065376928845d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test414"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1280.0002f, 0.0f, (-439229608));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test415"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(55.1301646998319d, 0.011336341985590748d, 12.11630246473763d, (-0.8390715290764523d));

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test416"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.9385078997951389d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.35251342177761885d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test417"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor((-11), maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test418"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d13 = dormandPrince853Integrator9.getMaxStep();
    int i14 = dormandPrince853Integrator9.getOrder();
    int i15 = dormandPrince853Integrator9.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 2147483647);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test419"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.0486050610461317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0159460586578068d);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test420"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable9, obj_array11);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable7, (java.lang.Number)(byte)0, obj_array11);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(byte)(-1), obj_array11);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math3.exception.MathArithmeticException(localizable5, obj_array11);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)1, obj_array11);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException17 = new org.apache.commons.math3.exception.NullArgumentException(localizable2, obj_array11);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)0.01050799600431821d, obj_array11);
    java.lang.Throwable[] throwable_array19 = maxCountExceededException18.getSuppressed();
    java.lang.Number number20 = maxCountExceededException18.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + 0.01050799600431821d+ "'", number20.equals(0.01050799600431821d));

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test421"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException5 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable1, (java.lang.Number)0.19126786962680778d, (java.lang.Number)10.0f, false);
    java.lang.Number number6 = numberIsTooLargeException5.getMax();
    java.lang.Throwable[] throwable_array7 = numberIsTooLargeException5.getSuppressed();
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 10.0f+ "'", number6.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test422"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(3.469446951953614E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-58));

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test423"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(40.000008f, (-1.4E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test424"); }


    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array7);
    double[] d_array12 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array7, d_array12);
    int i14 = dormandPrince853Integrator13.getEvaluations();
    double d15 = dormandPrince853Integrator13.getMinReduction();
    dormandPrince853Integrator13.setSafety(0.0d);
    java.util.Collection collection18 = dormandPrince853Integrator13.getEventHandlers();
    org.apache.commons.math3.exception.util.Localizable localizable19 = null;
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable20, obj_array22);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)dormandPrince853Integrator13, localizable19, obj_array22);
    double d25 = dormandPrince853Integrator13.getMaxGrowth();
    double[] d_array31 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array31);
    double[] d_array36 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator37 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array31, d_array36);
    double[] d_array39 = new double[] { (-1.0d) };
    dormandPrince853Integrator13.setStepSizeControl(1.9377047211159066E-18d, 5.298292365610485d, d_array36, d_array39);
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array39);
    org.apache.commons.math3.ode.events.EventHandler eventHandler42 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver46 = null;
    org.apache.commons.math3.ode.events.EventState eventState47 = new org.apache.commons.math3.ode.events.EventState(eventHandler42, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver46);
    int i48 = eventState47.getMaxIterationCount();
    boolean b49 = eventState47.stop();
    double[] d_array52 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array52);
    boolean b54 = eventState47.reset(0.0d, d_array52);
    double[] d_array59 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b60 = eventState47.reset(56.516459060951796d, d_array59);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator61 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(5.298292365610485d, 1.6487212707001282d, d_array39, d_array59);
    org.apache.commons.math3.ode.events.EventHandler eventHandler62 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver66 = null;
    org.apache.commons.math3.ode.events.EventState eventState67 = new org.apache.commons.math3.ode.events.EventState(eventHandler62, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver66);
    int i68 = eventState67.getMaxIterationCount();
    boolean b69 = eventState67.stop();
    double[] d_array72 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array72);
    boolean b74 = eventState67.reset(0.0d, d_array72);
    int i75 = org.apache.commons.math3.util.MathUtils.hash(d_array72);
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator76 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(267.74489404101644d, 1.3239700339195063E12d, d_array39, d_array72);
    dormandPrince853Integrator76.setMinReduction((-1.0434034937813492d));
    dormandPrince853Integrator76.setInitialStepSize(0.7853981633974483d);
    dormandPrince853Integrator76.clearEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 1072693279);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test425"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(168320186, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 168320186);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test426"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)(short)1);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    java.lang.Number number3 = maxCountExceededException1.getMax();
    org.apache.commons.math3.exception.MathInternalError mathInternalError4 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)maxCountExceededException1);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (short)1+ "'", number2.equals((short)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + (short)1+ "'", number3.equals((short)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test427"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-439229608), (-439229608));

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test428"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-0.1667026661342535d), 1.321813991248445d, 1.4210804127942929d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test429"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.95567946131115d, (-0.5548177590148484d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test430"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.7528966507168187E24d, 0.7693572253635212d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test431"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(3.7156312158776212d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test432"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(1008700321, 31);
    int i3 = equationsMapper2.getDimension();
    org.apache.commons.math3.ode.events.EventHandler eventHandler4 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver8 = null;
    org.apache.commons.math3.ode.events.EventState eventState9 = new org.apache.commons.math3.ode.events.EventState(eventHandler4, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver8);
    int i10 = eventState9.getMaxIterationCount();
    boolean b11 = eventState9.stop();
    double[] d_array14 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array14);
    boolean b16 = eventState9.reset(0.0d, d_array14);
    double[] d_array21 = new double[] { 1.0d, 1.0d, 0.0d };
    boolean b22 = eventState9.reset(56.516459060951796d, d_array21);
    int i23 = org.apache.commons.math3.util.MathUtils.hash(d_array21);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array27);
    double[] d_array32 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array27, d_array32);
    int i34 = org.apache.commons.math3.util.MathUtils.hash(d_array27);
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.extractEquationData(d_array21, d_array27);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == (-1040157601));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 1072693279);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test433"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.0d, 0.03516949888023485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test434"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.setSafety(0.0d);
    double d13 = dormandPrince853Integrator9.getMaxStep();
    double d14 = dormandPrince853Integrator9.getSafety();
    double d15 = dormandPrince853Integrator9.getMinReduction();
    double d16 = dormandPrince853Integrator9.getSafety();
    dormandPrince853Integrator9.setSafety(1.9377047211159066E-18d);
    java.util.Collection collection19 = dormandPrince853Integrator9.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection19);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test435"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(15.954589770191003d, 1.74532925199433E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-13.931600850511284d));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test436"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(9.999998f, 3.552714E-15f, 1280.0002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test437"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.794256384314428d, 0.621347132102578d, (-1793092981));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test438"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(1.5650761913479965d, (-0.6253149461674671d), 1.4544647885143314d, (-0.7219634380306929d));
    double d5 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-0.6253149461674671d));

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test439"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)1.2626272556789118d, (java.lang.Number)1.1676068256522059d, true);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test440"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.3239700339195051E12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 27.91165594019668d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test441"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver4 = null;
    org.apache.commons.math3.ode.events.EventState eventState5 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 0.0d, 1.0000000000000002d, 10, univariateSolver4);
    double d6 = eventState5.getEventTime();
    double[] d_array9 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array9);
    boolean b11 = eventState5.reset(0.0d, d_array9);
    double d12 = eventState5.getMaxCheckInterval();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.analysis.solvers.UnivariateSolver univariateSolver18 = null;
    org.apache.commons.math3.ode.events.EventState eventState19 = new org.apache.commons.math3.ode.events.EventState(eventHandler14, 1.1102230246251565E-16d, 10.0d, (-1), univariateSolver18);
    int i20 = eventState19.getMaxIterationCount();
    boolean b21 = eventState19.stop();
    double[] d_array24 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array24);
    boolean b26 = eventState19.reset(0.0d, d_array24);
    int i27 = org.apache.commons.math3.util.MathUtils.hash(d_array24);
    // The following exception was thrown during execution in test generation
    try {
      eventState5.stepAccepted((-0.017453292519943295d), d_array24);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1072693279);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test442"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    int i7 = eventState6.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1023));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test443"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.8185698458108543d, 178547.5230954086d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8185698458108543d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test444"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(4.0482269650408105d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 4L);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test445"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.6487212707001282d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test446"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round((-1280.0001f), 6, (-11));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test447"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.0941200093518422d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.9865533876338555d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test448"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.49691023646911164d, 0.9440892412430648d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test449"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)268.0d, (java.lang.Number)0.7693572253635211d, false);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test450"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)9.433986512635347d, (java.lang.Number)(-1.4E-45f), true);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    boolean b6 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test451"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.9910255587990942d);
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable10, obj_array12);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable8, (java.lang.Number)(byte)0, obj_array12);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable6, (java.lang.Number)(-15.954589770191003d), obj_array12);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math3.exception.MathArithmeticException(localizable5, obj_array12);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable3, (java.lang.Number)1.7528966507168155E24d, obj_array12);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException1, localizable2, obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test452"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(49.7897309487635d, (-7.105427357601002E-15d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test453"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.4210854715202007E-14d, 2146959360);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test454"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(42.70838196966992d, 1.2909827789843418d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 42.70838196966992d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test455"); }


    float f2 = org.apache.commons.math3.util.Precision.round((-0.009765625f), 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.009765625f));

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test456"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1280, 861268882);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test457"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)0.9117339147869651d, (java.lang.Number)(-1), false);
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException4.getSuppressed();
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException6 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array5);
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException9 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable7, (java.lang.Number)(-1.4E-45f));
    nullArgumentException6.addSuppressed((java.lang.Throwable)notStrictlyPositiveException9);
    java.lang.Number number11 = notStrictlyPositiveException9.getMin();
    boolean b12 = notStrictlyPositiveException9.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 0+ "'", number11.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test458"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    org.apache.commons.math3.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator9.addEventHandler(eventHandler11, (-0.0d), 1.7528966507168187E24d, 0);
    dormandPrince853Integrator9.setSafety(0.0d);
    double d18 = dormandPrince853Integrator9.getMaxStep();
    org.apache.commons.math3.ode.sampling.StepHandler stepHandler19 = null;
    dormandPrince853Integrator9.addStepHandler(stepHandler19);
    double d21 = dormandPrince853Integrator9.getMaxStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 57.29577951308232d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test459"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-0.27579349315557344d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3226786968187885d));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test460"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(9.094947E-13f, (-437672695));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test461"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)1.5707963267948861d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test462"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(2.980232238769532E-8d, 1.2348211156578683d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test463"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(3.051758E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.051758E-5f);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test464"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver8 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(1.0d, 0.0d, 1.3239700339195063E12d, 10);
    org.apache.commons.math3.ode.events.EventState eventState9 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 1.1274331234873514d, 0.009712074733389654d, (-10), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver8);
    double d10 = bracketingNthOrderBrentSolver8.getMin();
    double d11 = bracketingNthOrderBrentSolver8.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test465"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(31, (-46));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-46));

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test466"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.9385078997951388d, 0.9999965942311021d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test467"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(1079394304, 1016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1016);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test468"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(57.0d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test469"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.5313835328739165d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.144537821260711d);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test470"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    int i7 = bracketingNthOrderBrentSolver4.getMaxEvaluations();
    double d8 = bracketingNthOrderBrentSolver4.getMax();
    double d9 = bracketingNthOrderBrentSolver4.getMax();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d15 = bracketingNthOrderBrentSolver4.solve((-7), univariateFunction11, 0.9999965942311021d, (-820047.9294663861d), 1.1274331234873511d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test471"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(5.021679000434556E25d, 1.0000010000005d, 1.3118944184041375d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test472"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-110.0f), 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-109.99999f));

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test473"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.583782009010543d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5837820090105428d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test474"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil((-0.07664776923848056d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test475"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-51), (java.lang.Number)1.4210804127942929d, false);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test476"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)56.516459060951796d, (java.lang.Number)0.04746076762388862d, true);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.04746076762388862d+ "'", number4.equals(0.04746076762388862d));

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test477"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.7693572253635212d, (-0.09336728075109066d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test478"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(57.29577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test479"); }


    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver2 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(0.6020638221877662d, 2);
    double d3 = bracketingNthOrderBrentSolver2.getMin();
    double d4 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    double d5 = bracketingNthOrderBrentSolver2.getRelativeAccuracy();
    double d6 = bracketingNthOrderBrentSolver2.getStartValue();
    double d7 = bracketingNthOrderBrentSolver2.getFunctionValueAccuracy();
    int i8 = bracketingNthOrderBrentSolver2.getMaxEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = bracketingNthOrderBrentSolver2.solve(1072693248, univariateFunction10, 2.524630659933467d, 0.5451949049205995d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test480"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(9.536744E-7f, Float.NEGATIVE_INFINITY, 1.0842023E-19f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test481"); }


    org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifyInterval(0.9226350743220142d, 0.9440892412430648d);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test482"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.9143356863224049d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test483"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.8018752309649338d, 11.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8018752309649338d);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test484"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(0.00820144742226488d, (-437672695), 1024458752);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test485"); }


    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable9, obj_array11);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable7, (java.lang.Number)(byte)0, obj_array11);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable5, (java.lang.Number)(-15.954589770191003d), obj_array11);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable4, obj_array11);
    org.apache.commons.math3.exception.MathInternalError mathInternalError16 = new org.apache.commons.math3.exception.MathInternalError(localizable3, obj_array11);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)1.80143985E16f, localizable2, obj_array11);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException18 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)1.0159460586578068d, obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test486"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(31, 1072693248);
    int i3 = equationsMapper2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1072693248);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test487"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 1.7253825588523148d, 0.011336341985590748d, (-11.254476195955036d), 1078755329);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test488"); }


    org.apache.commons.math3.ode.EquationsMapper equationsMapper2 = new org.apache.commons.math3.ode.EquationsMapper(2147483647, 1048576);
    int i3 = equationsMapper2.getFirstIndex();
    int i4 = equationsMapper2.getFirstIndex();
    int i5 = equationsMapper2.getFirstIndex();
    int i6 = equationsMapper2.getFirstIndex();
    double[] d_array8 = new double[] { (-1.0d) };
    double[] d_array12 = new double[] { (-1.0d), 0.0d, 100.0d };
    // The following exception was thrown during execution in test generation
    try {
      equationsMapper2.insertEquationData(d_array8, d_array12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test489"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor((-1074790369));

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test490"); }


    org.apache.commons.math3.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver4 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i5 = bracketingNthOrderBrentSolver4.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState6 = new org.apache.commons.math3.ode.events.EventState(eventHandler0, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver4);
    double d7 = bracketingNthOrderBrentSolver4.getStartValue();
    double d8 = bracketingNthOrderBrentSolver4.getFunctionValueAccuracy();
    double d9 = bracketingNthOrderBrentSolver4.getAbsoluteAccuracy();
    double d10 = bracketingNthOrderBrentSolver4.getStartValue();
    double d11 = bracketingNthOrderBrentSolver4.getStartValue();
    double d12 = bracketingNthOrderBrentSolver4.getStartValue();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction14 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction18 = null;
    org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver bracketedUnivariateSolver19 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction24 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver25 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    double d26 = bracketingNthOrderBrentSolver25.getAbsoluteAccuracy();
    int i27 = bracketingNthOrderBrentSolver25.getMaxEvaluations();
    int i28 = bracketingNthOrderBrentSolver25.getMaximalOrder();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction33 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver36 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver(4.022191557777585d, 2);
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution40 = org.apache.commons.math3.analysis.solvers.AllowedSolution.ANY_SIDE;
    double d41 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(8, univariateFunction33, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver36, 0.0d, 9.6738278795654E19d, 1.4330863854487743d, allowedSolution40);
    double d42 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(31, univariateFunction24, (org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver)bracketingNthOrderBrentSolver25, 89.0d, 0.8906073261959583d, (-1.0434034937813492d), allowedSolution40);
    double d43 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide((-7), univariateFunction18, bracketedUnivariateSolver19, (-0.0025290483600522618d), (-1.3818573967460348E181d), 1.048605061046132d, allowedSolution40);
    // The following exception was thrown during execution in test generation
    try {
      double d44 = bracketingNthOrderBrentSolver4.solve((-20), univariateFunction14, (-0.0025290483600522618d), 4.680335587901077E38d, allowedSolution40);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(allowedSolution40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 89.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == (-0.0025290483600522618d));

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test491"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    int i2 = incrementor1.getCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount(10);
    int i6 = incrementor1.getCount();
    incrementor1.incrementCount((-1008700321));
    incrementor1.setMaximalCount(1265661023);
    incrementor1.incrementCount(1);
    incrementor1.setMaximalCount(7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test492"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, (-820048L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test493"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(9.999997f, 1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.999997f);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test494"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(2.2250738585072014E-308d, 0.2d, Double.NEGATIVE_INFINITY, 1.0E-15d);
    org.apache.commons.math3.exception.MathInternalError mathInternalError5 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)noBracketingException4);
    double d6 = noBracketingException4.getHi();
    java.lang.String str7 = noBracketingException4.toString();
    double d8 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math3.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [0, 0.2], values: [-\u221E, 0]"+ "'", str7.equals("org.apache.commons.math3.exception.NoBracketingException: function values at endpoints do not have different signs, endpoints: [0, 0.2], values: [-\u221E, 0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test495"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(267.7458277623821d, 535.4916555247642d, 0.0d, (-35.91144426291684d));
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable9, obj_array11);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math3.exception.MathArithmeticException(localizable8, obj_array11);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException14 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable6, (java.lang.Number)(short)100, obj_array11);
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    org.apache.commons.math3.exception.util.Localizable localizable22 = null;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)10 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable22, obj_array24);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException26 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable20, (java.lang.Number)(byte)0, obj_array24);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException27 = new org.apache.commons.math3.exception.NoBracketingException(localizable15, 1.5533448061434307d, 57.29577951308232d, 1.0000000000000002d, (-1.0d), obj_array24);
    notFiniteNumberException14.addSuppressed((java.lang.Throwable)noBracketingException27);
    java.lang.Throwable[] throwable_array29 = noBracketingException27.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException30 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)noBracketingException4, localizable5, (java.lang.Object[])throwable_array29);
    double d31 = noBracketingException4.getLo();
    double d32 = noBracketingException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 267.7458277623821d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 535.4916555247642d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test496"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-48.07540360088537d), 0.0d, 534.4916555247651d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test497"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(1.2182829050172777d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 148262303);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test498"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.0842023E-19f, 9.999997f, (-9.0949465E-13f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test499"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.util.MathUtils.checkFinite(d_array3);
    double[] d_array8 = new double[] { 10.0d, 10.0d, (-1.0d) };
    org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator9 = new org.apache.commons.math3.ode.nonstiff.DormandPrince853Integrator(1.5533448061434307d, 57.29577951308232d, d_array3, d_array8);
    int i10 = dormandPrince853Integrator9.getEvaluations();
    dormandPrince853Integrator9.clearStepHandlers();
    double d12 = dormandPrince853Integrator9.getSafety();
    double d13 = dormandPrince853Integrator9.getMaxGrowth();
    org.apache.commons.math3.ode.events.EventHandler eventHandler14 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler18 = null;
    org.apache.commons.math3.ode.events.EventHandler eventHandler22 = null;
    org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver bracketingNthOrderBrentSolver26 = new org.apache.commons.math3.analysis.solvers.BracketingNthOrderBrentSolver();
    int i27 = bracketingNthOrderBrentSolver26.getEvaluations();
    org.apache.commons.math3.ode.events.EventState eventState28 = new org.apache.commons.math3.ode.events.EventState(eventHandler22, 2.718281828459045d, 0.0d, (-1023), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    org.apache.commons.math3.ode.events.EventState eventState29 = new org.apache.commons.math3.ode.events.EventState(eventHandler18, 100.0d, 0.2d, (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    dormandPrince853Integrator9.addEventHandler(eventHandler14, (-0.7236266338880267d), (-15.954589770191003d), (-1), (org.apache.commons.math3.analysis.solvers.UnivariateSolver)bracketingNthOrderBrentSolver26);
    java.util.Collection collection31 = dormandPrince853Integrator9.getEventHandlers();
    double d32 = dormandPrince853Integrator9.getCurrentStepStart();
    dormandPrince853Integrator9.setMaxGrowth(2.718281828459045d);
    double d35 = dormandPrince853Integrator9.getMaxGrowth();
    dormandPrince853Integrator9.clearStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 2.718281828459045d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test500"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(8.52951668609248d, 1.7253825588523148d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2544625511387799d);

  }

}
